!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl5()
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_21262) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_21263) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_21260) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_21261) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_20948) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*&
                         sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_21062) = -ca**2d0*cb*cima*sb
      coupl(nGC_21064) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_21065) = cb*cima*sa**2d0*sb
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_362) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_1121) = -coupl(nGC_341)
      coupl(nGC_21745) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_21848) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_21846) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21847) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_21845) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_21288) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_21285) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa* &
                         vev2)/(cw**2d0*sw**2d0)
      coupl(nGC_21286) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                         ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_21287) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )*(ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_859) = -coupl(nGC_178)
      coupl(nGC_21468) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_21469) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_21465) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_21466) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_21467) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_21460) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21461) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + &
                         sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21462) = -cima*cw*ee/sw**2d0
      coupl(nGC_21463) = cima*ee/sw
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_20746) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_20707) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20708) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20709) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_21604) = cb*cima
      coupl(nGC_21605) = cima*sb
      coupl(nGC_21606) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_21607) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21603) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_21608) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0  &
                         )**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21609) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                         cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_287) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0  &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb*cima&
                       *ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0* &
                       vev1/(4d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_21077) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21076) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21078) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_20899) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_21211) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_21217) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_21216) = -sqrt(2d0)*cb/2d0
      coupl(nGC_21215) = sqrt(2d0)*sb/2d0
      coupl(nGC_21851) = -cima*ee*sw/cw**2d0
      coupl(nGC_21850) = cima*ee/cw
      coupl(nGC_21853) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21852) = cima*ee*sw/cw
      coupl(nGC_21855) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1571) = -coupl(nGC_350)
      coupl(nGC_20734) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_21299) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_21298) = cima*sb
      coupl(nGC_21293) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_21292) = 2d0*cima*ee
      coupl(nGC_21291) = -2d0*cima*ee
      coupl(nGC_21290) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa* &
                         vev1)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_21297) = cb*cima
      coupl(nGC_21505) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_21295) = cb*cima
      coupl(nGC_21294) = -cima*sb
      coupl(nGC_21504) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_21779) = cima*ee
      coupl(nGC_21503) = sqrt(2d0)*cb/2d0
      coupl(nGC_21502) = -sqrt(2d0)*sb/2d0
      coupl(nGC_21770) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21771) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_21823) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_21479) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_21478) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_21477) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_21476) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_21475) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_21474) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_21473) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_21472) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_21471) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_21470) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_21296) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_21582) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**  &
                         2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb** &
                         2d0 + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**  &
                         2d0*l5*sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa** &
                         2d0 + cb**2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**  &
                         2d0*l5*sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb** &
                         2d0 - l4*sa**2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_20715) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 &
                          - 2d0*l4 - 2d0*l5)
      coupl(nGC_20714) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20717) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20716) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20711) = -cb**2d0*cima*sb**2d0
      coupl(nGC_20710) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_20713) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_20712) = -cb**2d0*cima*sb**2d0
      coupl(nGC_20719) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_20718) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21617) = -ca*cb*cima*sb*vev2
      coupl(nGC_21616) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb&
                         **2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb* &
                         vev1 - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4&
                         *sb**2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*   &
                         vev1 - cb**2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb** &
                         2d0*l5*sa*vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*&
                         vev1 + l3*sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa&
                         *sb**2d0*vev1)
      coupl(nGC_21615) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21614) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_21613) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_21612) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_21611) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw  &
                          + sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_21610) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw  &
                         )*(cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_21619) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb&
                         *l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_21618) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*  &
                         vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*  &
                         vev2)
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_21103) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*&
                         sa*sb**2d0)
      coupl(nGC_21102) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21101) = -cima*sa*sb**2d0*vev2
      coupl(nGC_21100) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                         ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**  &
                         2d0*vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 -  &
                         cb**2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*&
                         sa*sb*vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_21107) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb* &
                         l5*sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1  &
                          + cb*l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0&
                         *vev1)
      coupl(nGC_21106) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_21105) = -ca*cb**2d0*cima*vev1
      coupl(nGC_21104) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb +  &
                         cb*l5*sa*sb)
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_21047) = -gs
      coupl(nGC_21042) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_21043) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_21041) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_21048) = cima*sb
      coupl(nGC_21049) = -cb*cima
      coupl(nGC_20782) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_20889) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_20888) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_20835) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
      coupl(nGC_20887) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_20780) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_20781) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_20787) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_20832) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_2221) = -coupl(nGC_359)
      coupl(nGC_20833) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_21824) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21825) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21826) = 3d0*cb*cima*sb**3d0
      coupl(nGC_21827) = -3d0*cb**3d0*cima*sb
      coupl(nGC_21820) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0* &
                         sw)
      coupl(nGC_21821) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_21822) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_21828) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_21829) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_21910) = -cima*sb**4d0
      coupl(nGC_21911) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21912) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_21913) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                          - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0  &
                          + l5*sb**2d0)
      coupl(nGC_21914) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_21915) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_21916) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_21917) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_21918) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_21919) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_I) = cima
      coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
    end subroutine fill_couplings_mdl5
end module fill_couplings5
