!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_33299) = coupl(nGC_74)*dZGMinus
      coupl(nGC_22861) = -cima*dMS_QCD2
      coupl(nGC_34720) = coupl(nGC_341)*dZG0/2d0
      coupl(nGC_22633) = coupl(nGC_20834)*dyd13x3_QED1_QCD2 + coupl(nGC_20836)*&
                         dyb2_QED1_QCD2
      coupl(nGC_34716) = coupl(nGC_341)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33401) = coupl(nGC_355)*dZGMinus/2d0
      coupl(nGC_33423) = coupl(nGC_366)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_33931) = coupl(nGC_357)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_33424) = coupl(nGC_366)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
      coupl(nGC_34704) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_22687) = coupl(nGC_579)*dyt2_QED1_QCD2 + coupl(nGC_583)*       &
                         dyt1_QED1_QCD2
      coupl(nGC_35146) = coupl(nGC_345)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_35147) = coupl(nGC_345)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_43129) = coupl(nGC_73)*dZG0
      coupl(nGC_22849) = -cima*dME_QED2
      coupl(nGC_34141) = coupl(nGC_340)*dZGMinus/2d0
      coupl(nGC_32281) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_35924) = coupl(nGC_178)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_34523) = coupl(nGC_172)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_22690) = coupl(nGC_21368)*dsw_QED2 + coupl(nGC_21369)*dcw_QED2 &
                          + coupl(nGC_21370)*dZee_QED2
      coupl(nGC_33962) = coupl(nGC_365)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_33963) = coupl(nGC_365)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_36198) = coupl(nGC_367)*dZGMinus/2d0
      coupl(nGC_32119) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_35554) = coupl(nGC_70)*dZG0
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22506) = coupl(nGC_21546)*dsw_QED2 + coupl(nGC_21547)*dcw_QED2 &
                          + coupl(nGC_21548)*dZee_QED2
      coupl(nGC_22505) = coupl(nGC_21490)*dcw_QED2 + coupl(nGC_21491)*db_QED2  &
                          + coupl(nGC_21492)*dZee_QED2 + coupl(nGC_21493)*     &
                         da_QED2
      coupl(nGC_32853) = coupl(nGC_223)*dZHh_QED2 + coupl(nGC_22506)
      coupl(nGC_37506) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32218) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_34048) = coupl(nGC_205)*dZZA_QED2
      coupl(nGC_34994) = coupl(nGC_344)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_34995) = coupl(nGC_344)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_33099) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_33252) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34862) = coupl(nGC_351)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32983) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_32746) = coupl(nGC_99)*dZG0
      coupl(nGC_40507) = coupl(nGC_356)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
