!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_36736) = -coupl(nGC_36732)
      coupl(nGC_22134) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22218) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(    &
                         nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_35283) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_35285) = coupl(nGC_374)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_35284) = coupl(nGC_374)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_35286) = coupl(nGC_22670) + coupl(nGC_371)*dZHaG0_QED2/2d0
      coupl(nGC_35289) = -coupl(nGC_35283)
      coupl(nGC_35288) = coupl(nGC_35284) + coupl(nGC_35286)
      coupl(nGC_34774) = coupl(nGC_384)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_34773) = coupl(nGC_384)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_35198) = coupl(nGC_13)*dZcL_QCD2
      coupl(nGC_35195) = coupl(nGC_13)*dZcR_QED2
      coupl(nGC_35197) = coupl(nGC_13)*dZcL_QED2
      coupl(nGC_35196) = coupl(nGC_13)*dZcR_QCD2
      coupl(nGC_34179) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_33341) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_35973) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22593) +     &
                         coupl(nGC_26)*dZA_QED2/2d0
      coupl(nGC_35971) = coupl(nGC_26)*dZGMinus
      coupl(nGC_35975) = -coupl(nGC_35971)
      coupl(nGC_35974) = -coupl(nGC_35973)
      coupl(nGC_34952) = coupl(nGC_368)*dZG0/2d0
      coupl(nGC_34955) = -coupl(nGC_34952)
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34157) = coupl(nGC_22563) + coupl(nGC_242)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_245)*dZHaG0_QED2 + coupl(nGC_250)*dZHh_QED2/&
                         2d0 + coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_43_Hh)
      coupl(nGC_32435) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_41665) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZuL_QED2&
                          + coupl(nGC_22733)
      coupl(nGC_41660) = coupl(nGC_210)*dZuL_QCD2
      coupl(nGC_33125) = coupl(nGC_99)*dZGMinus
      coupl(nGC_37146) = 2d0*coupl(nGC_68)*dZGMinus
      coupl(nGC_22205) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22204) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345&
                         )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)*&
                         coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) - &
                         coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)** &
                         2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/( &
                         32d0*pi**2d0)
      coupl(nGC_22207) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_2325)**2d0 - coupl(nGC_3117)**2d0 - coupl(  &
                         nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22206) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(    &
                         nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22201) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333&
                         )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)*&
                         coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) - &
                         coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)** &
                         2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/( &
                         32d0*pi**2d0)
      coupl(nGC_22203) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) - coupl(nGC_1571&
                         )**2d0*coupl(nGC_348) + 8d0*coupl(nGC_206)*coupl(     &
                         nGC_209)*coupl(nGC_348) - coupl(nGC_2475)**2d0*coupl( &
                         nGC_348) - coupl(nGC_345)**2d0*coupl(nGC_348) - coupl(&
                         nGC_346)*coupl(nGC_382)*coupl(nGC_384) - coupl(nGC_348&
                         )**3d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385  &
                         ))/(32d0*pi**2d0)
      coupl(nGC_21954) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                         cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0* &
                         coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)* &
                         coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(    &
                         nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337   &
                         ) - Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT&
                         **2d0*coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*    &
                         coupl(nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(    &
                         nGC_346)*coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)* &
                         coupl(nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355&
                         ) - cMM**2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0&
                         *coupl(nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*  &
                         coupl(nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/( &
                         16d0*pi**2d0)
      coupl(nGC_22208) = coupl(nGC_360)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(    &
                         nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_21953) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(    &
                         nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl&
                         (nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(   &
                         nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(     &
                         nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379&
                         ))/(48d0*pi**2d0)
      coupl(nGC_22447) = (5d0*Nc*cima*coupl(nGC_1393)*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_1393)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) - 4d0*Nc*&
                         cima*coupl(nGC_1393)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_2475)*coupl(nGC_346) + 5d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl(   &
                         nGC_867) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371  &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(  &
                         nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_346) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334)*   &
                         coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_364)*coupl(nGC_867) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370)*coupl(   &
                         nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                         coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_2475)*coupl(nGC_346 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_334)*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_867) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*    &
                         coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_383) + 6d0*cima*    &
                         coupl(nGC_187)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_2221)*coupl(nGC_358) + 5d0*cima*  &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_2353)*coupl(  &
                         nGC_376) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_3117)*coupl(nGC_352) - 4d0*cima*coupl(      &
                         nGC_197)*coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_358 &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(     &
                         nGC_2353)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197)*   &
                         coupl(nGC_211)*coupl(nGC_3117)*coupl(nGC_352) - 4d0*  &
                         cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_2221)*   &
                         coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212&
                         )*coupl(nGC_2353)*coupl(nGC_376) - 4d0*cima*coupl(    &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_3117)*coupl(nGC_352 &
                         ) + 6d0*coupl(nGC_187)*coupl(nGC_2539)*coupl(nGC_3) + &
                         6d0*coupl(nGC_199)*coupl(nGC_2539)*coupl(nGC_31))/(   &
                         48d0*pi**2d0)
      coupl(nGC_22446) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)**2d0 &
                          + coupl(nGC_343)**2d0 + coupl(nGC_346)**2d0 + coupl( &
                         nGC_364)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_382)**&
                         2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_33752) = coupl(nGC_22650) + coupl(nGC_352)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*   &
                         dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/&
                         2d0
      coupl(nGC_TS_GC_213_Hl) = -coupl(nGC_213)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32659) = coupl(nGC_22849) + coupl(nGC_TS_GC_351_Hl) + coupl(   &
                         nGC_TS_GC_354_Hh)
      coupl(nGC_32658) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_32653) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_22370) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +  &
                         20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)* &
                         coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(   &
                         nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340 &
                         )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)** &
                         2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0*&
                         coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(   &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl&
                         (nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(   &
                         nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(    &
                         nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(    &
                         nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl&
                         (nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +  &
                         10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*  &
                         coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl( &
                         nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22372) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +  &
                         20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)* &
                         coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(   &
                         nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(    &
                         nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(    &
                         nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)*&
                         coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342 &
                         )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)** &
                         2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*&
                         coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(   &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl&
                         (nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(   &
                         nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(    &
                         nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*    &
                         coupl(nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229 &
                         ) + 10d0*coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 +    &
                         10d0*coupl(nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*  &
                         coupl(nGC_375)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_32654) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
