!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_TS_GC_179_Hh) = -coupl(nGC_179)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22551) = coupl(nGC_21784)*dl3_QED4 + coupl(nGC_21785)*dl1_QED4 &
                          + coupl(nGC_21786)*dl2_QED4 + coupl(nGC_21787)*      &
                         dl5_QED4 + coupl(nGC_21788)*dl4_QED4 + coupl(nGC_21789&
                         )*db_QED2
      coupl(nGC_22550) = coupl(nGC_21825)*dl3_QED4 + coupl(nGC_21826)*dl1_QED4 &
                          + coupl(nGC_21827)*dl2_QED4 + coupl(nGC_21828)*      &
                         dl5_QED4 + coupl(nGC_21829)*dl4_QED4 + coupl(nGC_21830&
                         )*db_QED2
      coupl(nGC_22553) = coupl(nGC_20927)*dsw_QED2 + coupl(nGC_20928)*dZee_QED2
      coupl(nGC_22552) = coupl(nGC_21796)*dl3_QED4 + coupl(nGC_21797)*dl1_QED4 &
                          + coupl(nGC_21798)*dl2_QED4 + coupl(nGC_21799)*      &
                         dl5_QED4 + coupl(nGC_21800)*dl4_QED4 + coupl(nGC_21801&
                         )*db_QED2
      coupl(nGC_22555) = coupl(nGC_21408)*dsw_QED2 + coupl(nGC_21409)*dZee_QED2
      coupl(nGC_22554) = coupl(nGC_20685)*dsw_QED2 + coupl(nGC_20686)*dZee_QED2
      coupl(nGC_22557) = coupl(nGC_21172)*dsw_QED2 + coupl(nGC_21173)*dcw_QED2 &
                          + coupl(nGC_21174)*dZee_QED2
      coupl(nGC_22556) = coupl(nGC_21339)*dsw_QED2 + coupl(nGC_21340)*dZee_QED2
      coupl(nGC_22559) = coupl(nGC_20694)*dsw_QED2 + coupl(nGC_20695)*db_QED2  &
                          + coupl(nGC_20696)*dZee_QED2 + coupl(nGC_20697)*     &
                         da_QED2
      coupl(nGC_22558) = coupl(nGC_21837)*dsw_QED2 + coupl(nGC_21838)*db_QED2  &
                          + coupl(nGC_21839)*dZee_QED2 + coupl(nGC_21840)*     &
                         da_QED2
      coupl(nGC_56629) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_36439) = coupl(nGC_369)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_22155) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl( &
                         nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334&
                         )*coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl&
                         (nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(      &
                         nGC_338)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22156) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl( &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347&
                         )*coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl&
                         (nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(      &
                         nGC_382)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22151) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*&
                         coupl(nGC_2013)*coupl(nGC_321) + 2d0*coupl(nGC_199)*  &
                         coupl(nGC_231)*coupl(nGC_2539) + 2d0*coupl(nGC_2539)* &
                         coupl(nGC_3)*coupl(nGC_321))/(16d0*pi**2d0)
      coupl(nGC_22150) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_334) + Nc&
                         *coupl(nGC_342)*coupl(nGC_343) + Nc*coupl(nGC_345)*   &
                         coupl(nGC_346) + Nc*coupl(nGC_363)*coupl(nGC_364) - Nc&
                         *coupl(nGC_369)*coupl(nGC_370) - Nc*coupl(nGC_381)*   &
                         coupl(nGC_382) + coupl(nGC_351)*coupl(nGC_352) + coupl&
                         (nGC_357)*coupl(nGC_358) + coupl(nGC_375)*coupl(      &
                         nGC_376))/(24d0*pi**2d0)
      coupl(nGC_22152) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl( &
                         nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341&
                         )*coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(      &
                         nGC_370)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32248) = coupl(nGC_42)*dZGMinus
      coupl(nGC_33993) = coupl(nGC_383)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_32240) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_32241) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_32242) = coupl(nGC_32239) + coupl(nGC_32240)
      coupl(nGC_32243) = coupl(nGC_32239) + coupl(nGC_32241)
      coupl(nGC_52273) = coupl(nGC_I)*dZG0
      coupl(nGC_36727) = coupl(nGC_350)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_36728) = coupl(nGC_350)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_34766) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_22555) + coupl(nGC_31)* &
                         dZZA_QED2/2d0
      coupl(nGC_32882) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_32345) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_35361) = coupl(nGC_38)*dZG0/2d0
      coupl(nGC_35365) = coupl(nGC_22546) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl&
                         (nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +  &
                         coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/&
                         2d0
      coupl(nGC_TS_GC_241_Hl) = -coupl(nGC_241)*dtHl_QED1/cMHL**2d0
      coupl(nGC_36545) = coupl(nGC_TS_GC_172_Hh) + coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_36544) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32398) = coupl(nGC_22544) + coupl(nGC_52)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/&
                         2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*  &
                         dZG0Ha_QED2/2d0
      coupl(nGC_32395) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_32864) = coupl(nGC_220)*dZGMinus
      coupl(nGC_38283) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_22506)
      coupl(nGC_34497) = coupl(nGC_213)*dZG0/2d0
      coupl(nGC_TS_GC_38_Hl) = -coupl(nGC_38)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33358) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_57437) = -coupl(nGC_22150)
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
      coupl(nGC_35011) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_34948) = coupl(nGC_368)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_22146) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)/(4d0*pi**&
                         2d0)
      coupl(nGC_34947) = coupl(nGC_368)*(dZsL_QED2 + dZsR_QED2)/2d0
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
