!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_32252) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_44910) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_44915) = coupl(nGC_22845) + coupl(nGC_MHL)*dZHl_QED2 + coupl(  &
                         nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32890) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32899) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_33718) = coupl(nGC_241)*dZGMinus
      coupl(nGC_32381) = coupl(nGC_22582) + coupl(nGC_232)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_238)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32387) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_32872) = coupl(nGC_22591) + coupl(nGC_5)*dZWMinus_QED2/2d0
      coupl(nGC_34622) = coupl(nGC_378)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_32611) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
      coupl(nGC_34155) = coupl(nGC_250)*dZG0
      coupl(nGC_35714) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_38631) = coupl(nGC_22721) + coupl(nGC_230)*dZHa_QED2 + coupl(  &
                         nGC_230)*dZZ_QED2
      coupl(nGC_38744) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22590) + coupl(  &
                         nGC_29)*dZA_QED2
      coupl(nGC_38743) = coupl(nGC_29)*dZGMinus
      coupl(nGC_32753) = coupl(nGC_174)*dZA_QED2/2d0 + coupl(nGC_174)*dZHl_QED2&
                         /2d0 + coupl(nGC_174)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_180)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_21)*dZZA_QED2/2d0 + coupl(&
                         nGC_22560)
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_35000) = coupl(nGC_22645) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_344)*dZHa_QED2/2d0
      coupl(nGC_32527) = coupl(nGC_22850) + coupl(nGC_TS_GC_357_Hl) + coupl(   &
                         nGC_TS_GC_360_Hh)
      coupl(nGC_32526) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_32521) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_32522) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_32528) = coupl(nGC_32522) + coupl(nGC_32527)
      coupl(nGC_34447) = coupl(nGC_252)*dZGMinus/2d0
      coupl(nGC_32412) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2&
                         /2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_22558)
      coupl(nGC_34842) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/&
                         2d0
      coupl(nGC_33380) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22597)
      coupl(nGC_33381) = -coupl(nGC_33380)
      coupl(nGC_22643) = coupl(nGC_21051)*dyd12x2_QED1_QCD2 + coupl(nGC_21052)*&
                         dys2_QED1_QCD2
      coupl(nGC_32709) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_32700) = coupl(nGC_180)*dZGMinus/2d0
      coupl(nGC_33654) = coupl(nGC_22868) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_21973) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0 &
                          + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 +  &
                         Nc*coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 +     &
                         coupl(nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(    &
                         nGC_375)**2d0)/(24d0*pi**2d0)
      coupl(nGC_21970) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl( &
                         nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl( &
                         nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21971) = cima*(Nc*coupl(nGC_333)*coupl(nGC_336) + Nc*coupl(    &
                         nGC_339)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(    &
                         nGC_348) + Nc*coupl(nGC_363)*coupl(nGC_366) + Nc*coupl&
                         (nGC_369)*coupl(nGC_372) + Nc*coupl(nGC_381)*coupl(   &
                         nGC_384) + coupl(nGC_351)*coupl(nGC_354) + coupl(     &
                         nGC_357)*coupl(nGC_360) + coupl(nGC_375)*coupl(nGC_378&
                         ))/(24d0*pi**2d0)
      coupl(nGC_33652) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_33653) = coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
      coupl(nGC_21978) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(     &
                         nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*  &
                         coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl(&
                         nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(  &
                         nGC_212)**2d0 - coupl(nGC_2539)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21979) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_2539)**2d0)/(   &
                         48d0*pi**2d0)
      coupl(nGC_22131) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_334) - Nc*&
                         coupl(nGC_342)*coupl(nGC_343) - Nc*coupl(nGC_345)*    &
                         coupl(nGC_346) - Nc*coupl(nGC_363)*coupl(nGC_364) + Nc&
                         *coupl(nGC_369)*coupl(nGC_370) + Nc*coupl(nGC_381)*   &
                         coupl(nGC_382) - coupl(nGC_351)*coupl(nGC_352) - coupl&
                         (nGC_357)*coupl(nGC_358) - coupl(nGC_375)*coupl(      &
                         nGC_376))/(24d0*pi**2d0)
      coupl(nGC_21998) = cima*sq2**2d0*(-Nc*coupl(nGC_8013)**2d0 + 6d0*coupl(  &
                         nGC_13)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_21999) = cima*coupl(nGC_8013)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_21990) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_21991) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_21992) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0* &
                         pi**2d0)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
