!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_21993) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 +     &
                         coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21994) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_21995) = cima*sq2**2d0*(Nc*coupl(nGC_8013)**2d0 - 6d0*coupl(   &
                         nGC_13)**2d0)/(96d0*pi**2d0)
      coupl(nGC_21996) = -Nc*cima*coupl(nGC_8013)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_21997) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 &
                          + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi&
                         **2d0)
      coupl(nGC_22191) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_57395) = -coupl(nGC_22054)
      coupl(nGC_22086) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl( &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347&
                         )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl&
                         (nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(      &
                         nGC_385)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22085) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl( &
                         nGC_333)*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_335&
                         )*coupl(nGC_337)*coupl(nGC_365) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_366) - coupl(nGC_337)*coupl(      &
                         nGC_338)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22083) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) - coupl(&
                         nGC_1121)*coupl(nGC_2847)*coupl(nGC_340) - coupl(     &
                         nGC_1393)*coupl(nGC_340)*coupl(nGC_789) + 8d0*coupl(  &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(nGC_339&
                         )*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340)*coupl&
                         (nGC_342)*coupl(nGC_369))/(32d0*pi**2d0)
      coupl(nGC_22081) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*&
                         coupl(nGC_2013)*coupl(nGC_324) + 2d0*coupl(nGC_199)*  &
                         coupl(nGC_237)*coupl(nGC_2539) + 2d0*coupl(nGC_2539)* &
                         coupl(nGC_3)*coupl(nGC_324))/(16d0*pi**2d0)
      coupl(nGC_22080) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc&
                         *coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*   &
                         coupl(nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc&
                         *coupl(nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*   &
                         coupl(nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl&
                         (nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22192) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*    &
                         coupl(nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 +   &
                         4d0*cMTA*coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*   &
                         coupl(nGC_332) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_22317) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl( &
                         nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*   &
                         coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(      &
                         nGC_346)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*   &
                         coupl(nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)** &
                         2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1&
                         )**2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) +   &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(&
                         nGC_343) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                         nGC_2)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) +   &
                         5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(&
                         nGC_385) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*   &
                         coupl(nGC_337) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(      &
                         nGC_340)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)**2d0*   &
                         coupl(nGC_346)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_2)** &
                         2d0*coupl(nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_2&
                         )**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(  &
                         nGC_2)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0*coupl(&
                         nGC_352)*coupl(nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(&
                         nGC_358)*coupl(nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(&
                         nGC_376)*coupl(nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi** &
                         2d0)
      coupl(nGC_22312) = sq2**3d0*(Nc*cima*coupl(nGC_8013)**3d0 - 12d0*coupl(  &
                         nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_22311) = sq2**3d0*(-Nc*cima*coupl(nGC_8013)**3d0 + 12d0*coupl( &
                         nGC_13)**3d0)/(192d0*pi**2d0)
      coupl(nGC_22310) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                         nGC_207)**2d0 + coupl(nGC_2847)*coupl(nGC_374) + coupl&
                         (nGC_369)**2d0 + coupl(nGC_370)**2d0 + coupl(nGC_371)*&
                         coupl(nGC_789) + coupl(nGC_372)**2d0 + coupl(nGC_373  &
                         )**2d0)/(64d0*pi**2d0)
      coupl(nGC_22537) = coupl(nGC_21330)*dl3_QED4 + coupl(nGC_21331)*dl1_QED4 &
                          + coupl(nGC_21332)*dl2_QED4 + coupl(nGC_21333)*      &
                         dl5_QED4 + coupl(nGC_21334)*dl4_QED4 + coupl(nGC_21335&
                         )*da_QED2
      coupl(nGC_22536) = coupl(nGC_21549)*dl3_QED4 + coupl(nGC_21550)*db_QED2  &
                          + coupl(nGC_21551)*dl2_QED4 + coupl(nGC_21552)*      &
                         dl5_QED4 + coupl(nGC_21553)*dl4_QED4 + coupl(nGC_21554&
                         )*dl1_QED4 + coupl(nGC_21555)*da_QED2
      coupl(nGC_22535) = coupl(nGC_21576)*dl3_QED4 + coupl(nGC_21577)*db_QED2  &
                          + coupl(nGC_21578)*dl2_QED4 + coupl(nGC_21579)*      &
                         dl5_QED4 + coupl(nGC_21580)*dl4_QED4 + coupl(nGC_21581&
                         )*dl1_QED4 + coupl(nGC_21582)*da_QED2
      coupl(nGC_22534) = coupl(nGC_21466)*dcw_QED2 + coupl(nGC_21467)*db_QED2  &
                          + coupl(nGC_21468)*dZee_QED2 + coupl(nGC_21469)*     &
                         da_QED2
      coupl(nGC_22533) = coupl(nGC_21477)*dcw_QED2 + coupl(nGC_21478)*db_QED2  &
                          + coupl(nGC_21479)*dZee_QED2 + coupl(nGC_21480)*     &
                         da_QED2
      coupl(nGC_22532) = coupl(nGC_20716)*dl3_QED4 + coupl(nGC_20717)*dl1_QED4 &
                          + coupl(nGC_20718)*dl2_QED4 + coupl(nGC_20719)*      &
                         dl5_QED4 + coupl(nGC_20720)*dl4_QED4 + coupl(nGC_20721&
                         )*db_QED2
      coupl(nGC_22531) = coupl(nGC_21704)*dl3_QED4 + coupl(nGC_21705)*db_QED2  &
                          + coupl(nGC_21706)*dl2_QED4 + coupl(nGC_21707)*      &
                         dl5_QED4 + coupl(nGC_21708)*dl4_QED4 + coupl(nGC_21709&
                         )*dl1_QED4 + coupl(nGC_21710)*da_QED2
      coupl(nGC_22530) = coupl(nGC_21711)*dl3_QED4 + coupl(nGC_21712)*db_QED2  &
                          + coupl(nGC_21713)*dl2_QED4 + coupl(nGC_21714)*      &
                         dl5_QED4 + coupl(nGC_21715)*dl4_QED4 + coupl(nGC_21716&
                         )*dl1_QED4 + coupl(nGC_21717)*da_QED2
      coupl(nGC_22539) = coupl(nGC_21402)*dl3_QED4 + coupl(nGC_21403)*dl1_QED4 &
                          + coupl(nGC_21404)*dl2_QED4 + coupl(nGC_21405)*      &
                         dl5_QED4 + coupl(nGC_21406)*dl4_QED4 + coupl(nGC_21407&
                         )*da_QED2
      coupl(nGC_22538) = coupl(nGC_21590)*dl3_QED4 + coupl(nGC_21591)*db_QED2  &
                          + coupl(nGC_21592)*dl2_QED4 + coupl(nGC_21593)*      &
                         dl5_QED4 + coupl(nGC_21594)*dl4_QED4 + coupl(nGC_21595&
                         )*dl1_QED4 + coupl(nGC_21596)*da_QED2
      coupl(nGC_33426) = coupl(nGC_22632) + coupl(nGC_363)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_366)*dZHh_QED2/2d0
      coupl(nGC_33425) = coupl(nGC_22631) + coupl(nGC_33424)
      coupl(nGC_22407) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1393)*coupl(    &
                         nGC_206)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_209)*coupl(nGC_340) - 4d0*Nc*coupl(nGC_1393)*    &
                         coupl(nGC_210)*coupl(nGC_340) + 5d0*Nc*coupl(nGC_206)*&
                         coupl(nGC_2475)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206 &
                         )*coupl(nGC_367)*coupl(nGC_867) + 5d0*Nc*coupl(nGC_207&
                         )*coupl(nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_207&
                         )*coupl(nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207&
                         )*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209&
                         )*coupl(nGC_2475)*coupl(nGC_349) - 4d0*Nc*coupl(      &
                         nGC_209)*coupl(nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_367)*coupl(nGC_867) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_383)*coupl(nGC_385) - 4d0*Nc*coupl(&
                         nGC_210)*coupl(nGC_2475)*coupl(nGC_349) - 4d0*Nc*coupl&
                         (nGC_210)*coupl(nGC_335)*coupl(nGC_337) - 4d0*Nc*coupl&
                         (nGC_210)*coupl(nGC_367)*coupl(nGC_867) - 4d0*Nc*coupl&
                         (nGC_210)*coupl(nGC_371)*coupl(nGC_373) - 4d0*Nc*coupl&
                         (nGC_210)*coupl(nGC_383)*coupl(nGC_385) + 5d0*coupl(  &
                         nGC_208)*coupl(nGC_2221)*coupl(nGC_361) + 5d0*coupl(  &
                         nGC_208)*coupl(nGC_2353)*coupl(nGC_379) + 5d0*coupl(  &
                         nGC_208)*coupl(nGC_3117)*coupl(nGC_355) - 4d0*coupl(  &
                         nGC_211)*coupl(nGC_2221)*coupl(nGC_361) - 4d0*coupl(  &
                         nGC_211)*coupl(nGC_2353)*coupl(nGC_379) - 4d0*coupl(  &
                         nGC_211)*coupl(nGC_3117)*coupl(nGC_355) - 4d0*coupl(  &
                         nGC_212)*coupl(nGC_2221)*coupl(nGC_361) - 4d0*coupl(  &
                         nGC_212)*coupl(nGC_2353)*coupl(nGC_379) - 4d0*coupl(  &
                         nGC_212)*coupl(nGC_3117)*coupl(nGC_355))/(48d0*pi**2d0&
                         )
      coupl(nGC_22409) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) -     &
                         coupl(nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_22408) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(64d0*pi**2d0)
      coupl(nGC_22629) = coupl(nGC_20908)*dydo1_QED1_QCD2 + coupl(nGC_20909)*  &
                         dydo2_QED1_QCD2
      coupl(nGC_22628) = coupl(nGC_20855)*dyd13x3_QED1_QCD2 + coupl(nGC_20856)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22623) = coupl(nGC_21683)*dydo2_QED1_QCD2 + coupl(nGC_21685)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22622) = coupl(nGC_20870)*dyd13x3_QED1_QCD2 + coupl(nGC_20871)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22621) = coupl(nGC_20869)*db_QED2 + coupl(nGC_20870)*          &
                         dyd13x3_QED3 + coupl(nGC_20871)*dyb2_QED3
      coupl(nGC_22620) = coupl(nGC_21294)*dyt1_QED1_QCD2 + coupl(nGC_21295)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_22627) = coupl(nGC_20854)*db_QED2 + coupl(nGC_20855)*          &
                         dyd13x3_QED3 + coupl(nGC_20856)*dyb2_QED3
      coupl(nGC_22626) = coupl(nGC_21517)*dyd12x2_QED3 + coupl(nGC_21518)*     &
                         dys2_QED3 + coupl(nGC_21519)*db_QED2
      coupl(nGC_22625) = coupl(nGC_21517)*dyd12x2_QED1_QCD2 + coupl(nGC_21518)*&
                         dys2_QED1_QCD2
      coupl(nGC_22624) = coupl(nGC_21683)*dydo2_QED3 + coupl(nGC_21684)*db_QED2&
                          + coupl(nGC_21685)*dydo1_QED3
      coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32260) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*    &
                         dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(  &
                         nGC_22717)
      coupl(nGC_32267) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32264) = coupl(nGC_200)*dZZA_QED2/2d0 + coupl(nGC_22592) +     &
                         coupl(nGC_6)*dZA_QED2/2d0
      coupl(nGC_41933) = -coupl(nGC_32811)
      coupl(nGC_53380) = -coupl(nGC_53374)
      coupl(nGC_34709) = coupl(nGC_22527) + coupl(nGC_54)*dZHMinusGMinus_QED2/ &
                         2d0 + coupl(nGC_54)*dZHaG0_QED2/2d0 + coupl(nGC_55)*  &
                         dZG0Ha_QED2/2d0 + coupl(nGC_55)*dZGMinusHMinus_QED2/  &
                         2d0 + coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*&
                         dZHa_QED2/2d0
      coupl(nGC_35498) = coupl(nGC_22543) + coupl(nGC_34)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
