!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_22041) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_373)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(   &
                         nGC_2)*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_2847)*coupl(nGC_374) + coupl(nGC_2)*coupl(nGC_369 &
                         )**2d0 + coupl(nGC_2)*coupl(nGC_371)*coupl(nGC_789) + &
                         coupl(nGC_2)*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22040) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0&
                          + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(  &
                         nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +  &
                         coupl(nGC_2)*coupl(nGC_2847)*coupl(nGC_374) + coupl(  &
                         nGC_2)*coupl(nGC_369)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_371)*coupl(nGC_789) + coupl(nGC_2)*coupl(nGC_372  &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22047) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0* &
                         Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + &
                         2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc&
                         *cMC*coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_337)*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_345)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*  &
                         coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*  &
                         coupl(nGC_363)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_340)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(      &
                         nGC_340)*coupl(nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*  &
                         coupl(nGC_369)*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*  &
                         coupl(nGC_349)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(&
                         nGC_381)*coupl(nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*&
                         coupl(nGC_355)**2d0 + 2d0*cMM*coupl(nGC_357)*coupl(   &
                         nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_379 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + 4d0*&
                         cima*coupl(nGC_174)*coupl(nGC_324) + 4d0*cima*coupl(  &
                         nGC_21)*coupl(nGC_237) + cima*coupl(nGC_229)*coupl(   &
                         nGC_329))/(16d0*pi**2d0)
      coupl(nGC_22046) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc&
                         *cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*  &
                         coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*  &
                         coupl(nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*  &
                         coupl(nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(&
                         nGC_372)*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(      &
                         nGC_348)*coupl(nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*  &
                         coupl(nGC_349)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(&
                         nGC_384)*coupl(nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*&
                         coupl(nGC_355)**2d0 + 2d0*cMM*coupl(nGC_360)*coupl(   &
                         nGC_361)**2d0 + 2d0*cMTA*coupl(nGC_378)*coupl(nGC_379 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_272) + 4d0*&
                         cima*coupl(nGC_180)*coupl(nGC_324) + cima*coupl(      &
                         nGC_229)*coupl(nGC_332) + 4d0*cima*coupl(nGC_23)*coupl&
                         (nGC_237))/(16d0*pi**2d0)
      coupl(nGC_39598) = coupl(nGC_206)*dZsR_QCD2
      coupl(nGC_22699) = coupl(nGC_20994)*dsw_QED2 + coupl(nGC_20995)*dZee_QED2
      coupl(nGC_36909) = -coupl(nGC_33730)
      coupl(nGC_34725) = coupl(nGC_22627) + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_34727) = coupl(nGC_34716) + coupl(nGC_34725)
      coupl(nGC_34726) = -coupl(nGC_34716) - coupl(nGC_34725)
      coupl(nGC_34723) = coupl(nGC_22628) + coupl(nGC_34717)
      coupl(nGC_34722) = -coupl(nGC_22628) - coupl(nGC_34717)
      coupl(nGC_33682) = coupl(nGC_22688) + coupl(nGC_371)*dZHa_QED2/2d0 +     &
                         coupl(nGC_374)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_41668) = coupl(nGC_32987) + coupl(nGC_41665)
      coupl(nGC_42109) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
      coupl(nGC_32828) = coupl(nGC_45)*dZGMinus
      coupl(nGC_32829) = coupl(nGC_22523) + coupl(nGC_33)*dZHhHl_QED2 + coupl( &
                         nGC_34)*dZHMinusGMinus_QED2 + coupl(nGC_45)*dZHl_QED2
      coupl(nGC_41664) = coupl(nGC_207)*dZuR_QCD2
      coupl(nGC_TS_GC_252_Hl) = -coupl(nGC_252)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34182) = coupl(nGC_22544) + coupl(nGC_52)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_52)*dZHh_QED2/2d0 + coupl(nGC_62)*          &
                         dZHaG0_QED2/2d0 + coupl(nGC_63)*dZHlHh_QED2/2d0
      coupl(nGC_38159) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_35900) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_35905) = coupl(nGC_22847) + coupl(nGC_MHA)*dZHa_QED2 + coupl(  &
                         nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
      coupl(nGC_43071) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(    &
                         nGC_TS_GC_236_Hl)
      coupl(nGC_34502) = -coupl(nGC_34497)
      coupl(nGC_33087) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*        &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_22505) + coupl(   &
                         nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*dZHl_QED2/  &
                         2d0
      coupl(nGC_33246) = coupl(nGC_175)*dZHl_QED2/2d0 + coupl(nGC_181)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_181)*dZHhHl_QED2/ &
                         2d0 + coupl(nGC_22559)
      coupl(nGC_37401) = coupl(nGC_224)*dZHh_QED2 + coupl(nGC_224)*dZZ_QED2 +  &
                         coupl(nGC_22723)
      coupl(nGC_34475) = coupl(nGC_381)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_34474) = coupl(nGC_381)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_57927) = -coupl(nGC_22057)
      coupl(nGC_33660) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_32596) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_32597) = coupl(nGC_13)*dZsR_QCD2
      coupl(nGC_32598) = coupl(nGC_13)*dZsL_QED2
      coupl(nGC_32599) = coupl(nGC_13)*dZsL_QCD2
      coupl(nGC_33065) = -coupl(nGC_33064)
      coupl(nGC_37985) = coupl(nGC_22668) + coupl(nGC_37983)
      coupl(nGC_33475) = coupl(nGC_200)*dZWMinus_QED2/2d0 + coupl(nGC_22595)
      coupl(nGC_22458) = (-8d0*Nc*cima*coupl(nGC_1393)*coupl(nGC_206)**2d0*    &
                         coupl(nGC_344) + 10d0*Nc*cima*coupl(nGC_1393)*coupl(  &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_344) - 8d0*Nc*cima* &
                         coupl(nGC_1393)*coupl(nGC_209)**2d0*coupl(nGC_344) -  &
                         8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_2475)*coupl(&
                         nGC_347) - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(     &
                         nGC_365)*coupl(nGC_867) + 10d0*Nc*cima*coupl(nGC_206)*&
                         coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_347) + 10d0* &
                         Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_365)* &
                         coupl(nGC_867) - 8d0*Nc*cima*coupl(nGC_207)**2d0*coupl&
                         (nGC_3209)*coupl(nGC_383) - 8d0*Nc*cima*coupl(nGC_207 &
                         )**2d0*coupl(nGC_335)*coupl(nGC_3383) - 8d0*Nc*cima*  &
                         coupl(nGC_207)**2d0*coupl(nGC_371)*coupl(nGC_789) +   &
                         10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                         nGC_3209)*coupl(nGC_383) + 10d0*Nc*cima*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_3383) + 10d0&
                         *Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_371)*&
                         coupl(nGC_789) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl&
                         (nGC_2475)*coupl(nGC_347) - 8d0*Nc*cima*coupl(nGC_209 &
                         )**2d0*coupl(nGC_365)*coupl(nGC_867) - 8d0*Nc*cima*   &
                         coupl(nGC_210)**2d0*coupl(nGC_3209)*coupl(nGC_383) -  &
                         8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_335)*coupl( &
                         nGC_3383) - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(    &
                         nGC_371)*coupl(nGC_789) + 3d0*cima*coupl(nGC_100)*    &
                         coupl(nGC_195) - 8d0*cima*coupl(nGC_208)**2d0*coupl(  &
                         nGC_2221)*coupl(nGC_359) - 8d0*cima*coupl(nGC_208)**  &
                         2d0*coupl(nGC_2353)*coupl(nGC_377) - 8d0*cima*coupl(  &
                         nGC_208)**2d0*coupl(nGC_3117)*coupl(nGC_353) + 10d0*  &
                         cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2221)*   &
                         coupl(nGC_359) + 10d0*cima*coupl(nGC_208)*coupl(      &
                         nGC_211)*coupl(nGC_2353)*coupl(nGC_377) + 10d0*cima*  &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_3117)*coupl(  &
                         nGC_353) - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_2221&
                         )*coupl(nGC_359) - 8d0*cima*coupl(nGC_211)**2d0*coupl(&
                         nGC_2353)*coupl(nGC_377) - 8d0*cima*coupl(nGC_211)**  &
                         2d0*coupl(nGC_3117)*coupl(nGC_353) + 3d0*coupl(nGC_100&
                         )*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl(     &
                         nGC_2539)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22459) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_336)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_339)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_348)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_366)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_372)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_384)**2d0&
                          + 6d0*cima*coupl(nGC_1691)*coupl(nGC_77) + 3d0*cima* &
                         coupl(nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_378)**2d0 + 6d0*coupl(nGC_1675)*coupl(     &
                         nGC_199)*coupl(nGC_224) + 6d0*coupl(nGC_198)*coupl(   &
                         nGC_2539)*coupl(nGC_77) + 6d0*coupl(nGC_3285)*coupl(  &
                         nGC_4)*coupl(nGC_77))/(48d0*pi**2d0)
      coupl(nGC_32138) = coupl(nGC_22545) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl&
                         (nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +  &
                         coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/&
                         2d0
      coupl(nGC_22454) = 5d0*cima*(Nc*coupl(nGC_1393)**2d0*coupl(nGC_339)*coupl&
                         (nGC_342) + 4d0*Nc*coupl(nGC_1393)*coupl(nGC_339)*    &
                         coupl(nGC_342)*coupl(nGC_344) + Nc*coupl(nGC_2475)**  &
                         2d0*coupl(nGC_345)*coupl(nGC_348) + 4d0*Nc*coupl(     &
                         nGC_2475)*coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_348 &
                         ) + Nc*coupl(nGC_3209)**2d0*coupl(nGC_381)*coupl(     &
                         nGC_384) + 4d0*Nc*coupl(nGC_3209)*coupl(nGC_381)*coupl&
                         (nGC_383)*coupl(nGC_384) + Nc*coupl(nGC_333)*coupl(   &
                         nGC_335)**2d0*coupl(nGC_336) + 4d0*Nc*coupl(nGC_333)* &
                         coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_3383) + Nc*   &
                         coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_3383)**2d0 +  &
                         Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_344)**2d0  &
                          + Nc*coupl(nGC_345)*coupl(nGC_347)**2d0*coupl(nGC_348&
                         ) + Nc*coupl(nGC_363)*coupl(nGC_365)**2d0*coupl(      &
                         nGC_366) + 4d0*Nc*coupl(nGC_363)*coupl(nGC_365)*coupl(&
                         nGC_366)*coupl(nGC_867) + Nc*coupl(nGC_363)*coupl(    &
                         nGC_366)*coupl(nGC_867)**2d0 + Nc*coupl(nGC_369)*coupl&
                         (nGC_371)**2d0*coupl(nGC_372) + 4d0*Nc*coupl(nGC_369)*&
                         coupl(nGC_371)*coupl(nGC_372)*coupl(nGC_789) + Nc*    &
                         coupl(nGC_369)*coupl(nGC_372)*coupl(nGC_789)**2d0 + Nc&
                         *coupl(nGC_381)*coupl(nGC_383)**2d0*coupl(nGC_384) +  &
                         coupl(nGC_2221)**2d0*coupl(nGC_357)*coupl(nGC_360) +  &
                         4d0*coupl(nGC_2221)*coupl(nGC_357)*coupl(nGC_359)*    &
                         coupl(nGC_360) + coupl(nGC_2353)**2d0*coupl(nGC_375)* &
                         coupl(nGC_378) + 4d0*coupl(nGC_2353)*coupl(nGC_375)*  &
                         coupl(nGC_377)*coupl(nGC_378) + coupl(nGC_3117)**2d0* &
                         coupl(nGC_351)*coupl(nGC_354) + 4d0*coupl(nGC_3117)*  &
                         coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_354) + coupl( &
                         nGC_351)*coupl(nGC_353)**2d0*coupl(nGC_354) + coupl(  &
                         nGC_357)*coupl(nGC_359)**2d0*coupl(nGC_360) + coupl(  &
                         nGC_375)*coupl(nGC_377)**2d0*coupl(nGC_378))/(24d0*pi &
                         **2d0)
      coupl(nGC_22455) = cima*(10d0*Nc*coupl(nGC_1393)**2d0*coupl(nGC_342)**2d0&
                          + 40d0*Nc*coupl(nGC_1393)*coupl(nGC_342)**2d0*coupl( &
                         nGC_344) + 10d0*Nc*coupl(nGC_2475)**2d0*coupl(nGC_345 &
                         )**2d0 + 40d0*Nc*coupl(nGC_2475)*coupl(nGC_345)**2d0* &
                         coupl(nGC_347) + 10d0*Nc*coupl(nGC_3209)**2d0*coupl(  &
                         nGC_381)**2d0 + 40d0*Nc*coupl(nGC_3209)*coupl(nGC_381 &
                         )**2d0*coupl(nGC_383) + 10d0*Nc*coupl(nGC_333)**2d0*  &
                         coupl(nGC_335)**2d0 + 40d0*Nc*coupl(nGC_333)**2d0*    &
                         coupl(nGC_335)*coupl(nGC_3383) + 10d0*Nc*coupl(nGC_333&
                         )**2d0*coupl(nGC_3383)**2d0 + 10d0*Nc*coupl(nGC_342)**&
                         2d0*coupl(nGC_344)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*&
                         coupl(nGC_347)**2d0 + 10d0*Nc*coupl(nGC_363)**2d0*    &
                         coupl(nGC_365)**2d0 + 40d0*Nc*coupl(nGC_363)**2d0*    &
                         coupl(nGC_365)*coupl(nGC_867) + 10d0*Nc*coupl(nGC_363 &
                         )**2d0*coupl(nGC_867)**2d0 + 10d0*Nc*coupl(nGC_369)** &
                         2d0*coupl(nGC_371)**2d0 + 40d0*Nc*coupl(nGC_369)**2d0*&
                         coupl(nGC_371)*coupl(nGC_789) + 10d0*Nc*coupl(nGC_369 &
                         )**2d0*coupl(nGC_789)**2d0 + 10d0*Nc*coupl(nGC_381)** &
                         2d0*coupl(nGC_383)**2d0 + 6d0*coupl(nGC_100)*coupl(   &
                         nGC_77) + 10d0*coupl(nGC_2221)**2d0*coupl(nGC_357)**  &
                         2d0 + 40d0*coupl(nGC_2221)*coupl(nGC_357)**2d0*coupl( &
                         nGC_359) + 3d0*coupl(nGC_224)*coupl(nGC_230) + 10d0*  &
                         coupl(nGC_2353)**2d0*coupl(nGC_375)**2d0 + 40d0*coupl(&
                         nGC_2353)*coupl(nGC_375)**2d0*coupl(nGC_377) + 10d0*  &
                         coupl(nGC_3117)**2d0*coupl(nGC_351)**2d0 + 40d0*coupl(&
                         nGC_3117)*coupl(nGC_351)**2d0*coupl(nGC_353) + 10d0*  &
                         coupl(nGC_351)**2d0*coupl(nGC_353)**2d0 + 10d0*coupl( &
                         nGC_357)**2d0*coupl(nGC_359)**2d0 + 10d0*coupl(nGC_375&
                         )**2d0*coupl(nGC_377)**2d0)/(48d0*pi**2d0)
      coupl(nGC_32134) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_22457) = 5d0*cima*(Nc*coupl(nGC_1393)*coupl(nGC_339)**3d0 + Nc*&
                         coupl(nGC_2475)*coupl(nGC_348)**3d0 + Nc*coupl(       &
                         nGC_3209)*coupl(nGC_384)**3d0 + Nc*coupl(nGC_335)*    &
                         coupl(nGC_336)**3d0 + Nc*coupl(nGC_336)**3d0*coupl(   &
                         nGC_3383) + Nc*coupl(nGC_339)**3d0*coupl(nGC_344) + Nc&
                         *coupl(nGC_347)*coupl(nGC_348)**3d0 + Nc*coupl(nGC_365&
                         )*coupl(nGC_366)**3d0 + Nc*coupl(nGC_366)**3d0*coupl( &
                         nGC_867) + Nc*coupl(nGC_371)*coupl(nGC_372)**3d0 + Nc*&
                         coupl(nGC_372)**3d0*coupl(nGC_789) + Nc*coupl(nGC_383 &
                         )*coupl(nGC_384)**3d0 + coupl(nGC_2221)*coupl(nGC_360 &
                         )**3d0 + coupl(nGC_2353)*coupl(nGC_378)**3d0 + coupl( &
                         nGC_3117)*coupl(nGC_354)**3d0 + coupl(nGC_353)*coupl( &
                         nGC_354)**3d0 + coupl(nGC_359)*coupl(nGC_360)**3d0 +  &
                         coupl(nGC_377)*coupl(nGC_378)**3d0)/(8d0*pi**2d0)
      coupl(nGC_22450) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_370) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_342)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_364) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_351)*coupl(nGC_352) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_352  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_2539)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_2539))/(48d0*pi&
                         **2d0)
      coupl(nGC_22451) = cima*(20d0*Nc*coupl(nGC_1393)**2d0*coupl(nGC_344)**2d0&
                          + 20d0*Nc*coupl(nGC_2475)**2d0*coupl(nGC_347)**2d0 + &
                         20d0*Nc*coupl(nGC_3209)**2d0*coupl(nGC_383)**2d0 +    &
                         20d0*Nc*coupl(nGC_335)**2d0*coupl(nGC_3383)**2d0 +    &
                         20d0*Nc*coupl(nGC_365)**2d0*coupl(nGC_867)**2d0 + 20d0&
                         *Nc*coupl(nGC_371)**2d0*coupl(nGC_789)**2d0 + 6d0*    &
                         coupl(nGC_100)**2d0 + 20d0*coupl(nGC_2221)**2d0*coupl(&
                         nGC_359)**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl( &
                         nGC_2353)**2d0*coupl(nGC_377)**2d0 + 20d0*coupl(      &
                         nGC_3117)**2d0*coupl(nGC_353)**2d0)/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
