!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_33898) = coupl(nGC_22679) + coupl(nGC_33897)
      coupl(nGC_34310) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_34311) = coupl(nGC_32239) + coupl(nGC_34310)
      coupl(nGC_32587) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 +    &
                         coupl(nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_22555) + &
                         coupl(nGC_31)*dZZA_QED2/2d0
      coupl(nGC_32581) = coupl(nGC_22579) + coupl(nGC_243)*dZHMinus_QED2 +     &
                         coupl(nGC_243)*dZHl_QED2/2d0 + coupl(nGC_251)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_252)*dZGMinusHMinus_QED2  &
                          + coupl(nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_40_Hl)
      coupl(nGC_22371) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(     &
                         nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)* &
                         coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(    &
                         nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367  &
                         ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(  &
                         nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0* &
                         coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*&
                         coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*&
                         coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(    &
                         nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc* &
                         coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl(&
                         nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)* &
                         coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(    &
                         nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385  &
                         ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(  &
                         nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(&
                         nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)* &
                         coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(    &
                         nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*    &
                         coupl(nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0&
                         *coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 +  &
                         5d0*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 &
                          + 5d0*coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)** &
                         2d0)/(24d0*pi**2d0)
      coupl(nGC_37217) = coupl(nGC_199)*dZWMinus_QED2 + coupl(nGC_199)*dZZ_QED2&
                         /2d0 + coupl(nGC_22709) + coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_32639) = coupl(nGC_22554) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_32636) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 +    &
                         coupl(nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_22556) + &
                         coupl(nGC_30)*dZZA_QED2/2d0
      coupl(nGC_33461) = coupl(nGC_22583) + coupl(nGC_247)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_258)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_53_Hh&
                         ) + coupl(nGC_TS_GC_62_Hl)
      coupl(nGC_22449) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(   &
                         nGC_372) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364)*    &
                         coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(   &
                         nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_366) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*    &
                         coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima*    &
                         coupl(nGC_175)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_352)*coupl(nGC_354) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_354  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*   &
                         coupl(nGC_175)*coupl(nGC_2539)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_22)*coupl(nGC_2539))/(48d0*pi&
                         **2d0)
      coupl(nGC_22448) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_370) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_342)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_364) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_382) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_351)*coupl(nGC_352) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_358) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_352) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_352  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_32129) = coupl(nGC_22856) + coupl(nGC_TS_GC_369_Hl) + coupl(   &
                         nGC_TS_GC_372_Hh)
      coupl(nGC_32128) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_22445) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)**2d0&
                          - coupl(nGC_343)**2d0 - coupl(nGC_346)**2d0 - coupl( &
                         nGC_364)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_382)**&
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22442) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(   &
                         nGC_372) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364)*    &
                         coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382)*coupl(   &
                         nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_343  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_366) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370)*    &
                         coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_382)*coupl(nGC_384) + 6d0*cima*    &
                         coupl(nGC_175)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_352)*coupl(nGC_354) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_360) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_354) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_354  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*   &
                         coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_22441) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_343)*coupl(nGC_344) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_347) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*    &
                         coupl(nGC_365) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_3209)*coupl(nGC_382) + 5d0*Nc*cima*&
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334)*coupl(   &
                         nGC_3383) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*&
                         coupl(nGC_370)*coupl(nGC_789) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_3209)*coupl(nGC_382 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_334)*coupl(nGC_3383) - 4d0*Nc*cima*coupl(nGC_197)*&
                         coupl(nGC_209)*coupl(nGC_343)*coupl(nGC_344) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346)*    &
                         coupl(nGC_347) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370)*coupl(   &
                         nGC_789) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_3209)*coupl(nGC_382) - 4d0*Nc*cima*coupl(   &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl(nGC_3383 &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_343)*coupl(nGC_344) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364)*    &
                         coupl(nGC_365) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_370)*coupl(nGC_789) + 6d0*cima*    &
                         coupl(nGC_186)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_352)*coupl(nGC_353) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*coupl(   &
                         nGC_359) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_353) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*    &
                         coupl(nGC_359) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_353  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_358)*coupl(nGC_359) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_377) + 6d0*   &
                         coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_22440) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(   &
                         nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(     &
                         nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(     &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*&
                         cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                          + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(   &
                         nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(     &
                         nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(   &
                         nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0&
                         *coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*  &
                         coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(  &
                         nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208 &
                         )*coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(&
                         nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima&
                         *coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*  &
                         coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*   &
                         coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(  &
                         nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*    &
                         coupl(nGC_2539)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22289) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(    &
                         nGC_1121)*coupl(nGC_341) + coupl(nGC_1393)*coupl(     &
                         nGC_344) + 4d0*coupl(nGC_206)**2d0 + coupl(nGC_339)** &
                         2d0 + coupl(nGC_340)**2d0 + coupl(nGC_342)**2d0 +     &
                         coupl(nGC_343)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22288) = -coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(     &
                         nGC_8013) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_22284) = (coupl(nGC_1855)*coupl(nGC_208)*coupl(nGC_380) - 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_2353 &
                         )*coupl(nGC_377) + coupl(nGC_208)*coupl(nGC_375)**2d0 &
                          + coupl(nGC_208)*coupl(nGC_378)**2d0 + 4d0*coupl(    &
                         nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22287) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(    &
                         nGC_1121)*coupl(nGC_341) + coupl(nGC_1393)*coupl(     &
                         nGC_344) + 4d0*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_209&
                         )**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_342)**2d0 +  &
                         coupl(nGC_370)**2d0 + coupl(nGC_373)**2d0)/(64d0*pi** &
                         2d0*Nc)
      coupl(nGC_22281) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0* &
                         coupl(nGC_210) + coupl(nGC_206)*coupl(nGC_340)**2d0 + &
                         coupl(nGC_206)*coupl(nGC_343)**2d0 + coupl(nGC_207)*  &
                         coupl(nGC_2847)*coupl(nGC_374) + coupl(nGC_207)*coupl(&
                         nGC_369)**2d0 + coupl(nGC_207)*coupl(nGC_371)*coupl(  &
                         nGC_789) + coupl(nGC_207)*coupl(nGC_372)**2d0 + 4d0*  &
                         coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22280) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + 4d0*coupl(    &
                         nGC_206)**3d0 + coupl(nGC_209)*coupl(nGC_363)**2d0 +  &
                         coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_867) + coupl( &
                         nGC_209)*coupl(nGC_366)**2d0 + coupl(nGC_209)*coupl(  &
                         nGC_368)*coupl(nGC_4199) + coupl(nGC_210)*coupl(      &
                         nGC_364)**2d0 + coupl(nGC_210)*coupl(nGC_367)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22283) = (coupl(nGC_1855)*coupl(nGC_211)*coupl(nGC_380) + 4d0* &
                         coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4  &
                         )**2d0 + coupl(nGC_211)*coupl(nGC_2353)*coupl(nGC_377 &
                         ) + coupl(nGC_211)*coupl(nGC_375)**2d0 + coupl(nGC_211&
                         )*coupl(nGC_378)**2d0 + coupl(nGC_212)*coupl(nGC_376  &
                         )**2d0 + coupl(nGC_212)*coupl(nGC_379)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_22282) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(    &
                         nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 +  &
                         coupl(nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*  &
                         coupl(nGC_2847)*coupl(nGC_374) + coupl(nGC_210)*coupl(&
                         nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_371)*coupl(  &
                         nGC_789) + coupl(nGC_210)*coupl(nGC_372)**2d0)/(32d0* &
                         pi**2d0)
      coupl(nGC_22666) = coupl(nGC_21495)*dyup1_QED1_QCD2 + coupl(nGC_21496)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22665) = coupl(nGC_21494)*db_QED2 + coupl(nGC_21495)*dyup1_QED3&
                          + coupl(nGC_21496)*dyup2_QED3
      coupl(nGC_22664) = coupl(nGC_21214)*db_QED2 + coupl(nGC_21215)*          &
                         dytau1_QED3 + coupl(nGC_21216)*dytau2_QED3
      coupl(nGC_22663) = coupl(nGC_21016)*db_QED2 + coupl(nGC_21017)*dym1_QED3 &
                          + coupl(nGC_21018)*dym2_QED3
      coupl(nGC_22662) = coupl(nGC_20974)*db_QED2 + coupl(nGC_20975)*dye2_QED3 &
                          + coupl(nGC_20976)*dye1_QED3
      coupl(nGC_22660) = coupl(nGC_21528)*dym1_QED3 + coupl(nGC_21529)*        &
                         dym2_QED3 + coupl(nGC_21530)*da_QED2
      coupl(nGC_22669) = coupl(nGC_571)*dyt2_QED1_QCD2 + coupl(nGC_575)*       &
                         dyt1_QED1_QCD2
      coupl(nGC_33998) = coupl(nGC_22683) + coupl(nGC_383)*dZHa_QED2/2d0 +     &
                         coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_22061) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl( &
                         nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340&
                         )*coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl&
                         (nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(      &
                         nGC_344)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22060) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22063) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl( &
                         nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335&
                         )*coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl&
                         (nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(      &
                         nGC_367)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22062) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22065) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_367) - coupl(&
                         nGC_1271)*coupl(nGC_337)*coupl(nGC_4199) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_367) - coupl(nGC_333&
                         )*coupl(nGC_337)*coupl(nGC_363) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_366) - coupl(nGC_337)*coupl(      &
                         nGC_3383)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_22064) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_45271) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 +  &
                         coupl(nGC_22700)
      coupl(nGC_22066) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22069) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl( &
                         nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347&
                         )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl&
                         (nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(      &
                         nGC_350)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22068) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22719) = coupl(nGC_20689)*dvev2_QED1 + coupl(nGC_20690)*       &
                         dcw_QED2 + coupl(nGC_20691)*db_QED2 + coupl(nGC_20692 &
                         )*dvev1_QED1 + coupl(nGC_20693)*dZee_QED2
      coupl(nGC_22718) = coupl(nGC_20800)*dvev2_QED1 + coupl(nGC_20801)*       &
                         dcw_QED2 + coupl(nGC_20802)*db_QED2 + coupl(nGC_20803 &
                         )*dvev1_QED1 + coupl(nGC_20804)*dZee_QED2
      coupl(nGC_22713) = coupl(nGC_21820)*dcw_QED2 + coupl(nGC_21821)*db_QED2  &
                          + coupl(nGC_21822)*dsw_QED2 + coupl(nGC_21823)*      &
                         dZee_QED2 + coupl(nGC_21824)*da_QED2
      coupl(nGC_22712) = coupl(nGC_21091)*dcw_QED2 + coupl(nGC_21092)*db_QED2  &
                          + coupl(nGC_21093)*dsw_QED2 + coupl(nGC_21094)*      &
                         dZee_QED2 + coupl(nGC_21095)*da_QED2
      coupl(nGC_22711) = coupl(nGC_20999)*dsw_QED2 + coupl(nGC_21000)*dcw_QED2 &
                          + coupl(nGC_21001)*dZee_QED2
      coupl(nGC_22710) = coupl(nGC_21674)*dsw_QED2 + coupl(nGC_21675)*dZee_QED2
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
