!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl25()
      coupl(nGC_22460) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(    &
                         nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc*&
                         coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 +   &
                         20d0*Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0 &
                          + 20d0*coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0&
                          + 20d0*coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_22462) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0 &
                          + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +  &
                         20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0&
                         *Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*&
                         coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*    &
                         coupl(nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(      &
                         nGC_224)**2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354&
                         )**2d0 + 20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 &
                          + 20d0*coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*&
                         coupl(nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22469) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_339)*coupl&
                         (nGC_342) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_345)*&
                         coupl(nGC_348) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(    &
                         nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_209)*coupl(nGC_339)*coupl(nGC_342) + 5d0*Nc*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348  &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_363&
                         )*coupl(nGC_366) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(  &
                         nGC_333)*coupl(nGC_336) - 4d0*Nc*coupl(nGC_207)**2d0* &
                         coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*coupl(nGC_207  &
                         )**2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(  &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336  &
                         ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_369&
                         )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_210&
                         )*coupl(nGC_381)*coupl(nGC_384) - 4d0*Nc*coupl(nGC_209&
                         )**2d0*coupl(nGC_339)*coupl(nGC_342) - 4d0*Nc*coupl(  &
                         nGC_209)**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc* &
                         coupl(nGC_209)**2d0*coupl(nGC_363)*coupl(nGC_366) -   &
                         4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_333)*coupl(      &
                         nGC_336) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_369)* &
                         coupl(nGC_372) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(    &
                         nGC_381)*coupl(nGC_384) - 4d0*coupl(nGC_208)**2d0*    &
                         coupl(nGC_351)*coupl(nGC_354) - 4d0*coupl(nGC_208)**  &
                         2d0*coupl(nGC_357)*coupl(nGC_360) - 4d0*coupl(nGC_208 &
                         )**2d0*coupl(nGC_375)*coupl(nGC_378) + 5d0*coupl(     &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_354  &
                         ) + 5d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_357)* &
                         coupl(nGC_360) + 5d0*coupl(nGC_208)*coupl(nGC_211)*   &
                         coupl(nGC_375)*coupl(nGC_378) - 4d0*coupl(nGC_211)**  &
                         2d0*coupl(nGC_351)*coupl(nGC_354) - 4d0*coupl(nGC_211 &
                         )**2d0*coupl(nGC_357)*coupl(nGC_360) - 4d0*coupl(     &
                         nGC_211)**2d0*coupl(nGC_375)*coupl(nGC_378))/(12d0*pi &
                         **2d0)
      coupl(nGC_22468) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(    &
                         nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc*&
                         coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +   &
                         20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0 &
                          + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0&
                          + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0  &
                         )/(16d0*pi**2d0)
      coupl(nGC_22263) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22262) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + coupl(nGC_1121&
                         )*coupl(nGC_206)*coupl(nGC_341) + coupl(nGC_1393)*    &
                         coupl(nGC_206)*coupl(nGC_344) + 4d0*coupl(nGC_197)**  &
                         2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2539) + coupl(nGC_206)*coupl(nGC_339)**2d0 + coupl&
                         (nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_207)*coupl( &
                         nGC_370)**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22261) = coupl(nGC_197)*(coupl(nGC_1675)*coupl(nGC_212) + coupl&
                         (nGC_198)*coupl(nGC_211) + 2d0*coupl(nGC_211)*coupl(  &
                         nGC_212) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22260) = coupl(nGC_197)*(-coupl(nGC_1263)*coupl(nGC_4) - coupl(&
                         nGC_1675)*coupl(nGC_211) - coupl(nGC_198)*coupl(      &
                         nGC_212) + 2d0*coupl(nGC_211)*coupl(nGC_212))/(16d0*pi&
                         **2d0)
      coupl(nGC_22266) = (coupl(nGC_1271)*coupl(nGC_207)*coupl(nGC_338) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                         nGC_210) + coupl(nGC_206)*coupl(nGC_364)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_367)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_333)**2d0 + coupl(nGC_207)*coupl(nGC_335)*coupl(  &
                         nGC_3383) + coupl(nGC_207)*coupl(nGC_336)**2d0 + 4d0* &
                         coupl(nGC_210)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22264) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + coupl(nGC_1121&
                         )*coupl(nGC_209)*coupl(nGC_341) + coupl(nGC_1393)*    &
                         coupl(nGC_209)*coupl(nGC_344) + 4d0*coupl(nGC_206)**  &
                         3d0 + coupl(nGC_209)*coupl(nGC_339)**2d0 + coupl(     &
                         nGC_209)*coupl(nGC_342)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_340)**2d0 + coupl(nGC_210)*coupl(nGC_343)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_60289) = -coupl(nGC_22080)
      coupl(nGC_22268) = (coupl(nGC_1271)*coupl(nGC_210)*coupl(nGC_338) + 4d0* &
                         coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207  &
                         )**3d0 + coupl(nGC_209)*coupl(nGC_334)**2d0 + coupl(  &
                         nGC_209)*coupl(nGC_337)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_333)**2d0 + coupl(nGC_210)*coupl(nGC_335)*coupl(  &
                         nGC_3383) + coupl(nGC_210)*coupl(nGC_336)**2d0)/(32d0*&
                         pi**2d0)
      coupl(nGC_22456) = 5d0*cima*(Nc*coupl(nGC_1393)*coupl(nGC_342)**3d0 + Nc*&
                         coupl(nGC_2475)*coupl(nGC_345)**3d0 + Nc*coupl(       &
                         nGC_3209)*coupl(nGC_381)**3d0 + Nc*coupl(nGC_333)**3d0&
                         *coupl(nGC_335) + Nc*coupl(nGC_333)**3d0*coupl(       &
                         nGC_3383) + Nc*coupl(nGC_342)**3d0*coupl(nGC_344) + Nc&
                         *coupl(nGC_345)**3d0*coupl(nGC_347) + Nc*coupl(nGC_363&
                         )**3d0*coupl(nGC_365) + Nc*coupl(nGC_363)**3d0*coupl( &
                         nGC_867) + Nc*coupl(nGC_369)**3d0*coupl(nGC_371) + Nc*&
                         coupl(nGC_369)**3d0*coupl(nGC_789) + Nc*coupl(nGC_381 &
                         )**3d0*coupl(nGC_383) + coupl(nGC_2221)*coupl(nGC_357 &
                         )**3d0 + coupl(nGC_2353)*coupl(nGC_375)**3d0 + coupl( &
                         nGC_3117)*coupl(nGC_351)**3d0 + coupl(nGC_351)**3d0*  &
                         coupl(nGC_353) + coupl(nGC_357)**3d0*coupl(nGC_359) + &
                         coupl(nGC_375)**3d0*coupl(nGC_377))/(8d0*pi**2d0)
      coupl(nGC_22483) = (18d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(   &
                         nGC_1263)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(    &
                         nGC_1263)*coupl(nGC_1675)*coupl(nGC_199)*coupl(nGC_3  &
                         ) - 8d0*cima*coupl(nGC_1263)*coupl(nGC_199)*coupl(    &
                         nGC_2539)*coupl(nGC_4) - 8d0*cima*coupl(nGC_1263)*    &
                         coupl(nGC_3)*coupl(nGC_3285)*coupl(nGC_4) - 4d0*cima* &
                         coupl(nGC_1675)**2d0*coupl(nGC_199)**2d0 - 8d0*cima*  &
                         coupl(nGC_1675)*coupl(nGC_198)*coupl(nGC_199)*coupl(  &
                         nGC_2539) - 8d0*cima*coupl(nGC_1675)*coupl(nGC_198)*  &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*cima*coupl(nGC_1691&
                         )**2d0 + 3d0*cima*coupl(nGC_195)**2d0 + 18d0*cima*    &
                         coupl(nGC_197)**4d0 - 4d0*cima*coupl(nGC_198)**2d0*   &
                         coupl(nGC_2539)**2d0 - 8d0*cima*coupl(nGC_198)*coupl( &
                         nGC_2539)*coupl(nGC_3285)*coupl(nGC_4) + 6d0*cima*    &
                         coupl(nGC_205)**2d0 - 4d0*cima*coupl(nGC_3285)**2d0*  &
                         coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 6d0* &
                         coupl(nGC_1263)*coupl(nGC_1691)*coupl(nGC_3) + 6d0*   &
                         coupl(nGC_1263)*coupl(nGC_199)*coupl(nGC_205) + 6d0*  &
                         coupl(nGC_1263)*coupl(nGC_3)*coupl(nGC_9) + 6d0*coupl(&
                         nGC_1675)*coupl(nGC_1691)*coupl(nGC_199) + 6d0*coupl( &
                         nGC_1675)*coupl(nGC_195)*coupl(nGC_199) + 6d0*coupl(  &
                         nGC_1675)*coupl(nGC_205)*coupl(nGC_3) + 6d0*coupl(    &
                         nGC_1691)*coupl(nGC_198)*coupl(nGC_2539) + 6d0*coupl( &
                         nGC_1691)*coupl(nGC_3285)*coupl(nGC_4) + 6d0*coupl(   &
                         nGC_195)*coupl(nGC_198)*coupl(nGC_2539) + 6d0*coupl(  &
                         nGC_198)*coupl(nGC_205)*coupl(nGC_3285) + 6d0*coupl(  &
                         nGC_205)*coupl(nGC_2539)*coupl(nGC_4) + 6d0*coupl(    &
                         nGC_3285)*coupl(nGC_4)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_22482) = (-30d0*Nc*cima*coupl(nGC_197)**4d0 - 4d0*cima*coupl(  &
                         nGC_1263)**2d0*coupl(nGC_3)**2d0 - 8d0*cima*coupl(    &
                         nGC_1263)*coupl(nGC_1675)*coupl(nGC_199)*coupl(nGC_3  &
                         ) - 8d0*cima*coupl(nGC_1263)*coupl(nGC_199)*coupl(    &
                         nGC_2539)*coupl(nGC_4) - 8d0*cima*coupl(nGC_1263)*    &
                         coupl(nGC_3)*coupl(nGC_3285)*coupl(nGC_4) - 4d0*cima* &
                         coupl(nGC_1675)**2d0*coupl(nGC_199)**2d0 - 8d0*cima*  &
                         coupl(nGC_1675)*coupl(nGC_198)*coupl(nGC_199)*coupl(  &
                         nGC_2539) - 8d0*cima*coupl(nGC_1675)*coupl(nGC_198)*  &
                         coupl(nGC_3)*coupl(nGC_3285) + 3d0*cima*coupl(nGC_192 &
                         )**2d0 - 30d0*cima*coupl(nGC_197)**4d0 - 4d0*cima*    &
                         coupl(nGC_198)**2d0*coupl(nGC_2539)**2d0 - 8d0*cima*  &
                         coupl(nGC_198)*coupl(nGC_2539)*coupl(nGC_3285)*coupl( &
                         nGC_4) - 4d0*cima*coupl(nGC_3285)**2d0*coupl(nGC_4)** &
                         2d0 + 6d0*coupl(nGC_1263)*coupl(nGC_192)*coupl(nGC_4  &
                         ) + 6d0*coupl(nGC_1675)*coupl(nGC_192)*coupl(nGC_198  &
                         ) + 6d0*coupl(nGC_192)*coupl(nGC_199)*coupl(nGC_2539  &
                         ) + 6d0*coupl(nGC_192)*coupl(nGC_3)*coupl(nGC_3285))/(&
                         48d0*pi**2d0)
      coupl(nGC_22481) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)**2d0 &
                          + coupl(nGC_342)**2d0 + coupl(nGC_345)**2d0 + coupl( &
                         nGC_363)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_381)**&
                         2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22480) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)**2d0&
                          - coupl(nGC_342)**2d0 - coupl(nGC_345)**2d0 - coupl( &
                         nGC_363)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_381)**&
                         2d0)/(16d0*pi**2d0)
      coupl(nGC_22484) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207  &
                         )**4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl( &
                         nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*  &
                         coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima*&
                         coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0* &
                         cima*coupl(nGC_2539)**4d0 + 2d0*coupl(nGC_195)*coupl( &
                         nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_2539)**  &
                         2d0)/(8d0*pi**2d0)
      coupl(nGC_22452) = cima*(10d0*Nc*coupl(nGC_1393)**2d0*coupl(nGC_339)**2d0&
                          + 40d0*Nc*coupl(nGC_1393)*coupl(nGC_339)**2d0*coupl( &
                         nGC_344) + 10d0*Nc*coupl(nGC_2475)**2d0*coupl(nGC_348 &
                         )**2d0 + 40d0*Nc*coupl(nGC_2475)*coupl(nGC_347)*coupl(&
                         nGC_348)**2d0 + 10d0*Nc*coupl(nGC_3209)**2d0*coupl(   &
                         nGC_384)**2d0 + 40d0*Nc*coupl(nGC_3209)*coupl(nGC_383 &
                         )*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(nGC_335)**2d0*  &
                         coupl(nGC_336)**2d0 + 40d0*Nc*coupl(nGC_335)*coupl(   &
                         nGC_336)**2d0*coupl(nGC_3383) + 10d0*Nc*coupl(nGC_336 &
                         )**2d0*coupl(nGC_3383)**2d0 + 10d0*Nc*coupl(nGC_339)**&
                         2d0*coupl(nGC_344)**2d0 + 10d0*Nc*coupl(nGC_347)**2d0*&
                         coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_365)**2d0*    &
                         coupl(nGC_366)**2d0 + 40d0*Nc*coupl(nGC_365)*coupl(   &
                         nGC_366)**2d0*coupl(nGC_867) + 10d0*Nc*coupl(nGC_366  &
                         )**2d0*coupl(nGC_867)**2d0 + 10d0*Nc*coupl(nGC_371)** &
                         2d0*coupl(nGC_372)**2d0 + 40d0*Nc*coupl(nGC_371)*coupl&
                         (nGC_372)**2d0*coupl(nGC_789) + 10d0*Nc*coupl(nGC_372 &
                         )**2d0*coupl(nGC_789)**2d0 + 10d0*Nc*coupl(nGC_383)** &
                         2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100)*coupl(   &
                         nGC_77) + 10d0*coupl(nGC_2221)**2d0*coupl(nGC_360)**  &
                         2d0 + 40d0*coupl(nGC_2221)*coupl(nGC_359)*coupl(      &
                         nGC_360)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_230) +   &
                         10d0*coupl(nGC_2353)**2d0*coupl(nGC_378)**2d0 + 40d0* &
                         coupl(nGC_2353)*coupl(nGC_377)*coupl(nGC_378)**2d0 +  &
                         10d0*coupl(nGC_3117)**2d0*coupl(nGC_354)**2d0 + 40d0* &
                         coupl(nGC_3117)*coupl(nGC_353)*coupl(nGC_354)**2d0 +  &
                         10d0*coupl(nGC_353)**2d0*coupl(nGC_354)**2d0 + 10d0*  &
                         coupl(nGC_359)**2d0*coupl(nGC_360)**2d0 + 10d0*coupl( &
                         nGC_377)**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22453) = (-8d0*Nc*cima*coupl(nGC_1393)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_344) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_2475)*coupl(nGC_347) - 8d0*Nc*cima*coupl(nGC_197 &
                         )**2d0*coupl(nGC_3209)*coupl(nGC_383) - 8d0*Nc*cima*  &
                         coupl(nGC_197)**2d0*coupl(nGC_335)*coupl(nGC_3383) -  &
                         8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_365)*coupl( &
                         nGC_867) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(     &
                         nGC_371)*coupl(nGC_789) + 6d0*cima*coupl(nGC_100)*    &
                         coupl(nGC_1691) + 3d0*cima*coupl(nGC_195)*coupl(      &
                         nGC_230) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_2221&
                         )*coupl(nGC_359) - 8d0*cima*coupl(nGC_197)**2d0*coupl(&
                         nGC_2353)*coupl(nGC_377) - 8d0*cima*coupl(nGC_197)**  &
                         2d0*coupl(nGC_3117)*coupl(nGC_353) + 6d0*coupl(nGC_100&
                         )*coupl(nGC_198)*coupl(nGC_2539) + 6d0*coupl(nGC_100)*&
                         coupl(nGC_3285)*coupl(nGC_4) + 6d0*coupl(nGC_1675)*   &
                         coupl(nGC_199)*coupl(nGC_230))/(48d0*pi**2d0)
      coupl(nGC_33848) = coupl(nGC_201)*dZWMinus_QED2/2d0 + coupl(nGC_22594)
      coupl(nGC_22007) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(    &
                         nGC_4)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22005) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_22003) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_22001) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                         )**2d0)/(8d0*pi**2d0)
      coupl(nGC_22008) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_22732) = coupl(nGC_21612)*dsw_QED2 + coupl(nGC_21613)*dcw_QED2 &
                          + coupl(nGC_21614)*dZee_QED2
      coupl(nGC_22735) = coupl(nGC_21438)*dsw_QED2 + coupl(nGC_21439)*dcw_QED2 &
                          + coupl(nGC_21440)*dZee_QED2
      coupl(nGC_22734) = coupl(nGC_20787)*dsw_QED2 + coupl(nGC_20788)*dcw_QED2 &
                          + coupl(nGC_20789)*dZee_QED2
      coupl(nGC_22737) = coupl(nGC_21850)*dsw_QED2 + coupl(nGC_21851)*dcw_QED2 &
                          + coupl(nGC_21852)*dZee_QED2
      coupl(nGC_22736) = coupl(nGC_21505)*dsw_QED2 + coupl(nGC_21506)*dcw_QED2 &
                          + coupl(nGC_21507)*dZee_QED2
      coupl(nGC_22738) = coupl(nGC_21217)*dsw_QED2 + coupl(nGC_21218)*dcw_QED2 &
                          + coupl(nGC_21219)*dZee_QED2
      coupl(nGC_32317) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_32313) = coupl(nGC_22553) + coupl(nGC_99)*dZHMinus_QED2
      coupl(nGC_35470) = coupl(nGC_22541) + coupl(nGC_53)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/&
                         2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*  &
                         dZHhHl_QED2/2d0
      coupl(nGC_22139) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) - coupl(&
                         nGC_1271)*coupl(nGC_334)*coupl(nGC_4199) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(nGC_333&
                         )*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334)*coupl&
                         (nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(      &
                         nGC_3383)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22648) = coupl(nGC_21019)*db_QED2 + coupl(nGC_21020)*dym1_QED3 &
                          + coupl(nGC_21021)*dym2_QED3
      coupl(nGC_22133) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) - coupl(&
                         nGC_1121)*coupl(nGC_2847)*coupl(nGC_370) - coupl(     &
                         nGC_1393)*coupl(nGC_370)*coupl(nGC_789) + 8d0*coupl(  &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(nGC_339&
                         )*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22644) = coupl(nGC_21051)*dyd12x2_QED3 + coupl(nGC_21052)*     &
                         dys2_QED3 + coupl(nGC_21053)*db_QED2
      coupl(nGC_22647) = coupl(nGC_20988)*db_QED2 + coupl(nGC_20989)*dye2_QED3 &
                          + coupl(nGC_20990)*dye1_QED3
      coupl(nGC_22646) = coupl(nGC_21144)*dyd13x3_QED1_QCD2 + coupl(nGC_21145)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22137) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl( &
                         nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335&
                         )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl&
                         (nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(      &
                         nGC_364)*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_22640) = coupl(nGC_20866)*dyd13x3_QED3 + coupl(nGC_20867)*     &
                         da_QED2 + coupl(nGC_20868)*dyb2_QED3
      coupl(nGC_22135) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl( &
                         nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341&
                         )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(      &
                         nGC_344)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22642) = coupl(nGC_21752)*dydo2_QED3 + coupl(nGC_21753)*db_QED2&
                          + coupl(nGC_21754)*dydo1_QED3
      coupl(nGC_34657) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22590) + coupl(  &
                         nGC_29)*dZA_QED2 + coupl(nGC_29)*dZHMinus_QED2
      coupl(nGC_34653) = coupl(nGC_221)*dZAZ_QED2 + coupl(nGC_22722) + coupl(  &
                         nGC_229)*dZZ_QED2
      coupl(nGC_32957) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_22589)
      coupl(nGC_39427) = coupl(nGC_22662) + coupl(nGC_353)*dZHa_QED2/2d0 +     &
                         coupl(nGC_356)*dZG0Ha_QED2/2d0
    end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
