!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl26()
      coupl(nGC_39429) = coupl(nGC_39426) + coupl(nGC_39427)
      coupl(nGC_39428) = -coupl(nGC_39426) - coupl(nGC_39427)
      coupl(nGC_22866) = coupl(nGC_773)*dMW2_QED2
      coupl(nGC_35093) = coupl(nGC_22564) + coupl(nGC_241)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_244)*dZHMinusGMinus_QED2 + coupl(nGC_249)*  &
                         dZHh_QED2/2d0 + coupl(nGC_TS_GC_33_Hl) + coupl(       &
                         nGC_TS_GC_42_Hh)
      coupl(nGC_35871) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_22698) +     &
                         coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_33207) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_tauL_QED2 + coupl(nGC_22736)
      coupl(nGC_33204) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*      &
                         dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl&
                         (nGC_215)*dZZ_QED2/2d0 + coupl(nGC_22712)
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_38110) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZeMinusL_QED2 + coupl(nGC_22738)
      coupl(nGC_51668) = coupl(nGC_22865) + coupl(nGC_MW)*dZWMinus_QED2 + coupl&
                         (nGC_TS_GC_261_Hl) + coupl(nGC_TS_GC_272_Hh)
      coupl(nGC_58589) = -coupl(nGC_22011)
      coupl(nGC_34320) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_34323) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_22680) = coupl(nGC_21149)*dyc1_QED3 + coupl(nGC_21150)*        &
                         dyc2_QED3 + coupl(nGC_21151)*da_QED2
      coupl(nGC_36452) = coupl(nGC_22665) + coupl(nGC_383)*dZHaG0_QED2/2d0
      coupl(nGC_32799) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZtauMinusL_QED2 + coupl(nGC_22738)
      coupl(nGC_32552) = coupl(nGC_22617) + coupl(nGC_364)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_32553) = coupl(nGC_22616) + coupl(nGC_334)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_32554) = coupl(nGC_22618) + coupl(nGC_364)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*        &
                         dZsR_QED2/2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32555) = coupl(nGC_22615) + coupl(nGC_334)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*        &
                         dZsL_QED2/2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_36456) = -coupl(nGC_22666) - coupl(nGC_36447)
      coupl(nGC_33023) = coupl(nGC_385)*dZGMinus/2d0
      coupl(nGC_37222) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/ &
                         2d0 + coupl(nGC_22731)
      coupl(nGC_40162) = -coupl(nGC_40157)
      coupl(nGC_33642) = coupl(nGC_30)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_33158) = coupl(nGC_22656) + coupl(nGC_351)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_354)*dZHh_QED2/2d0
      coupl(nGC_22507) = coupl(nGC_21937)*dl3_QED4 + coupl(nGC_21938)*dl1_QED4 &
                          + coupl(nGC_21939)*dl2_QED4 + coupl(nGC_21940)*      &
                         dl5_QED4 + coupl(nGC_21941)*dl4_QED4 + coupl(nGC_21942&
                         )*db_QED2
      coupl(nGC_21968) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_1393)*coupl(nGC_344  &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_335)*coupl(nGC_3383&
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_2475)*coupl(nGC_347&
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_365)*coupl(nGC_867 &
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_371)*coupl(nGC_789 &
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_3209)*coupl(nGC_383&
                         ) - 4d0*cME**2d0*cima*coupl(nGC_3117)*coupl(nGC_353   &
                         ) - 4d0*cMM**2d0*cima*coupl(nGC_2221)*coupl(nGC_359   &
                         ) - 4d0*cMTA**2d0*cima*coupl(nGC_2353)*coupl(nGC_377  &
                         ) - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(     &
                         nGC_230))/(16d0*pi**2d0)
      coupl(nGC_32178) = coupl(nGC_22502) + coupl(nGC_30)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_58388) = -coupl(nGC_22311)
      coupl(nGC_32172) = coupl(nGC_194)*dZZA_QED2/2d0 + coupl(nGC_8)*dZAZ_QED2/&
                         2d0
      coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32174) = coupl(nGC_32172) - coupl(nGC_32173)/2d0
      coupl(nGC_32175) = -2d0*coupl(nGC_32172) + coupl(nGC_32173)
      coupl(nGC_32779) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_22714) + coupl&
                         (nGC_26)*dZAZ_QED2/2d0
      coupl(nGC_22256) = coupl(nGC_197)*(coupl(nGC_199)*coupl(nGC_212) + 2d0*  &
                         coupl(nGC_211)*coupl(nGC_212) + coupl(nGC_211)*coupl( &
                         nGC_2539) + coupl(nGC_3285)*coupl(nGC_4))/(16d0*pi**  &
                         2d0)
      coupl(nGC_22257) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0* &
                         coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl( &
                         nGC_2539) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22254) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22255) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(&
                         nGC_1)*coupl(nGC_3) - coupl(nGC_199)*coupl(nGC_209) - &
                         coupl(nGC_2)*coupl(nGC_3285) + 2d0*coupl(nGC_209)*    &
                         coupl(nGC_210) - coupl(nGC_210)*coupl(nGC_2539))/(16d0&
                         *pi**2d0)
      coupl(nGC_22252) = (3d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_209) - 3d0*Nc*  &
                         coupl(nGC_197)**2d0*coupl(nGC_210) + 3d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_211) - 3d0*coupl(nGC_197)**2d0*coupl(&
                         nGC_212) - coupl(nGC_198)*coupl(nGC_199)*coupl(       &
                         nGC_2539) - coupl(nGC_199)*coupl(nGC_3285)*coupl(nGC_4&
                         ))/(24d0*pi**2d0)
      coupl(nGC_22253) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(&
                         nGC_1)*coupl(nGC_3285) + coupl(nGC_199)*coupl(nGC_210 &
                         ) + coupl(nGC_2)*coupl(nGC_3) + 2d0*coupl(nGC_209)*   &
                         coupl(nGC_210) + coupl(nGC_209)*coupl(nGC_2539))/(16d0&
                         *pi**2d0)
      coupl(nGC_22250) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345&
                         )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl&
                         (nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl&
                         (nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl( &
                         nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22701) = coupl(nGC_20745)*dsw_QED2 + coupl(nGC_20746)*dZee_QED2
      coupl(nGC_22258) = coupl(nGC_197)*(-coupl(nGC_1)*coupl(nGC_1263) + 2d0*  &
                         coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1675)*coupl(    &
                         nGC_209) - coupl(nGC_198)*coupl(nGC_210) - coupl(nGC_2&
                         )*coupl(nGC_4) + 2d0*coupl(nGC_209)*coupl(nGC_210))/( &
                         16d0*pi**2d0)
      coupl(nGC_22259) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(&
                         nGC_1)*coupl(nGC_4) + coupl(nGC_1263)*coupl(nGC_2) +  &
                         coupl(nGC_1675)*coupl(nGC_210) + coupl(nGC_198)*coupl(&
                         nGC_209) + 2d0*coupl(nGC_209)*coupl(nGC_210))/(16d0*pi&
                         **2d0)
      coupl(nGC_33549) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22502) +     &
                         coupl(nGC_30)*dZHMinus_QED2/2d0 + coupl(nGC_30)*      &
                         dZHa_QED2/2d0 + coupl(nGC_30)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_22038) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_209)**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 +    &
                         coupl(nGC_1)*coupl(nGC_365)*coupl(nGC_867) + coupl(   &
                         nGC_1)*coupl(nGC_366)**2d0 + coupl(nGC_1)*coupl(      &
                         nGC_368)*coupl(nGC_4199) + 4d0*coupl(nGC_197)**2d0*   &
                         coupl(nGC_2) + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3285 &
                         ) + coupl(nGC_2)*coupl(nGC_334)**2d0 + coupl(nGC_2)*  &
                         coupl(nGC_337)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22039) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(      &
                         nGC_206)**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 +    &
                         coupl(nGC_1)*coupl(nGC_365)*coupl(nGC_867) + coupl(   &
                         nGC_1)*coupl(nGC_366)**2d0 + coupl(nGC_1)*coupl(      &
                         nGC_368)*coupl(nGC_4199) + coupl(nGC_2)*coupl(nGC_364 &
                         )**2d0 + coupl(nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi** &
                         2d0)
      coupl(nGC_33838) = coupl(nGC_33836) + coupl(nGC_33837)
      coupl(nGC_22032) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                         nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_2325)*coupl(   &
                         nGC_356)*coupl(nGC_4) + coupl(nGC_3117)*coupl(nGC_353 &
                         )*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(nGC_4) +   &
                         coupl(nGC_354)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
