!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl28()
      coupl(nGC_32167) = coupl(nGC_22584) + coupl(nGC_248)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_257)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_52_Hh&
                         ) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_32160) = coupl(nGC_22548) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl&
                         (nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/ &
                         2d0 + coupl(nGC_72)*dZHMinusGMinus_QED2
      coupl(nGC_22249) = (-coupl(nGC_1979)**2d0*coupl(nGC_381) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_381) - coupl(nGC_3209)**2d0*coupl( &
                         nGC_381) - coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382&
                         ) - coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_385) -    &
                         coupl(nGC_381)**3d0 - coupl(nGC_381)*coupl(nGC_384)** &
                         2d0)/(32d0*pi**2d0)
      coupl(nGC_22248) = coupl(nGC_375)*(-coupl(nGC_1855)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2353)**2d0 - coupl&
                         (nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22241) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333&
                         )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl&
                         (nGC_363)*coupl(nGC_366)**2d0 - coupl(nGC_363)*coupl( &
                         nGC_4199)**2d0 - coupl(nGC_363)*coupl(nGC_867)**2d0)/(&
                         32d0*pi**2d0)
      coupl(nGC_22242) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333&
                         )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl&
                         (nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl( &
                         nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22245) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340&
                         )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl&
                         (nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl&
                         (nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl( &
                         nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22244) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(       &
                         nGC_2847)**2d0*coupl(nGC_369) - coupl(nGC_340)*coupl( &
                         nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(nGC_343&
                         )*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl(nGC_369&
                         )*coupl(nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_789  &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22247) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(    &
                         nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_32764) = coupl(nGC_22508) + coupl(nGC_55)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_55)*dZHaG0_QED2
      coupl(nGC_44019) = -coupl(nGC_37217)
      coupl(nGC_35341) = coupl(nGC_22640) + coupl(nGC_339)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_342)*dZHl_QED2/2d0
      coupl(nGC_22029) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1571)*&
                         coupl(nGC_350) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 &
                          + coupl(nGC_1)*coupl(nGC_2475)*coupl(nGC_347) + coupl&
                         (nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(     &
                         nGC_348)**2d0 + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2   &
                         ) + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3285) + coupl(  &
                         nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_385)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22028) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22025) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_197)**2d0 - 3d0*Nc*    &
                         coupl(nGC_197)**2d0*coupl(nGC_2) + 3d0*coupl(nGC_197  &
                         )**2d0*coupl(nGC_4) - coupl(nGC_198)*coupl(nGC_2539)* &
                         coupl(nGC_3) - coupl(nGC_3)*coupl(nGC_3285)*coupl(    &
                         nGC_4))/(24d0*pi**2d0)
      coupl(nGC_33826) = coupl(nGC_32987) + coupl(nGC_33823)
      coupl(nGC_33824) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZcR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_22021) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc&
                         *cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc* &
                         cMC*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME* &
                         coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl&
                         (nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(    &
                         nGC_205)*coupl(nGC_261) + coupl(nGC_199)*coupl(nGC_261&
                         )*coupl(nGC_3) + coupl(nGC_2539)*coupl(nGC_261)*coupl(&
                         nGC_3285))/(8d0*pi**2d0)
      coupl(nGC_22020) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) - &
                         Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc&
                         *cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc* &
                         cMC*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*  &
                         cMD*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*  &
                         cMS*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*  &
                         cMT*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*  &
                         cMU*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME* &
                         coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl&
                         (nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(    &
                         nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(     &
                         nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(    &
                         nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(    &
                         nGC_205)*coupl(nGC_272) + coupl(nGC_199)*coupl(nGC_272&
                         )*coupl(nGC_3) + coupl(nGC_2539)*coupl(nGC_272)*coupl(&
                         nGC_3285))/(8d0*pi**2d0)
      coupl(nGC_22023) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1121)*&
                         coupl(nGC_341) + coupl(nGC_1)*coupl(nGC_1393)*coupl(  &
                         nGC_344) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 +     &
                         coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*coupl(&
                         nGC_342)**2d0 + coupl(nGC_2)*coupl(nGC_340)**2d0 +    &
                         coupl(nGC_2)*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22022) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1121)*&
                         coupl(nGC_341) + coupl(nGC_1)*coupl(nGC_1393)*coupl(  &
                         nGC_344) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 +     &
                         coupl(nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*coupl(&
                         nGC_342)**2d0 + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2   &
                         ) + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3285) + coupl(  &
                         nGC_2)*coupl(nGC_370)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_373)**2d0)/(32d0*pi**2d0)
      coupl(nGC_32377) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*         &
                         dZHlHh_QED2/2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/  &
                         2d0 + coupl(nGC_22716) + coupl(nGC_23)*dZHh_QED2/2d0  &
                          + coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*   &
                         dZZ_QED2/2d0
      coupl(nGC_32370) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*         &
                         dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 +    &
                         coupl(nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*    &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/ &
                         2d0 + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_22559)
      coupl(nGC_22180) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_365) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_365) - coupl(nGC_334&
                         )*coupl(nGC_3383)*coupl(nGC_364) - coupl(nGC_337)*    &
                         coupl(nGC_3383)*coupl(nGC_367) - coupl(nGC_363)**2d0* &
                         coupl(nGC_867) - coupl(nGC_365)**2d0*coupl(nGC_867) - &
                         coupl(nGC_366)**2d0*coupl(nGC_867) - coupl(nGC_368)** &
                         2d0*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_36678) = dZHMinusGMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/&
                         2d0
      coupl(nGC_22111) = (-coupl(nGC_1879)**2d0*coupl(nGC_362) + 8d0*coupl(    &
                         nGC_1879)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(  &
                         nGC_1879)*coupl(nGC_4)**2d0 - coupl(nGC_2221)**2d0*   &
                         coupl(nGC_362) - coupl(nGC_357)**2d0*coupl(nGC_362) - &
                         coupl(nGC_360)**2d0*coupl(nGC_362))/(32d0*pi**2d0)
      coupl(nGC_22110) = (-coupl(nGC_1879)*coupl(nGC_357)**2d0 - coupl(nGC_1879&
                         )*coupl(nGC_359)**2d0 - coupl(nGC_1879)*coupl(nGC_360 &
                         )**2d0 - coupl(nGC_1879)*coupl(nGC_362)**2d0 + 8d0*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) + 8d0*   &
                         coupl(nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22112) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_4199) + 8d0*coupl(   &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_4199) - coupl(      &
                         nGC_334)*coupl(nGC_338)*coupl(nGC_364) - coupl(nGC_337&
                         )*coupl(nGC_338)*coupl(nGC_367) - coupl(nGC_363)**2d0*&
                         coupl(nGC_368) - coupl(nGC_366)**2d0*coupl(nGC_368) - &
                         coupl(nGC_368)*coupl(nGC_4199)**2d0 - coupl(nGC_368)* &
                         coupl(nGC_867)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22114) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) - coupl(nGC_1271&
                         )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_1271)*    &
                         coupl(nGC_337)*coupl(nGC_367) + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_363)**2d0*  &
                         coupl(nGC_4199) - coupl(nGC_365)**2d0*coupl(nGC_4199  &
                         ) - coupl(nGC_366)**2d0*coupl(nGC_4199) - coupl(      &
                         nGC_368)**2d0*coupl(nGC_4199))/(32d0*pi**2d0)
      coupl(nGC_22117) = coupl(nGC_13)**2d0*coupl(nGC_2847)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22118) = (-coupl(nGC_1121)*coupl(nGC_340)*coupl(nGC_373) -     &
                         coupl(nGC_1121)*coupl(nGC_343)*coupl(nGC_370) + 8d0*  &
                         coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_2847)*coupl(&
                         nGC_369)**2d0 - coupl(nGC_2847)*coupl(nGC_371)**2d0 - &
                         coupl(nGC_2847)*coupl(nGC_372)**2d0 - coupl(nGC_2847)*&
                         coupl(nGC_374)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22027) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl&
                         (nGC_337)**2d0 + coupl(nGC_1271)*coupl(nGC_2)*coupl(  &
                         nGC_338) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*  &
                         coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_333)**2d0&
                          + coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_3383) + coupl&
                         (nGC_2)*coupl(nGC_336)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22026) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0&
                          + coupl(nGC_1271)*coupl(nGC_2)*coupl(nGC_338) + 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)** &
                         3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(   &
                         nGC_2)*coupl(nGC_333)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_335)*coupl(nGC_3383) + coupl(nGC_2)*coupl(nGC_336 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_36216) = coupl(nGC_22634) + coupl(nGC_339)*dZHh_QED2/2d0 +     &
                         coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_36215) = coupl(nGC_22633) + coupl(nGC_36210)
      coupl(nGC_32991) = coupl(nGC_32987) + coupl(nGC_32989)
      coupl(nGC_33221) = coupl(nGC_22522) + coupl(nGC_35)*dZHhHl_QED2 + coupl( &
                         nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
      coupl(nGC_34692) = coupl(nGC_22685) + coupl(nGC_335)*dZHa_QED2/2d0 +     &
                         coupl(nGC_338)*dZG0Ha_QED2/2d0
      coupl(nGC_34694) = coupl(nGC_34690) + coupl(nGC_34692)
      coupl(nGC_32574) = coupl(nGC_22529) + coupl(nGC_53)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_53)*dZHhHl_QED2/2d0 + coupl(nGC_62)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_62)*dZHl_QED2/2d0
      coupl(nGC_41848) = coupl(nGC_22562) + coupl(nGC_328)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_331)*dZHh_QED2/2d0
      coupl(nGC_32681) = coupl(nGC_13)*dZdR_QCD2
      coupl(nGC_58001) = -coupl(nGC_22025)
      coupl(nGC_32196) = coupl(nGC_220)*dZHMinus_QED2 + coupl(nGC_22557)
      coupl(nGC_33953) = coupl(nGC_218)*dZHMinus_QED2 + coupl(nGC_218)*dZZ_QED2&
                         /2d0 + coupl(nGC_22714) + coupl(nGC_26)*dZAZ_QED2/2d0
      coupl(nGC_22238) = coupl(nGC_357)*(-coupl(nGC_1879)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2221)**2d0 - coupl&
                         (nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22236) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_2325)**2d0 - coupl(nGC_3117)**2d0 - coupl(  &
                         nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22231) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33899) = coupl(nGC_22680) + coupl(nGC_333)*dZHl_QED2/2d0 +     &
                         coupl(nGC_336)*dZHhHl_QED2/2d0
      coupl(nGC_22116) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_2847) + 8d0*coupl(   &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_2847) - coupl(      &
                         nGC_2847)**2d0*coupl(nGC_374) - coupl(nGC_340)*coupl( &
                         nGC_341)*coupl(nGC_373) - coupl(nGC_341)*coupl(nGC_343&
                         )*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(nGC_374  &
                         ) - coupl(nGC_372)**2d0*coupl(nGC_374) - coupl(nGC_374&
                         )*coupl(nGC_789)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
