!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl29()
      coupl(nGC_22050) = coupl(nGC_197)*(Nc*coupl(nGC_1271)*coupl(nGC_337) + Nc&
                         *coupl(nGC_1979)*coupl(nGC_385) + Nc*coupl(nGC_2847)* &
                         coupl(nGC_373) - Nc*coupl(nGC_340)*coupl(nGC_341) - Nc&
                         *coupl(nGC_349)*coupl(nGC_350) - Nc*coupl(nGC_367)*   &
                         coupl(nGC_368) - coupl(nGC_355)*coupl(nGC_356) - coupl&
                         (nGC_361)*coupl(nGC_362) - coupl(nGC_379)*coupl(      &
                         nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22051) = (Nc*cMB*coupl(nGC_1393)*coupl(nGC_340)*coupl(nGC_343  &
                         ) + Nc*cMB*coupl(nGC_1393)*coupl(nGC_370)*coupl(      &
                         nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(&
                         nGC_344) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(&
                         nGC_371) + Nc*cMB*coupl(nGC_343)*coupl(nGC_373)*coupl(&
                         nGC_789) + Nc*cMB*coupl(nGC_344)*coupl(nGC_370)*coupl(&
                         nGC_373) + Nc*cMC*coupl(nGC_334)*coupl(nGC_335)*coupl(&
                         nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_3383) + Nc*cMC*coupl(nGC_334)*coupl(nGC_365)*coupl&
                         (nGC_367) + Nc*cMC*coupl(nGC_335)*coupl(nGC_364)*coupl&
                         (nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*coupl&
                         (nGC_867) + Nc*cMC*coupl(nGC_3383)*coupl(nGC_364)*    &
                         coupl(nGC_367) + Nc*cMD*coupl(nGC_2475)*coupl(nGC_346 &
                         )*coupl(nGC_349) + Nc*cMD*coupl(nGC_2475)*coupl(      &
                         nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_347)*coupl(nGC_349) + Nc*cMD*coupl(nGC_347)*coupl&
                         (nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_349)*coupl&
                         (nGC_382)*coupl(nGC_383) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_335)*coupl(nGC_367) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_365) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_867) + Nc*cMS*coupl(nGC_337)*coupl&
                         (nGC_3383)*coupl(nGC_364) + Nc*cMS*coupl(nGC_364)*    &
                         coupl(nGC_365)*coupl(nGC_367) + Nc*cMS*coupl(nGC_364)*&
                         coupl(nGC_367)*coupl(nGC_867) + Nc*cMT*coupl(nGC_1393 &
                         )*coupl(nGC_343)*coupl(nGC_373) + Nc*cMT*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_371) + Nc*cMT*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_789) + Nc*cMT*coupl(nGC_340&
                         )*coupl(nGC_344)*coupl(nGC_370) + Nc*cMT*coupl(nGC_370&
                         )*coupl(nGC_371)*coupl(nGC_373) + Nc*cMT*coupl(nGC_370&
                         )*coupl(nGC_373)*coupl(nGC_789) + Nc*cMU*coupl(       &
                         nGC_2475)*coupl(nGC_346)*coupl(nGC_385) + Nc*cMU*coupl&
                         (nGC_3209)*coupl(nGC_346)*coupl(nGC_349) + Nc*cMU*    &
                         coupl(nGC_3209)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMU&
                         *coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*cMU&
                         *coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382) + Nc*cMU&
                         *coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + cME*  &
                         coupl(nGC_3117)*coupl(nGC_352)*coupl(nGC_355) + cME*  &
                         coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355) + cMM*   &
                         coupl(nGC_2221)*coupl(nGC_358)*coupl(nGC_361) + cMM*  &
                         coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + cMTA*  &
                         coupl(nGC_2353)*coupl(nGC_376)*coupl(nGC_379) + cMTA* &
                         coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_187)*coupl(nGC_324) + 2d0*cima*coupl(  &
                         nGC_237)*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_22581) = coupl(nGC_21134)*dl3_QED4 + coupl(nGC_21135)*db_QED2  &
                          + coupl(nGC_21136)*dl2_QED4 + coupl(nGC_21137)*      &
                         dl5_QED4 + coupl(nGC_21138)*dvev2_QED1 + coupl(       &
                         nGC_21139)*dvev1_QED1 + coupl(nGC_21140)*dl1_QED4 +   &
                         coupl(nGC_21141)*dl4_QED4 + coupl(nGC_21142)*da_QED2
      coupl(nGC_22586) = coupl(nGC_20780)*dsw_QED2 + coupl(nGC_20781)*         &
                         dvev2_QED1 + coupl(nGC_20782)*dvev1_QED1 + coupl(     &
                         nGC_20783)*dZee_QED2 + coupl(nGC_20784)*da_QED2
      coupl(nGC_22587) = coupl(nGC_20911)*dvev2_QED1 + coupl(nGC_20912)*       &
                         dsw_QED2 + coupl(nGC_20913)*db_QED2 + coupl(nGC_20914 &
                         )*dvev1_QED1 + coupl(nGC_20915)*dZee_QED2
      coupl(nGC_22588) = coupl(nGC_20964)*dvev2_QED1 + coupl(nGC_20965)*       &
                         dsw_QED2 + coupl(nGC_20966)*db_QED2 + coupl(nGC_20967 &
                         )*dvev1_QED1 + coupl(nGC_20968)*dZee_QED2
      coupl(nGC_22055) = coupl(nGC_197)*(Nc*coupl(nGC_3209)*coupl(nGC_385) + Nc&
                         *coupl(nGC_337)*coupl(nGC_3383) - Nc*coupl(nGC_340)*  &
                         coupl(nGC_344) - Nc*coupl(nGC_347)*coupl(nGC_349) - Nc&
                         *coupl(nGC_365)*coupl(nGC_367) + Nc*coupl(nGC_373)*   &
                         coupl(nGC_789) - coupl(nGC_353)*coupl(nGC_355) - coupl&
                         (nGC_359)*coupl(nGC_361) - coupl(nGC_377)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22340) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_385) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_373) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_355)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_361)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(nGC_174)*    &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(nGC_199)*    &
                         coupl(nGC_21)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22341) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(      &
                         nGC_1271)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_1979)*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1)*coupl( &
                         nGC_2847)*coupl(nGC_370) + Nc*coupl(nGC_1)*coupl(     &
                         nGC_341)*coupl(nGC_343) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_346)*coupl(nGC_350) + Nc*coupl(nGC_1)*coupl(      &
                         nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_1271)*coupl(   &
                         nGC_2)*coupl(nGC_334) + Nc*coupl(nGC_1979)*coupl(nGC_2&
                         )*coupl(nGC_382) + Nc*coupl(nGC_2)*coupl(nGC_2847)*   &
                         coupl(nGC_370) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_341)*  &
                         coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_346)*  &
                         coupl(nGC_350) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_364)*  &
                         coupl(nGC_368) + coupl(nGC_352)*coupl(nGC_356)*coupl( &
                         nGC_4) + coupl(nGC_358)*coupl(nGC_362)*coupl(nGC_4) + &
                         coupl(nGC_376)*coupl(nGC_380)*coupl(nGC_4))/(48d0*pi**&
                         2d0)
      coupl(nGC_22342) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima* &
                         coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(&
                         nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)*&
                         coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(    &
                         nGC_3)**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)** &
                         2d0 + cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0&
                         *cima*coupl(nGC_2539)**2d0*coupl(nGC_3285)**2d0 +     &
                         coupl(nGC_195)*coupl(nGC_3)**2d0 + coupl(nGC_195)*    &
                         coupl(nGC_3285)**2d0 + coupl(nGC_199)**2d0*coupl(nGC_9&
                         ) + coupl(nGC_2539)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_22343) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*  &
                         cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima* &
                         coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(&
                         nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(     &
                         nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205  &
                         )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_2539)**2d0*coupl(nGC_3285)**2d0 + 2d0*coupl(&
                         nGC_199)*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(     &
                         nGC_205)*coupl(nGC_2539)*coupl(nGC_3285))/(8d0*pi**2d0&
                         )
      coupl(nGC_22344) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1121)* &
                         coupl(nGC_343) + Nc*coupl(nGC_1)*coupl(nGC_1571)*coupl&
                         (nGC_346) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_334)*coupl( &
                         nGC_338) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(      &
                         nGC_4199) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_370)*coupl( &
                         nGC_374) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_382)*coupl(  &
                         nGC_386) - 4d0*Nc*coupl(nGC_1121)*coupl(nGC_2)*coupl( &
                         nGC_343) - 4d0*Nc*coupl(nGC_1571)*coupl(nGC_2)*coupl( &
                         nGC_346) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(      &
                         nGC_338) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(  &
                         nGC_4199) + Nc*coupl(nGC_2)*coupl(nGC_370)*coupl(     &
                         nGC_374) + Nc*coupl(nGC_2)*coupl(nGC_382)*coupl(      &
                         nGC_386) + coupl(nGC_1855)*coupl(nGC_376)*coupl(nGC_4 &
                         ) + coupl(nGC_1879)*coupl(nGC_358)*coupl(nGC_4) +     &
                         coupl(nGC_2325)*coupl(nGC_352)*coupl(nGC_4))/(48d0*pi &
                         **2d0)
      coupl(nGC_22345) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_3209)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_197)*coupl(nGC_334)*coupl(nGC_3383) + Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_343)*coupl(&
                         nGC_344) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl( &
                         nGC_346)*coupl(nGC_347) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370)*coupl(     &
                         nGC_789) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_3209)*coupl(nGC_382) + Nc*cima*coupl(nGC_197)*    &
                         coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_3383) - 4d0*Nc* &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343)*coupl(&
                         nGC_344) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_365) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)*   &
                         coupl(nGC_789) + 6d0*cima*coupl(nGC_186)*coupl(       &
                         nGC_5091) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl( &
                         nGC_353)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_4) + cima*coupl(    &
                         nGC_197)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_4) + &
                         6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(    &
                         nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198&
                         )*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_22346) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206&
                         )*coupl(nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_206)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_370)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_207)*coupl(     &
                         nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                         )*coupl(nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_209)*coupl(nGC_370)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_382)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_343)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(     &
                         nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210&
                         )*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_206)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_206)*coupl(nGC_346)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_364)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(     &
                         nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207&
                         )*coupl(nGC_370)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_207)*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_209)*coupl(nGC_334)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(     &
                         nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_210&
                         )*coupl(nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 6d0*cima* &
                         coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(nGC_208&
                         )*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0* &
                         coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl&
                         (nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_2539)*coupl(   &
                         nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22347) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_334)*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364 &
                         )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_384) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(&
                         nGC_348) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_364)*coupl(nGC_366) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_372) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*coupl(    &
                         nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_358)*    &
                         coupl(nGC_360)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(nGC_175)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_22)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_32600) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_22730)
      coupl(nGC_22349) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_1121)*coupl(nGC_206)*&
                         coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(nGC_1121)*coupl&
                         (nGC_209)*coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_1393)*coupl(nGC_206)*coupl(nGC_341) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_1393)*coupl(nGC_209)*coupl(nGC_341   &
                         ) - Nc*coupl(nGC_1)*coupl(nGC_1571)*coupl(nGC_206)*   &
                         coupl(nGC_347) - Nc*coupl(nGC_1)*coupl(nGC_1571)*coupl&
                         (nGC_209)*coupl(nGC_347) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_206)*coupl(nGC_2475)*coupl(nGC_350) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_4199   &
                         ) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_368)*    &
                         coupl(nGC_867) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(&
                         nGC_2475)*coupl(nGC_350) - Nc*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_365)*coupl(nGC_4199) - Nc*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_368)*coupl(nGC_867) - &
                         Nc*coupl(nGC_1271)*coupl(nGC_2)*coupl(nGC_207)*coupl( &
                         nGC_335) - Nc*coupl(nGC_1271)*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_335) - Nc*coupl(nGC_1979)*coupl(   &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_383) - Nc*coupl(      &
                         nGC_1979)*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_383   &
                         ) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_2847)*   &
                         coupl(nGC_371) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(&
                         nGC_3209)*coupl(nGC_386) - Nc*coupl(nGC_2)*coupl(     &
                         nGC_207)*coupl(nGC_338)*coupl(nGC_3383) - Nc*coupl(   &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_374)*coupl(nGC_789) - &
                         Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_2847)*coupl( &
                         nGC_371) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(      &
                         nGC_3209)*coupl(nGC_386) - Nc*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_338)*coupl(nGC_3383) - Nc*coupl(   &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_374)*coupl(nGC_789) - &
                         coupl(nGC_1855)*coupl(nGC_208)*coupl(nGC_377)*coupl(  &
                         nGC_4) - coupl(nGC_1855)*coupl(nGC_211)*coupl(nGC_377 &
                         )*coupl(nGC_4) - coupl(nGC_1879)*coupl(nGC_208)*coupl(&
                         nGC_359)*coupl(nGC_4) - coupl(nGC_1879)*coupl(nGC_211 &
                         )*coupl(nGC_359)*coupl(nGC_4) - coupl(nGC_208)*coupl( &
                         nGC_2221)*coupl(nGC_362)*coupl(nGC_4) - coupl(nGC_208 &
                         )*coupl(nGC_2325)*coupl(nGC_353)*coupl(nGC_4) - coupl(&
                         nGC_208)*coupl(nGC_2353)*coupl(nGC_380)*coupl(nGC_4   &
                         ) - coupl(nGC_208)*coupl(nGC_3117)*coupl(nGC_356)*    &
                         coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_2221)*coupl(  &
                         nGC_362)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_2325 &
                         )*coupl(nGC_353)*coupl(nGC_4) - coupl(nGC_211)*coupl( &
                         nGC_2353)*coupl(nGC_380)*coupl(nGC_4) - coupl(nGC_211 &
                         )*coupl(nGC_3117)*coupl(nGC_356)*coupl(nGC_4))/(16d0* &
                         pi**2d0)
      coupl(nGC_22561) = coupl(nGC_21929)*dvev2_QED1 + coupl(nGC_21930)*       &
                         dcw_QED2 + coupl(nGC_21931)*db_QED2 + coupl(nGC_21932 &
                         )*dvev1_QED1 + coupl(nGC_21933)*dZee_QED2
      coupl(nGC_22565) = coupl(nGC_21802)*dl3_QED4 + coupl(nGC_21803)*dl1_QED4 &
                          + coupl(nGC_21804)*dl2_QED4 + coupl(nGC_21805)*      &
                         dl5_QED4 + coupl(nGC_21806)*dl4_QED4 + coupl(nGC_21807&
                         )*dvev1_QED1 + coupl(nGC_21808)*dvev2_QED1 + coupl(   &
                         nGC_21809)*da_QED2
      coupl(nGC_22566) = coupl(nGC_21650)*dl3_QED4 + coupl(nGC_21651)*db_QED2  &
                          + coupl(nGC_21652)*dl2_QED4 + coupl(nGC_21653)*      &
                         dl5_QED4 + coupl(nGC_21654)*dvev2_QED1 + coupl(       &
                         nGC_21655)*dvev1_QED1 + coupl(nGC_21656)*dl1_QED4 +   &
                         coupl(nGC_21657)*dl4_QED4 + coupl(nGC_21658)*da_QED2
      coupl(nGC_32364) = coupl(nGC_22530) + coupl(nGC_32)*dZHMinusGMinus_QED2/ &
                         2d0 + coupl(nGC_33)*dZGMinusHMinus_QED2/2d0 + coupl(  &
                         nGC_34)*dZHlHh_QED2/2d0 + coupl(nGC_37)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_46)*dZHMinus_QED2/2d0 + coupl(nGC_46)*&
                         dZHh_QED2/2d0 + coupl(nGC_46)*dZHl_QED2/2d0
      coupl(nGC_22696) = coupl(nGC_21260)*dsw_QED2 + coupl(nGC_21261)*db_QED2  &
                          + coupl(nGC_21262)*dZee_QED2 + coupl(nGC_21263)*     &
                         da_QED2
      coupl(nGC_22697) = coupl(nGC_20921)*dsw_QED2 + coupl(nGC_20922)*db_QED2  &
                          + coupl(nGC_20923)*dZee_QED2 + coupl(nGC_20924)*     &
                         da_QED2
      coupl(nGC_22166) = (-coupl(nGC_1271)**2d0*coupl(nGC_335) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_3383) + 8d0*coupl(nGC_207)*coupl&
                         (nGC_210)*coupl(nGC_3383) - coupl(nGC_333)**2d0*coupl(&
                         nGC_335) - coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_365&
                         ) - coupl(nGC_335)*coupl(nGC_336)**2d0 - coupl(nGC_335&
                         )*coupl(nGC_3383)**2d0 - coupl(nGC_337)*coupl(nGC_365 &
                         )*coupl(nGC_367))/(32d0*pi**2d0)
      coupl(nGC_22167) = coupl(nGC_13)**2d0*coupl(nGC_3383)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22692) = coupl(nGC_20849)*dvev2_QED1 + coupl(nGC_20850)*       &
                         dsw_QED2 + coupl(nGC_20851)*db_QED2 + coupl(nGC_20852 &
                         )*dvev1_QED1 + coupl(nGC_20853)*dZee_QED2
      coupl(nGC_36443) = coupl(nGC_36439) + coupl(nGC_36442)
      coupl(nGC_22162) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1393) - coupl(       &
                         nGC_1121)**2d0*coupl(nGC_344) - coupl(nGC_1393)**2d0* &
                         coupl(nGC_344) + 8d0*coupl(nGC_1393)*coupl(nGC_206)*  &
                         coupl(nGC_209) - coupl(nGC_339)**2d0*coupl(nGC_344) - &
                         coupl(nGC_340)*coupl(nGC_371)*coupl(nGC_373) - coupl( &
                         nGC_342)**2d0*coupl(nGC_344) - coupl(nGC_343)*coupl(  &
                         nGC_370)*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_22691) = coupl(nGC_21539)*dsw_QED2 + coupl(nGC_21540)*db_QED2  &
                          + coupl(nGC_21541)*dZee_QED2 + coupl(nGC_21542)*     &
                         da_QED2
      coupl(nGC_22168) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_335) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_335) - coupl(nGC_333&
                         )**2d0*coupl(nGC_3383) - coupl(nGC_334)*coupl(nGC_364 &
                         )*coupl(nGC_867) - coupl(nGC_335)**2d0*coupl(nGC_3383 &
                         ) - coupl(nGC_336)**2d0*coupl(nGC_3383) - coupl(      &
                         nGC_337)*coupl(nGC_367)*coupl(nGC_867) - coupl(nGC_338&
                         )**2d0*coupl(nGC_3383))/(32d0*pi**2d0)
      coupl(nGC_33968) = -coupl(nGC_22643) - coupl(nGC_33963)
      coupl(nGC_33969) = coupl(nGC_22643) + coupl(nGC_33963)
      coupl(nGC_32211) = coupl(nGC_22542) + coupl(nGC_37)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_37)*dZHh_QED2 + coupl(nGC_42)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_44)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2
      coupl(nGC_36998) = coupl(nGC_22663) + coupl(nGC_359)*dZHa_QED2/2d0 +     &
                         coupl(nGC_362)*dZG0Ha_QED2/2d0
      coupl(nGC_36999) = -coupl(nGC_36997) - coupl(nGC_36998)
      coupl(nGC_32215) = coupl(nGC_22561) + coupl(nGC_232)*dZHMinusGMinus_QED2/&
                         2d0
      coupl(nGC_32988) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZtR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_35624) = coupl(nGC_22861) + coupl(nGC_35619)
      coupl(nGC_35623) = coupl(nGC_35618) + coupl(nGC_35622)
      coupl(nGC_36536) = coupl(nGC_22566) + coupl(nGC_245)*dZG0Ha_QED2 + coupl(&
                         nGC_246)*dZHlHh_QED2/2d0 + coupl(nGC_254)*dZHa_QED2 + &
                         coupl(nGC_254)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_36_Hl  &
                         ) + coupl(nGC_TS_GC_48_Hh)
      coupl(nGC_59333) = -coupl(nGC_22079)
      coupl(nGC_35757) = coupl(nGC_22549) + coupl(nGC_57)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_68)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_71)*&
                         dZHMinusGMinus_QED2 + coupl(nGC_74)*                  &
                         dZHMinusGMinus_QED2/2d0
      coupl(nGC_37874) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22597)
      coupl(nGC_38492) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22593) +     &
                         coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*           &
                         dZHMinus_QED2
      coupl(nGC_37870) = coupl(nGC_22866) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_37871) = coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_22091) = coupl(nGC_197)*(-Nc*coupl(nGC_1121)*coupl(nGC_343) -  &
                         Nc*coupl(nGC_1571)*coupl(nGC_346) + Nc*coupl(nGC_334)*&
                         coupl(nGC_338) - Nc*coupl(nGC_364)*coupl(nGC_4199) +  &
                         Nc*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_382)* &
                         coupl(nGC_386) - coupl(nGC_1855)*coupl(nGC_376) -     &
                         coupl(nGC_1879)*coupl(nGC_358) - coupl(nGC_2325)*coupl&
                         (nGC_352))/(24d0*pi**2d0)
      coupl(nGC_22467) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                         nGC_339)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(    &
                         nGC_209)*coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl&
                         (nGC_372)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(   &
                         nGC_210)*coupl(nGC_384)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_339)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_348)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_384)**2d0 + 3d0*cima*coupl(   &
                         nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0*&
                         coupl(nGC_354)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_360)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_378)**2d0 + 10d0*cima*coupl(nGC_208)*coupl( &
                         nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*coupl(nGC_208&
                         )*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0*cima*coupl&
                         (nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*   &
                         coupl(nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_2539&
                         )**2d0*coupl(nGC_77))/(24d0*pi**2d0)
      coupl(nGC_22309) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + 4d0*coupl&
                         (nGC_2)**2d0 + 4d0*coupl(nGC_210)**2d0 + coupl(       &
                         nGC_2847)*coupl(nGC_374) + coupl(nGC_340)**2d0 + coupl&
                         (nGC_343)**2d0 + coupl(nGC_369)**2d0 + coupl(nGC_371)*&
                         coupl(nGC_789) + coupl(nGC_372)**2d0)/(64d0*pi**2d0)
      coupl(nGC_43605) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_22596)
    end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
