!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32156) = coupl(nGC_55)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_32150) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32153) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_35816) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_22728) = coupl(nGC_20823)*dZee_QED2
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32121) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_32120) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_32122) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_22729) = coupl(nGC_20837)*dZee_QED2
      coupl(nGC_22667) = coupl(nGC_21943)*db_QED2 + coupl(nGC_21944)*dyc1_QED3 &
                          + coupl(nGC_21945)*dyc2_QED3
      coupl(nGC_22661) = coupl(nGC_21511)*dytau1_QED3 + coupl(nGC_21512)*      &
                         dytau2_QED3 + coupl(nGC_21513)*da_QED2
      coupl(nGC_22668) = coupl(nGC_21944)*dyc1_QED1_QCD2 + coupl(nGC_21945)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_33512) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22717) = coupl(nGC_21543)*dsw_QED2 + coupl(nGC_21544)*dcw_QED2 &
                          + coupl(nGC_21545)*dZee_QED2
      coupl(nGC_32338) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32936) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_32933) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22847) = -cima*dMHA2_QED2
      coupl(nGC_22846) = -cima*dMHH2_QED2
      coupl(nGC_22845) = -cima*dMHL2_QED2
      coupl(nGC_22844) = -cima*dMHC2_QED2
      coupl(nGC_35079) = coupl(nGC_43)*dZG0
      coupl(nGC_34070) = coupl(nGC_179)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_34078) = coupl(nGC_228)*dZGMinus
      coupl(nGC_38227) = coupl(nGC_348)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_38228) = coupl(nGC_348)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33195) = coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_33681) = coupl(nGC_22687) + coupl(nGC_33675)
      coupl(nGC_33680) = -coupl(nGC_22687) - coupl(nGC_33675)
      coupl(nGC_22723) = coupl(nGC_21763)*dsw_QED2 + coupl(nGC_21764)*dcw_QED2 &
                          + coupl(nGC_21765)*dZee_QED2
      coupl(nGC_22720) = coupl(nGC_21178)*dsw_QED2 + coupl(nGC_21179)*dcw_QED2 &
                          + coupl(nGC_21180)*dZee_QED2
      coupl(nGC_22721) = coupl(nGC_21508)*dsw_QED2 + coupl(nGC_21509)*dcw_QED2 &
                          + coupl(nGC_21510)*dZee_QED2
      coupl(nGC_22274) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22275) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22278) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                         nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(  &
                         nGC_376)**2d0 + coupl(nGC_208)*coupl(nGC_379)**2d0 +  &
                         4d0*coupl(nGC_212)**3d0)/(32d0*pi**2d0)
      coupl(nGC_53374) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_22650) = coupl(nGC_20961)*db_QED2 + coupl(nGC_20962)*dye2_QED3 &
                          + coupl(nGC_20963)*dye1_QED3
      coupl(nGC_22651) = coupl(nGC_21010)*db_QED2 + coupl(nGC_21011)*dym1_QED3 &
                          + coupl(nGC_21012)*dym2_QED3
      coupl(nGC_22657) = coupl(nGC_20840)*dym1_QED3 + coupl(nGC_20841)*        &
                         dym2_QED3 + coupl(nGC_20842)*da_QED2
      coupl(nGC_22655) = coupl(nGC_20753)*db_QED2 + coupl(nGC_20754)*          &
                         dytau1_QED3 + coupl(nGC_20755)*dytau2_QED3
      coupl(nGC_32928) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_32925) = coupl(nGC_22704) + coupl(nGC_77)*dZHl_QED2 + coupl(   &
                         nGC_77)*dZWMinus_QED2
      coupl(nGC_32749) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_35661) = coupl(nGC_197)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_32811) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
