!******************************************************************************!
!                                                                              !
!    fill_ctcouplings30.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings30.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings30
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl30()
      coupl(nGC_22305) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                         nGC_206)**2d0 + coupl(nGC_363)**2d0 + coupl(nGC_364)**&
                         2d0 + coupl(nGC_365)*coupl(nGC_867) + coupl(nGC_366)**&
                         2d0 + coupl(nGC_367)**2d0 + coupl(nGC_368)*coupl(     &
                         nGC_4199))/(64d0*pi**2d0)
      coupl(nGC_57423) = -coupl(nGC_22013)
      coupl(nGC_33105) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_33107) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZdL_QED2&
                          + coupl(nGC_22734)
      coupl(nGC_33102) = coupl(nGC_209)*dZdL_QCD2
      coupl(nGC_33108) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZdR_QED2&
                          + coupl(nGC_22735)
      coupl(nGC_33109) = coupl(nGC_33106) + coupl(nGC_33108)
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32183) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22502) +     &
                         coupl(nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*      &
                         dZZ_QED2/2d0
      coupl(nGC_22229) = (-coupl(nGC_1271)**2d0*coupl(nGC_333) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_333) - coupl(nGC_333)**3d0 - coupl(&
                         nGC_333)*coupl(nGC_336)**2d0 - coupl(nGC_333)*coupl(  &
                         nGC_3383)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl( &
                         nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367&
                         ))/(32d0*pi**2d0)
      coupl(nGC_22225) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_342) + 2d0*&
                         Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_342) - &
                         2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_342) - 2d0*Nc&
                         *cMC*coupl(nGC_207)**2d0*coupl(nGC_333) + 2d0*Nc*cMC* &
                         coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333) - 2d0*Nc*&
                         cMC*coupl(nGC_210)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*  &
                         coupl(nGC_206)**2d0*coupl(nGC_345) + 2d0*Nc*cMD*coupl(&
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345) - 2d0*Nc*cMD*  &
                         coupl(nGC_209)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(&
                         nGC_206)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(      &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363) - 2d0*Nc*cMS*  &
                         coupl(nGC_209)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(&
                         nGC_207)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_369) - 2d0*Nc*cMT*  &
                         coupl(nGC_210)**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(&
                         nGC_207)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(      &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_381) - 2d0*Nc*cMU*  &
                         coupl(nGC_210)**2d0*coupl(nGC_381) - 2d0*cME*coupl(   &
                         nGC_208)**2d0*coupl(nGC_351) + 2d0*cME*coupl(nGC_208)*&
                         coupl(nGC_211)*coupl(nGC_351) - 2d0*cME*coupl(nGC_211 &
                         )**2d0*coupl(nGC_351) - 2d0*cMM*coupl(nGC_208)**2d0*  &
                         coupl(nGC_357) + 2d0*cMM*coupl(nGC_208)*coupl(nGC_211 &
                         )*coupl(nGC_357) - 2d0*cMM*coupl(nGC_211)**2d0*coupl( &
                         nGC_357) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(nGC_375 &
                         ) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(     &
                         nGC_375) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_375 &
                         ) + cima*coupl(nGC_195)*coupl(nGC_261) + coupl(nGC_199&
                         )**2d0*coupl(nGC_261) + coupl(nGC_2539)**2d0*coupl(   &
                         nGC_261))/(8d0*pi**2d0)
      coupl(nGC_22224) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_342) - 2d0*&
                         Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_333) - 2d0*Nc*cMD&
                         *coupl(nGC_197)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl&
                         (nGC_197)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(     &
                         nGC_197)**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(      &
                         nGC_197)**2d0*coupl(nGC_381) - 2d0*cME*coupl(nGC_197  &
                         )**2d0*coupl(nGC_351) - 2d0*cMM*coupl(nGC_197)**2d0*  &
                         coupl(nGC_357) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(  &
                         nGC_375) + 2d0*cima*coupl(nGC_1691)*coupl(nGC_261) +  &
                         cima*coupl(nGC_195)*coupl(nGC_329) + 2d0*coupl(       &
                         nGC_1675)*coupl(nGC_199)*coupl(nGC_329) + 2d0*coupl(  &
                         nGC_198)*coupl(nGC_2539)*coupl(nGC_261) + 2d0*coupl(  &
                         nGC_261)*coupl(nGC_3285)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22220) = (-coupl(nGC_1979)**2d0*coupl(nGC_384) + 8d0*coupl(    &
                         nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(nGC_207)*coupl(&
                         nGC_210)*coupl(nGC_384) - coupl(nGC_3209)**2d0*coupl( &
                         nGC_384) - coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_382&
                         ) - coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_385) -    &
                         coupl(nGC_381)**2d0*coupl(nGC_384) - coupl(nGC_384)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_58301) = -coupl(nGC_22252)
      coupl(nGC_33578) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*         &
                         dZWMinus_QED2/2d0 + coupl(nGC_22556) + coupl(nGC_30)* &
                         dZZA_QED2/2d0
      coupl(nGC_33776) = coupl(nGC_380)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_33779) = coupl(nGC_380)*dZG0/2d0
      coupl(nGC_22353) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_382) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_346) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_364) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_370) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_352)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(nGC_199)*    &
                         coupl(nGC_23)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22352) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_334)*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364 &
                         )*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_384) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_334)*coupl(nGC_336) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)*coupl(&
                         nGC_348) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_364)*coupl(nGC_366) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_372) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*coupl(    &
                         nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_352)*coupl(nGC_354)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_358)*    &
                         coupl(nGC_360)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(nGC_175)*    &
                         coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(nGC_199)*    &
                         coupl(nGC_22)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22351) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1393)*coupl(nGC_197)* &
                         coupl(nGC_343) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                         coupl(nGC_2475)*coupl(nGC_346) - 4d0*Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_197)*coupl(nGC_334)*coupl(nGC_335) + &
                         Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*   &
                         coupl(nGC_867) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                         nGC_197)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382)*coupl(     &
                         nGC_383) - 4d0*Nc*cima*coupl(nGC_1393)*coupl(nGC_197)*&
                         coupl(nGC_2)*coupl(nGC_343) - 4d0*Nc*cima*coupl(      &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_2475)*coupl(nGC_346   &
                         ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334 &
                         )*coupl(nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(  &
                         nGC_2)*coupl(nGC_364)*coupl(nGC_867) + Nc*cima*coupl( &
                         nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_371) + &
                         Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_382)*   &
                         coupl(nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(       &
                         nGC_5091) + cima*coupl(nGC_197)*coupl(nGC_2221)*coupl(&
                         nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(    &
                         nGC_2353)*coupl(nGC_376)*coupl(nGC_4) + cima*coupl(   &
                         nGC_197)*coupl(nGC_3117)*coupl(nGC_352)*coupl(nGC_4   &
                         ) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(&
                         nGC_187)*coupl(nGC_3)*coupl(nGC_3285) + 6d0*coupl(    &
                         nGC_199)*coupl(nGC_31)*coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_22350) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                         nGC_333)*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_197)*coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl&
                         (nGC_1)*coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346   &
                         ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363 &
                         )*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_1)*coupl(    &
                         nGC_197)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc*cima* &
                         coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_381)*coupl(     &
                         nGC_382) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                         nGC_333)*coupl(nGC_334) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_2)*coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*  &
                         cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(&
                         nGC_346) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                         coupl(nGC_363)*coupl(nGC_364) + Nc*cima*coupl(nGC_197 &
                         )*coupl(nGC_2)*coupl(nGC_369)*coupl(nGC_370) + Nc*cima&
                         *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_381)*coupl(    &
                         nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_5091) +  &
                         cima*coupl(nGC_197)*coupl(nGC_351)*coupl(nGC_352)*    &
                         coupl(nGC_4) + cima*coupl(nGC_197)*coupl(nGC_357)*    &
                         coupl(nGC_358)*coupl(nGC_4) + cima*coupl(nGC_197)*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) + 6d0*cima*&
                         coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(nGC_180)*    &
                         coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*coupl( &
                         nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22357) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)**&
                         2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_348)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*  &
                         coupl(nGC_366)**2d0 - Nc*cima*coupl(nGC_1)*coupl(     &
                         nGC_209)*coupl(nGC_339)**2d0 - Nc*cima*coupl(nGC_1)*  &
                         coupl(nGC_209)*coupl(nGC_348)**2d0 - Nc*cima*coupl(   &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_366)**2d0 - Nc*cima*  &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336)**2d0 - Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372)**2d0  &
                          - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384  &
                         )**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                         nGC_336)**2d0 - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*  &
                         coupl(nGC_372)**2d0 - Nc*cima*coupl(nGC_2)*coupl(     &
                         nGC_210)*coupl(nGC_384)**2d0 + cima*coupl(nGC_205)*   &
                         coupl(nGC_77) - cima*coupl(nGC_208)*coupl(nGC_354)**  &
                         2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(nGC_360  &
                         )**2d0*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(      &
                         nGC_378)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*coupl&
                         (nGC_354)**2d0*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_360)**2d0*coupl(nGC_4) - cima*coupl(nGC_211 &
                         )*coupl(nGC_378)**2d0*coupl(nGC_4) + coupl(nGC_199)*  &
                         coupl(nGC_3)*coupl(nGC_77) + coupl(nGC_2539)*coupl(   &
                         nGC_3285)*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_22354) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1393)*coupl(nGC_206)*&
                         coupl(nGC_344) - Nc*cima*coupl(nGC_1)*coupl(nGC_1393)*&
                         coupl(nGC_209)*coupl(nGC_344) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_206)*coupl(nGC_2475)*coupl(nGC_347) - Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_365)*coupl(&
                         nGC_867) - Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl( &
                         nGC_2475)*coupl(nGC_347) - Nc*cima*coupl(nGC_1)*coupl(&
                         nGC_209)*coupl(nGC_365)*coupl(nGC_867) - Nc*cima*coupl&
                         (nGC_2)*coupl(nGC_207)*coupl(nGC_3209)*coupl(nGC_383  &
                         ) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_335 &
                         )*coupl(nGC_3383) - Nc*cima*coupl(nGC_2)*coupl(nGC_207&
                         )*coupl(nGC_371)*coupl(nGC_789) - Nc*cima*coupl(nGC_2 &
                         )*coupl(nGC_210)*coupl(nGC_3209)*coupl(nGC_383) - Nc* &
                         cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_335)*coupl(&
                         nGC_3383) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(&
                         nGC_371)*coupl(nGC_789) + cima*coupl(nGC_100)*coupl(  &
                         nGC_205) - cima*coupl(nGC_208)*coupl(nGC_2221)*coupl( &
                         nGC_359)*coupl(nGC_4) - cima*coupl(nGC_208)*coupl(    &
                         nGC_2353)*coupl(nGC_377)*coupl(nGC_4) - cima*coupl(   &
                         nGC_208)*coupl(nGC_3117)*coupl(nGC_353)*coupl(nGC_4   &
                         ) - cima*coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_359 &
                         )*coupl(nGC_4) - cima*coupl(nGC_211)*coupl(nGC_2353)* &
                         coupl(nGC_377)*coupl(nGC_4) - cima*coupl(nGC_211)*    &
                         coupl(nGC_3117)*coupl(nGC_353)*coupl(nGC_4) + coupl(  &
                         nGC_100)*coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_100)*&
                         coupl(nGC_2539)*coupl(nGC_3285))/(8d0*pi**2d0)
      coupl(nGC_22359) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl( &
                         nGC_209) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)** &
                         2d0*coupl(nGC_210) - 15d0*Nc*cima*coupl(nGC_197)**2d0*&
                         coupl(nGC_2)*coupl(nGC_209) + 18d0*Nc*cima*coupl(     &
                         nGC_197)**2d0*coupl(nGC_2)*coupl(nGC_210) + 6d0*cima* &
                         coupl(nGC_1691)*coupl(nGC_205) + 18d0*cima*coupl(     &
                         nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_4) - 15d0*cima*&
                         coupl(nGC_197)**2d0*coupl(nGC_212)*coupl(nGC_4) - 8d0*&
                         cima*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_2539)*   &
                         coupl(nGC_3) - 8d0*cima*coupl(nGC_199)*coupl(nGC_3)*  &
                         coupl(nGC_3285)*coupl(nGC_4) + 6d0*coupl(nGC_1691)*   &
                         coupl(nGC_199)*coupl(nGC_3) + 6d0*coupl(nGC_1691)*    &
                         coupl(nGC_2539)*coupl(nGC_3285) + 6d0*coupl(nGC_198)* &
                         coupl(nGC_205)*coupl(nGC_2539) + 6d0*coupl(nGC_205)*  &
                         coupl(nGC_3285)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22358) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)* &
                         coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                         nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(      &
                         nGC_206)*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_342) - &
                         Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(  &
                         nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                         nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_336) - Nc*coupl(    &
                         nGC_2)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_372) - &
                         Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381)*coupl(  &
                         nGC_384) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(      &
                         nGC_333)*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_210)*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_384) - &
                         coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_354)*coupl(   &
                         nGC_4) - coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_360)*&
                         coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_375)*coupl(   &
                         nGC_378)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_351)*&
                         coupl(nGC_354)*coupl(nGC_4) - coupl(nGC_211)*coupl(   &
                         nGC_357)*coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_211)*&
                         coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_4))/(8d0*pi** &
                         2d0)
      coupl(nGC_22578) = coupl(nGC_21744)*dl3_QED4 + coupl(nGC_21745)*dl1_QED4 &
                          + coupl(nGC_21746)*dl2_QED4 + coupl(nGC_21747)*      &
                         dl5_QED4 + coupl(nGC_21748)*dl4_QED4 + coupl(nGC_21749&
                         )*dvev1_QED1 + coupl(nGC_21750)*dvev2_QED1 + coupl(   &
                         nGC_21751)*da_QED2
      coupl(nGC_22573) = coupl(nGC_21085)*dZee_QED2 + coupl(nGC_21086)*dsw_QED2&
                          + coupl(nGC_21087)*dcw_QED2 + coupl(nGC_21088)*      &
                         dvev2_QED1 + coupl(nGC_21089)*dvev1_QED1 + coupl(     &
                         nGC_21090)*da_QED2
      coupl(nGC_22572) = coupl(nGC_21615)*dl3_QED4 + coupl(nGC_21616)*db_QED2  &
                          + coupl(nGC_21617)*dl2_QED4 + coupl(nGC_21618)*      &
                         dl5_QED4 + coupl(nGC_21619)*dvev2_QED1 + coupl(       &
                         nGC_21620)*dvev1_QED1 + coupl(nGC_21621)*dl1_QED4 +   &
                         coupl(nGC_21622)*dl4_QED4 + coupl(nGC_21623)*da_QED2
      coupl(nGC_32356) = coupl(nGC_22853) + coupl(nGC_32347)
      coupl(nGC_32354) = coupl(nGC_22852) + coupl(nGC_TS_GC_381_Hl) + coupl(   &
                         nGC_TS_GC_384_Hh)
      coupl(nGC_32355) = coupl(nGC_32346) + coupl(nGC_32354)
      coupl(nGC_38180) = coupl(nGC_22517) + coupl(nGC_32)*dZHhHl_QED2 + coupl( &
                         nGC_34)*dZGMinusHMinus_QED2 + coupl(nGC_40)*          &
                         dZHMinus_QED2 + coupl(nGC_40)*dZHl_QED2
      coupl(nGC_22689) = coupl(nGC_20857)*dZee_QED2
      coupl(nGC_33970) = coupl(nGC_22644) + coupl(nGC_365)*dZHa_QED2/2d0 +     &
                         coupl(nGC_368)*dZG0Ha_QED2/2d0
      coupl(nGC_36453) = -coupl(nGC_36446) - coupl(nGC_36452)
      coupl(nGC_33972) = coupl(nGC_33962) + coupl(nGC_33970)
      coupl(nGC_36455) = -coupl(nGC_36451)
      coupl(nGC_36454) = coupl(nGC_36446) + coupl(nGC_36452)
      coupl(nGC_36457) = coupl(nGC_22666) + coupl(nGC_36447)
      coupl(nGC_22686) = coupl(nGC_21502)*dyc1_QED1_QCD2 + coupl(nGC_21503)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22177) = (-coupl(nGC_1879)**2d0*coupl(nGC_359) + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_2221) - coupl(      &
                         nGC_2221)**2d0*coupl(nGC_359) + 8d0*coupl(nGC_2221)*  &
                         coupl(nGC_4)**2d0 - coupl(nGC_357)**2d0*coupl(nGC_359 &
                         ) - coupl(nGC_359)*coupl(nGC_360)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22164) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) - coupl(nGC_1393&
                         )*coupl(nGC_339)**2d0 - coupl(nGC_1393)*coupl(nGC_341 &
                         )**2d0 - coupl(nGC_1393)*coupl(nGC_342)**2d0 - coupl( &
                         nGC_1393)*coupl(nGC_344)**2d0 + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_344) - coupl(nGC_340)*coupl( &
                         nGC_373)*coupl(nGC_789) - coupl(nGC_343)*coupl(nGC_370&
                         )*coupl(nGC_789))/(32d0*pi**2d0)
      coupl(nGC_32228) = coupl(nGC_22854) + coupl(nGC_TS_GC_333_Hl) + coupl(   &
                         nGC_TS_GC_336_Hh)
      coupl(nGC_32229) = coupl(nGC_32220) + coupl(nGC_32228)
      coupl(nGC_35290) = -coupl(nGC_22669) - coupl(nGC_35285)
      coupl(nGC_35291) = coupl(nGC_22669) + coupl(nGC_35285)
      coupl(nGC_35340) = coupl(nGC_22639) + coupl(nGC_35335)
      coupl(nGC_34218) = coupl(nGC_32600) + coupl(nGC_34217)
      coupl(nGC_35342) = coupl(nGC_35334) + coupl(nGC_35341)
      coupl(nGC_39603) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZsL_QED2&
                          + coupl(nGC_22734)
    end subroutine fill_CTcouplings_mdl30
end module fill_ctcouplings30
