!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl33()
      coupl(nGC_22088) = (2d0*Nc*cMB*coupl(nGC_1121)**2d0*coupl(nGC_339) + 8d0*&
                         Nc*cMB*coupl(nGC_1121)*coupl(nGC_339)*coupl(nGC_341   &
                         ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_341)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_1271)**2d0*coupl(nGC_336) + 8d0* &
                         Nc*cMC*coupl(nGC_1271)*coupl(nGC_336)*coupl(nGC_338   &
                         ) + 2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_338)**2d0 +   &
                         2d0*Nc*cMD*coupl(nGC_1571)**2d0*coupl(nGC_348) + 8d0* &
                         Nc*cMD*coupl(nGC_1571)*coupl(nGC_348)*coupl(nGC_350   &
                         ) + 2d0*Nc*cMD*coupl(nGC_348)*coupl(nGC_350)**2d0 +   &
                         2d0*Nc*cMS*coupl(nGC_366)*coupl(nGC_368)**2d0 + 8d0*Nc&
                         *cMS*coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_4199) +  &
                         2d0*Nc*cMS*coupl(nGC_366)*coupl(nGC_4199)**2d0 + 2d0* &
                         Nc*cMT*coupl(nGC_2847)**2d0*coupl(nGC_372) + 8d0*Nc*  &
                         cMT*coupl(nGC_2847)*coupl(nGC_372)*coupl(nGC_374) +   &
                         2d0*Nc*cMT*coupl(nGC_372)*coupl(nGC_374)**2d0 + 2d0*Nc&
                         *cMU*coupl(nGC_1979)**2d0*coupl(nGC_384) + 8d0*Nc*cMU*&
                         coupl(nGC_1979)*coupl(nGC_384)*coupl(nGC_386) + 2d0*Nc&
                         *cMU*coupl(nGC_384)*coupl(nGC_386)**2d0 + 2d0*cME*    &
                         coupl(nGC_2325)**2d0*coupl(nGC_354) + 8d0*cME*coupl(  &
                         nGC_2325)*coupl(nGC_354)*coupl(nGC_356) + 2d0*cME*    &
                         coupl(nGC_354)*coupl(nGC_356)**2d0 + 2d0*cMM*coupl(   &
                         nGC_1879)**2d0*coupl(nGC_360) + 8d0*cMM*coupl(nGC_1879&
                         )*coupl(nGC_360)*coupl(nGC_362) + 2d0*cMM*coupl(      &
                         nGC_360)*coupl(nGC_362)**2d0 + 2d0*cMTA*coupl(nGC_1855&
                         )**2d0*coupl(nGC_378) + 8d0*cMTA*coupl(nGC_1855)*coupl&
                         (nGC_378)*coupl(nGC_380) + 2d0*cMTA*coupl(nGC_378)*   &
                         coupl(nGC_380)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(  &
                         nGC_272) + cima*coupl(nGC_230)*coupl(nGC_332))/(16d0* &
                         pi**2d0)
      coupl(nGC_33999) = -coupl(nGC_33992) - coupl(nGC_33998)
      coupl(nGC_38164) = coupl(nGC_32600) + coupl(nGC_38162)
      coupl(nGC_38493) = -coupl(nGC_38492)
      coupl(nGC_32718) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZmuMinusR_QED2 + coupl(nGC_22737)
      coupl(nGC_32719) = coupl(nGC_32714) + coupl(nGC_32718)
      coupl(nGC_32341) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*        &
                         dZWMinus_QED2 + coupl(nGC_22701)
      coupl(nGC_39468) = coupl(nGC_39464) + coupl(nGC_39467)
      coupl(nGC_34696) = coupl(nGC_22686) + coupl(nGC_34691)
      coupl(nGC_35265) = -coupl(nGC_35264)
      coupl(nGC_32717) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*         &
                         dZmuMinusL_QED2 + coupl(nGC_22738)
      coupl(nGC_33308) = coupl(nGC_32600) + coupl(nGC_33302)
      coupl(nGC_37989) = coupl(nGC_37982) + coupl(nGC_37987)
      coupl(nGC_22379) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_340)*coupl(    &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_342)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_345)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_346)*coupl(nGC_381)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_340)*coupl(      &
                         nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl(nGC_2847)*coupl&
                         (nGC_342)*coupl(nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_4199) + 5d0*&
                         Nc*coupl(nGC_333)*coupl(nGC_338)*coupl(nGC_364)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_363)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_337)*coupl(nGC_363)*coupl(nGC_4199) + 5d0*Nc*coupl&
                         (nGC_334)*coupl(nGC_338)*coupl(nGC_363)*coupl(nGC_367 &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_342&
                         )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341&
                         )*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340&
                         )*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_374) + 5d0* &
                         Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(&
                         nGC_374) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_342)*coupl(&
                         nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(&
                         nGC_346)*coupl(nGC_349)*coupl(nGC_350) + 5d0*Nc*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_386  &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_350)*coupl(nGC_382&
                         )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349&
                         )*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_349&
                         )*coupl(nGC_350)*coupl(nGC_381)*coupl(nGC_382) + 5d0* &
                         Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367)*coupl(&
                         nGC_368) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                         nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(nGC_369)*coupl&
                         (nGC_370)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl&
                         (nGC_381)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386 &
                         ) + 6d0*coupl(nGC_180)*coupl(nGC_186) + 5d0*coupl(    &
                         nGC_1855)*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379 &
                         ) + 5d0*coupl(nGC_1879)*coupl(nGC_357)*coupl(nGC_358)*&
                         coupl(nGC_361) + 6d0*coupl(nGC_23)*coupl(nGC_30) + 5d0&
                         *coupl(nGC_2325)*coupl(nGC_351)*coupl(nGC_352)*coupl( &
                         nGC_355) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(   &
                         nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_357)*coupl(   &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362) + 5d0*coupl(   &
                         nGC_375)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22378) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_339)*coupl(    &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_366&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_339)*coupl(      &
                         nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2847)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_368) + 5d0* &
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366)*coupl(&
                         nGC_4199) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_338)*coupl&
                         (nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_364)*coupl(nGC_4199) + 5d0*Nc*    &
                         coupl(nGC_336)*coupl(nGC_338)*coupl(nGC_364)*coupl(   &
                         nGC_367) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                         nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_340)*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370&
                         )*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343&
                         )*coupl(nGC_372)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_350) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_384)*coupl(&
                         nGC_386) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl(&
                         nGC_382)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_348)*coupl(&
                         nGC_350)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_349)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367&
                         )*coupl(nGC_368) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366&
                         )*coupl(nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(      &
                         nGC_370)*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_374  &
                         ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         )*coupl(nGC_386) + 6d0*coupl(nGC_175)*coupl(nGC_186   &
                         ) + 5d0*coupl(nGC_1855)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379) + 5d0*coupl(nGC_1879)*coupl(nGC_358)*  &
                         coupl(nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_22)*    &
                         coupl(nGC_30) + 5d0*coupl(nGC_2325)*coupl(nGC_352)*   &
                         coupl(nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_352)*   &
                         coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_356) + 5d0*   &
                         coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361)*coupl(   &
                         nGC_362) + 5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(   &
                         nGC_379)*coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_34072) = coupl(nGC_34070) - coupl(nGC_34071)
      coupl(nGC_34049) = coupl(nGC_22708) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8&
                         )*dZWMinus_QED2
      coupl(nGC_22402) = (5d0*Nc*cima*coupl(nGC_1121)*coupl(nGC_197)*coupl(    &
                         nGC_206)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_1121)*&
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) - 4d0*Nc*&
                         cima*coupl(nGC_1121)*coupl(nGC_197)*coupl(nGC_210)*   &
                         coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_1571)*coupl(   &
                         nGC_197)*coupl(nGC_206)*coupl(nGC_349) - 4d0*Nc*cima* &
                         coupl(nGC_1571)*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_349) - 4d0*Nc*cima*coupl(nGC_1571)*coupl(nGC_197)*&
                         coupl(nGC_210)*coupl(nGC_349) + 5d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_206)*coupl(nGC_367)*coupl(nGC_4199 &
                         ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(  &
                         nGC_337)*coupl(nGC_338) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385)*    &
                         coupl(nGC_386) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_337)*coupl(nGC_338) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(   &
                         nGC_4199) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*&
                         coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_385)*coupl(nGC_386  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_337)*coupl(nGC_338) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_367)*coupl(nGC_4199) - 4d0*Nc&
                         *cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373)*   &
                         coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_385)*coupl(nGC_386) + 5d0*cima*    &
                         coupl(nGC_1855)*coupl(nGC_197)*coupl(nGC_208)*coupl(  &
                         nGC_379) - 4d0*cima*coupl(nGC_1855)*coupl(nGC_197)*   &
                         coupl(nGC_211)*coupl(nGC_379) - 4d0*cima*coupl(       &
                         nGC_1855)*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379 &
                         ) + 6d0*cima*coupl(nGC_187)*coupl(nGC_2013) + 5d0*cima&
                         *coupl(nGC_1879)*coupl(nGC_197)*coupl(nGC_208)*coupl( &
                         nGC_361) - 4d0*cima*coupl(nGC_1879)*coupl(nGC_197)*   &
                         coupl(nGC_211)*coupl(nGC_361) - 4d0*cima*coupl(       &
                         nGC_1879)*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361 &
                         ) + 6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima* &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_2325)*coupl(  &
                         nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*    &
                         coupl(nGC_2325)*coupl(nGC_355) - 4d0*cima*coupl(      &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_2325)*coupl(nGC_355 &
                         ) + 6d0*coupl(nGC_187)*coupl(nGC_2539)*coupl(nGC_3) + &
                         6d0*coupl(nGC_199)*coupl(nGC_2539)*coupl(nGC_31))/(   &
                         48d0*pi**2d0)
      coupl(nGC_22373) = (Nc*cima*coupl(nGC_1)*coupl(nGC_206)**3d0 + Nc*cima*  &
                         coupl(nGC_1)*coupl(nGC_209)**3d0 + Nc*cima*coupl(nGC_2&
                         )*coupl(nGC_207)**3d0 + Nc*cima*coupl(nGC_2)*coupl(   &
                         nGC_210)**3d0 + cima*coupl(nGC_195)*coupl(nGC_205) -  &
                         2d0*cima*coupl(nGC_199)**3d0*coupl(nGC_3) + cima*coupl&
                         (nGC_208)**3d0*coupl(nGC_4) + cima*coupl(nGC_211)**3d0&
                         *coupl(nGC_4) - 2d0*cima*coupl(nGC_2539)**3d0*coupl(  &
                         nGC_3285) + coupl(nGC_195)*coupl(nGC_199)*coupl(nGC_3 &
                         ) + coupl(nGC_195)*coupl(nGC_2539)*coupl(nGC_3285) +  &
                         coupl(nGC_199)**2d0*coupl(nGC_205) + coupl(nGC_205)*  &
                         coupl(nGC_2539)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22141) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) - coupl(&
                         nGC_1571)*coupl(nGC_1979)*coupl(nGC_382) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(       &
                         nGC_2475)*coupl(nGC_3209)*coupl(nGC_382) - coupl(     &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348&
                         )*coupl(nGC_382)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22375) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_2847)*coupl(   &
                         nGC_343)*coupl(nGC_373) + Nc*coupl(nGC_1121)*coupl(   &
                         nGC_340)*coupl(nGC_341)*coupl(nGC_343) + Nc*coupl(    &
                         nGC_1121)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373 &
                         ) + Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(nGC_337)* &
                         coupl(nGC_338) + Nc*coupl(nGC_1271)*coupl(nGC_337)*   &
                         coupl(nGC_364)*coupl(nGC_4199) + Nc*coupl(nGC_1271)*  &
                         coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_1979)*coupl(nGC_346)*coupl( &
                         nGC_385) + Nc*coupl(nGC_1571)*coupl(nGC_346)*coupl(   &
                         nGC_349)*coupl(nGC_350) + Nc*coupl(nGC_1571)*coupl(   &
                         nGC_350)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(    &
                         nGC_1979)*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386 &
                         ) + Nc*coupl(nGC_1979)*coupl(nGC_382)*coupl(nGC_385)* &
                         coupl(nGC_386) + Nc*coupl(nGC_2847)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_374) + Nc*coupl(nGC_2847)*   &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368)*coupl(   &
                         nGC_4199) + Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(   &
                         nGC_367)*coupl(nGC_368) + Nc*coupl(nGC_340)*coupl(    &
                         nGC_341)*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(    &
                         nGC_349)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368)*  &
                         coupl(nGC_4199) + coupl(nGC_1855)*coupl(nGC_376)*coupl&
                         (nGC_379)*coupl(nGC_380) + coupl(nGC_1879)*coupl(     &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl(       &
                         nGC_2325)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22374) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0 &
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0&
                          - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0&
                          + 6d0*cima*coupl(nGC_100)*coupl(nGC_1691) + 3d0*cima*&
                         coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_197)**&
                         2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_379)**2d0 + 6d0*cima*coupl(nGC_205)*coupl( &
                         nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0* &
                         coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_2539) + 6d0*  &
                         coupl(nGC_100)*coupl(nGC_3285)*coupl(nGC_4) + 6d0*    &
                         coupl(nGC_1263)*coupl(nGC_199)*coupl(nGC_221) + 6d0*  &
                         coupl(nGC_1263)*coupl(nGC_29)*coupl(nGC_3) + 6d0*coupl&
                         (nGC_1675)*coupl(nGC_199)*coupl(nGC_229) + 6d0*coupl( &
                         nGC_1675)*coupl(nGC_221)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_22377) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_340)*coupl(    &
                         nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_343)*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(      &
                         nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_335)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_867&
                         ) + 5d0*Nc*coupl(nGC_1393)*coupl(nGC_2847)*coupl(     &
                         nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_340)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_3209)*coupl(     &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_346)*coupl(nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_2475)*coupl(     &
                         nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_350)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_370)*coupl(      &
                         nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367&
                         )*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338)*coupl(nGC_3383) + 5d0*Nc*coupl(      &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_365)*coupl(nGC_4199 &
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368&
                         )*coupl(nGC_867) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_338&
                         )*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_337&
                         )*coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_4199) + 5d0&
                         *Nc*coupl(nGC_338)*coupl(nGC_3383)*coupl(nGC_364)*    &
                         coupl(nGC_367) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*&
                         coupl(nGC_370)*coupl(nGC_371) + 5d0*Nc*coupl(nGC_340)*&
                         coupl(nGC_343)*coupl(nGC_374)*coupl(nGC_789) + 5d0*Nc*&
                         coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_370)*coupl(   &
                         nGC_374) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_349)*coupl(&
                         nGC_382)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_349)*coupl(&
                         nGC_350)*coupl(nGC_382)*coupl(nGC_383) + 5d0*Nc*coupl(&
                         nGC_364)*coupl(nGC_365)*coupl(nGC_367)*coupl(nGC_4199 &
                         ) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368&
                         )*coupl(nGC_867) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_373&
                         )*coupl(nGC_374)*coupl(nGC_789) + 5d0*coupl(nGC_1855)*&
                         coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_186)*coupl(nGC_187) + 5d0*coupl(nGC_1879)*  &
                         coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*   &
                         coupl(nGC_2221)*coupl(nGC_358)*coupl(nGC_361)*coupl(  &
                         nGC_362) + 5d0*coupl(nGC_2325)*coupl(nGC_352)*coupl(  &
                         nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_2353)*coupl(  &
                         nGC_376)*coupl(nGC_379)*coupl(nGC_380) + 6d0*coupl(   &
                         nGC_30)*coupl(nGC_31) + 5d0*coupl(nGC_3117)*coupl(    &
                         nGC_352)*coupl(nGC_355)*coupl(nGC_356))/(48d0*pi**2d0)
      coupl(nGC_35200) = coupl(nGC_32600) + coupl(nGC_35198)
      coupl(nGC_40161) = coupl(nGC_40159) - coupl(nGC_40160)
      coupl(nGC_34693) = -coupl(nGC_34690) - coupl(nGC_34692)
      coupl(nGC_35025) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_muL_QED2 + coupl(nGC_22736)
      coupl(nGC_45272) = -coupl(nGC_45266) + coupl(nGC_45271)
      coupl(nGC_22067) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) - coupl(&
                         nGC_1571)*coupl(nGC_1979)*coupl(nGC_385) + 8d0*coupl( &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(       &
                         nGC_2475)*coupl(nGC_3209)*coupl(nGC_385) - coupl(     &
                         nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348&
                         )*coupl(nGC_384)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_33215) = coupl(nGC_22573) + coupl(nGC_328)*dZHl_QED2/2d0 +     &
                         coupl(nGC_331)*dZHhHl_QED2/2d0
      coupl(nGC_41981) = -coupl(nGC_34070) + coupl(nGC_34071)
      coupl(nGC_36270) = coupl(nGC_22586) + coupl(nGC_260)*dZHl_QED2/2d0 +     &
                         coupl(nGC_271)*dZHhHl_QED2/2d0
      coupl(nGC_40188) = coupl(nGC_36754) + coupl(nGC_40187)
      coupl(nGC_21965) = cima*(Nc*coupl(nGC_1121)*coupl(nGC_341) + Nc*coupl(   &
                         nGC_1271)*coupl(nGC_338) + Nc*coupl(nGC_1571)*coupl(  &
                         nGC_350) + Nc*coupl(nGC_1979)*coupl(nGC_386) + Nc*    &
                         coupl(nGC_2847)*coupl(nGC_374) + Nc*coupl(nGC_368)*   &
                         coupl(nGC_4199) + coupl(nGC_1855)*coupl(nGC_380) +    &
                         coupl(nGC_1879)*coupl(nGC_362) + coupl(nGC_2325)*coupl&
                         (nGC_356))/(24d0*pi**2d0)
      coupl(nGC_34863) = coupl(nGC_22659) + coupl(nGC_351)*dZHl_QED2/2d0 +     &
                         coupl(nGC_354)*dZHhHl_QED2/2d0
      coupl(nGC_57803) = -coupl(nGC_22131)
      coupl(nGC_32877) = coupl(nGC_21)*dZHMinus_QED2/2d0 + coupl(nGC_21)*      &
                         dZHh_QED2/2d0 + coupl(nGC_22534) + coupl(nGC_24)*     &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/  &
                         2d0
      coupl(nGC_33098) = coupl(nGC_22692) + coupl(nGC_237)*dZZA_QED2/2d0 +     &
                         coupl(nGC_321)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_324&
                         )*dZA_QED2/2d0 + coupl(nGC_324)*dZWMinus_QED2/2d0 +   &
                         coupl(nGC_TS_GC_174_Hl) + coupl(nGC_TS_GC_180_Hh)
      coupl(nGC_35039) = coupl(nGC_22514) + coupl(nGC_36)*dZHhHl_QED2 + coupl( &
                         nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl(&
                         nGC_41)*dZHl_QED2
      coupl(nGC_46182) = -coupl(nGC_40159) + coupl(nGC_40160)
      coupl(nGC_22398) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_2847)*coupl(   &
                         nGC_340)*coupl(nGC_370) + Nc*coupl(nGC_1121)*coupl(   &
                         nGC_340)*coupl(nGC_341)*coupl(nGC_343) + Nc*coupl(    &
                         nGC_1121)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373 &
                         ) + Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(nGC_337)* &
                         coupl(nGC_338) + Nc*coupl(nGC_1271)*coupl(nGC_334)*   &
                         coupl(nGC_367)*coupl(nGC_4199) + Nc*coupl(nGC_1271)*  &
                         coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_1979)*coupl(nGC_349)*coupl( &
                         nGC_382) + Nc*coupl(nGC_1571)*coupl(nGC_346)*coupl(   &
                         nGC_349)*coupl(nGC_350) + Nc*coupl(nGC_1571)*coupl(   &
                         nGC_350)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(    &
                         nGC_1979)*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386 &
                         ) + Nc*coupl(nGC_1979)*coupl(nGC_382)*coupl(nGC_385)* &
                         coupl(nGC_386) + Nc*coupl(nGC_2847)*coupl(nGC_340)*   &
                         coupl(nGC_343)*coupl(nGC_374) + Nc*coupl(nGC_2847)*   &
                         coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368)*coupl(   &
                         nGC_4199) + Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(   &
                         nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_341)*coupl(    &
                         nGC_343)*coupl(nGC_373)*coupl(nGC_374) + Nc*coupl(    &
                         nGC_346)*coupl(nGC_350)*coupl(nGC_385)*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368)*  &
                         coupl(nGC_4199) + coupl(nGC_1855)*coupl(nGC_376)*coupl&
                         (nGC_379)*coupl(nGC_380) + coupl(nGC_1879)*coupl(     &
                         nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl(       &
                         nGC_2325)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_21966) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_1121)*coupl(nGC_341  &
                         ) - 4d0*Nc*cMC**2d0*cima*coupl(nGC_1271)*coupl(nGC_338&
                         ) - 4d0*Nc*cMD**2d0*cima*coupl(nGC_1571)*coupl(nGC_350&
                         ) - 4d0*Nc*cMS**2d0*cima*coupl(nGC_368)*coupl(nGC_4199&
                         ) - 4d0*Nc*cMT**2d0*cima*coupl(nGC_2847)*coupl(nGC_374&
                         ) - 4d0*Nc*cMU**2d0*cima*coupl(nGC_1979)*coupl(nGC_386&
                         ) - 4d0*cME**2d0*cima*coupl(nGC_2325)*coupl(nGC_356   &
                         ) - 4d0*cMM**2d0*cima*coupl(nGC_1879)*coupl(nGC_362   &
                         ) - 4d0*cMTA**2d0*cima*coupl(nGC_1855)*coupl(nGC_380  &
                         ) - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(     &
                         nGC_230))/(16d0*pi**2d0)
      coupl(nGC_33254) = coupl(nGC_33252) - coupl(nGC_33253)
      coupl(nGC_34695) = -coupl(nGC_22686) - coupl(nGC_34691)
      coupl(nGC_22094) = (Nc*coupl(nGC_1121)*coupl(nGC_206)*coupl(nGC_339) - Nc&
                         *coupl(nGC_1121)*coupl(nGC_209)*coupl(nGC_339) + Nc*  &
                         coupl(nGC_1271)*coupl(nGC_207)*coupl(nGC_336) - Nc*   &
                         coupl(nGC_1271)*coupl(nGC_210)*coupl(nGC_336) + Nc*   &
                         coupl(nGC_1571)*coupl(nGC_206)*coupl(nGC_348) - Nc*   &
                         coupl(nGC_1571)*coupl(nGC_209)*coupl(nGC_348) + Nc*   &
                         coupl(nGC_1979)*coupl(nGC_207)*coupl(nGC_384) - Nc*   &
                         coupl(nGC_1979)*coupl(nGC_210)*coupl(nGC_384) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_339)*coupl(nGC_341) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_350) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_366)*coupl(nGC_368) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_366)*coupl(nGC_4199) + Nc*   &
                         coupl(nGC_207)*coupl(nGC_2847)*coupl(nGC_372) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_336)*coupl(nGC_338) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_374) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_384)*coupl(nGC_386) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_341) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_350) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_368) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_4199) - Nc*   &
                         coupl(nGC_210)*coupl(nGC_2847)*coupl(nGC_372) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_336)*coupl(nGC_338) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_384)*coupl(nGC_386) + coupl( &
                         nGC_1855)*coupl(nGC_208)*coupl(nGC_378) - coupl(      &
                         nGC_1855)*coupl(nGC_211)*coupl(nGC_378) + coupl(      &
                         nGC_1879)*coupl(nGC_208)*coupl(nGC_360) - coupl(      &
                         nGC_1879)*coupl(nGC_211)*coupl(nGC_360) + coupl(      &
                         nGC_208)*coupl(nGC_2325)*coupl(nGC_354) - coupl(      &
                         nGC_208)*coupl(nGC_354)*coupl(nGC_356) - coupl(nGC_208&
                         )*coupl(nGC_360)*coupl(nGC_362) - coupl(nGC_208)*coupl&
                         (nGC_378)*coupl(nGC_380) - coupl(nGC_211)*coupl(      &
                         nGC_2325)*coupl(nGC_354) + coupl(nGC_211)*coupl(      &
                         nGC_354)*coupl(nGC_356) + coupl(nGC_211)*coupl(nGC_360&
                         )*coupl(nGC_362) + coupl(nGC_211)*coupl(nGC_378)*coupl&
                         (nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22095) = (Nc*coupl(nGC_1121)*coupl(nGC_206)*coupl(nGC_342) - Nc&
                         *coupl(nGC_1121)*coupl(nGC_209)*coupl(nGC_342) + Nc*  &
                         coupl(nGC_1271)*coupl(nGC_207)*coupl(nGC_333) - Nc*   &
                         coupl(nGC_1271)*coupl(nGC_210)*coupl(nGC_333) + Nc*   &
                         coupl(nGC_1571)*coupl(nGC_206)*coupl(nGC_345) - Nc*   &
                         coupl(nGC_1571)*coupl(nGC_209)*coupl(nGC_345) + Nc*   &
                         coupl(nGC_1979)*coupl(nGC_207)*coupl(nGC_381) - Nc*   &
                         coupl(nGC_1979)*coupl(nGC_210)*coupl(nGC_381) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_342) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_350) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_368) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_4199) + Nc*   &
                         coupl(nGC_207)*coupl(nGC_2847)*coupl(nGC_369) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_333)*coupl(nGC_338) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_374) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_381)*coupl(nGC_386) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_342) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_350) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_368) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_4199) - Nc*   &
                         coupl(nGC_210)*coupl(nGC_2847)*coupl(nGC_369) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_338) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_386) + coupl( &
                         nGC_1855)*coupl(nGC_208)*coupl(nGC_375) - coupl(      &
                         nGC_1855)*coupl(nGC_211)*coupl(nGC_375) + coupl(      &
                         nGC_1879)*coupl(nGC_208)*coupl(nGC_357) - coupl(      &
                         nGC_1879)*coupl(nGC_211)*coupl(nGC_357) + coupl(      &
                         nGC_208)*coupl(nGC_2325)*coupl(nGC_351) - coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_356) - coupl(nGC_208&
                         )*coupl(nGC_357)*coupl(nGC_362) - coupl(nGC_208)*coupl&
                         (nGC_375)*coupl(nGC_380) - coupl(nGC_211)*coupl(      &
                         nGC_2325)*coupl(nGC_351) + coupl(nGC_211)*coupl(      &
                         nGC_351)*coupl(nGC_356) + coupl(nGC_211)*coupl(nGC_357&
                         )*coupl(nGC_362) + coupl(nGC_211)*coupl(nGC_375)*coupl&
                         (nGC_380))/(24d0*pi**2d0)
      coupl(nGC_22090) = coupl(nGC_197)*(-Nc*coupl(nGC_1271)*coupl(nGC_334) -  &
                         Nc*coupl(nGC_1979)*coupl(nGC_382) - Nc*coupl(nGC_2847 &
                         )*coupl(nGC_370) + Nc*coupl(nGC_341)*coupl(nGC_343) + &
                         Nc*coupl(nGC_346)*coupl(nGC_350) + Nc*coupl(nGC_364)* &
                         coupl(nGC_368) + coupl(nGC_352)*coupl(nGC_356) + coupl&
                         (nGC_358)*coupl(nGC_362) + coupl(nGC_376)*coupl(      &
                         nGC_380))/(24d0*pi**2d0)
      coupl(nGC_33721) = coupl(nGC_22575) + coupl(nGC_241)*dZHl_QED2/2d0 +     &
                         coupl(nGC_249)*dZHhHl_QED2/2d0 + coupl(nGC_252)*      &
                         dZHMinusGMinus_QED2 + coupl(nGC_TS_GC_33_Hh) + coupl( &
                         nGC_TS_GC_45_Hl)
      coupl(nGC_22092) = (Nc*cMB*coupl(nGC_1121)*coupl(nGC_1393)*coupl(nGC_342 &
                         ) + 2d0*Nc*cMB*coupl(nGC_1121)*coupl(nGC_342)*coupl(  &
                         nGC_344) + 2d0*Nc*cMB*coupl(nGC_1393)*coupl(nGC_341)* &
                         coupl(nGC_342) + Nc*cMB*coupl(nGC_341)*coupl(nGC_342)*&
                         coupl(nGC_344) + 2d0*Nc*cMC*coupl(nGC_1271)*coupl(    &
                         nGC_333)*coupl(nGC_335) + Nc*cMC*coupl(nGC_1271)*coupl&
                         (nGC_333)*coupl(nGC_3383) + Nc*cMC*coupl(nGC_333)*    &
                         coupl(nGC_335)*coupl(nGC_338) + 2d0*Nc*cMC*coupl(     &
                         nGC_333)*coupl(nGC_338)*coupl(nGC_3383) + Nc*cMD*coupl&
                         (nGC_1571)*coupl(nGC_2475)*coupl(nGC_345) + 2d0*Nc*cMD&
                         *coupl(nGC_1571)*coupl(nGC_345)*coupl(nGC_347) + 2d0* &
                         Nc*cMD*coupl(nGC_2475)*coupl(nGC_345)*coupl(nGC_350   &
                         ) + Nc*cMD*coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_350&
                         ) + Nc*cMS*coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_368&
                         ) + 2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_365)*coupl(   &
                         nGC_4199) + 2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_368)* &
                         coupl(nGC_867) + Nc*cMS*coupl(nGC_363)*coupl(nGC_4199 &
                         )*coupl(nGC_867) + 2d0*Nc*cMT*coupl(nGC_2847)*coupl(  &
                         nGC_369)*coupl(nGC_371) + Nc*cMT*coupl(nGC_2847)*coupl&
                         (nGC_369)*coupl(nGC_789) + Nc*cMT*coupl(nGC_369)*coupl&
                         (nGC_371)*coupl(nGC_374) + 2d0*Nc*cMT*coupl(nGC_369)* &
                         coupl(nGC_374)*coupl(nGC_789) + Nc*cMU*coupl(nGC_1979 &
                         )*coupl(nGC_3209)*coupl(nGC_381) + 2d0*Nc*cMU*coupl(  &
                         nGC_1979)*coupl(nGC_381)*coupl(nGC_383) + 2d0*Nc*cMU* &
                         coupl(nGC_3209)*coupl(nGC_381)*coupl(nGC_386) + Nc*cMU&
                         *coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_386) + cME*  &
                         coupl(nGC_2325)*coupl(nGC_3117)*coupl(nGC_351) + 2d0* &
                         cME*coupl(nGC_2325)*coupl(nGC_351)*coupl(nGC_353) +   &
                         2d0*cME*coupl(nGC_3117)*coupl(nGC_351)*coupl(nGC_356  &
                         ) + cME*coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_356   &
                         ) + cMM*coupl(nGC_1879)*coupl(nGC_2221)*coupl(nGC_357 &
                         ) + 2d0*cMM*coupl(nGC_1879)*coupl(nGC_357)*coupl(     &
                         nGC_359) + 2d0*cMM*coupl(nGC_2221)*coupl(nGC_357)*    &
                         coupl(nGC_362) + cMM*coupl(nGC_357)*coupl(nGC_359)*   &
                         coupl(nGC_362) + cMTA*coupl(nGC_1855)*coupl(nGC_2353)*&
                         coupl(nGC_375) + 2d0*cMTA*coupl(nGC_1855)*coupl(      &
                         nGC_375)*coupl(nGC_377) + 2d0*cMTA*coupl(nGC_2353)*   &
                         coupl(nGC_375)*coupl(nGC_380) + cMTA*coupl(nGC_375)*  &
                         coupl(nGC_377)*coupl(nGC_380))/(8d0*pi**2d0)
      coupl(nGC_22093) = (Nc*cMB*coupl(nGC_1121)*coupl(nGC_1393)*coupl(nGC_339 &
                         ) + 2d0*Nc*cMB*coupl(nGC_1121)*coupl(nGC_339)*coupl(  &
                         nGC_344) + 2d0*Nc*cMB*coupl(nGC_1393)*coupl(nGC_339)* &
                         coupl(nGC_341) + Nc*cMB*coupl(nGC_339)*coupl(nGC_341)*&
                         coupl(nGC_344) + 2d0*Nc*cMC*coupl(nGC_1271)*coupl(    &
                         nGC_335)*coupl(nGC_336) + Nc*cMC*coupl(nGC_1271)*coupl&
                         (nGC_336)*coupl(nGC_3383) + Nc*cMC*coupl(nGC_335)*    &
                         coupl(nGC_336)*coupl(nGC_338) + 2d0*Nc*cMC*coupl(     &
                         nGC_336)*coupl(nGC_338)*coupl(nGC_3383) + Nc*cMD*coupl&
                         (nGC_1571)*coupl(nGC_2475)*coupl(nGC_348) + 2d0*Nc*cMD&
                         *coupl(nGC_1571)*coupl(nGC_347)*coupl(nGC_348) + 2d0* &
                         Nc*cMD*coupl(nGC_2475)*coupl(nGC_348)*coupl(nGC_350   &
                         ) + Nc*cMD*coupl(nGC_347)*coupl(nGC_348)*coupl(nGC_350&
                         ) + Nc*cMS*coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_368&
                         ) + 2d0*Nc*cMS*coupl(nGC_365)*coupl(nGC_366)*coupl(   &
                         nGC_4199) + 2d0*Nc*cMS*coupl(nGC_366)*coupl(nGC_368)* &
                         coupl(nGC_867) + Nc*cMS*coupl(nGC_366)*coupl(nGC_4199 &
                         )*coupl(nGC_867) + 2d0*Nc*cMT*coupl(nGC_2847)*coupl(  &
                         nGC_371)*coupl(nGC_372) + Nc*cMT*coupl(nGC_2847)*coupl&
                         (nGC_372)*coupl(nGC_789) + Nc*cMT*coupl(nGC_371)*coupl&
                         (nGC_372)*coupl(nGC_374) + 2d0*Nc*cMT*coupl(nGC_372)* &
                         coupl(nGC_374)*coupl(nGC_789) + Nc*cMU*coupl(nGC_1979 &
                         )*coupl(nGC_3209)*coupl(nGC_384) + 2d0*Nc*cMU*coupl(  &
                         nGC_1979)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*cMU* &
                         coupl(nGC_3209)*coupl(nGC_384)*coupl(nGC_386) + Nc*cMU&
                         *coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_386) + cME*  &
                         coupl(nGC_2325)*coupl(nGC_3117)*coupl(nGC_354) + 2d0* &
                         cME*coupl(nGC_2325)*coupl(nGC_353)*coupl(nGC_354) +   &
                         2d0*cME*coupl(nGC_3117)*coupl(nGC_354)*coupl(nGC_356  &
                         ) + cME*coupl(nGC_353)*coupl(nGC_354)*coupl(nGC_356   &
                         ) + cMM*coupl(nGC_1879)*coupl(nGC_2221)*coupl(nGC_360 &
                         ) + 2d0*cMM*coupl(nGC_1879)*coupl(nGC_359)*coupl(     &
                         nGC_360) + 2d0*cMM*coupl(nGC_2221)*coupl(nGC_360)*    &
                         coupl(nGC_362) + cMM*coupl(nGC_359)*coupl(nGC_360)*   &
                         coupl(nGC_362) + cMTA*coupl(nGC_1855)*coupl(nGC_2353)*&
                         coupl(nGC_378) + 2d0*cMTA*coupl(nGC_1855)*coupl(      &
                         nGC_377)*coupl(nGC_378) + 2d0*cMTA*coupl(nGC_2353)*   &
                         coupl(nGC_378)*coupl(nGC_380) + cMTA*coupl(nGC_377)*  &
                         coupl(nGC_378)*coupl(nGC_380))/(8d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
