!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl34()
      coupl(nGC_61589) = -coupl(nGC_22075)
      coupl(nGC_22286) = (coupl(nGC_1979)*coupl(nGC_210)*coupl(nGC_386) + 4d0* &
                         coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207  &
                         )**3d0 + coupl(nGC_209)*coupl(nGC_382)**2d0 + coupl(  &
                         nGC_209)*coupl(nGC_385)**2d0 + coupl(nGC_210)*coupl(  &
                         nGC_3209)*coupl(nGC_383) + coupl(nGC_210)*coupl(      &
                         nGC_381)**2d0 + coupl(nGC_210)*coupl(nGC_384)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22159) = (2d0*Nc*cMB*coupl(nGC_1393)**2d0*coupl(nGC_342) + 8d0*&
                         Nc*cMB*coupl(nGC_1393)*coupl(nGC_342)*coupl(nGC_344   &
                         ) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_344)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_335)**2d0 + 8d0*Nc&
                         *cMC*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_3383) +  &
                         2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_3383)**2d0 + 2d0* &
                         Nc*cMD*coupl(nGC_2475)**2d0*coupl(nGC_345) + 8d0*Nc*  &
                         cMD*coupl(nGC_2475)*coupl(nGC_345)*coupl(nGC_347) +   &
                         2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_347)**2d0 + 2d0*Nc&
                         *cMS*coupl(nGC_363)*coupl(nGC_365)**2d0 + 8d0*Nc*cMS* &
                         coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_867) + 2d0*Nc*&
                         cMS*coupl(nGC_363)*coupl(nGC_867)**2d0 + 2d0*Nc*cMT*  &
                         coupl(nGC_369)*coupl(nGC_371)**2d0 + 8d0*Nc*cMT*coupl(&
                         nGC_369)*coupl(nGC_371)*coupl(nGC_789) + 2d0*Nc*cMT*  &
                         coupl(nGC_369)*coupl(nGC_789)**2d0 + 2d0*Nc*cMU*coupl(&
                         nGC_3209)**2d0*coupl(nGC_381) + 8d0*Nc*cMU*coupl(     &
                         nGC_3209)*coupl(nGC_381)*coupl(nGC_383) + 2d0*Nc*cMU* &
                         coupl(nGC_381)*coupl(nGC_383)**2d0 + 2d0*cME*coupl(   &
                         nGC_3117)**2d0*coupl(nGC_351) + 8d0*cME*coupl(nGC_3117&
                         )*coupl(nGC_351)*coupl(nGC_353) + 2d0*cME*coupl(      &
                         nGC_351)*coupl(nGC_353)**2d0 + 2d0*cMM*coupl(nGC_2221 &
                         )**2d0*coupl(nGC_357) + 8d0*cMM*coupl(nGC_2221)*coupl(&
                         nGC_357)*coupl(nGC_359) + 2d0*cMM*coupl(nGC_357)*coupl&
                         (nGC_359)**2d0 + 2d0*cMTA*coupl(nGC_2353)**2d0*coupl( &
                         nGC_375) + 8d0*cMTA*coupl(nGC_2353)*coupl(nGC_375)*   &
                         coupl(nGC_377) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_377&
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + cima&
                         *coupl(nGC_230)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_22158) = (2d0*Nc*cMB*coupl(nGC_1393)**2d0*coupl(nGC_339) + 8d0*&
                         Nc*cMB*coupl(nGC_1393)*coupl(nGC_339)*coupl(nGC_344   &
                         ) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_344)**2d0 +   &
                         2d0*Nc*cMC*coupl(nGC_335)**2d0*coupl(nGC_336) + 8d0*Nc&
                         *cMC*coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_3383) +  &
                         2d0*Nc*cMC*coupl(nGC_336)*coupl(nGC_3383)**2d0 + 2d0* &
                         Nc*cMD*coupl(nGC_2475)**2d0*coupl(nGC_348) + 8d0*Nc*  &
                         cMD*coupl(nGC_2475)*coupl(nGC_347)*coupl(nGC_348) +   &
                         2d0*Nc*cMD*coupl(nGC_347)**2d0*coupl(nGC_348) + 2d0*Nc&
                         *cMS*coupl(nGC_365)**2d0*coupl(nGC_366) + 8d0*Nc*cMS* &
                         coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_867) + 2d0*Nc*&
                         cMS*coupl(nGC_366)*coupl(nGC_867)**2d0 + 2d0*Nc*cMT*  &
                         coupl(nGC_371)**2d0*coupl(nGC_372) + 8d0*Nc*cMT*coupl(&
                         nGC_371)*coupl(nGC_372)*coupl(nGC_789) + 2d0*Nc*cMT*  &
                         coupl(nGC_372)*coupl(nGC_789)**2d0 + 2d0*Nc*cMU*coupl(&
                         nGC_3209)**2d0*coupl(nGC_384) + 8d0*Nc*cMU*coupl(     &
                         nGC_3209)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*cMU* &
                         coupl(nGC_383)**2d0*coupl(nGC_384) + 2d0*cME*coupl(   &
                         nGC_3117)**2d0*coupl(nGC_354) + 8d0*cME*coupl(nGC_3117&
                         )*coupl(nGC_353)*coupl(nGC_354) + 2d0*cME*coupl(      &
                         nGC_353)**2d0*coupl(nGC_354) + 2d0*cMM*coupl(nGC_2221 &
                         )**2d0*coupl(nGC_360) + 8d0*cMM*coupl(nGC_2221)*coupl(&
                         nGC_359)*coupl(nGC_360) + 2d0*cMM*coupl(nGC_359)**2d0*&
                         coupl(nGC_360) + 2d0*cMTA*coupl(nGC_2353)**2d0*coupl( &
                         nGC_378) + 8d0*cMTA*coupl(nGC_2353)*coupl(nGC_377)*   &
                         coupl(nGC_378) + 2d0*cMTA*coupl(nGC_377)**2d0*coupl(  &
                         nGC_378) + 2d0*cima*coupl(nGC_100)*coupl(nGC_272) +   &
                         cima*coupl(nGC_230)*coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_22154) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) - coupl(&
                         nGC_1271)*coupl(nGC_364)*coupl(nGC_4199) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(nGC_333&
                         )*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_336)*coupl&
                         (nGC_364)*coupl(nGC_366) - coupl(nGC_3383)*coupl(     &
                         nGC_364)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_22157) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) - coupl(&
                         nGC_1571)*coupl(nGC_1979)*coupl(nGC_346) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl(       &
                         nGC_2475)*coupl(nGC_3209)*coupl(nGC_346) - coupl(     &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22307) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - 4d0*    &
                         coupl(nGC_2)**2d0 - 4d0*coupl(nGC_210)**2d0 - coupl(  &
                         nGC_2847)*coupl(nGC_374) - coupl(nGC_340)**2d0 - coupl&
                         (nGC_343)**2d0 - coupl(nGC_369)**2d0 - coupl(nGC_371)*&
                         coupl(nGC_789) - coupl(nGC_372)**2d0)/(64d0*pi**2d0*Nc&
                         )
      coupl(nGC_34500) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2&
                         /2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215 &
                         )*dZHhHl_QED2/2d0 + coupl(nGC_22713)
      coupl(nGC_22153) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) - coupl(&
                         nGC_1121)*coupl(nGC_2847)*coupl(nGC_343) - coupl(     &
                         nGC_1393)*coupl(nGC_343)*coupl(nGC_789) + 8d0*coupl(  &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(nGC_339&
                         )*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_342)*coupl&
                         (nGC_343)*coupl(nGC_369))/(32d0*pi**2d0)
      coupl(nGC_40273) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*    &
                         dZHh_QED2 + coupl(nGC_22512)
      coupl(nGC_36733) = coupl(nGC_22624) + coupl(nGC_347)*dZHaG0_QED2/2d0
      coupl(nGC_36734) = -coupl(nGC_36727) - coupl(nGC_36733)
      coupl(nGC_36735) = coupl(nGC_36727) + coupl(nGC_36733)
      coupl(nGC_32905) = coupl(nGC_22587) + coupl(nGC_322)*dZHMinusGMinus_QED2/&
                         2d0
      coupl(nGC_36737) = -coupl(nGC_22623) - coupl(nGC_36728)
      coupl(nGC_36738) = coupl(nGC_22623) + coupl(nGC_36728)
      coupl(nGC_36121) = coupl(nGC_36115) + coupl(nGC_36120)
      coupl(nGC_36569) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22501) +     &
                         coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*      &
                         dZZ_QED2/2d0
      coupl(nGC_32620) = coupl(nGC_22673) + coupl(nGC_32619)
      coupl(nGC_37076) = coupl(nGC_37073) + coupl(nGC_37074)
      coupl(nGC_35287) = -coupl(nGC_35284) - coupl(nGC_35286)
      coupl(nGC_22313) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_197)**2d0 - coupl(  &
                         nGC_1979)*coupl(nGC_386) - 4d0*coupl(nGC_2)**2d0 - 4d0&
                         *coupl(nGC_210)**2d0 - coupl(nGC_3209)*coupl(nGC_383  &
                         ) - coupl(nGC_346)**2d0 - coupl(nGC_349)**2d0 - coupl(&
                         nGC_381)**2d0 - coupl(nGC_384)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22044) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)* &
                         coupl(nGC_346)**2d0 + coupl(nGC_1)*coupl(nGC_349)**2d0&
                          + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + coupl(      &
                         nGC_1979)*coupl(nGC_2)*coupl(nGC_386) + 4d0*coupl(    &
                         nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +  &
                         coupl(nGC_2)*coupl(nGC_3209)*coupl(nGC_383) + coupl(  &
                         nGC_2)*coupl(nGC_381)**2d0 + coupl(nGC_2)*coupl(      &
                         nGC_384)**2d0)/(32d0*pi**2d0)
      coupl(nGC_34864) = coupl(nGC_34862) + coupl(nGC_34863)
      coupl(nGC_57656) = -coupl(nGC_22091)
      coupl(nGC_34476) = coupl(nGC_22677) + coupl(nGC_34475)
      coupl(nGC_22444) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1121)*    &
                         coupl(nGC_344) + coupl(nGC_1271)*coupl(nGC_335) +     &
                         coupl(nGC_1393)*coupl(nGC_341) + coupl(nGC_1571)*coupl&
                         (nGC_347) + coupl(nGC_1979)*coupl(nGC_383) + coupl(   &
                         nGC_2475)*coupl(nGC_350) + coupl(nGC_2847)*coupl(     &
                         nGC_371) + coupl(nGC_3209)*coupl(nGC_386) + coupl(    &
                         nGC_338)*coupl(nGC_3383) + coupl(nGC_365)*coupl(      &
                         nGC_4199) + coupl(nGC_368)*coupl(nGC_867) + coupl(    &
                         nGC_374)*coupl(nGC_789))/(32d0*pi**2d0*Nc)
      coupl(nGC_32249) = coupl(nGC_22511) + coupl(nGC_33)*dZHlHh_QED2 + coupl( &
                         nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_22089) = (2d0*Nc*cMB*coupl(nGC_1121)**2d0*coupl(nGC_342) + 8d0*&
                         Nc*cMB*coupl(nGC_1121)*coupl(nGC_341)*coupl(nGC_342   &
                         ) + 2d0*Nc*cMB*coupl(nGC_341)**2d0*coupl(nGC_342) +   &
                         2d0*Nc*cMC*coupl(nGC_1271)**2d0*coupl(nGC_333) + 8d0* &
                         Nc*cMC*coupl(nGC_1271)*coupl(nGC_333)*coupl(nGC_338   &
                         ) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_338)**2d0 +   &
                         2d0*Nc*cMD*coupl(nGC_1571)**2d0*coupl(nGC_345) + 8d0* &
                         Nc*cMD*coupl(nGC_1571)*coupl(nGC_345)*coupl(nGC_350   &
                         ) + 2d0*Nc*cMD*coupl(nGC_345)*coupl(nGC_350)**2d0 +   &
                         2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_368)**2d0 + 8d0*Nc&
                         *cMS*coupl(nGC_363)*coupl(nGC_368)*coupl(nGC_4199) +  &
                         2d0*Nc*cMS*coupl(nGC_363)*coupl(nGC_4199)**2d0 + 2d0* &
                         Nc*cMT*coupl(nGC_2847)**2d0*coupl(nGC_369) + 8d0*Nc*  &
                         cMT*coupl(nGC_2847)*coupl(nGC_369)*coupl(nGC_374) +   &
                         2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_374)**2d0 + 2d0*Nc&
                         *cMU*coupl(nGC_1979)**2d0*coupl(nGC_381) + 8d0*Nc*cMU*&
                         coupl(nGC_1979)*coupl(nGC_381)*coupl(nGC_386) + 2d0*Nc&
                         *cMU*coupl(nGC_381)*coupl(nGC_386)**2d0 + 2d0*cME*    &
                         coupl(nGC_2325)**2d0*coupl(nGC_351) + 8d0*cME*coupl(  &
                         nGC_2325)*coupl(nGC_351)*coupl(nGC_356) + 2d0*cME*    &
                         coupl(nGC_351)*coupl(nGC_356)**2d0 + 2d0*cMM*coupl(   &
                         nGC_1879)**2d0*coupl(nGC_357) + 8d0*cMM*coupl(nGC_1879&
                         )*coupl(nGC_357)*coupl(nGC_362) + 2d0*cMM*coupl(      &
                         nGC_357)*coupl(nGC_362)**2d0 + 2d0*cMTA*coupl(nGC_1855&
                         )**2d0*coupl(nGC_375) + 8d0*cMTA*coupl(nGC_1855)*coupl&
                         (nGC_375)*coupl(nGC_380) + 2d0*cMTA*coupl(nGC_375)*   &
                         coupl(nGC_380)**2d0 + 2d0*cima*coupl(nGC_100)*coupl(  &
                         nGC_261) + cima*coupl(nGC_230)*coupl(nGC_329))/(16d0* &
                         pi**2d0)
      coupl(nGC_32704) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*      &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 &
                          + coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*     &
                         dZWMinus_QED2/2d0 + coupl(nGC_22691) + coupl(nGC_23)* &
                         dZZA_QED2/2d0
      coupl(nGC_22087) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) - coupl(&
                         nGC_1571)*coupl(nGC_1979)*coupl(nGC_349) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(       &
                         nGC_2475)*coupl(nGC_3209)*coupl(nGC_349) - coupl(     &
                         nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_348&
                         )*coupl(nGC_349)*coupl(nGC_384))/(32d0*pi**2d0)
      coupl(nGC_22084) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) - coupl(&
                         nGC_1271)*coupl(nGC_367)*coupl(nGC_4199) + 8d0*coupl( &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(nGC_333&
                         )*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_336)*coupl&
                         (nGC_366)*coupl(nGC_367) - coupl(nGC_3383)*coupl(     &
                         nGC_367)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_58717) = -coupl(nGC_22048)
      coupl(nGC_32450) = coupl(nGC_22648) + coupl(nGC_358)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_361)*dZmuMinusR_QED2/2d0 + coupl(     &
                         nGC_361)*dZnu_muL_QED2/2d0
      coupl(nGC_34776) = coupl(nGC_22672) + coupl(nGC_381)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_384)*dZHh_QED2/2d0
      coupl(nGC_34777) = coupl(nGC_34773) + coupl(nGC_34776)
      coupl(nGC_32687) = coupl(nGC_32600) + coupl(nGC_32683)
      coupl(nGC_34775) = coupl(nGC_22671) + coupl(nGC_34774)
      coupl(nGC_32602) = coupl(nGC_32599) + coupl(nGC_32600)
      coupl(nGC_21960) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_206) + Nc*cMB&
                         **2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*cMC**2d0* &
                         cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMC**2d0*cima*  &
                         coupl(nGC_2)*coupl(nGC_210) + Nc*cMD**2d0*cima*coupl( &
                         nGC_1)*coupl(nGC_206) + Nc*cMD**2d0*cima*coupl(nGC_1)*&
                         coupl(nGC_209) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                         nGC_206) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_209&
                         ) + Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc*&
                         cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_210) + Nc*cMU**  &
                         2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMU**2d0*   &
                         cima*coupl(nGC_2)*coupl(nGC_210) + cME**2d0*cima*coupl&
                         (nGC_208)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_211)*&
                         coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_208)*coupl(    &
                         nGC_4) + cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_4) +  &
                         cMTA**2d0*cima*coupl(nGC_208)*coupl(nGC_4) + cMTA**2d0&
                         *cima*coupl(nGC_211)*coupl(nGC_4) + cMW**2d0*cima*    &
                         coupl(nGC_199)*coupl(nGC_3) + cMW**2d0*cima*coupl(    &
                         nGC_2539)*coupl(nGC_3285) - cMW**2d0*coupl(nGC_205))/(&
                         8d0*pi**2d0)
      coupl(nGC_22319) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 +   &
                         5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**&
                         2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*&
                         coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_2)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_2)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*&
                         coupl(nGC_2)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_382)**2d0 + 3d0*cima*coupl&
                         (nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*&
                         coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_358)**2d0*coupl&
                         (nGC_4)**2d0 - 4d0*cima*coupl(nGC_376)**2d0*coupl(    &
                         nGC_4)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 +  &
                         3d0*coupl(nGC_100)*coupl(nGC_3285)**2d0)/(24d0*pi**2d0&
                         )
      coupl(nGC_22318) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 - &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 -   &
                         4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 +   &
                         5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**&
                         2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(    &
                         nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*&
                         coupl(nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl( &
                         nGC_2)*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                         coupl(nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl( &
                         nGC_1)*coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*&
                         coupl(nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*  &
                         coupl(nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl&
                         (nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*&
                         coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl&
                         (nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(    &
                         nGC_4)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 +  &
                         3d0*coupl(nGC_100)*coupl(nGC_3285)**2d0)/(24d0*pi**2d0&
                         )
      coupl(nGC_35636) = -coupl(nGC_33252) + coupl(nGC_33253)
      coupl(nGC_52276) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
      coupl(nGC_22315) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_197)**2d0 + coupl(   &
                         nGC_1979)*coupl(nGC_386) + 4d0*coupl(nGC_2)**2d0 + 4d0&
                         *coupl(nGC_210)**2d0 + coupl(nGC_3209)*coupl(nGC_383  &
                         ) + coupl(nGC_346)**2d0 + coupl(nGC_349)**2d0 + coupl(&
                         nGC_381)**2d0 + coupl(nGC_384)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22314) = coupl(nGC_13)*sq2*(-coupl(nGC_1979)*coupl(nGC_386) -  &
                         4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 -     &
                         coupl(nGC_3209)*coupl(nGC_383) - coupl(nGC_381)**2d0  &
                          - coupl(nGC_382)**2d0 - coupl(nGC_384)**2d0 - coupl( &
                         nGC_385)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_35353) = coupl(nGC_22577) + coupl(nGC_246)*dZHa_QED2 + coupl(  &
                         nGC_246)*dZHl_QED2/2d0 + coupl(nGC_253)*dZG0Ha_QED2 + &
                         coupl(nGC_254)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_36_Hh&
                         ) + coupl(nGC_TS_GC_41_Hl)
      coupl(nGC_37084) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*        &
                         dZHh_QED2/2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(  &
                         nGC_215)*dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/&
                         2d0 + coupl(nGC_22715)
      coupl(nGC_36314) = -coupl(nGC_33204)
      coupl(nGC_22443) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1121)*   &
                         coupl(nGC_344) - coupl(nGC_1271)*coupl(nGC_335) -     &
                         coupl(nGC_1393)*coupl(nGC_341) - coupl(nGC_1571)*coupl&
                         (nGC_347) - coupl(nGC_1979)*coupl(nGC_383) - coupl(   &
                         nGC_2475)*coupl(nGC_350) - coupl(nGC_2847)*coupl(     &
                         nGC_371) - coupl(nGC_3209)*coupl(nGC_386) - coupl(    &
                         nGC_338)*coupl(nGC_3383) - coupl(nGC_365)*coupl(      &
                         nGC_4199) - coupl(nGC_368)*coupl(nGC_867) - coupl(    &
                         nGC_374)*coupl(nGC_789))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
