!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_22237) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -   &
                         coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(    &
                         nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4 &
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_22230) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(nGC_333&
                         )**3d0 - coupl(nGC_333)*coupl(nGC_335)**2d0 - coupl(  &
                         nGC_333)*coupl(nGC_336)**2d0 - coupl(nGC_333)*coupl(  &
                         nGC_338)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(  &
                         nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367&
                         ))/(32d0*pi**2d0)
      coupl(nGC_22232) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) - coupl(nGC_1571&
                         )**2d0*coupl(nGC_345) + 8d0*coupl(nGC_206)*coupl(     &
                         nGC_209)*coupl(nGC_345) - coupl(nGC_2475)**2d0*coupl( &
                         nGC_345) - coupl(nGC_345)**3d0 - coupl(nGC_345)*coupl(&
                         nGC_348)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                         nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385&
                         ))/(32d0*pi**2d0)
      coupl(nGC_22233) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345&
                         )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(  &
                         nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(  &
                         nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(  &
                         nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385&
                         ))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_33486) = coupl(nGC_197)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_32274) = coupl(nGC_35)*dZG0
      coupl(nGC_36753) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusR_QED2
      coupl(nGC_22052) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)*coupl(      &
                         nGC_343) + 2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*&
                         coupl(nGC_372) + Nc*cMB*coupl(nGC_343)*coupl(nGC_372)*&
                         coupl(nGC_373) + 2d0*Nc*cMC*coupl(nGC_334)*coupl(     &
                         nGC_336)*coupl(nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(&
                         nGC_366)*coupl(nGC_367) + 2d0*Nc*cMC*coupl(nGC_336)*  &
                         coupl(nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*&
                         coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc*cMD*coupl(     &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_349) + Nc*cMD*coupl(&
                         nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384) + Nc*cMS*&
                         coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_367) + 2d0*Nc*&
                         cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366) + Nc*&
                         cMS*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364) + 2d0&
                         *Nc*cMS*coupl(nGC_364)*coupl(nGC_366)*coupl(nGC_367   &
                         ) + Nc*cMT*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370&
                         ) + Nc*cMT*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373&
                         ) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(   &
                         nGC_372) + 2d0*Nc*cMT*coupl(nGC_370)*coupl(nGC_372)*  &
                         coupl(nGC_373) + Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*&
                         coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(     &
                         nGC_349)*coupl(nGC_384) + Nc*cMU*coupl(nGC_348)*coupl(&
                         nGC_349)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)*  &
                         coupl(nGC_384)*coupl(nGC_385) + 2d0*cME*coupl(nGC_352 &
                         )*coupl(nGC_354)*coupl(nGC_355) + 2d0*cMM*coupl(      &
                         nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 2d0*cMTA*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_175)*coupl(nGC_324) + 2d0*cima*coupl(  &
                         nGC_180)*coupl(nGC_321) + 2d0*cima*coupl(nGC_22)*coupl&
                         (nGC_237) + 2d0*cima*coupl(nGC_23)*coupl(nGC_231))/(  &
                         16d0*pi**2d0)
      coupl(nGC_22582) = coupl(nGC_21571)*dvev2_QED1 + coupl(nGC_21572)*       &
                         dcw_QED2 + coupl(nGC_21573)*db_QED2 + coupl(nGC_21574 &
                         )*dvev1_QED1 + coupl(nGC_21575)*dZee_QED2
      coupl(nGC_22583) = coupl(nGC_21226)*dl4_QED4 + coupl(nGC_21227)*dl5_QED4 &
                          + coupl(nGC_21228)*db_QED2 + coupl(nGC_21229)*       &
                         dvev1_QED1 + coupl(nGC_21230)*dvev2_QED1
      coupl(nGC_22580) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dl2_QED4 +    &
                         coupl(nGC_555)*dl3_QED4 + coupl(nGC_557)*dl5_QED4 +   &
                         coupl(nGC_559)*dl4_QED4 + coupl(nGC_561)*dl1_QED4 +   &
                         coupl(nGC_563)*dvev1_QED1 + coupl(nGC_565)*dvev2_QED1 &
                          + coupl(nGC_567)*da_QED2
      coupl(nGC_22053) = (2d0*Nc*cMB*coupl(nGC_340)*coupl(nGC_342)*coupl(      &
                         nGC_343) + Nc*cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(&
                         nGC_370) + 2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMB*coupl(nGC_343)*coupl(nGC_369)*&
                         coupl(nGC_373) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(     &
                         nGC_334)*coupl(nGC_337) + 2d0*Nc*cMC*coupl(nGC_333)*  &
                         coupl(nGC_364)*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*&
                         coupl(nGC_363)*coupl(nGC_367) + Nc*cMC*coupl(nGC_337)*&
                         coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*coupl(     &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_346)*coupl(nGC_381)*coupl(nGC_385) + Nc*cMD*&
                         coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382) + Nc*cMS*&
                         coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_367) + Nc*cMS*&
                         coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 2d0*Nc*&
                         cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363) + 2d0&
                         *Nc*cMS*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367   &
                         ) + Nc*cMT*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370&
                         ) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(   &
                         nGC_369) + Nc*cMT*coupl(nGC_342)*coupl(nGC_343)*coupl(&
                         nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*coupl(nGC_370)*  &
                         coupl(nGC_373) + Nc*cMU*coupl(nGC_345)*coupl(nGC_346)*&
                         coupl(nGC_385) + Nc*cMU*coupl(nGC_345)*coupl(nGC_349)*&
                         coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(     &
                         nGC_349)*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*  &
                         coupl(nGC_382)*coupl(nGC_385) + 2d0*cME*coupl(nGC_351 &
                         )*coupl(nGC_352)*coupl(nGC_355) + 2d0*cMM*coupl(      &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_361) + 2d0*cMTA*    &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_174)*coupl(nGC_321) + 2d0*cima*coupl(  &
                         nGC_180)*coupl(nGC_324) + 2d0*cima*coupl(nGC_21)*coupl&
                         (nGC_231) + 2d0*cima*coupl(nGC_23)*coupl(nGC_237))/(  &
                         16d0*pi**2d0)
      coupl(nGC_22584) = coupl(nGC_21303)*dl4_QED4 + coupl(nGC_21304)*dl5_QED4 &
                          + coupl(nGC_21305)*db_QED2 + coupl(nGC_21306)*       &
                         dvev1_QED1 + coupl(nGC_21307)*dvev2_QED1
      coupl(nGC_22585) = coupl(nGC_21470)*dsw_QED2 + coupl(nGC_21471)*         &
                         dvev2_QED1 + coupl(nGC_21472)*dvev1_QED1 + coupl(     &
                         nGC_21473)*dZee_QED2 + coupl(nGC_21474)*da_QED2
      coupl(nGC_22054) = (Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) + Nc*&
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_385) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) + coupl( &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_355) + coupl(nGC_208&
                         )*coupl(nGC_358)*coupl(nGC_361) + coupl(nGC_208)*coupl&
                         (nGC_376)*coupl(nGC_379) - coupl(nGC_212)*coupl(      &
                         nGC_352)*coupl(nGC_355) - coupl(nGC_212)*coupl(nGC_358&
                         )*coupl(nGC_361) - coupl(nGC_212)*coupl(nGC_376)*coupl&
                         (nGC_379))/(24d0*pi**2d0)
      coupl(nGC_33818) = coupl(nGC_210)*dZcL_QCD2
      coupl(nGC_22589) = coupl(nGC_21766)*dZee_QED2
      coupl(nGC_22056) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc*&
                         coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*    &
                         coupl(nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc&
                         *coupl(nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*   &
                         coupl(nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl&
                         (nGC_360)*coupl(nGC_361) - coupl(nGC_378)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22057) = coupl(nGC_197)*(Nc*coupl(nGC_333)*coupl(nGC_337) - Nc*&
                         coupl(nGC_340)*coupl(nGC_342) - Nc*coupl(nGC_345)*    &
                         coupl(nGC_349) - Nc*coupl(nGC_363)*coupl(nGC_367) + Nc&
                         *coupl(nGC_369)*coupl(nGC_373) + Nc*coupl(nGC_381)*   &
                         coupl(nGC_385) - coupl(nGC_351)*coupl(nGC_355) - coupl&
                         (nGC_357)*coupl(nGC_361) - coupl(nGC_375)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22568) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dl2_QED4 +    &
                         coupl(nGC_515)*dl3_QED4 + coupl(nGC_517)*dl5_QED4 +   &
                         coupl(nGC_519)*dl4_QED4 + coupl(nGC_521)*dl1_QED4 +   &
                         coupl(nGC_523)*dvev1_QED1 + coupl(nGC_525)*dvev2_QED1 &
                          + coupl(nGC_527)*da_QED2
      coupl(nGC_22569) = coupl(nGC_21903)*dl4_QED4 + coupl(nGC_21904)*dl5_QED4 &
                          + coupl(nGC_21905)*db_QED2 + coupl(nGC_21906)*       &
                         dvev1_QED1 + coupl(nGC_21907)*dvev2_QED1
      coupl(nGC_22560) = coupl(nGC_21925)*dsw_QED2 + coupl(nGC_21926)*db_QED2  &
                          + coupl(nGC_21927)*dZee_QED2 + coupl(nGC_21928)*     &
                         da_QED2
      coupl(nGC_22562) = coupl(nGC_21285)*dZee_QED2 + coupl(nGC_21286)*dsw_QED2&
                          + coupl(nGC_21287)*dcw_QED2 + coupl(nGC_21288)*      &
                         dvev2_QED1 + coupl(nGC_21289)*dvev1_QED1 + coupl(     &
                         nGC_21290)*da_QED2
      coupl(nGC_22563) = coupl(nGC_21410)*dl3_QED4 + coupl(nGC_21411)*db_QED2  &
                          + coupl(nGC_21412)*dl2_QED4 + coupl(nGC_21413)*      &
                         dl5_QED4 + coupl(nGC_21414)*dvev2_QED1 + coupl(       &
                         nGC_21415)*dvev1_QED1 + coupl(nGC_21416)*dl1_QED4 +   &
                         coupl(nGC_21417)*dl4_QED4 + coupl(nGC_21418)*da_QED2
      coupl(nGC_22564) = coupl(nGC_21099)*dl3_QED4 + coupl(nGC_21100)*db_QED2  &
                          + coupl(nGC_21101)*dl2_QED4 + coupl(nGC_21102)*      &
                         dl5_QED4 + coupl(nGC_21103)*dvev2_QED1 + coupl(       &
                         nGC_21104)*dvev1_QED1 + coupl(nGC_21105)*dl1_QED4 +   &
                         coupl(nGC_21106)*dl4_QED4 + coupl(nGC_21107)*da_QED2
      coupl(nGC_22567) = coupl(nGC_21865)*dl3_QED4 + coupl(nGC_21866)*dl1_QED4 &
                          + coupl(nGC_21867)*dl2_QED4 + coupl(nGC_21868)*      &
                         dl5_QED4 + coupl(nGC_21869)*dl4_QED4 + coupl(nGC_21870&
                         )*dvev1_QED1 + coupl(nGC_21871)*dvev2_QED1 + coupl(   &
                         nGC_21872)*da_QED2
      coupl(nGC_37867) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_36446) = coupl(nGC_386)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_36447) = coupl(nGC_386)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_22694) = coupl(nGC_21475)*dsw_QED2 + coupl(nGC_21476)*dZee_QED2
      coupl(nGC_36442) = coupl(nGC_22682) + coupl(nGC_369)*dZHl_QED2/2d0 +     &
                         coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_36440) = coupl(nGC_369)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_36441) = coupl(nGC_22681) + coupl(nGC_36440)
      coupl(nGC_22169) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_35819) = coupl(nGC_179)*dZGMinus/2d0
      coupl(nGC_36228) = coupl(nGC_I)*dZG0Ha_QED2/2d0
      coupl(nGC_36229) = coupl(nGC_I)*dZHaG0_QED2/2d0
      coupl(nGC_32214) = coupl(nGC_238)*dZGMinus/2d0
      coupl(nGC_32219) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_36997) = coupl(nGC_359)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32989) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZtL_QED2&
                          + coupl(nGC_22733)
      coupl(nGC_32987) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_32986) = coupl(nGC_210)*dZtL_QCD2
      coupl(nGC_22391) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl(&
                         nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)* &
                         coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*&
                         coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*&
                         coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*&
                         coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 +   &
                         5d0*Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(      &
                         nGC_343) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(&
                         nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**&
                         2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(     &
                         nGC_342)*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_346)*coupl(  &
                         nGC_349) + 5d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_382)* &
                         coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*&
                         coupl(nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*&
                         coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*&
                         coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)**2d0 +   &
                         5d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_364)*coupl(      &
                         nGC_367) + 5d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_370)* &
                         coupl(nGC_373) + 5d0*Nc*coupl(nGC_381)**2d0*coupl(    &
                         nGC_382)*coupl(nGC_385) + 6d0*coupl(nGC_174)*coupl(   &
                         nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_351)**2d0*coupl(nGC_352)*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_357)**2d0*coupl(nGC_358)*coupl(nGC_361) +   &
                         5d0*coupl(nGC_375)**2d0*coupl(nGC_376)*coupl(nGC_379  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_35335) = coupl(nGC_342)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_35334) = coupl(nGC_342)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_35622) = coupl(nGC_22860) + coupl(nGC_TS_GC_363_Hl) + coupl(   &
                         nGC_TS_GC_366_Hh)
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
