!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_35621) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_35620) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_34114) = coupl(nGC_227)*dZG0
      coupl(nGC_34115) = coupl(nGC_224)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_35753) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_42856) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_42857) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_32683) = coupl(nGC_13)*dZdL_QCD2
      coupl(nGC_36192) = coupl(nGC_337)*dZGMinus/2d0
      coupl(nGC_32513) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_40159) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_22463) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(   &
                         nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl&
                         (nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(   &
                         nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl&
                         (nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(      &
                         nGC_354) - coupl(nGC_357)*coupl(nGC_360) - coupl(     &
                         nGC_375)*coupl(nGC_378))/(6d0*pi**2d0)
      coupl(nGC_40157) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_22304) = coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                         nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(      &
                         nGC_334)**2d0 + coupl(nGC_337)**2d0 + coupl(nGC_363)**&
                         2d0 + coupl(nGC_365)*coupl(nGC_867) + coupl(nGC_366)**&
                         2d0 + coupl(nGC_368)*coupl(nGC_4199))/(64d0*pi**2d0)
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32998) = coupl(nGC_193)*dZZA_QED2/2d0 + coupl(nGC_203)*dZA_QED2&
                         /2d0 + coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(      &
                         nGC_22690)
      coupl(nGC_22301) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                         nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(      &
                         nGC_334)**2d0 - coupl(nGC_337)**2d0 - coupl(nGC_363)**&
                         2d0 - coupl(nGC_365)*coupl(nGC_867) - coupl(nGC_366)**&
                         2d0 - coupl(nGC_368)*coupl(nGC_4199))/(64d0*pi**2d0*Nc&
                         )
      coupl(nGC_22302) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                         nGC_206)**2d0 - coupl(nGC_363)**2d0 - coupl(nGC_364)**&
                         2d0 - coupl(nGC_365)*coupl(nGC_867) - coupl(nGC_366)**&
                         2d0 - coupl(nGC_367)**2d0 - coupl(nGC_368)*coupl(     &
                         nGC_4199))/(64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34807) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_32181) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32186) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_32189) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_32744) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_196)*dZZA_QED2&
                         /2d0 + coupl(nGC_204)*dZA_QED2/2d0 + coupl(nGC_204)*  &
                         dZZ_QED2/2d0 + coupl(nGC_22705)
      coupl(nGC_22228) = coupl(nGC_13)**2d0*coupl(nGC_342)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22227) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_342) - coupl(nGC_339&
                         )**2d0*coupl(nGC_342) - coupl(nGC_340)*coupl(nGC_369)*&
                         coupl(nGC_373) - coupl(nGC_341)**2d0*coupl(nGC_342) - &
                         coupl(nGC_342)**3d0 - coupl(nGC_342)*coupl(nGC_344)** &
                         2d0 - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/( &
                         32d0*pi**2d0)
      coupl(nGC_22226) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) - coupl(nGC_1121&
                         )**2d0*coupl(nGC_342) - coupl(nGC_1393)**2d0*coupl(   &
                         nGC_342) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                         nGC_342) - coupl(nGC_339)**2d0*coupl(nGC_342) - coupl(&
                         nGC_340)*coupl(nGC_369)*coupl(nGC_373) - coupl(nGC_342&
                         )**3d0 - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370  &
                         ))/(32d0*pi**2d0)
      coupl(nGC_22223) = 3d0*(4d0*Nc*cMB*coupl(nGC_342)**3d0 + 4d0*Nc*cMC*coupl&
                         (nGC_333)**3d0 + 4d0*Nc*cMD*coupl(nGC_345)**3d0 + 4d0*&
                         Nc*cMS*coupl(nGC_363)**3d0 + 4d0*Nc*cMT*coupl(nGC_369 &
                         )**3d0 + 4d0*Nc*cMU*coupl(nGC_381)**3d0 + 4d0*cME*    &
                         coupl(nGC_351)**3d0 + 4d0*cMM*coupl(nGC_357)**3d0 +   &
                         4d0*cMTA*coupl(nGC_375)**3d0 + cima*coupl(nGC_224)*   &
                         coupl(nGC_329) + 2d0*cima*coupl(nGC_261)*coupl(nGC_77 &
                         ))/(16d0*pi**2d0)
      coupl(nGC_22222) = coupl(nGC_13)**2d0*coupl(nGC_384)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22221) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl&
                         (nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl( &
                         nGC_384) - coupl(nGC_383)**2d0*coupl(nGC_384) - coupl(&
                         nGC_384)**3d0 - coupl(nGC_384)*coupl(nGC_386)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_37051) = coupl(nGC_253)*dZG0/2d0
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22595) = coupl(nGC_21336)*dsw_QED2 + coupl(nGC_21337)*dcw_QED2 &
                          + coupl(nGC_21338)*dZee_QED2
      coupl(nGC_22594) = coupl(nGC_21350)*dsw_QED2 + coupl(nGC_21351)*dcw_QED2 &
                          + coupl(nGC_21352)*dZee_QED2
      coupl(nGC_22597) = coupl(nGC_21393)*dZgs_QCD2
      coupl(nGC_22596) = coupl(nGC_21047)*dZgs_QCD2
      coupl(nGC_22591) = coupl(nGC_21291)*dZee_QED2
      coupl(nGC_22590) = coupl(nGC_21520)*dZee_QED2
      coupl(nGC_22593) = coupl(nGC_21465)*dZee_QED2
      coupl(nGC_22592) = coupl(nGC_21292)*dZee_QED2
      coupl(nGC_22599) = coupl(nGC_21296)*db_QED2 + coupl(nGC_21297)*dyup1_QED3&
                          + coupl(nGC_21298)*dyup2_QED3
      coupl(nGC_22598) = coupl(nGC_20760)*dZgs_QCD2
      coupl(nGC_22356) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0  &
                          - coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22355) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 + &
                         coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22579) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dl2_QED4 +    &
                         coupl(nGC_535)*dl3_QED4 + coupl(nGC_537)*dl5_QED4 +   &
                         coupl(nGC_539)*dl4_QED4 + coupl(nGC_541)*dl1_QED4 +   &
                         coupl(nGC_543)*dvev1_QED1 + coupl(nGC_545)*dvev2_QED1 &
                          + coupl(nGC_547)*da_QED2
      coupl(nGC_22571) = coupl(nGC_21845)*dl4_QED4 + coupl(nGC_21846)*dl5_QED4 &
                          + coupl(nGC_21847)*db_QED2 + coupl(nGC_21848)*       &
                         dvev1_QED1 + coupl(nGC_21849)*dvev2_QED1
      coupl(nGC_22570) = coupl(nGC_21562)*dl3_QED4 + coupl(nGC_21563)*db_QED2  &
                          + coupl(nGC_21564)*dl2_QED4 + coupl(nGC_21565)*      &
                         dl5_QED4 + coupl(nGC_21566)*dvev2_QED1 + coupl(       &
                         nGC_21567)*dvev1_QED1 + coupl(nGC_21568)*dl1_QED4 +   &
                         coupl(nGC_21569)*dl4_QED4 + coupl(nGC_21570)*da_QED2
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
