!******************************************************************************!
!                                                                              !
!    vertices_info20.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info20.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info20
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl20()
      allocate(vertices(8645)%branchCT(0:0))
      call avCT(8645, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_32998])

      allocate(vertices(10414)%branchCT(0:0))
      call avCT(10414, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32928])

      allocate(vertices(2723)%branchCT(0:1))
      call avCT(2723, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33246])

      call avCT(2723, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_33243])

      allocate(vertices(10415)%branchCT(0:0))
      call avCT(10415, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32338])

      allocate(vertices(10416)%branchCT(0:0))
      call avCT(10416, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32663])

      allocate(vertices(10417)%branchCT(0:0))
      call avCT(10417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32459])

      allocate(vertices(7724)%branchCT(0:0))
      call avCT(7724, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33075])

      allocate(vertices(8649)%branchCT(0:1))
      call avCT(8649, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_36441, nGC_36441])

      call avCT(8649, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_36443, nGC_36443])

      allocate(vertices(10418)%branchCT(0:0))
      call avCT(10418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_33099])

      allocate(vertices(8651)%branchCT(0:1))
      call avCT(8651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_43130])

      call avCT(8651, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_43129])

      allocate(vertices(10419)%branchCT(0:0))
      call avCT(10419, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_36624])

      allocate(vertices(8653)%branchCT(0:1))
      call avCT(8653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32574])

      call avCT(8653, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32571])

      allocate(vertices(10420)%branchCT(0:0))
      call avCT(10420, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32737])

      allocate(vertices(4106)%branchCT(0:1))
      call avCT(4106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33495])

      call avCT(4106, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33492])

      allocate(vertices(10421)%branchCT(0:0))
      call avCT(10421, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_33317])

      allocate(vertices(4878)%branchCT(0:0))
      call avCT(4878, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_34172])

      allocate(vertices(7417)%branchCT(0:1))
      call avCT(7417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32753])

      call avCT(7417, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32749])

      allocate(vertices(10422)%branchCT(0:0))
      call avCT(10422, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32772])

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32877])

      allocate(vertices(7707)%branchCT(0:0))
      call avCT(7707, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_35018])

      allocate(vertices(3642)%branchCT(0:1))
      call avCT(3642, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35757])

      call avCT(3642, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35753])

      allocate(vertices(2143)%branchCT(0:1))
      call avCT(2143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32922])

      call avCT(2143, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32918])

      allocate(vertices(10423)%branchCT(0:0))
      call avCT(10423, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32459])

      allocate(vertices(5964)%branchCT(0:1))
      call avCT(5964, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32364])

      call avCT(5964, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32359])

      allocate(vertices(8665)%branchCT(0:0))
      call avCT(8665, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32757])

      allocate(vertices(4969)%branchCT(0:0))
      call avCT(4969, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32853])

      allocate(vertices(2896)%branchCT(0:1))
      call avCT(2896, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_34476, nGC_34476])

      call avCT(2896, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_34478, nGC_34478])

      allocate(vertices(4112)%branchCT(0:0))
      call avCT(4112, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32639])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_33933, nGC_33933])

      allocate(vertices(10424)%branchCT(0:0))
      call avCT(10424, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32267])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32744])

      allocate(vertices(8669)%branchCT(0:1))
      call avCT(8669, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(8669, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(8671)%branchCT(0:0))
      call avCT(8671, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_32856])

      allocate(vertices(6448)%branchCT(0:0))
      call avCT(6448, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_35018])

      allocate(vertices(10425)%branchCT(0:0))
      call avCT(10425, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32281])

      allocate(vertices(10426)%branchCT(0:0))
      call avCT(10426, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32663])

      allocate(vertices(4971)%branchCT(0:1))
      call avCT(4971, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33246])

      call avCT(4971, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_33243])

      allocate(vertices(10427)%branchCT(0:0))
      call avCT(10427, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32435])

      allocate(vertices(5729)%branchCT(0:0))
      call avCT(5729, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32484])

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_34442])

      allocate(vertices(4118)%branchCT(0:0))
      call avCT(4118, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32767])

      allocate(vertices(10428)%branchCT(0:0))
      call avCT(10428, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_33501])

      allocate(vertices(8673)%branchCT(0:1))
      call avCT(8673, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32377])

      call avCT(8673, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32373])

      allocate(vertices(4119)%branchCT(0:0))
      call avCT(4119, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32178])

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32313])

      allocate(vertices(8814)%branchCT(0:0))
      call avCT(8814, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32420])

      allocate(vertices(7875)%branchCT(0:1))
      call avCT(7875, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32726])

      call avCT(7875, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32723])

      allocate(vertices(4121)%branchCT(0:1))
      call avCT(4121, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_32620, nGC_32620])

      call avCT(4121, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_32622, nGC_32622])

      allocate(vertices(2488)%branchCT(0:1))
      call avCT(2488, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_22502])

      call avCT(2488, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32181])

      allocate(vertices(10429)%branchCT(0:0))
      call avCT(10429, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32186])

      allocate(vertices(10430)%branchCT(0:0))
      call avCT(10430, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32281])

      allocate(vertices(2096)%branchCT(0:1))
      call avCT(2096, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32505])

      call avCT(2096, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32501])

      allocate(vertices(8678)%branchCT(0:0))
      call avCT(8678, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35039])

      allocate(vertices(8008)%branchCT(0:0))
      call avCT(8008, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32420])

      allocate(vertices(8234)%branchCT(0:0))
      call avCT(8234, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_33075])

      allocate(vertices(8681)%branchCT(0:0))
      call avCT(8681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_37513])

      allocate(vertices(6542)%branchCT(0:0))
      call avCT(6542, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_32998])

      allocate(vertices(10431)%branchCT(0:0))
      call avCT(10431, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33317])

      allocate(vertices(4127)%branchCT(0:0))
      call avCT(4127, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_34761])

      allocate(vertices(10432)%branchCT(0:0))
      call avCT(10432, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33117])

      allocate(vertices(8683)%branchCT(0:1))
      call avCT(8683, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32430])

      call avCT(8683, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_32427])

      allocate(vertices(7509)%branchCT(0:1))
      call avCT(7509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32160])

      call avCT(7509, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32156])

      allocate(vertices(8684)%branchCT(0:1))
      call avCT(8684, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_32846, nGC_32845])

      call avCT(8684, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_32848, nGC_32847])

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_39249])

      allocate(vertices(4129)%branchCT(0:1))
      call avCT(4129, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_40161])

      call avCT(4129, 1, 1, 1, 0, VSS1, 0, [0, 1], [nGC_40162])

      allocate(vertices(4130)%branchCT(0:1))
      call avCT(4130, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34709])

      call avCT(4130, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34704])

      allocate(vertices(4131)%branchCT(0:1))
      call avCT(4131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34810])

      call avCT(4131, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34807])

      allocate(vertices(8686)%branchCT(0:2))
      call avCT(8686, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_34144, nGC_34145])

      call avCT(8686, 1, 20, 1, 0, FSFa0, 0, [0, 1], [nGC_34135, nGC_34141])

      call avCT(8686, 2, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_34146, nGC_34147])

      allocate(vertices(10433)%branchCT(0:0))
      call avCT(10433, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_51669, nGC_51663,     &
      nGC_51668])

      allocate(vertices(10434)%branchCT(0:0))
      call avCT(10434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32459])

      allocate(vertices(7973)%branchCT(0:0))
      call avCT(7973, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34008])

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32587])

      allocate(vertices(8694)%branchCT(0:0))
      call avCT(8694, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32313])

      allocate(vertices(4137)%branchCT(0:1))
      call avCT(4137, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32430])

      call avCT(4137, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32427])

      allocate(vertices(5984)%branchCT(0:0))
      call avCT(5984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_37621])

      allocate(vertices(8698)%branchCT(0:0))
      call avCT(8698, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32853])

      allocate(vertices(4139)%branchCT(0:1))
      call avCT(4139, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_35340, nGC_35340])

      call avCT(4139, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_35342, nGC_35342])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32412])

      allocate(vertices(4141)%branchCT(0:1))
      call avCT(4141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35470])

      call avCT(4141, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35467])

      allocate(vertices(10435)%branchCT(0:0))
      call avCT(10435, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33099])

      allocate(vertices(8024)%branchCT(0:1))
      call avCT(8024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34709])

      call avCT(8024, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34704])

      allocate(vertices(8702)%branchCT(0:1))
      call avCT(8702, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_34205])

      call avCT(8702, 1, 1, 1, 0, VSV0, 0, [0, 1], [nGC_34202])

      allocate(vertices(10436)%branchCT(0:0))
      call avCT(10436, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_42857, nGC_42856,     &
      nGC_42857, nGC_42856, nGC_42858])

      allocate(vertices(8704)%branchCT(0:0))
      call avCT(8704, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_38589, nGC_38589,     &
      nGC_38590])

      allocate(vertices(4145)%branchCT(0:1))
      call avCT(4145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32364])

      call avCT(4145, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32359])

      allocate(vertices(7895)%branchCT(0:0))
      call avCT(7895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_37621])

      allocate(vertices(10437)%branchCT(0:1))
      call avCT(10437, 0, 16, 8, 0, VV3, 0, [2, 0], [nGC_56630, nGC_56629])

      call avCT(10437, 1, 15, 1, 0, VV3, 0, [2, 0], [nGC_56630, nGC_56629])

      allocate(vertices(2664)%branchCT(0:1))
      call avCT(2664, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(2664, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(8706)%branchCT(0:1))
      call avCT(8706, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_40656])

      call avCT(8706, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_40654])

      allocate(vertices(8707)%branchCT(0:1))
      call avCT(8707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32456])

      call avCT(8707, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32455])

      allocate(vertices(10438)%branchCT(0:0))
      call avCT(10438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32611])

      allocate(vertices(6063)%branchCT(0:0))
      call avCT(6063, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32341])

      allocate(vertices(8060)%branchCT(0:1))
      call avCT(8060, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32495])

      call avCT(8060, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32492])

      allocate(vertices(8711)%branchCT(0:1))
      call avCT(8711, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_32905])

      call avCT(8711, 1, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_32904])

      allocate(vertices(627)%branchCT(0:2))
      call avCT(627, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_34953, nGC_34954])

      call avCT(627, 1, 18, 1, 0, SFFa1, 0, [0, 1], [nGC_34955, nGC_34952])

      call avCT(627, 2, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_34957, nGC_34958])

      allocate(vertices(10439)%branchCT(0:0))
      call avCT(10439, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33117])

      allocate(vertices(8712)%branchCT(0:0))
      call avCT(8712, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32998])

      allocate(vertices(10440)%branchCT(0:0))
      call avCT(10440, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_33317])

      allocate(vertices(856)%branchCT(0:1))
      call avCT(856, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(856, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(4149)%branchCT(0:1))
      call avCT(4149, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32704])

      call avCT(4149, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_32700])

      allocate(vertices(4150)%branchCT(0:1))
      call avCT(4150, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_34500])

      call avCT(4150, 1, 1, 1, 0, SVS0, 0, [0, 1], [nGC_34497])

      allocate(vertices(8103)%branchCT(0:1))
      call avCT(8103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32456])

      call avCT(8103, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32455])

      allocate(vertices(4152)%branchCT(0:0))
      call avCT(4152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32807])

      allocate(vertices(10441)%branchCT(0:0))
      call avCT(10441, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_33317])

      allocate(vertices(8717)%branchCT(0:0))
      call avCT(8717, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_32420])

      allocate(vertices(4155)%branchCT(0:0))
      call avCT(4155, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33087])

      allocate(vertices(6692)%branchCT(0:1))
      call avCT(6692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(6692, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(4156)%branchCT(0:1))
      call avCT(4156, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33143])

      call avCT(4156, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_33142])

      allocate(vertices(1705)%branchCT(0:1))
      call avCT(1705, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33048])

      call avCT(1705, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_33045])

      allocate(vertices(10442)%branchCT(0:0))
      call avCT(10442, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32443])

      allocate(vertices(10443)%branchCT(0:0))
      call avCT(10443, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32933])

      allocate(vertices(6088)%branchCT(0:0))
      call avCT(6088, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33184])

      allocate(vertices(4157)%branchCT(0:1))
      call avCT(4157, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32753])

      call avCT(4157, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32749])

      allocate(vertices(10444)%branchCT(0:0))
      call avCT(10444, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32772])

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32484])

      allocate(vertices(5693)%branchCT(0:0))
      call avCT(5693, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32632])

      allocate(vertices(4159)%branchCT(0:1))
      call avCT(4159, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(4159, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(10445)%branchCT(0:0))
      call avCT(10445, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_33238])

      allocate(vertices(2793)%branchCT(0:1))
      call avCT(2793, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_33246])

      call avCT(2793, 1, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_33243])

      allocate(vertices(6458)%branchCT(0:1))
      call avCT(6458, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_38744])

      call avCT(6458, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_38743])

      allocate(vertices(3276)%branchCT(0:1))
      call avCT(3276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32249])

      call avCT(3276, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32248])

      allocate(vertices(8169)%branchCT(0:0))
      call avCT(8169, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32639])

      allocate(vertices(4163)%branchCT(0:1))
      call avCT(4163, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32293])

      call avCT(4163, 1, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_32290])

      allocate(vertices(4730)%branchCT(0:1))
      call avCT(4730, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_22502])

      call avCT(4730, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32181])

      allocate(vertices(4165)%branchCT(0:0))
      call avCT(4165, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_41848])

      allocate(vertices(8019)%branchCT(0:1))
      call avCT(8019, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35319])

      call avCT(8019, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35315])

      allocate(vertices(8197)%branchCT(0:0))
      call avCT(8197, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_32757])

      allocate(vertices(10446)%branchCT(0:0))
      call avCT(10446, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32468])

      allocate(vertices(10447)%branchCT(0:0))
      call avCT(10447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33238])

      allocate(vertices(7128)%branchCT(0:1))
      call avCT(7128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32574])

      call avCT(7128, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32571])

      allocate(vertices(8732)%branchCT(0:0))
      call avCT(8732, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_32271])

      allocate(vertices(3369)%branchCT(0:0))
      call avCT(3369, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32877])

      allocate(vertices(8733)%branchCT(0:0))
      call avCT(8733, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_32420])

      allocate(vertices(709)%branchCT(0:1))
      call avCT(709, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32193])

      call avCT(709, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32189])

      allocate(vertices(8734)%branchCT(0:0))
      call avCT(8734, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_38180])

      allocate(vertices(3355)%branchCT(0:1))
      call avCT(3355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_37147])

      call avCT(3355, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_37146])

      allocate(vertices(8020)%branchCT(0:1))
      call avCT(8020, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32392])

      call avCT(8020, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32387])

      allocate(vertices(4192)%branchCT(0:0))
      call avCT(4192, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32384])

      allocate(vertices(8738)%branchCT(0:0))
      call avCT(8738, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32178])

      allocate(vertices(4177)%branchCT(0:1))
      call avCT(4177, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22555])

      call avCT(4177, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_33797])

      allocate(vertices(8739)%branchCT(0:0))
      call avCT(8739, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32412])

      allocate(vertices(10448)%branchCT(0:0))
      call avCT(10448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33512])

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32271])

      allocate(vertices(10449)%branchCT(0:0))
      call avCT(10449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32611])

      allocate(vertices(8742)%branchCT(0:0))
      call avCT(8742, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_33552])

      allocate(vertices(10450)%branchCT(0:1))
      call avCT(10450, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_34328, nGC_34320,   &
      nGC_34331, nGC_34331])

      call avCT(10450, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_34329, nGC_34321,   &
      nGC_34332, nGC_34332])

      allocate(vertices(4182)%branchCT(0:1))
      call avCT(4182, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_22556])

      call avCT(4182, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_32150])

      allocate(vertices(10451)%branchCT(0:0))
      call avCT(10451, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32186])

      allocate(vertices(8744)%branchCT(0:0))
      call avCT(8744, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32744])

      allocate(vertices(10452)%branchCT(0:0))
      call avCT(10452, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32663])

      allocate(vertices(10453)%branchCT(0:0))
      call avCT(10453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32890])

      allocate(vertices(4183)%branchCT(0:0))
      call avCT(4183, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_34864, nGC_34864])

      allocate(vertices(7110)%branchCT(0:1))
      call avCT(7110, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_22557])

      call avCT(7110, 1, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_32864])

      allocate(vertices(711)%branchCT(0:1))
      call avCT(711, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_33246])

      call avCT(711, 1, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_33243])

      allocate(vertices(8747)%branchCT(0:0))
      call avCT(8747, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_33075])

      allocate(vertices(10454)%branchCT(0:0))
      call avCT(10454, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_33642])

      allocate(vertices(4186)%branchCT(0:1))
      call avCT(4186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32726])

      call avCT(4186, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32723])

      allocate(vertices(5751)%branchCT(0:3))
      call avCT(5751, 0, 24, 4, 0, FaVF0, 0, [1, 2], [nGC_33303, nGC_33301])

      call avCT(5751, 1, 24, 4, 0, FaVF0, 0, [3, 0], [nGC_33307, nGC_33308])

      call avCT(5751, 2, 25, 5, 0, FaVF0, 0, [1, 2], [nGC_33303, nGC_33301])

      call avCT(5751, 3, 25, 5, 0, FaVF0, 0, [3, 0], [nGC_33307, nGC_33308])

      allocate(vertices(10455)%branchCT(0:0))
      call avCT(10455, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33512])

      allocate(vertices(8752)%branchCT(0:0))
      call avCT(8752, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32998])

      allocate(vertices(8753)%branchCT(0:0))
      call avCT(8753, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_37930])

      allocate(vertices(6929)%branchCT(0:0))
      call avCT(6929, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32178])

      allocate(vertices(8754)%branchCT(0:0))
      call avCT(8754, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_35215])

      allocate(vertices(8226)%branchCT(0:0))
      call avCT(8226, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32412])

      allocate(vertices(10456)%branchCT(0:0))
      call avCT(10456, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_32526, nGC_32521,    &
      nGC_32528, nGC_32528])

      allocate(vertices(10457)%branchCT(0:0))
      call avCT(10457, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_32772])

      allocate(vertices(8365)%branchCT(0:1))
      call avCT(8365, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_22553])

      call avCT(8365, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_33125])

      allocate(vertices(6288)%branchCT(0:1))
      call avCT(6288, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35498])

      call avCT(6288, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35494])

      allocate(vertices(10458)%branchCT(0:0))
      call avCT(10458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32281])

      allocate(vertices(8100)%branchCT(0:1))
      call avCT(8100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35470])

      call avCT(8100, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35467])

      allocate(vertices(8758)%branchCT(0:1))
      call avCT(8758, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_33246])

      call avCT(8758, 1, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_33243])

      allocate(vertices(8759)%branchCT(0:0))
      call avCT(8759, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32178])

      allocate(vertices(4195)%branchCT(0:0))
      call avCT(4195, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_34172])

      allocate(vertices(8384)%branchCT(0:1))
      call avCT(8384, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33495])

      call avCT(8384, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33492])

      allocate(vertices(8080)%branchCT(0:1))
      call avCT(8080, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_32215])

      call avCT(8080, 1, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_32214])

      allocate(vertices(10459)%branchCT(0:0))
      call avCT(10459, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33642])

      allocate(vertices(4198)%branchCT(0:1))
      call avCT(4198, 0, 40, 6, 0, UaVU0, 0, [3, 0], [nGC_35684])

      call avCT(4198, 1, 41, 7, 0, UaVU0, 0, [3, 0], [nGC_35684])

      allocate(vertices(8761)%branchCT(0:1))
      call avCT(8761, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_33048])

      call avCT(8761, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_33045])

      allocate(vertices(10460)%branchCT(0:0))
      call avCT(10460, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33317])

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32260])

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_32271])

      allocate(vertices(8413)%branchCT(0:0))
      call avCT(8413, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32950])

      allocate(vertices(10461)%branchCT(0:0))
      call avCT(10461, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_32338])

      allocate(vertices(8419)%branchCT(0:0))
      call avCT(8419, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_32271])

      allocate(vertices(1133)%branchCT(0:1))
      call avCT(1133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32505])

      call avCT(1133, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32501])

      allocate(vertices(7496)%branchCT(0:0))
      call avCT(7496, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_35789])

      allocate(vertices(10462)%branchCT(0:0))
      call avCT(10462, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_33642])

      allocate(vertices(8768)%branchCT(0:0))
      call avCT(8768, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_37217])

      allocate(vertices(4207)%branchCT(0:1))
      call avCT(4207, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32753])

      call avCT(4207, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32749])

      allocate(vertices(3581)%branchCT(0:1))
      call avCT(3581, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32193])

      call avCT(3581, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32189])

      allocate(vertices(10463)%branchCT(0:0))
      call avCT(10463, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32928])

      allocate(vertices(8772)%branchCT(0:0))
      call avCT(8772, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_33159, nGC_33159])

      allocate(vertices(10464)%branchCT(0:0))
      call avCT(10464, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_34115])

      allocate(vertices(10465)%branchCT(0:0))
      call avCT(10465, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32443])

      allocate(vertices(8773)%branchCT(0:1))
      call avCT(8773, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_34653])

      call avCT(8773, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_34652])

      allocate(vertices(8474)%branchCT(0:0))
      call avCT(8474, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32957])

      allocate(vertices(8776)%branchCT(0:1))
      call avCT(8776, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_32215])

      call avCT(8776, 1, 1, 1, 0, USUa0, 0, [0, 1], [nGC_32214])

      allocate(vertices(7227)%branchCT(0:0))
      call avCT(7227, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32925])

      allocate(vertices(7993)%branchCT(0:1))
      call avCT(7993, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32293])

      call avCT(7993, 1, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_32290])

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32341])

      allocate(vertices(8778)%branchCT(0:1))
      call avCT(8778, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_35015])

      call avCT(8778, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_35011])

      allocate(vertices(10466)%branchCT(0:0))
      call avCT(10466, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32267])

      allocate(vertices(10467)%branchCT(0:0))
      call avCT(10467, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33642])

      allocate(vertices(6463)%branchCT(0:1))
      call avCT(6463, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_32495])

      call avCT(6463, 1, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_32492])

      allocate(vertices(4336)%branchCT(0:0))
      call avCT(4336, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_32998])

      allocate(vertices(8782)%branchCT(0:0))
      call avCT(8782, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_33292])

      allocate(vertices(8783)%branchCT(0:0))
      call avCT(8783, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_32178])

      allocate(vertices(8785)%branchCT(0:0))
      call avCT(8785, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_34240, nGC_34240])

      allocate(vertices(8786)%branchCT(0:1))
      call avCT(8786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32377])

      call avCT(8786, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32373])

      allocate(vertices(5785)%branchCT(0:0))
      call avCT(5785, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_37621])

      allocate(vertices(10468)%branchCT(0:0))
      call avCT(10468, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32338])

      allocate(vertices(6464)%branchCT(0:0))
      call avCT(6464, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32196])

      allocate(vertices(8149)%branchCT(0:1))
      call avCT(8149, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22504])

      call avCT(8149, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_34078])

      allocate(vertices(8249)%branchCT(0:0))
      call avCT(8249, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_33075])

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_32950])

      allocate(vertices(10469)%branchCT(0:0))
      call avCT(10469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32611])

      allocate(vertices(10470)%branchCT(0:0))
      call avCT(10470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32890])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_34414])

      allocate(vertices(4223)%branchCT(0:1))
      call avCT(4223, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_22553])

      call avCT(4223, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_33125])

      allocate(vertices(4224)%branchCT(0:0))
      call avCT(4224, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_32998])

      allocate(vertices(8795)%branchCT(0:1))
      call avCT(8795, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_32884])

      call avCT(8795, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_32882])

      allocate(vertices(5793)%branchCT(0:1))
      call avCT(5793, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_33403])

      call avCT(5793, 1, 1, 1, 0, SFFa2, 0, [0, 1], [nGC_33401])

      allocate(vertices(8797)%branchCT(0:0))
      call avCT(8797, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_33552])

      allocate(vertices(8830)%branchCT(0:0))
      call avCT(8830, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_32998])

      allocate(vertices(5703)%branchCT(0:1))
      call avCT(5703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_33495])

      call avCT(5703, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_33492])

      allocate(vertices(8800)%branchCT(0:1))
      call avCT(8800, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_22555])

      call avCT(8800, 1, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_33797])

      allocate(vertices(4225)%branchCT(0:1))
      call avCT(4225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35498])

      call avCT(4225, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35494])

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_32474])

      allocate(vertices(10471)%branchCT(0:0))
      call avCT(10471, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32737])

      allocate(vertices(8605)%branchCT(0:0))
      call avCT(8605, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_32744])

      allocate(vertices(6752)%branchCT(0:1))
      call avCT(6752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32726])

      call avCT(6752, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32723])

      allocate(vertices(8803)%branchCT(0:1))
      call avCT(8803, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_33048])

      call avCT(8803, 1, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_33045])

      allocate(vertices(10472)%branchCT(0:0))
      call avCT(10472, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_32640])

      allocate(vertices(8804)%branchCT(0:1))
      call avCT(8804, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32704])

      call avCT(8804, 1, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_32700])

      allocate(vertices(10473)%branchCT(0:0))
      call avCT(10473, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32148])

      allocate(vertices(10474)%branchCT(0:0))
      call avCT(10474, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_32663])

      allocate(vertices(10475)%branchCT(0:0))
      call avCT(10475, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32267])

      allocate(vertices(8805)%branchCT(0:0))
      call avCT(8805, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32767])

      allocate(vertices(8806)%branchCT(0:1))
      call avCT(8806, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_33578])

      call avCT(8806, 1, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_32150])

      allocate(vertices(8038)%branchCT(0:1))
      call avCT(8038, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33048])

      call avCT(8038, 1, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_33045])

      allocate(vertices(4995)%branchCT(0:1))
      call avCT(4995, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32398])

      call avCT(4995, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32395])

      allocate(vertices(6401)%branchCT(0:1))
      call avCT(6401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34363])

      call avCT(6401, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34360])

      allocate(vertices(1141)%branchCT(0:1))
      call avCT(1141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34810])

      call avCT(1141, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34807])

      allocate(vertices(10476)%branchCT(0:0))
      call avCT(10476, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_34115])

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_32666])

      allocate(vertices(3586)%branchCT(0:0))
      call avCT(3586, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_32998])

      allocate(vertices(8813)%branchCT(0:1))
      call avCT(8813, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22503])

      call avCT(8813, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32907])

      allocate(vertices(10477)%branchCT(0:0))
      call avCT(10477, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32186])

      allocate(vertices(10478)%branchCT(0:0))
      call avCT(10478, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_32784])

      allocate(vertices(10479)%branchCT(0:0))
      call avCT(10479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32267])

      allocate(vertices(10480)%branchCT(0:0))
      call avCT(10480, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_32737])

      allocate(vertices(10481)%branchCT(0:0))
      call avCT(10481, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_32933])

      allocate(vertices(4455)%branchCT(0:0))
      call avCT(4455, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_34240, nGC_34240])

      allocate(vertices(8815)%branchCT(0:1))
      call avCT(8815, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_22501])

      call avCT(8815, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32669])

      allocate(vertices(10482)%branchCT(0:0))
      call avCT(10482, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_37604])

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_33707])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_34172])

      allocate(vertices(8816)%branchCT(0:1))
      call avCT(8816, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32922])

      call avCT(8816, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_32918])

      allocate(vertices(8817)%branchCT(0:1))
      call avCT(8817, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_32430])

      call avCT(8817, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_32427])

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_34657])

      allocate(vertices(8721)%branchCT(0:0))
      call avCT(8721, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_32178])

      allocate(vertices(4242)%branchCT(0:0))
      call avCT(4242, 0, 1, 1, 0, VUUa1, 0, [0, 3], [nGC_32264])

      allocate(vertices(10483)%branchCT(0:0))
      call avCT(10483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_33512])

      allocate(vertices(4256)%branchCT(0:1))
      call avCT(4256, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_37055])

      call avCT(4256, 1, 1, 1, 0, SSS0, 0, [0, 1], [nGC_37051])

      allocate(vertices(5395)%branchCT(0:0))
      call avCT(5395, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32331])

      allocate(vertices(8824)%branchCT(0:1))
      call avCT(8824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_34982])

      call avCT(8824, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_34981])

      allocate(vertices(4247)%branchCT(0:0))
      call avCT(4247, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_36270])

      allocate(vertices(10484)%branchCT(0:0))
      call avCT(10484, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32611])

      allocate(vertices(8760)%branchCT(0:0))
      call avCT(8760, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_39538, nGC_39539])

      allocate(vertices(8825)%branchCT(0:0))
      call avCT(8825, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_32950])

      allocate(vertices(8765)%branchCT(0:1))
      call avCT(8765, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_32193])

      call avCT(8765, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_32189])

      allocate(vertices(8826)%branchCT(0:0))
      call avCT(8826, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_32313])

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_33087])

      allocate(vertices(4253)%branchCT(0:0))
      call avCT(4253, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_32196])

      allocate(vertices(6048)%branchCT(0:1))
      call avCT(6048, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_32495])

      call avCT(6048, 1, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_32492])

      allocate(vertices(6079)%branchCT(0:1))
      call avCT(6079, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_35757])

      call avCT(6079, 1, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_35753])

      allocate(vertices(7289)%branchCT(0:0))
      call avCT(7289, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_33848])

      allocate(vertices(8831)%branchCT(0:1))
      call avCT(8831, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_33143])

      call avCT(8831, 1, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_33142])

      allocate(vertices(10485)%branchCT(0:0))
      call avCT(10485, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_32640])

      allocate(vertices(8833)%branchCT(0:0))
      call avCT(8833, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_32412])

      allocate(vertices(8834)%branchCT(0:1))
      call avCT(8834, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_36569])

      call avCT(8834, 1, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_32669])

      allocate(vertices(10486)%branchCT(0:0))
      call avCT(10486, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_32890])

      allocate(vertices(7238)%branchCT(0:1))
      call avCT(7238, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_32430])

      call avCT(7238, 1, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_32427])

      allocate(vertices(4257)%branchCT(0:1))
      call avCT(4257, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_33246])

      call avCT(4257, 1, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_33243])

      allocate(vertices(4258)%branchCT(0:2))
      call avCT(4258, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_34145, nGC_34144])

      call avCT(4258, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_34141, nGC_34135])

      call avCT(4258, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_34147, nGC_34146])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9147)%branchR2(0:0))
      call avR2(9147, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22057])

      allocate(vertices(8091)%branchR2(0:0))
      call avR2(8091, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(6145)%branchR2(0:0))
      call avR2(6145, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(7308)%branchR2(0:0))
      call avR2(7308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10487)%branchR2(0:1))
      call avR2(10487, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22396])

      call avR2(10487, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22397])

      allocate(vertices(5452)%branchR2(0:0))
      call avR2(5452, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22361,     &
      nGC_22359])

      allocate(vertices(6834)%branchR2(0:0))
      call avR2(6834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(3348)%branchR2(0:0))
      call avR2(3348, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(1608, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(5905)%branchR2(0:0))
      call avR2(5905, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8673)%branchR2(0:0))
      call avR2(8673, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(8657)%branchR2(0:0))
      call avR2(8657, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22025])

      allocate(vertices(7959)%branchR2(0:0))
      call avR2(7959, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(4468)%branchR2(0:0))
      call avR2(4468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9004)%branchR2(0:0))
      call avR2(9004, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(7777)%branchR2(0:0))
      call avR2(7777, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(68)%branchR2(0:3))
      call avR2(68, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(68, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(68, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(68, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(8026)%branchR2(0:0))
      call avR2(8026, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57381])

      allocate(vertices(6261)%branchR2(0:0))
      call avR2(6261, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(3952)%branchR2(0:0))
      call avR2(3952, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22073])

      allocate(vertices(9001)%branchR2(0:0))
      call avR2(9001, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(4382)%branchR2(0:1))
      call avR2(4382, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(4382, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5535)%branchR2(0:0))
      call avR2(5535, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(7945)%branchR2(0:0))
      call avR2(7945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(10046)%branchR2(0:0))
      call avR2(10046, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57395])

      allocate(vertices(8910)%branchR2(0:0))
      call avR2(8910, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(4903)%branchR2(0:0))
      call avR2(4903, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(9514)%branchR2(0:0))
      call avR2(9514, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21959, nGC_21958,      &
      nGC_21960])

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(7221)%branchR2(0:0))
      call avR2(7221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10488)%branchR2(0:1))
      call avR2(10488, 0, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22211])

      call avR2(10488, 1, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22210])

      allocate(vertices(8973)%branchR2(0:0))
      call avR2(8973, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9833)%branchR2(0:0))
      call avR2(9833, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(3563)%branchR2(0:0))
      call avR2(3563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(6634)%branchR2(0:0))
      call avR2(6634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(7698)%branchR2(0:1))
      call avR2(7698, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(7698, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(8619)%branchR2(0:0))
      call avR2(8619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(7061)%branchR2(0:0))
      call avR2(7061, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10489)%branchR2(0:0))
      call avR2(10489, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(4071)%branchR2(0:1))
      call avR2(4071, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      call avR2(4071, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(10490)%branchR2(0:1))
      call avR2(10490, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10490, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57423])

      allocate(vertices(7957)%branchR2(0:0))
      call avR2(7957, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3852)%branchR2(0:0))
      call avR2(3852, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10491)%branchR2(0:1))
      call avR2(10491, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22472])

      call avR2(10491, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22471])

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22278])

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6898)%branchR2(0:0))
      call avR2(6898, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(9190)%branchR2(0:0))
      call avR2(9190, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10492)%branchR2(0:1))
      call avR2(10492, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22396])

      call avR2(10492, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22397])

      allocate(vertices(4841)%branchR2(0:0))
      call avR2(4841, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57437])

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(9536)%branchR2(0:0))
      call avR2(9536, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22010])

      allocate(vertices(7189)%branchR2(0:0))
      call avR2(7189, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22196])

      allocate(vertices(6660)%branchR2(0:0))
      call avR2(6660, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(5044)%branchR2(0:0))
      call avR2(5044, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(5636)%branchR2(0:0))
      call avR2(5636, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(738)%branchR2(0:1))
      call avR2(738, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(738, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5777)%branchR2(0:0))
      call avR2(5777, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(10493)%branchR2(0:0))
      call avR2(10493, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22016])

      allocate(vertices(3812)%branchR2(0:0))
      call avR2(3812, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(3900)%branchR2(0:0))
      call avR2(3900, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(5525)%branchR2(0:0))
      call avR2(5525, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(9608)%branchR2(0:0))
      call avR2(9608, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57458])

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(6437)%branchR2(0:1))
      call avR2(6437, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(6437, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(10494)%branchR2(0:1))
      call avR2(10494, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22381])

      call avR2(10494, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(8187)%branchR2(0:1))
      call avR2(8187, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(8187, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(3131)%branchR2(0:0))
      call avR2(3131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10495)%branchR2(0:0))
      call avR2(10495, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2787)%branchR2(0:1))
      call avR2(2787, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(2787, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(10339)%branchR2(0:0))
      call avR2(10339, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(10254)%branchR2(0:0))
      call avR2(10254, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8487)%branchR2(0:0))
      call avR2(8487, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10496)%branchR2(0:0))
      call avR2(10496, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(10497)%branchR2(0:1))
      call avR2(10497, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22472])

      call avR2(10497, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22471])

      allocate(vertices(3634)%branchR2(0:0))
      call avR2(3634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8661)%branchR2(0:0))
      call avR2(8661, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57482])

      allocate(vertices(8678)%branchR2(0:0))
      call avR2(8678, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(2889)%branchR2(0:1))
      call avR2(2889, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(2889, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(8381)%branchR2(0:0))
      call avR2(8381, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9021)%branchR2(0:0))
      call avR2(9021, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(14)%branchR2(0:1))
      call avR2(14, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(14, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(10498)%branchR2(0:1))
      call avR2(10498, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22380])

      call avR2(10498, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(7617)%branchR2(0:0))
      call avR2(7617, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(4482)%branchR2(0:0))
      call avR2(4482, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(2810)%branchR2(0:0))
      call avR2(2810, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(10437)%branchR2(0:1))
      call avR2(10437, 0, 16, 1, 0, VV2, 0, [2, 0], [nGC_21999, nGC_21998,     &
      nGC_22000])

      call avR2(10437, 1, 15, 1, 0, VV2, 0, [2, 0], [nGC_21996, nGC_21995,     &
      nGC_21997])

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5790)%branchR2(0:0))
      call avR2(5790, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(9311)%branchR2(0:0))
      call avR2(9311, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(7547)%branchR2(0:0))
      call avR2(7547, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22278])

      allocate(vertices(8896)%branchR2(0:0))
      call avR2(8896, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(7985)%branchR2(0:0))
      call avR2(7985, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10499)%branchR2(0:0))
      call avR2(10499, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(10500)%branchR2(0:0))
      call avR2(10500, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10464)%branchR2(0:0))
      call avR2(10464, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(9976)%branchR2(0:0))
      call avR2(9976, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(383)%branchR2(0:1))
      call avR2(383, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(383, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(9057)%branchR2(0:0))
      call avR2(9057, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(9517)%branchR2(0:0))
      call avR2(9517, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(10077)%branchR2(0:0))
      call avR2(10077, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10435)%branchR2(0:0))
      call avR2(10435, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8727)%branchR2(0:0))
      call avR2(8727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22081])

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(5304)%branchR2(0:0))
      call avR2(5304, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(10234)%branchR2(0:0))
      call avR2(10234, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(6233)%branchR2(0:0))
      call avR2(6233, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(8856)%branchR2(0:0))
      call avR2(8856, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(9349)%branchR2(0:0))
      call avR2(9349, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3692)%branchR2(0:0))
      call avR2(3692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10319)%branchR2(0:0))
      call avR2(10319, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3891)%branchR2(0:1))
      call avR2(3891, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(3891, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(7794)%branchR2(0:0))
      call avR2(7794, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(4530)%branchR2(0:1))
      call avR2(4530, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(4530, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(9840)%branchR2(0:0))
      call avR2(9840, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4028)%branchR2(0:0))
      call avR2(4028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3521)%branchR2(0:1))
      call avR2(3521, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(3521, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(6916)%branchR2(0:0))
      call avR2(6916, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(2987)%branchR2(0:0))
      call avR2(2987, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(7553)%branchR2(0:0))
      call avR2(7553, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(4931)%branchR2(0:0))
      call avR2(4931, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(5217)%branchR2(0:0))
      call avR2(5217, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10501)%branchR2(0:0))
      call avR2(10501, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22343, nGC_22343,    &
      nGC_22342])

      allocate(vertices(7830)%branchR2(0:0))
      call avR2(7830, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10502)%branchR2(0:0))
      call avR2(10502, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(8825)%branchR2(0:0))
      call avR2(8825, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(10503)%branchR2(0:0))
      call avR2(10503, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5937)%branchR2(0:0))
      call avR2(5937, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6086)%branchR2(0:0))
      call avR2(6086, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(5377)%branchR2(0:1))
      call avR2(5377, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(5377, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(3296)%branchR2(0:0))
      call avR2(3296, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(3960)%branchR2(0:0))
      call avR2(3960, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(4321)%branchR2(0:0))
      call avR2(4321, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(6508)%branchR2(0:0))
      call avR2(6508, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(8533)%branchR2(0:0))
      call avR2(8533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10504)%branchR2(0:0))
      call avR2(10504, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(8472)%branchR2(0:0))
      call avR2(8472, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(5965)%branchR2(0:0))
      call avR2(5965, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(3330)%branchR2(0:0))
      call avR2(3330, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(6201)%branchR2(0:0))
      call avR2(6201, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

      allocate(vertices(10400)%branchR2(0:0))
      call avR2(10400, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3925)%branchR2(0:1))
      call avR2(3925, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(3925, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(10505)%branchR2(0:0))
      call avR2(10505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(8421)%branchR2(0:0))
      call avR2(8421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(10506)%branchR2(0:1))
      call avR2(10506, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22466])

      call avR2(10506, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22465])

      allocate(vertices(10507)%branchR2(0:0))
      call avR2(10507, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(3625)%branchR2(0:0))
      call avR2(3625, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(9640)%branchR2(0:0))
      call avR2(9640, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(8627)%branchR2(0:0))
      call avR2(8627, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(7887)%branchR2(0:0))
      call avR2(7887, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(7506)%branchR2(0:0))
      call avR2(7506, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(5831)%branchR2(0:0))
      call avR2(5831, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(9086)%branchR2(0:0))
      call avR2(9086, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22090])

      allocate(vertices(3332)%branchR2(0:0))
      call avR2(3332, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(8785)%branchR2(0:0))
      call avR2(8785, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(5676)%branchR2(0:0))
      call avR2(5676, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(6479)%branchR2(0:0))
      call avR2(6479, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(8162)%branchR2(0:0))
      call avR2(8162, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9052)%branchR2(0:0))
      call avR2(9052, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22073])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(5307)%branchR2(0:0))
      call avR2(5307, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8964)%branchR2(0:0))
      call avR2(8964, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(4494)%branchR2(0:0))
      call avR2(4494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22460])

      allocate(vertices(10508)%branchR2(0:1))
      call avR2(10508, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22444])

      call avR2(10508, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22443])

      allocate(vertices(6007)%branchR2(0:0))
      call avR2(6007, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(4536)%branchR2(0:0))
      call avR2(4536, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(6102)%branchR2(0:0))
      call avR2(6102, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10243)%branchR2(0:0))
      call avR2(10243, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(7495)%branchR2(0:0))
      call avR2(7495, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(1367)%branchR2(0:1))
      call avR2(1367, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(1367, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(5312)%branchR2(0:0))
      call avR2(5312, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(8139)%branchR2(0:0))
      call avR2(8139, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(6548)%branchR2(0:0))
      call avR2(6548, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22458])

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(4952)%branchR2(0:1))
      call avR2(4952, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(4952, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(5819)%branchR2(0:0))
      call avR2(5819, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22360,     &
      nGC_22361])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10184)%branchR2(0:0))
      call avR2(10184, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(6347)%branchR2(0:0))
      call avR2(6347, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22129])

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(1728)%branchR2(0:0))
      call avR2(1728, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(10509)%branchR2(0:1))
      call avR2(10509, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10509, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(9404)%branchR2(0:0))
      call avR2(9404, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57656])

      allocate(vertices(7591)%branchR2(0:0))
      call avR2(7591, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9809)%branchR2(0:0))
      call avR2(9809, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(9802)%branchR2(0:0))
      call avR2(9802, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(4307)%branchR2(0:0))
      call avR2(4307, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9860)%branchR2(0:0))
      call avR2(9860, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7246)%branchR2(0:0))
      call avR2(7246, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(5761)%branchR2(0:0))
      call avR2(5761, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(5236)%branchR2(0:1))
      call avR2(5236, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(5236, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(6087)%branchR2(0:0))
      call avR2(6087, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(10510)%branchR2(0:1))
      call avR2(10510, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22477])

      call avR2(10510, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(5416)%branchR2(0:0))
      call avR2(5416, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22071])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10155)%branchR2(0:0))
      call avR2(10155, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9757)%branchR2(0:0))
      call avR2(9757, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4860)%branchR2(0:0))
      call avR2(4860, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(7230)%branchR2(0:0))
      call avR2(7230, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9727)%branchR2(0:0))
      call avR2(9727, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(305)%branchR2(0:1))
      call avR2(305, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

      call avR2(305, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(5427)%branchR2(0:0))
      call avR2(5427, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(7675)%branchR2(0:3))
      call avR2(7675, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(7675, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(7675, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(7675, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(4126)%branchR2(0:0))
      call avR2(4126, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(9991)%branchR2(0:0))
      call avR2(9991, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(3241)%branchR2(0:0))
      call avR2(3241, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(1152)%branchR2(0:3))
      call avR2(1152, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(1152, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(1152, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(1152, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(9872)%branchR2(0:0))
      call avR2(9872, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8824)%branchR2(0:0))
      call avR2(8824, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(10511)%branchR2(0:5))
      call avR2(10511, 0, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10511, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10511, 2, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10511, 3, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10511, 4, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(10511, 5, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      allocate(vertices(9248)%branchR2(0:0))
      call avR2(9248, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(5320)%branchR2(0:0))
      call avR2(5320, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(2919)%branchR2(0:1))
      call avR2(2919, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(2919, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22255])

      allocate(vertices(4088)%branchR2(0:0))
      call avR2(4088, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(6573)%branchR2(0:0))
      call avR2(6573, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22225])

      allocate(vertices(63)%branchR2(0:1))
      call avR2(63, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(63, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6931)%branchR2(0:0))
      call avR2(6931, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10351)%branchR2(0:0))
      call avR2(10351, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5253)%branchR2(0:0))
      call avR2(5253, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(9426)%branchR2(0:0))
      call avR2(9426, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7046)%branchR2(0:0))
      call avR2(7046, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22145])

      allocate(vertices(6783)%branchR2(0:0))
      call avR2(6783, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9260)%branchR2(0:0))
      call avR2(9260, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(6151)%branchR2(0:0))
      call avR2(6151, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(5409)%branchR2(0:0))
      call avR2(5409, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(8040)%branchR2(0:0))
      call avR2(8040, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10030)%branchR2(0:0))
      call avR2(10030, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(4492)%branchR2(0:0))
      call avR2(4492, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5690)%branchR2(0:0))
      call avR2(5690, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22161])

      allocate(vertices(3209)%branchR2(0:0))
      call avR2(3209, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(6870)%branchR2(0:0))
      call avR2(6870, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57381])

      allocate(vertices(3955)%branchR2(0:0))
      call avR2(3955, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57747])

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6927)%branchR2(0:0))
      call avR2(6927, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(7583)%branchR2(0:0))
      call avR2(7583, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(4502)%branchR2(0:0))
      call avR2(4502, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(226)%branchR2(0:1))
      call avR2(226, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(226, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(4262)%branchR2(0:0))
      call avR2(4262, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(9932)%branchR2(0:0))
      call avR2(9932, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(4467)%branchR2(0:0))
      call avR2(4467, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(9837)%branchR2(0:0))
      call avR2(9837, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22035])

      allocate(vertices(10076)%branchR2(0:0))
      call avR2(10076, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(7471)%branchR2(0:0))
      call avR2(7471, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8152)%branchR2(0:0))
      call avR2(8152, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22274])

      allocate(vertices(8920)%branchR2(0:0))
      call avR2(8920, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(7470)%branchR2(0:0))
      call avR2(7470, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(10381)%branchR2(0:0))
      call avR2(10381, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(10512)%branchR2(0:0))
      call avR2(10512, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22331, nGC_22331,    &
      nGC_22331])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22048])

      allocate(vertices(10513)%branchR2(0:1))
      call avR2(10513, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22397])

      call avR2(10513, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(4310)%branchR2(0:0))
      call avR2(4310, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9672)%branchR2(0:0))
      call avR2(9672, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5807)%branchR2(0:0))
      call avR2(5807, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(6995)%branchR2(0:0))
      call avR2(6995, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(9834)%branchR2(0:0))
      call avR2(9834, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7345)%branchR2(0:0))
      call avR2(7345, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22149])

      allocate(vertices(4778)%branchR2(0:0))
      call avR2(4778, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(9533)%branchR2(0:1))
      call avR2(9533, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_21987, nGC_21987])

      call avR2(9533, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_21988, nGC_21988])

      allocate(vertices(3815)%branchR2(0:0))
      call avR2(3815, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(9668)%branchR2(0:0))
      call avR2(9668, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4996)%branchR2(0:0))
      call avR2(4996, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(6959)%branchR2(0:1))
      call avR2(6959, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(6959, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(7534)%branchR2(0:0))
      call avR2(7534, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(4636)%branchR2(0:0))
      call avR2(4636, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57803])

      allocate(vertices(9454)%branchR2(0:0))
      call avR2(9454, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22458])

      allocate(vertices(5601)%branchR2(0:3))
      call avR2(5601, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(5601, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(5601, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(5601, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(7731)%branchR2(0:0))
      call avR2(7731, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(3597)%branchR2(0:0))
      call avR2(3597, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(1910)%branchR2(0:0))
      call avR2(1910, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(5891)%branchR2(0:1))
      call avR2(5891, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(5891, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(8370)%branchR2(0:0))
      call avR2(8370, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(4043)%branchR2(0:0))
      call avR2(4043, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(4498)%branchR2(0:1))
      call avR2(4498, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(4498, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(9049)%branchR2(0:0))
      call avR2(9049, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9823)%branchR2(0:0))
      call avR2(9823, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10514)%branchR2(0:0))
      call avR2(10514, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22016])

      allocate(vertices(8977)%branchR2(0:0))
      call avR2(8977, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8505)%branchR2(0:0))
      call avR2(8505, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(7572)%branchR2(0:0))
      call avR2(7572, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(7878)%branchR2(0:0))
      call avR2(7878, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(7499)%branchR2(0:0))
      call avR2(7499, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7516)%branchR2(0:0))
      call avR2(7516, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(2318)%branchR2(0:0))
      call avR2(2318, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(10052)%branchR2(0:0))
      call avR2(10052, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3419)%branchR2(0:1))
      call avR2(3419, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(3419, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(9018)%branchR2(0:0))
      call avR2(9018, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(5499)%branchR2(0:0))
      call avR2(5499, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(6571)%branchR2(0:0))
      call avR2(6571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9803)%branchR2(0:0))
      call avR2(9803, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(5972)%branchR2(0:1))
      call avR2(5972, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(5972, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(10515)%branchR2(0:1))
      call avR2(10515, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22477])

      call avR2(10515, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(7253)%branchR2(0:0))
      call avR2(7253, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22360,     &
      nGC_22359])

      allocate(vertices(10143)%branchR2(0:0))
      call avR2(10143, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21966, nGC_21965])

      allocate(vertices(3229)%branchR2(0:0))
      call avR2(3229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(5150)%branchR2(0:0))
      call avR2(5150, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7576)%branchR2(0:0))
      call avR2(7576, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(6923)%branchR2(0:0))
      call avR2(6923, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22075])

      allocate(vertices(10390)%branchR2(0:0))
      call avR2(10390, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22021])

      allocate(vertices(5725)%branchR2(0:0))
      call avR2(5725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(10516)%branchR2(0:0))
      call avR2(10516, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(10517)%branchR2(0:1))
      call avR2(10517, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22477])

      call avR2(10517, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(736)%branchR2(0:1))
      call avR2(736, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(736, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(5827)%branchR2(0:1))
      call avR2(5827, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(5827, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(10518)%branchR2(0:1))
      call avR2(10518, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22397])

      call avR2(10518, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(9973)%branchR2(0:0))
      call avR2(9973, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(4319)%branchR2(0:0))
      call avR2(4319, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(7)%branchR2(0:1))
      call avR2(7, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(7, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(10136)%branchR2(0:0))
      call avR2(10136, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(7592)%branchR2(0:1))
      call avR2(7592, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(7592, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(10519)%branchR2(0:1))
      call avR2(10519, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22381])

      call avR2(10519, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(9892)%branchR2(0:0))
      call avR2(9892, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7121)%branchR2(0:0))
      call avR2(7121, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7472)%branchR2(0:0))
      call avR2(7472, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(9580)%branchR2(0:1))
      call avR2(9580, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,     &
      nGC_22003, nGC_22003])

      call avR2(9580, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_22004, nGC_22004])

      allocate(vertices(8466)%branchR2(0:1))
      call avR2(8466, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(8466, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(5181)%branchR2(0:0))
      call avR2(5181, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22275])

      allocate(vertices(6852)%branchR2(0:0))
      call avR2(6852, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57423])

      allocate(vertices(5175)%branchR2(0:0))
      call avR2(5175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(10520)%branchR2(0:1))
      call avR2(10520, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22444])

      call avR2(10520, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(6481)%branchR2(0:0))
      call avR2(6481, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22072])

      allocate(vertices(7303)%branchR2(0:0))
      call avR2(7303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(4318)%branchR2(0:0))
      call avR2(4318, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(3667)%branchR2(0:0))
      call avR2(3667, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(6422)%branchR2(0:0))
      call avR2(6422, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9141)%branchR2(0:0))
      call avR2(9141, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_22002])

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57927])

      allocate(vertices(9979)%branchR2(0:0))
      call avR2(9979, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22035])

      allocate(vertices(5640)%branchR2(0:0))
      call avR2(5640, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(5917)%branchR2(0:0))
      call avR2(5917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9071)%branchR2(0:0))
      call avR2(9071, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(5250)%branchR2(0:0))
      call avR2(5250, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10000)%branchR2(0:0))
      call avR2(10000, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(8960)%branchR2(0:0))
      call avR2(8960, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22037])

      allocate(vertices(4822)%branchR2(0:0))
      call avR2(4822, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(3712)%branchR2(0:0))
      call avR2(3712, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(4732)%branchR2(0:0))
      call avR2(4732, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22071])

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4376)%branchR2(0:0))
      call avR2(4376, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(6847)%branchR2(0:0))
      call avR2(6847, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(6046)%branchR2(0:0))
      call avR2(6046, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(5385)%branchR2(0:0))
      call avR2(5385, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22050])

      allocate(vertices(10521)%branchR2(0:0))
      call avR2(10521, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(8917)%branchR2(0:0))
      call avR2(8917, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57952])

      allocate(vertices(8261)%branchR2(0:0))
      call avR2(8261, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(4150)%branchR2(0:0))
      call avR2(4150, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22095])

      allocate(vertices(8677)%branchR2(0:0))
      call avR2(8677, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22360,     &
      nGC_22359])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(1888)%branchR2(0:0))
      call avR2(1888, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(5404)%branchR2(0:0))
      call avR2(5404, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22131])

      allocate(vertices(9889)%branchR2(0:0))
      call avR2(9889, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(6569)%branchR2(0:0))
      call avR2(6569, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(8534)%branchR2(0:0))
      call avR2(8534, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(8972)%branchR2(0:0))
      call avR2(8972, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(8170)%branchR2(0:0))
      call avR2(8170, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(4395)%branchR2(0:0))
      call avR2(4395, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10522)%branchR2(0:0))
      call avR2(10522, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(7388)%branchR2(0:0))
      call avR2(7388, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(6449)%branchR2(0:0))
      call avR2(6449, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1916)%branchR2(0:0))
      call avR2(1916, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7518)%branchR2(0:0))
      call avR2(7518, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(8857)%branchR2(0:0))
      call avR2(8857, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_21994, nGC_21994])

      allocate(vertices(3968)%branchR2(0:1))
      call avR2(3968, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(3968, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(9911)%branchR2(0:0))
      call avR2(9911, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9378)%branchR2(0:0))
      call avR2(9378, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22072])

      allocate(vertices(8500)%branchR2(0:0))
      call avR2(8500, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(3146)%branchR2(0:1))
      call avR2(3146, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(3146, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(5034)%branchR2(0:0))
      call avR2(5034, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2924)%branchR2(0:0))
      call avR2(2924, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(627)%branchR2(0:1))
      call avR2(627, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(627, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(6819)%branchR2(0:0))
      call avR2(6819, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5802)%branchR2(0:0))
      call avR2(5802, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(7127)%branchR2(0:0))
      call avR2(7127, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58001])

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(8706)%branchR2(0:0))
      call avR2(8706, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(10523)%branchR2(0:0))
      call avR2(10523, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(3797)%branchR2(0:0))
      call avR2(3797, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10524)%branchR2(0:1))
      call avR2(10524, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22481])

      call avR2(10524, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22480])

      allocate(vertices(9817)%branchR2(0:0))
      call avR2(9817, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5421)%branchR2(0:0))
      call avR2(5421, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2173)%branchR2(0:0))
      call avR2(2173, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(6324)%branchR2(0:0))
      call avR2(6324, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(10171)%branchR2(0:0))
      call avR2(10171, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22073])

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(8902)%branchR2(0:0))
      call avR2(8902, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22035])

      allocate(vertices(6974)%branchR2(0:0))
      call avR2(6974, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8927)%branchR2(0:0))
      call avR2(8927, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5589)%branchR2(0:0))
      call avR2(5589, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22468])

      allocate(vertices(10525)%branchR2(0:0))
      call avR2(10525, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(9460)%branchR2(0:0))
      call avR2(9460, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(1273)%branchR2(0:1))
      call avR2(1273, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(1273, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(6311)%branchR2(0:0))
      call avR2(6311, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(7056)%branchR2(0:1))
      call avR2(7056, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(7056, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(10526)%branchR2(0:1))
      call avR2(10526, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      call avR2(10526, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(6997)%branchR2(0:1))
      call avR2(6997, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(6997, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(10527)%branchR2(0:1))
      call avR2(10527, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10527, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(9675)%branchR2(0:0))
      call avR2(9675, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(8227)%branchR2(0:0))
      call avR2(8227, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10528)%branchR2(0:0))
      call avR2(10528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(7610)%branchR2(0:3))
      call avR2(7610, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(7610, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(7610, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(7610, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(6219)%branchR2(0:0))
      call avR2(6219, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(9269)%branchR2(0:0))
      call avR2(9269, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5829)%branchR2(0:1))
      call avR2(5829, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(5829, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(3733)%branchR2(0:0))
      call avR2(3733, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(7755)%branchR2(0:0))
      call avR2(7755, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(8558)%branchR2(0:0))
      call avR2(8558, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(1346)%branchR2(0:1))
      call avR2(1346, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(1346, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(4005)%branchR2(0:0))
      call avR2(4005, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9161)%branchR2(0:0))
      call avR2(9161, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(4678)%branchR2(0:0))
      call avR2(4678, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5347)%branchR2(0:0))
      call avR2(5347, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22453])

    end subroutine fill_vertices_mdl20
end module vertices_info20
