!******************************************************************************!
!                                                                              !
!    vertices_info21.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info21.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info21
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl21()
      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(5137)%branchR2(0:0))
      call avR2(5137, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(7043)%branchR2(0:0))
      call avR2(7043, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(6729)%branchR2(0:0))
      call avR2(6729, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(4793)%branchR2(0:0))
      call avR2(4793, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(5158)%branchR2(0:0))
      call avR2(5158, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(6458)%branchR2(0:0))
      call avR2(6458, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(3933)%branchR2(0:0))
      call avR2(3933, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(2899)%branchR2(0:0))
      call avR2(2899, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22073])

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(8531)%branchR2(0:0))
      call avR2(8531, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(2591)%branchR2(0:0))
      call avR2(2591, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3883)%branchR2(0:0))
      call avR2(3883, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8952)%branchR2(0:0))
      call avR2(8952, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(9445)%branchR2(0:0))
      call avR2(9445, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8440)%branchR2(0:0))
      call avR2(8440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(4731)%branchR2(0:0))
      call avR2(4731, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(7022)%branchR2(0:0))
      call avR2(7022, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(4721)%branchR2(0:0))
      call avR2(4721, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10529)%branchR2(0:1))
      call avR2(10529, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22477])

      call avR2(10529, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22476])

      allocate(vertices(4449)%branchR2(0:1))
      call avR2(4449, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(4449, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(7128)%branchR2(0:0))
      call avR2(7128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(4587)%branchR2(0:3))
      call avR2(4587, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(4587, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(4587, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(4587, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(7944)%branchR2(0:1))
      call avR2(7944, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(7944, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(7340)%branchR2(0:0))
      call avR2(7340, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(8660)%branchR2(0:0))
      call avR2(8660, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58112])

      allocate(vertices(5730)%branchR2(0:0))
      call avR2(5730, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(7088)%branchR2(0:0))
      call avR2(7088, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(6084)%branchR2(0:1))
      call avR2(6084, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(6084, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(8014)%branchR2(0:0))
      call avR2(8014, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(2474)%branchR2(0:1))
      call avR2(2474, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(2474, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(7292)%branchR2(0:0))
      call avR2(7292, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(5881)%branchR2(0:0))
      call avR2(5881, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(7669)%branchR2(0:0))
      call avR2(7669, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(5163)%branchR2(0:0))
      call avR2(5163, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(9465)%branchR2(0:0))
      call avR2(9465, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4679)%branchR2(0:0))
      call avR2(4679, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22081])

      allocate(vertices(9285)%branchR2(0:0))
      call avR2(9285, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(8379)%branchR2(0:0))
      call avR2(8379, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(2013)%branchR2(0:3))
      call avR2(2013, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(2013, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(2013, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(2013, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(9598)%branchR2(0:0))
      call avR2(9598, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(412)%branchR2(0:0))
      call avR2(412, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8588)%branchR2(0:1))
      call avR2(8588, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(8588, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2291)%branchR2(0:0))
      call avR2(2291, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(5463)%branchR2(0:0))
      call avR2(5463, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(6803)%branchR2(0:0))
      call avR2(6803, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22225])

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9946)%branchR2(0:0))
      call avR2(9946, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10530)%branchR2(0:1))
      call avR2(10530, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      call avR2(10530, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58159])

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10531)%branchR2(0:1))
      call avR2(10531, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22381])

      call avR2(10531, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22380])

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58159])

      allocate(vertices(6717)%branchR2(0:0))
      call avR2(6717, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(5774)%branchR2(0:0))
      call avR2(5774, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(3591)%branchR2(0:0))
      call avR2(3591, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(7903)%branchR2(0:1))
      call avR2(7903, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(7903, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(9063)%branchR2(0:0))
      call avR2(9063, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10532)%branchR2(0:1))
      call avR2(10532, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

      call avR2(10532, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(8052)%branchR2(0:0))
      call avR2(8052, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(9590)%branchR2(0:0))
      call avR2(9590, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2896)%branchR2(0:1))
      call avR2(2896, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(2896, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(6979)%branchR2(0:1))
      call avR2(6979, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(6979, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(8007)%branchR2(0:0))
      call avR2(8007, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(4583)%branchR2(0:0))
      call avR2(4583, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(5512)%branchR2(0:1))
      call avR2(5512, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(5512, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(6795)%branchR2(0:0))
      call avR2(6795, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(8147)%branchR2(0:0))
      call avR2(8147, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22145])

      allocate(vertices(8621)%branchR2(0:0))
      call avR2(8621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(8141)%branchR2(0:0))
      call avR2(8141, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22275])

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(7980)%branchR2(0:0))
      call avR2(7980, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22257])

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(8616)%branchR2(0:0))
      call avR2(8616, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(4847)%branchR2(0:0))
      call avR2(4847, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10533)%branchR2(0:0))
      call avR2(10533, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(3228)%branchR2(0:0))
      call avR2(3228, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22458])

      allocate(vertices(9365)%branchR2(0:0))
      call avR2(9365, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22479,     &
      nGC_22478])

      allocate(vertices(8306)%branchR2(0:0))
      call avR2(8306, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(9982)%branchR2(0:0))
      call avR2(9982, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7900)%branchR2(0:0))
      call avR2(7900, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(10534)%branchR2(0:0))
      call avR2(10534, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9771)%branchR2(0:0))
      call avR2(9771, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8974)%branchR2(0:0))
      call avR2(8974, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22147])

      allocate(vertices(10352)%branchR2(0:0))
      call avR2(10352, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10535)%branchR2(0:1))
      call avR2(10535, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10535, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(7693)%branchR2(0:1))
      call avR2(7693, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(7693, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(4846)%branchR2(0:0))
      call avR2(4846, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(6182)%branchR2(0:0))
      call avR2(6182, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22147])

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22146])

      allocate(vertices(8100)%branchR2(0:0))
      call avR2(8100, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10204)%branchR2(0:0))
      call avR2(10204, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(4121)%branchR2(0:1))
      call avR2(4121, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(4121, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(10536)%branchR2(0:1))
      call avR2(10536, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22430])

      call avR2(10536, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22431])

      allocate(vertices(9996)%branchR2(0:0))
      call avR2(9996, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(2378)%branchR2(0:1))
      call avR2(2378, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(2378, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(5395)%branchR2(0:0))
      call avR2(5395, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(10537)%branchR2(0:1))
      call avR2(10537, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22481])

      call avR2(10537, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22480])

      allocate(vertices(9687)%branchR2(0:0))
      call avR2(9687, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22091])

      allocate(vertices(10538)%branchR2(0:0))
      call avR2(10538, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22343,    &
      nGC_22343])

      allocate(vertices(7545)%branchR2(0:0))
      call avR2(7545, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10539)%branchR2(0:1))
      call avR2(10539, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22397])

      call avR2(10539, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(7730)%branchR2(0:1))
      call avR2(7730, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(7730, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(9377)%branchR2(0:0))
      call avR2(9377, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(4676)%branchR2(0:0))
      call avR2(4676, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10218)%branchR2(0:0))
      call avR2(10218, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(10540)%branchR2(0:0))
      call avR2(10540, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

      allocate(vertices(3633)%branchR2(0:0))
      call avR2(3633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9630)%branchR2(0:0))
      call avR2(9630, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(10304)%branchR2(0:0))
      call avR2(10304, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(6021)%branchR2(0:0))
      call avR2(6021, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(4527)%branchR2(0:0))
      call avR2(4527, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(9825)%branchR2(0:0))
      call avR2(9825, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22012])

      allocate(vertices(6129)%branchR2(0:0))
      call avR2(6129, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(5876)%branchR2(0:0))
      call avR2(5876, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22479,     &
      nGC_22479])

      allocate(vertices(7355)%branchR2(0:0))
      call avR2(7355, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(6384)%branchR2(0:0))
      call avR2(6384, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(9392)%branchR2(0:0))
      call avR2(9392, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(8549)%branchR2(0:1))
      call avR2(8549, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(8549, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(7720)%branchR2(0:0))
      call avR2(7720, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(10541)%branchR2(0:0))
      call avR2(10541, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(4478)%branchR2(0:0))
      call avR2(4478, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(9807)%branchR2(0:0))
      call avR2(9807, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9714)%branchR2(0:0))
      call avR2(9714, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8828)%branchR2(0:0))
      call avR2(8828, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22324,     &
      nGC_22326])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2370)%branchR2(0:1))
      call avR2(2370, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(2370, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(535)%branchR2(0:1))
      call avR2(535, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(535, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(9328)%branchR2(0:0))
      call avR2(9328, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7304)%branchR2(0:0))
      call avR2(7304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(8768)%branchR2(0:0))
      call avR2(8768, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58301])

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8363)%branchR2(0:0))
      call avR2(8363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(7421)%branchR2(0:0))
      call avR2(7421, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(10093)%branchR2(0:0))
      call avR2(10093, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7064)%branchR2(0:0))
      call avR2(7064, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(9599)%branchR2(0:0))
      call avR2(9599, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(8282)%branchR2(0:0))
      call avR2(8282, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(9562)%branchR2(0:0))
      call avR2(9562, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(8176)%branchR2(0:0))
      call avR2(8176, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10542)%branchR2(0:0))
      call avR2(10542, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(4684)%branchR2(0:0))
      call avR2(4684, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22451])

      allocate(vertices(6368)%branchR2(0:0))
      call avR2(6368, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(7228)%branchR2(0:1))
      call avR2(7228, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(7228, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(7198)%branchR2(0:1))
      call avR2(7198, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(7198, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(8639)%branchR2(0:0))
      call avR2(8639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(3658)%branchR2(0:0))
      call avR2(3658, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(10125)%branchR2(0:0))
      call avR2(10125, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(6016)%branchR2(0:0))
      call avR2(6016, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9003)%branchR2(0:0))
      call avR2(9003, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(10286)%branchR2(0:0))
      call avR2(10286, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(1169)%branchR2(0:1))
      call avR2(1169, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(1169, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(9484)%branchR2(0:0))
      call avR2(9484, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(7282)%branchR2(0:0))
      call avR2(7282, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(9814)%branchR2(0:0))
      call avR2(9814, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5496)%branchR2(0:0))
      call avR2(5496, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(5503)%branchR2(0:1))
      call avR2(5503, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(5503, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(7510)%branchR2(0:0))
      call avR2(7510, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(7783)%branchR2(0:0))
      call avR2(7783, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(2440)%branchR2(0:1))
      call avR2(2440, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(2440, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(1784)%branchR2(0:3))
      call avR2(1784, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(1784, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(1784, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(1784, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7767)%branchR2(0:0))
      call avR2(7767, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22324, nGC_22326,     &
      nGC_22325])

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6385)%branchR2(0:0))
      call avR2(6385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(8055)%branchR2(0:0))
      call avR2(8055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9959)%branchR2(0:0))
      call avR2(9959, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9745)%branchR2(0:0))
      call avR2(9745, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(7112)%branchR2(0:0))
      call avR2(7112, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(4047)%branchR2(0:0))
      call avR2(4047, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(10024)%branchR2(0:0))
      call avR2(10024, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(136)%branchR2(0:1))
      call avR2(136, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(136, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(9832)%branchR2(0:0))
      call avR2(9832, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58377])

      allocate(vertices(3251)%branchR2(0:1))
      call avR2(3251, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(3251, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(9452)%branchR2(0:0))
      call avR2(9452, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8271)%branchR2(0:0))
      call avR2(8271, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

      allocate(vertices(2014)%branchR2(0:1))
      call avR2(2014, 0, 3, 1, 0, VVV1, 0, [3, 0], [nGC_58386])

      call avR2(2014, 1, 2, 1, 0, VVV1, 0, [3, 0], [nGC_58388])

      allocate(vertices(4651)%branchR2(0:0))
      call avR2(4651, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(3743)%branchR2(0:0))
      call avR2(3743, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10456)%branchR2(0:0))
      call avR2(10456, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,    &
      nGC_22001, nGC_22001])

      allocate(vertices(5483)%branchR2(0:0))
      call avR2(5483, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(5231)%branchR2(0:0))
      call avR2(5231, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58398])

      allocate(vertices(5747)%branchR2(0:0))
      call avR2(5747, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8315)%branchR2(0:0))
      call avR2(8315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10543)%branchR2(0:1))
      call avR2(10543, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22476])

      call avR2(10543, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22477])

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4027)%branchR2(0:0))
      call avR2(4027, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10016)%branchR2(0:0))
      call avR2(10016, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21972, nGC_21971])

      allocate(vertices(4763)%branchR2(0:0))
      call avR2(4763, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(4817)%branchR2(0:0))
      call avR2(4817, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22479,     &
      nGC_22479])

      allocate(vertices(8981)%branchR2(0:0))
      call avR2(8981, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(8651)%branchR2(0:0))
      call avR2(8651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(5644)%branchR2(0:0))
      call avR2(5644, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7995)%branchR2(0:0))
      call avR2(7995, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22475])

      allocate(vertices(4418)%branchR2(0:0))
      call avR2(4418, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(4699)%branchR2(0:1))
      call avR2(4699, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(4699, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(10050)%branchR2(0:0))
      call avR2(10050, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(5773)%branchR2(0:0))
      call avR2(5773, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10544)%branchR2(0:1))
      call avR2(10544, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22472])

      call avR2(10544, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22471])

      allocate(vertices(7541)%branchR2(0:0))
      call avR2(7541, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58159])

      allocate(vertices(3360)%branchR2(0:0))
      call avR2(3360, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10545)%branchR2(0:1))
      call avR2(10545, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22446])

      call avR2(10545, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(8459)%branchR2(0:0))
      call avR2(8459, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(10546)%branchR2(0:1))
      call avR2(10546, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10546, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(6639)%branchR2(0:0))
      call avR2(6639, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4843)%branchR2(0:0))
      call avR2(4843, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(9772)%branchR2(0:0))
      call avR2(9772, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(2074)%branchR2(0:1))
      call avR2(2074, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(2074, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(9515)%branchR2(0:0))
      call avR2(9515, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(10547)%branchR2(0:1))
      call avR2(10547, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22481])

      call avR2(10547, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22480])

      allocate(vertices(5235)%branchR2(0:0))
      call avR2(5235, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9942)%branchR2(0:0))
      call avR2(9942, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58449])

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(10548)%branchR2(0:0))
      call avR2(10548, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6767)%branchR2(0:0))
      call avR2(6767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(7533)%branchR2(0:0))
      call avR2(7533, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(8088)%branchR2(0:1))
      call avR2(8088, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(8088, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(3001)%branchR2(0:1))
      call avR2(3001, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(3001, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(9264)%branchR2(0:0))
      call avR2(9264, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10549)%branchR2(0:5))
      call avR2(10549, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10549, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(10549, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10549, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10549, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10549, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22275])

      allocate(vertices(10550)%branchR2(0:1))
      call avR2(10550, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22397])

      call avR2(10550, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(9657)%branchR2(0:0))
      call avR2(9657, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9385)%branchR2(0:0))
      call avR2(9385, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(3727)%branchR2(0:0))
      call avR2(3727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(5268)%branchR2(0:1))
      call avR2(5268, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

      call avR2(5268, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(4093)%branchR2(0:0))
      call avR2(4093, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(3709)%branchR2(0:0))
      call avR2(3709, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(8002)%branchR2(0:0))
      call avR2(8002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(3201)%branchR2(0:1))
      call avR2(3201, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(3201, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22261])

      allocate(vertices(6884)%branchR2(0:0))
      call avR2(6884, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(6527)%branchR2(0:0))
      call avR2(6527, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(7674)%branchR2(0:0))
      call avR2(7674, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(4127)%branchR2(0:0))
      call avR2(4127, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(9677)%branchR2(0:0))
      call avR2(9677, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7983)%branchR2(0:1))
      call avR2(7983, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(7983, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22259])

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(5932)%branchR2(0:0))
      call avR2(5932, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(9056)%branchR2(0:0))
      call avR2(9056, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_22007, nGC_22007])

      allocate(vertices(6475)%branchR2(0:0))
      call avR2(6475, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(4589)%branchR2(0:0))
      call avR2(4589, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(10551)%branchR2(0:1))
      call avR2(10551, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22444])

      call avR2(10551, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(10385)%branchR2(0:0))
      call avR2(10385, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(6038)%branchR2(0:0))
      call avR2(6038, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(1786)%branchR2(0:1))
      call avR2(1786, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(1786, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10552)%branchR2(0:1))
      call avR2(10552, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22477])

      call avR2(10552, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(8885)%branchR2(0:0))
      call avR2(8885, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57458])

      allocate(vertices(9899)%branchR2(0:0))
      call avR2(9899, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1059)%branchR2(0:1))
      call avR2(1059, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(1059, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(8778)%branchR2(0:0))
      call avR2(8778, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22073])

      allocate(vertices(9480)%branchR2(0:0))
      call avR2(9480, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(9568)%branchR2(0:0))
      call avR2(9568, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3896)%branchR2(0:0))
      call avR2(3896, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22149])

      allocate(vertices(8475)%branchR2(0:1))
      call avR2(8475, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      call avR2(8475, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22255])

      allocate(vertices(10553)%branchR2(0:0))
      call avR2(10553, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8571)%branchR2(0:1))
      call avR2(8571, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

      call avR2(8571, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(5701)%branchR2(0:0))
      call avR2(5701, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22359,     &
      nGC_22360])

      allocate(vertices(10192)%branchR2(0:0))
      call avR2(10192, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(7548)%branchR2(0:0))
      call avR2(7548, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(165)%branchR2(0:1))
      call avR2(165, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(165, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(9081)%branchR2(0:0))
      call avR2(9081, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(5609)%branchR2(0:0))
      call avR2(5609, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(10554)%branchR2(0:0))
      call avR2(10554, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(4447)%branchR2(0:0))
      call avR2(4447, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22071])

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58112])

      allocate(vertices(5417)%branchR2(0:0))
      call avR2(5417, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(4225)%branchR2(0:0))
      call avR2(4225, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2220)%branchR2(0:3))
      call avR2(2220, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(2220, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(2220, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(2220, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(5278)%branchR2(0:0))
      call avR2(5278, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10555)%branchR2(0:0))
      call avR2(10555, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22342, nGC_22343,    &
      nGC_22343])

      allocate(vertices(10236)%branchR2(0:0))
      call avR2(10236, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8338)%branchR2(0:0))
      call avR2(8338, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(9203)%branchR2(0:0))
      call avR2(9203, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58377])

      allocate(vertices(7613)%branchR2(0:0))
      call avR2(7613, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22324, nGC_22326,     &
      nGC_22325])

      allocate(vertices(8545)%branchR2(0:0))
      call avR2(8545, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(4266)%branchR2(0:0))
      call avR2(4266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10399)%branchR2(0:0))
      call avR2(10399, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58301])

      allocate(vertices(10341)%branchR2(0:0))
      call avR2(10341, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(6771)%branchR2(0:0))
      call avR2(6771, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(9970)%branchR2(0:0))
      call avR2(9970, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(6988)%branchR2(0:0))
      call avR2(6988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

      allocate(vertices(2632)%branchR2(0:1))
      call avR2(2632, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(2632, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(8471)%branchR2(0:0))
      call avR2(8471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10556)%branchR2(0:1))
      call avR2(10556, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22481])

      call avR2(10556, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22480])

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(7382)%branchR2(0:0))
      call avR2(7382, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58589])

      allocate(vertices(1098)%branchR2(0:1))
      call avR2(1098, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(1098, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(7602)%branchR2(0:0))
      call avR2(7602, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(8194)%branchR2(0:0))
      call avR2(8194, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(4282)%branchR2(0:0))
      call avR2(4282, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(3994)%branchR2(0:1))
      call avR2(3994, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(3994, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(9913)%branchR2(0:0))
      call avR2(9913, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7314)%branchR2(0:0))
      call avR2(7314, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(6460)%branchR2(0:3))
      call avR2(6460, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(6460, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6460, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(6460, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(9193)%branchR2(0:0))
      call avR2(9193, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8882)%branchR2(0:0))
      call avR2(8882, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22054])

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22146])

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10557)%branchR2(0:1))
      call avR2(10557, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22444])

      call avR2(10557, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(6407)%branchR2(0:0))
      call avR2(6407, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(7477)%branchR2(0:0))
      call avR2(7477, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(8464)%branchR2(0:1))
      call avR2(8464, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(8464, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(9581)%branchR2(0:0))
      call avR2(9581, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(479)%branchR2(0:1))
      call avR2(479, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(479, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(9000)%branchR2(0:0))
      call avR2(9000, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7734)%branchR2(0:3))
      call avR2(7734, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(7734, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(7734, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(7734, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(10558)%branchR2(0:0))
      call avR2(10558, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(4508)%branchR2(0:0))
      call avR2(4508, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(6669)%branchR2(0:0))
      call avR2(6669, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(9093)%branchR2(0:0))
      call avR2(9093, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(275)%branchR2(0:1))
      call avR2(275, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(275, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(2316)%branchR2(0:1))
      call avR2(2316, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(2316, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(8251)%branchR2(0:0))
      call avR2(8251, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(6229)%branchR2(0:0))
      call avR2(6229, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10559)%branchR2(0:1))
      call avR2(10559, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22431])

      call avR2(10559, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22430])

      allocate(vertices(1516)%branchR2(0:1))
      call avR2(1516, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(1516, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(5147)%branchR2(0:0))
      call avR2(5147, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(10560)%branchR2(0:1))
      call avR2(10560, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

      call avR2(10560, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22445])

      allocate(vertices(9681)%branchR2(0:0))
      call avR2(9681, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4258)%branchR2(0:1))
      call avR2(4258, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(4258, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(5707)%branchR2(0:0))
      call avR2(5707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(2397)%branchR2(0:1))
      call avR2(2397, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(2397, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(9255)%branchR2(0:0))
      call avR2(9255, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(3595)%branchR2(0:0))
      call avR2(3595, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(9108)%branchR2(0:0))
      call avR2(9108, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22055])

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58001])

      allocate(vertices(5314)%branchR2(0:0))
      call avR2(5314, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(9592)%branchR2(0:0))
      call avR2(9592, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2395)%branchR2(0:0))
      call avR2(2395, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(8804)%branchR2(0:0))
      call avR2(8804, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(5756)%branchR2(0:0))
      call avR2(5756, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(8786)%branchR2(0:0))
      call avR2(8786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10561)%branchR2(0:0))
      call avR2(10561, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(2182)%branchR2(0:1))
      call avR2(2182, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(2182, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(8647)%branchR2(0:0))
      call avR2(8647, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22326,     &
      nGC_22324])

      allocate(vertices(2984)%branchR2(0:0))
      call avR2(2984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(10408)%branchR2(0:0))
      call avR2(10408, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(4018)%branchR2(0:0))
      call avR2(4018, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(8754)%branchR2(0:0))
      call avR2(8754, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22225])

      allocate(vertices(9852)%branchR2(0:0))
      call avR2(9852, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(4343)%branchR2(0:0))
      call avR2(4343, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(6696)%branchR2(0:0))
      call avR2(6696, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22359,     &
      nGC_22361])

      allocate(vertices(9124)%branchR2(0:0))
      call avR2(9124, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(8953)%branchR2(0:0))
      call avR2(8953, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4134)%branchR2(0:0))
      call avR2(4134, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(9709)%branchR2(0:0))
      call avR2(9709, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(8481)%branchR2(0:0))
      call avR2(8481, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22130])

      allocate(vertices(10562)%branchR2(0:1))
      call avR2(10562, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22477])

      call avR2(10562, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(9318)%branchR2(0:0))
      call avR2(9318, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(4919)%branchR2(0:0))
      call avR2(4919, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58717])

      allocate(vertices(8208)%branchR2(0:0))
      call avR2(8208, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(9787)%branchR2(0:1))
      call avR2(9787, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_22008, nGC_22008])

      call avR2(9787, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22009, nGC_22009])

      allocate(vertices(8631)%branchR2(0:0))
      call avR2(8631, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58398])

      allocate(vertices(8690)%branchR2(0:0))
      call avR2(8690, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(10476)%branchR2(0:0))
      call avR2(10476, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(10563)%branchR2(0:1))
      call avR2(10563, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22381])

      call avR2(10563, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(6307)%branchR2(0:0))
      call avR2(6307, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(6574)%branchR2(0:1))
      call avR2(6574, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(6574, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(3596)%branchR2(0:0))
      call avR2(3596, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22080])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(9007)%branchR2(0:0))
      call avR2(9007, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22080])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(8766)%branchR2(0:0))
      call avR2(8766, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(9058)%branchR2(0:0))
      call avR2(9058, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8390)%branchR2(0:0))
      call avR2(8390, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6970)%branchR2(0:0))
      call avR2(6970, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22359,     &
      nGC_22361])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22479,      &
      nGC_22478])

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22325,     &
      nGC_22324])

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7952)%branchR2(0:0))
      call avR2(7952, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58717])

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(10564)%branchR2(0:1))
      call avR2(10564, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      call avR2(10564, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      allocate(vertices(10565)%branchR2(0:1))
      call avR2(10565, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22445])

      call avR2(10565, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(4227)%branchR2(0:0))
      call avR2(4227, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(5680)%branchR2(0:0))
      call avR2(5680, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(9531)%branchR2(0:0))
      call avR2(9531, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21972, nGC_21971])

      allocate(vertices(7908)%branchR2(0:0))
      call avR2(7908, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(10245)%branchR2(0:0))
      call avR2(10245, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(2973)%branchR2(0:1))
      call avR2(2973, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(2973, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(4325)%branchR2(0:0))
      call avR2(4325, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(2039)%branchR2(0:1))
      call avR2(2039, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(2039, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(5851)%branchR2(0:0))
      call avR2(5851, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10354)%branchR2(0:0))
      call avR2(10354, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(7503)%branchR2(0:0))
      call avR2(7503, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58717])

      allocate(vertices(3060)%branchR2(0:0))
      call avR2(3060, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6254)%branchR2(0:0))
      call avR2(6254, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(7939)%branchR2(0:0))
      call avR2(7939, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(7636)%branchR2(0:1))
      call avR2(7636, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(7636, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7321)%branchR2(0:0))
      call avR2(7321, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4607)%branchR2(0:0))
      call avR2(4607, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(9059)%branchR2(0:0))
      call avR2(9059, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(9220)%branchR2(0:0))
      call avR2(9220, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(7856)%branchR2(0:0))
      call avR2(7856, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9501)%branchR2(0:0))
      call avR2(9501, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(6256)%branchR2(0:0))
      call avR2(6256, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(4063)%branchR2(0:0))
      call avR2(4063, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(6636)%branchR2(0:0))
      call avR2(6636, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(9172)%branchR2(0:0))
      call avR2(9172, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58805])

      allocate(vertices(6121)%branchR2(0:0))
      call avR2(6121, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(9734)%branchR2(0:0))
      call avR2(9734, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(5411)%branchR2(0:0))
      call avR2(5411, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22145])

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(7437)%branchR2(0:0))
      call avR2(7437, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(7227)%branchR2(0:0))
      call avR2(7227, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(7464)%branchR2(0:0))
      call avR2(7464, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(10566)%branchR2(0:0))
      call avR2(10566, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(5755)%branchR2(0:0))
      call avR2(5755, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(10029)%branchR2(0:0))
      call avR2(10029, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(4754)%branchR2(0:0))
      call avR2(4754, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(9635)%branchR2(0:0))
      call avR2(9635, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(6629)%branchR2(0:0))
      call avR2(6629, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6942)%branchR2(0:0))
      call avR2(6942, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9250)%branchR2(0:0))
      call avR2(9250, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22010])

      allocate(vertices(9952)%branchR2(0:0))
      call avR2(9952, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10567)%branchR2(0:1))
      call avR2(10567, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22476])

      call avR2(10567, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22477])

      allocate(vertices(7122)%branchR2(0:0))
      call avR2(7122, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(1795)%branchR2(0:0))
      call avR2(1795, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22071])

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(7721)%branchR2(0:0))
      call avR2(7721, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22132])

      allocate(vertices(7259)%branchR2(0:0))
      call avR2(7259, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(9661)%branchR2(0:0))
      call avR2(9661, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(10568)%branchR2(0:0))
      call avR2(10568, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22328])

      allocate(vertices(7812)%branchR2(0:0))
      call avR2(7812, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(4065)%branchR2(0:0))
      call avR2(4065, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22150])

      allocate(vertices(9610)%branchR2(0:0))
      call avR2(9610, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10247)%branchR2(0:0))
      call avR2(10247, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(5043)%branchR2(0:0))
      call avR2(5043, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(499)%branchR2(0:1))
      call avR2(499, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22234, nGC_22234])

      call avR2(499, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22232, nGC_22233])

      allocate(vertices(4970)%branchR2(0:0))
      call avR2(4970, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58847])

      allocate(vertices(9215)%branchR2(0:0))
      call avR2(9215, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(8894)%branchR2(0:0))
      call avR2(8894, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(10569)%branchR2(0:0))
      call avR2(10569, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22257])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(4775)%branchR2(0:0))
      call avR2(4775, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(8932)%branchR2(0:0))
      call avR2(8932, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(10570)%branchR2(0:1))
      call avR2(10570, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22210])

      call avR2(10570, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22211])

      allocate(vertices(4300)%branchR2(0:0))
      call avR2(4300, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(8512)%branchR2(0:0))
      call avR2(8512, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22475])

      allocate(vertices(10220)%branchR2(0:0))
      call avR2(10220, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10173)%branchR2(0:0))
      call avR2(10173, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22054])

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10149)%branchR2(0:0))
      call avR2(10149, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(2438)%branchR2(0:1))
      call avR2(2438, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(2438, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(9175)%branchR2(0:0))
      call avR2(9175, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(6262)%branchR2(0:0))
      call avR2(6262, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(2049)%branchR2(0:1))
      call avR2(2049, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(2049, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(9712)%branchR2(0:0))
      call avR2(9712, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(10571)%branchR2(0:1))
      call avR2(10571, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

      call avR2(10571, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22445])

      allocate(vertices(1765)%branchR2(0:1))
      call avR2(1765, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(1765, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(6565)%branchR2(0:0))
      call avR2(6565, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(10572)%branchR2(0:0))
      call avR2(10572, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(6828)%branchR2(0:0))
      call avR2(6828, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22147])

      allocate(vertices(7167)%branchR2(0:1))
      call avR2(7167, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(7167, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22255])

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(9939)%branchR2(0:0))
      call avR2(9939, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(8092)%branchR2(0:0))
      call avR2(8092, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10573)%branchR2(0:0))
      call avR2(10573, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(10574)%branchR2(0:5))
      call avR2(10574, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(10574, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10574, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10574, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10574, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10574, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      allocate(vertices(8288)%branchR2(0:0))
      call avR2(8288, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(4204)%branchR2(0:0))
      call avR2(4204, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(4885)%branchR2(0:0))
      call avR2(4885, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22079])

      allocate(vertices(2373)%branchR2(0:0))
      call avR2(2373, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(5793)%branchR2(0:0))
      call avR2(5793, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22071])

      allocate(vertices(8044)%branchR2(0:0))
      call avR2(8044, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3772)%branchR2(0:0))
      call avR2(3772, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(4658)%branchR2(0:0))
      call avR2(4658, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(2880)%branchR2(0:0))
      call avR2(2880, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(10080)%branchR2(0:0))
      call avR2(10080, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(6725)%branchR2(0:0))
      call avR2(6725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9374)%branchR2(0:0))
      call avR2(9374, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(6878)%branchR2(0:0))
      call avR2(6878, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9614)%branchR2(0:0))
      call avR2(9614, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(9274)%branchR2(0:0))
      call avR2(9274, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(5183)%branchR2(0:0))
      call avR2(5183, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(4337)%branchR2(0:0))
      call avR2(4337, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22359,     &
      nGC_22361])

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4581)%branchR2(0:0))
      call avR2(4581, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9938)%branchR2(0:0))
      call avR2(9938, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4156)%branchR2(0:0))
      call avR2(4156, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(10575)%branchR2(0:1))
      call avR2(10575, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22396])

      call avR2(10575, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22397])

      allocate(vertices(9244)%branchR2(0:0))
      call avR2(9244, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22078])

      allocate(vertices(7539)%branchR2(0:0))
      call avR2(7539, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(8386)%branchR2(0:0))
      call avR2(8386, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22160])

      allocate(vertices(4727)%branchR2(0:0))
      call avR2(4727, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(166)%branchR2(0:1))
      call avR2(166, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(166, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(5540)%branchR2(0:0))
      call avR2(5540, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(9379)%branchR2(0:0))
      call avR2(9379, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5948)%branchR2(0:0))
      call avR2(5948, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(10576)%branchR2(0:1))
      call avR2(10576, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22397])

      call avR2(10576, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(9236)%branchR2(0:0))
      call avR2(9236, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9964)%branchR2(0:0))
      call avR2(9964, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9646)%branchR2(0:0))
      call avR2(9646, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21974, nGC_21973])

      allocate(vertices(5984)%branchR2(0:0))
      call avR2(5984, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(10577)%branchR2(0:0))
      call avR2(10577, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22150])

      allocate(vertices(10578)%branchR2(0:0))
      call avR2(10578, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(4522)%branchR2(0:1))
      call avR2(4522, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(4522, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(6919)%branchR2(0:0))
      call avR2(6919, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(4020)%branchR2(0:0))
      call avR2(4020, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6426)%branchR2(0:0))
      call avR2(6426, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6494)%branchR2(0:1))
      call avR2(6494, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(6494, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(8686)%branchR2(0:1))
      call avR2(8686, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(8686, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(4634)%branchR2(0:0))
      call avR2(4634, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(3617)%branchR2(0:0))
      call avR2(3617, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22360,     &
      nGC_22359])

      allocate(vertices(5938)%branchR2(0:0))
      call avR2(5938, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7031)%branchR2(0:0))
      call avR2(7031, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5294)%branchR2(0:0))
      call avR2(5294, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(5859)%branchR2(0:1))
      call avR2(5859, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(5859, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(9849)%branchR2(0:0))
      call avR2(9849, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(4505)%branchR2(0:0))
      call avR2(4505, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(7521)%branchR2(0:0))
      call avR2(7521, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(4315)%branchR2(0:0))
      call avR2(4315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2236)%branchR2(0:0))
      call avR2(2236, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(8138)%branchR2(0:0))
      call avR2(8138, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22015])

      allocate(vertices(6507)%branchR2(0:0))
      call avR2(6507, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6880)%branchR2(0:0))
      call avR2(6880, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22079])

      allocate(vertices(8292)%branchR2(0:0))
      call avR2(8292, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7747)%branchR2(0:0))
      call avR2(7747, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(10202)%branchR2(0:0))
      call avR2(10202, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5405)%branchR2(0:0))
      call avR2(5405, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(3443)%branchR2(0:1))
      call avR2(3443, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(3443, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(4812)%branchR2(0:1))
      call avR2(4812, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(4812, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(3987)%branchR2(0:0))
      call avR2(3987, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(5295)%branchR2(0:0))
      call avR2(5295, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(2153)%branchR2(0:0))
      call avR2(2153, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(9413)%branchR2(0:0))
      call avR2(9413, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3016)%branchR2(0:0))
      call avR2(3016, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(6594)%branchR2(0:1))
      call avR2(6594, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(6594, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5840)%branchR2(0:0))
      call avR2(5840, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(10242)%branchR2(0:0))
      call avR2(10242, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21970, nGC_21969])

      allocate(vertices(10579)%branchR2(0:1))
      call avR2(10579, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10579, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22015])

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22018])

      allocate(vertices(26)%branchR2(0:1))
      call avR2(26, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(26, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(4355)%branchR2(0:0))
      call avR2(4355, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(5894)%branchR2(0:0))
      call avR2(5894, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22161])

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(4577)%branchR2(0:0))
      call avR2(4577, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(5897)%branchR2(0:1))
      call avR2(5897, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(5897, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(9042)%branchR2(0:0))
      call avR2(9042, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(10580)%branchR2(0:1))
      call avR2(10580, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      call avR2(10580, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      allocate(vertices(2392)%branchR2(0:1))
      call avR2(2392, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(2392, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(1950)%branchR2(0:1))
      call avR2(1950, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(1950, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(6863)%branchR2(0:0))
      call avR2(6863, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(7188)%branchR2(0:0))
      call avR2(7188, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57423])

      allocate(vertices(10581)%branchR2(0:0))
      call avR2(10581, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(7556)%branchR2(0:0))
      call avR2(7556, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(9249)%branchR2(0:0))
      call avR2(9249, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(5572)%branchR2(0:0))
      call avR2(5572, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8145)%branchR2(0:3))
      call avR2(8145, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(8145, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(8145, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(8145, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(10582)%branchR2(0:1))
      call avR2(10582, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22397])

      call avR2(10582, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(6425)%branchR2(0:0))
      call avR2(6425, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(9731)%branchR2(0:0))
      call avR2(9731, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6092)%branchR2(0:0))
      call avR2(6092, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(5982)%branchR2(0:0))
      call avR2(5982, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(6074)%branchR2(0:1))
      call avR2(6074, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(6074, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(9115)%branchR2(0:1))
      call avR2(9115, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,     &
      nGC_21983, nGC_21983])

      call avR2(9115, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_21984, nGC_21984])

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(10583)%branchR2(0:0))
      call avR2(10583, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(3043)%branchR2(0:1))
      call avR2(3043, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22253])

      call avR2(3043, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(5990)%branchR2(0:3))
      call avR2(5990, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(5990, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(5990, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(5990, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(6567)%branchR2(0:0))
      call avR2(6567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(5533)%branchR2(0:0))
      call avR2(5533, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(10584)%branchR2(0:0))
      call avR2(10584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(6794)%branchR2(0:1))
      call avR2(6794, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(6794, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(8177)%branchR2(0:0))
      call avR2(8177, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22130])

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8378)%branchR2(0:0))
      call avR2(8378, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(6173)%branchR2(0:0))
      call avR2(6173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9826)%branchR2(0:0))
      call avR2(9826, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10585)%branchR2(0:1))
      call avR2(10585, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22431])

      call avR2(10585, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(6111)%branchR2(0:0))
      call avR2(6111, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22058])

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(7703)%branchR2(0:0))
      call avR2(7703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(7105)%branchR2(0:0))
      call avR2(7105, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(5699)%branchR2(0:0))
      call avR2(5699, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9278)%branchR2(0:0))
      call avR2(9278, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(10586)%branchR2(0:1))
      call avR2(10586, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22397])

      call avR2(10586, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22025])

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5357)%branchR2(0:0))
      call avR2(5357, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(6476)%branchR2(0:0))
      call avR2(6476, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(10081)%branchR2(0:0))
      call avR2(10081, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22011])

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22359,     &
      nGC_22361])

      allocate(vertices(9705)%branchR2(0:0))
      call avR2(9705, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10174)%branchR2(0:0))
      call avR2(10174, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(6673)%branchR2(0:0))
      call avR2(6673, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22147])

      allocate(vertices(10587)%branchR2(0:1))
      call avR2(10587, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10587, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(3642)%branchR2(0:0))
      call avR2(3642, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(3881)%branchR2(0:0))
      call avR2(3881, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(7765)%branchR2(0:0))
      call avR2(7765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(7195)%branchR2(0:1))
      call avR2(7195, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(7195, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(8777)%branchR2(0:0))
      call avR2(8777, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(4785)%branchR2(0:0))
      call avR2(4785, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(6159)%branchR2(0:0))
      call avR2(6159, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9476)%branchR2(0:0))
      call avR2(9476, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4766)%branchR2(0:1))
      call avR2(4766, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(4766, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(6849)%branchR2(0:0))
      call avR2(6849, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6128)%branchR2(0:0))
      call avR2(6128, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22360,     &
      nGC_22361])

      allocate(vertices(8962)%branchR2(0:0))
      call avR2(8962, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57395])

      allocate(vertices(9766)%branchR2(0:0))
      call avR2(9766, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(9995)%branchR2(0:0))
      call avR2(9995, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22036])

      allocate(vertices(8689)%branchR2(0:0))
      call avR2(8689, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(10588)%branchR2(0:0))
      call avR2(10588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9439)%branchR2(0:0))
      call avR2(9439, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22055])

      allocate(vertices(10427)%branchR2(0:0))
      call avR2(10427, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2706)%branchR2(0:1))
      call avR2(2706, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(2706, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(5723)%branchR2(0:0))
      call avR2(5723, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(8309)%branchR2(0:0))
      call avR2(8309, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(4139)%branchR2(0:1))
      call avR2(4139, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22226, nGC_22227])

      call avR2(4139, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22228, nGC_22228])

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10589)%branchR2(0:1))
      call avR2(10589, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22381])

      call avR2(10589, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(4339)%branchR2(0:0))
      call avR2(4339, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(2923)%branchR2(0:1))
      call avR2(2923, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(2923, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(8942)%branchR2(0:0))
      call avR2(8942, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6537)%branchR2(0:0))
      call avR2(6537, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(7096)%branchR2(0:0))
      call avR2(7096, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(10590)%branchR2(0:1))
      call avR2(10590, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22397])

      call avR2(10590, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(3971)%branchR2(0:0))
      call avR2(3971, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22257])

      allocate(vertices(9019)%branchR2(0:1))
      call avR2(9019, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21985, nGC_21982,    &
      nGC_22003, nGC_22003])

      call avR2(9019, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22004, nGC_22004])

      allocate(vertices(6068)%branchR2(0:0))
      call avR2(6068, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6888)%branchR2(0:0))
      call avR2(6888, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(8326)%branchR2(0:1))
      call avR2(8326, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(8326, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(4687)%branchR2(0:0))
      call avR2(4687, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(5700)%branchR2(0:0))
      call avR2(5700, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59204])

      allocate(vertices(2543)%branchR2(0:0))
      call avR2(2543, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9347)%branchR2(0:0))
      call avR2(9347, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59207])

      allocate(vertices(10591)%branchR2(0:1))
      call avR2(10591, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10591, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(7973)%branchR2(0:0))
      call avR2(7973, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22361,     &
      nGC_22360])

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1583)%branchR2(0:0))
      call avR2(1583, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(4957)%branchR2(0:0))
      call avR2(4957, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58301])

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(6101)%branchR2(0:0))
      call avR2(6101, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(2713)%branchR2(0:0))
      call avR2(2713, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10592)%branchR2(0:0))
      call avR2(10592, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(7520)%branchR2(0:0))
      call avR2(7520, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(5302)%branchR2(0:0))
      call avR2(5302, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(8479)%branchR2(0:1))
      call avR2(8479, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(8479, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(5865)%branchR2(0:0))
      call avR2(5865, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(5041)%branchR2(0:1))
      call avR2(5041, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(5041, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(7625)%branchR2(0:0))
      call avR2(7625, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(1819)%branchR2(0:1))
      call avR2(1819, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(1819, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(10219)%branchR2(0:0))
      call avR2(10219, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21979, nGC_21978,     &
      nGC_21980])

      allocate(vertices(5264)%branchR2(0:1))
      call avR2(5264, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(5264, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22101, nGC_22103])

    end subroutine fill_vertices_mdl21
end module vertices_info21
