!******************************************************************************!
!                                                                              !
!    vertices_info24.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info24.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info24
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl24()
      allocate(vertices(8389)%branchR2(0:0))
      call avR2(8389, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(9623)%branchR2(0:0))
      call avR2(9623, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22145])

      allocate(vertices(7949)%branchR2(0:0))
      call avR2(7949, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22079])

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22146])

      allocate(vertices(9178)%branchR2(0:0))
      call avR2(9178, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6051)%branchR2(0:0))
      call avR2(6051, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7854)%branchR2(0:0))
      call avR2(7854, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_61589])

      allocate(vertices(7544)%branchR2(0:0))
      call avR2(7544, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8515)%branchR2(0:0))
      call avR2(8515, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(6401)%branchR2(0:0))
      call avR2(6401, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(9884)%branchR2(0:0))
      call avR2(9884, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10727)%branchR2(0:0))
      call avR2(10727, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(7549)%branchR2(0:0))
      call avR2(7549, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22073])

      allocate(vertices(8060)%branchR2(0:0))
      call avR2(8060, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10392)%branchR2(0:0))
      call avR2(10392, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(6393)%branchR2(0:0))
      call avR2(6393, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22072])

      allocate(vertices(8930)%branchR2(0:0))
      call avR2(8930, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3643)%branchR2(0:1))
      call avR2(3643, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(3643, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(5351)%branchR2(0:0))
      call avR2(5351, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(6413)%branchR2(0:0))
      call avR2(6413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(1025)%branchR2(0:1))
      call avR2(1025, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

      call avR2(1025, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(6627)%branchR2(0:0))
      call avR2(6627, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57803])

      allocate(vertices(10728)%branchR2(0:5))
      call avR2(10728, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10728, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10728, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10728, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22410, nGC_22410,  &
      nGC_22410])

      call avR2(10728, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10728, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      allocate(vertices(7449)%branchR2(0:0))
      call avR2(7449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(7501)%branchR2(0:0))
      call avR2(7501, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(4591)%branchR2(0:1))
      call avR2(4591, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(4591, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(5266)%branchR2(0:0))
      call avR2(5266, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(4613)%branchR2(0:0))
      call avR2(4613, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(3758)%branchR2(0:0))
      call avR2(3758, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10729)%branchR2(0:0))
      call avR2(10729, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10188)%branchR2(0:0))
      call avR2(10188, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4453)%branchR2(0:0))
      call avR2(4453, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(2654)%branchR2(0:1))
      call avR2(2654, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(2654, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(4404)%branchR2(0:0))
      call avR2(4404, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22223])

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(9336)%branchR2(0:0))
      call avR2(9336, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5806)%branchR2(0:0))
      call avR2(5806, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(10730)%branchR2(0:0))
      call avR2(10730, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(4448)%branchR2(0:0))
      call avR2(4448, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6040)%branchR2(0:0))
      call avR2(6040, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22278])

      allocate(vertices(4462)%branchR2(0:1))
      call avR2(4462, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      call avR2(4462, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(9957)%branchR2(0:0))
      call avR2(9957, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9470)%branchR2(0:0))
      call avR2(9470, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22035])

      allocate(vertices(6839)%branchR2(0:0))
      call avR2(6839, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(5575)%branchR2(0:0))
      call avR2(5575, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22482, nGC_22483,     &
      nGC_22483])

      allocate(vertices(8526)%branchR2(0:0))
      call avR2(8526, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(10731)%branchR2(0:1))
      call avR2(10731, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22239])

      call avR2(10731, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22240])

      allocate(vertices(10732)%branchR2(0:0))
      call avR2(10732, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8529)%branchR2(0:0))
      call avR2(8529, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(1468)%branchR2(0:1))
      call avR2(1468, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(1468, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22278])

      allocate(vertices(8283)%branchR2(0:0))
      call avR2(8283, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(8770)%branchR2(0:0))
      call avR2(8770, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(6709)%branchR2(0:1))
      call avR2(6709, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22253])

      call avR2(6709, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(6024)%branchR2(0:0))
      call avR2(6024, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10733)%branchR2(0:1))
      call avR2(10733, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22444])

      call avR2(10733, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22443])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(6049)%branchR2(0:0))
      call avR2(6049, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(7488)%branchR2(0:0))
      call avR2(7488, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(5987)%branchR2(0:0))
      call avR2(5987, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22478,     &
      nGC_22479])

      allocate(vertices(5406)%branchR2(0:0))
      call avR2(5406, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22260])

      allocate(vertices(10734)%branchR2(0:1))
      call avR2(10734, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10734, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7254)%branchR2(0:1))
      call avR2(7254, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(7254, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22259])

      allocate(vertices(7275)%branchR2(0:0))
      call avR2(7275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22195])

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(10436)%branchR2(0:0))
      call avR2(10436, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21959, nGC_21958,     &
      nGC_21960])

      allocate(vertices(9683)%branchR2(0:0))
      call avR2(9683, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(4049)%branchR2(0:0))
      call avR2(4049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9875)%branchR2(0:0))
      call avR2(9875, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4713)%branchR2(0:1))
      call avR2(4713, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(4713, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(10072)%branchR2(0:0))
      call avR2(10072, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8124)%branchR2(0:0))
      call avR2(8124, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(8463)%branchR2(0:0))
      call avR2(8463, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(8349)%branchR2(0:0))
      call avR2(8349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(7605)%branchR2(0:0))
      call avR2(7605, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6331)%branchR2(0:0))
      call avR2(6331, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22073])

      allocate(vertices(9777)%branchR2(0:0))
      call avR2(9777, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(8024)%branchR2(0:0))
      call avR2(8024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8186)%branchR2(0:0))
      call avR2(8186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(7017)%branchR2(0:0))
      call avR2(7017, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22275])

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22146])

      allocate(vertices(7659)%branchR2(0:0))
      call avR2(7659, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(3275)%branchR2(0:1))
      call avR2(3275, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(3275, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(7876)%branchR2(0:0))
      call avR2(7876, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10735)%branchR2(0:0))
      call avR2(10735, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3160)%branchR2(0:0))
      call avR2(3160, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(8773)%branchR2(0:0))
      call avR2(8773, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(4311)%branchR2(0:0))
      call avR2(4311, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22252])

      allocate(vertices(9224)%branchR2(0:0))
      call avR2(9224, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(10736)%branchR2(0:0))
      call avR2(10736, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(8316)%branchR2(0:0))
      call avR2(8316, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(9796)%branchR2(0:0))
      call avR2(9796, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(2004)%branchR2(0:1))
      call avR2(2004, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(2004, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(10737)%branchR2(0:0))
      call avR2(10737, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22343, nGC_22342,    &
      nGC_22343])

      allocate(vertices(9587)%branchR2(0:0))
      call avR2(9587, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4033)%branchR2(0:1))
      call avR2(4033, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(4033, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(4691)%branchR2(0:0))
      call avR2(4691, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(4136)%branchR2(0:0))
      call avR2(4136, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10738)%branchR2(0:0))
      call avR2(10738, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22048])

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(8877)%branchR2(0:0))
      call avR2(8877, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22077])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(6719)%branchR2(0:0))
      call avR2(6719, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10472)%branchR2(0:0))
      call avR2(10472, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(4173)%branchR2(0:0))
      call avR2(4173, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(4129)%branchR2(0:0))
      call avR2(4129, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60780])

      allocate(vertices(6592)%branchR2(0:0))
      call avR2(6592, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22482,     &
      nGC_22483])

      allocate(vertices(3982)%branchR2(0:0))
      call avR2(3982, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

      allocate(vertices(7753)%branchR2(0:0))
      call avR2(7753, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22361,     &
      nGC_22360])

      allocate(vertices(9107)%branchR2(0:0))
      call avR2(9107, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(9386)%branchR2(0:0))
      call avR2(9386, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(6106)%branchR2(0:0))
      call avR2(6106, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(6759)%branchR2(0:0))
      call avR2(6759, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10739)%branchR2(0:1))
      call avR2(10739, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10739, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(10222)%branchR2(0:0))
      call avR2(10222, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(9266)%branchR2(0:0))
      call avR2(9266, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(5240)%branchR2(0:0))
      call avR2(5240, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10740)%branchR2(0:1))
      call avR2(10740, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      call avR2(10740, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22252])

      allocate(vertices(5803)%branchR2(0:0))
      call avR2(5803, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(9626)%branchR2(0:0))
      call avR2(9626, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9469)%branchR2(0:0))
      call avR2(9469, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(8574)%branchR2(0:0))
      call avR2(8574, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2238)%branchR2(0:1))
      call avR2(2238, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(2238, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(4640)%branchR2(0:0))
      call avR2(4640, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5557)%branchR2(0:0))
      call avR2(5557, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22151])

      allocate(vertices(10741)%branchR2(0:1))
      call avR2(10741, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10741, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59333])

      allocate(vertices(5049)%branchR2(0:0))
      call avR2(5049, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(6531)%branchR2(0:0))
      call avR2(6531, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(7713)%branchR2(0:0))
      call avR2(7713, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22475])

      allocate(vertices(8246)%branchR2(0:1))
      call avR2(8246, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(8246, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4362)%branchR2(0:1))
      call avR2(4362, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(4362, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(7432)%branchR2(0:0))
      call avR2(7432, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(2185)%branchR2(0:0))
      call avR2(2185, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(6654)%branchR2(0:0))
      call avR2(6654, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(8959)%branchR2(0:0))
      call avR2(8959, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(10742)%branchR2(0:0))
      call avR2(10742, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(9065)%branchR2(0:0))
      call avR2(9065, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(4756)%branchR2(0:3))
      call avR2(4756, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(4756, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(4756, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(4756, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(3089)%branchR2(0:0))
      call avR2(3089, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22072])

      allocate(vertices(10743)%branchR2(0:0))
      call avR2(10743, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(9847)%branchR2(0:0))
      call avR2(9847, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(6715)%branchR2(0:0))
      call avR2(6715, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9315)%branchR2(0:0))
      call avR2(9315, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(8797)%branchR2(0:0))
      call avR2(8797, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(6283)%branchR2(0:0))
      call avR2(6283, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(990)%branchR2(0:3))
      call avR2(990, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(990, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(990, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(990, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(10744)%branchR2(0:1))
      call avR2(10744, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22431])

      call avR2(10744, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(8734)%branchR2(0:0))
      call avR2(8734, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(4525)%branchR2(0:0))
      call avR2(4525, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(6243)%branchR2(0:0))
      call avR2(6243, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(9560)%branchR2(0:0))
      call avR2(9560, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22036])

      allocate(vertices(5623)%branchR2(0:0))
      call avR2(5623, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(9483)%branchR2(0:0))
      call avR2(9483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(3517)%branchR2(0:0))
      call avR2(3517, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(5615)%branchR2(0:0))
      call avR2(5615, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(7419)%branchR2(0:0))
      call avR2(7419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

      allocate(vertices(4503)%branchR2(0:0))
      call avR2(4503, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(6765)%branchR2(0:1))
      call avR2(6765, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(6765, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8359)%branchR2(0:1))
      call avR2(8359, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(8359, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

      allocate(vertices(9881)%branchR2(0:0))
      call avR2(9881, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(351)%branchR2(0:1))
      call avR2(351, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(351, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(9902)%branchR2(0:0))
      call avR2(9902, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(7361)%branchR2(0:1))
      call avR2(7361, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(7361, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(10745)%branchR2(0:0))
      call avR2(10745, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(10746)%branchR2(0:0))
      call avR2(10746, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22072])

      allocate(vertices(3106)%branchR2(0:0))
      call avR2(3106, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(9820)%branchR2(0:0))
      call avR2(9820, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_61589])

      allocate(vertices(4323)%branchR2(0:0))
      call avR2(4323, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(8469)%branchR2(0:0))
      call avR2(8469, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(1462)%branchR2(0:1))
      call avR2(1462, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(1462, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(5271)%branchR2(0:1))
      call avR2(5271, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(5271, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(6058)%branchR2(0:0))
      call avR2(6058, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7743)%branchR2(0:0))
      call avR2(7743, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(6699)%branchR2(0:3))
      call avR2(6699, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(6699, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(6699, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(6699, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(6956)%branchR2(0:0))
      call avR2(6956, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6054)%branchR2(0:0))
      call avR2(6054, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(8486)%branchR2(0:0))
      call avR2(8486, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10333)%branchR2(0:0))
      call avR2(10333, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(9263)%branchR2(0:0))
      call avR2(9263, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22078])

      allocate(vertices(6048)%branchR2(0:0))
      call avR2(6048, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(5482)%branchR2(0:0))
      call avR2(5482, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22274])

      allocate(vertices(10747)%branchR2(0:1))
      call avR2(10747, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

      call avR2(10747, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(6730)%branchR2(0:0))
      call avR2(6730, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4044)%branchR2(0:1))
      call avR2(4044, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(4044, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(9689)%branchR2(0:0))
      call avR2(9689, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(10023)%branchR2(0:0))
      call avR2(10023, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(4405)%branchR2(0:0))
      call avR2(4405, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22019])

      allocate(vertices(1580)%branchR2(0:0))
      call avR2(1580, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(8438)%branchR2(0:0))
      call avR2(8438, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(8975)%branchR2(0:0))
      call avR2(8975, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10748)%branchR2(0:0))
      call avR2(10748, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(6926)%branchR2(0:0))
      call avR2(6926, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(10749)%branchR2(0:1))
      call avR2(10749, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10749, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(5418)%branchR2(0:0))
      call avR2(5418, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(10750)%branchR2(0:1))
      call avR2(10750, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22397])

      call avR2(10750, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(5781)%branchR2(0:0))
      call avR2(5781, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8997)%branchR2(0:0))
      call avR2(8997, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7322)%branchR2(0:0))
      call avR2(7322, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(5688)%branchR2(0:0))
      call avR2(5688, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6750)%branchR2(0:0))
      call avR2(6750, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10340)%branchR2(0:0))
      call avR2(10340, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(7165)%branchR2(0:0))
      call avR2(7165, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(10751)%branchR2(0:0))
      call avR2(10751, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5626)%branchR2(0:1))
      call avR2(5626, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(5626, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(10752)%branchR2(0:1))
      call avR2(10752, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22396])

      call avR2(10752, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22397])

      allocate(vertices(9499)%branchR2(0:0))
      call avR2(9499, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58449])

      allocate(vertices(10753)%branchR2(0:0))
      call avR2(10753, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57381])

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(8077)%branchR2(0:0))
      call avR2(8077, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57803])

      allocate(vertices(4313)%branchR2(0:0))
      call avR2(4313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(6544)%branchR2(0:0))
      call avR2(6544, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22126])

      allocate(vertices(9883)%branchR2(0:0))
      call avR2(9883, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10388)%branchR2(0:0))
      call avR2(10388, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6936)%branchR2(0:3))
      call avR2(6936, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(6936, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(6936, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(6936, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(6991)%branchR2(0:0))
      call avR2(6991, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(10308)%branchR2(0:0))
      call avR2(10308, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21956, nGC_21955,     &
      nGC_21957])

      allocate(vertices(4550)%branchR2(0:1))
      call avR2(4550, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(4550, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(9907)%branchR2(0:0))
      call avR2(9907, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(4010)%branchR2(0:0))
      call avR2(4010, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(1168)%branchR2(0:1))
      call avR2(1168, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(1168, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(7998)%branchR2(0:0))
      call avR2(7998, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(7192)%branchR2(0:0))
      call avR2(7192, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(9474)%branchR2(0:0))
      call avR2(9474, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(5666)%branchR2(0:0))
      call avR2(5666, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(6477)%branchR2(0:0))
      call avR2(6477, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(449)%branchR2(0:0))
      call avR2(449, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(10754)%branchR2(0:0))
      call avR2(10754, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(740)%branchR2(0:1))
      call avR2(740, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(740, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(4440)%branchR2(0:0))
      call avR2(4440, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(7212)%branchR2(0:0))
      call avR2(7212, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22274])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(3882)%branchR2(0:0))
      call avR2(3882, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22359,     &
      nGC_22360])

      allocate(vertices(10755)%branchR2(0:0))
      call avR2(10755, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10756)%branchR2(0:1))
      call avR2(10756, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10756, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(7686)%branchR2(0:0))
      call avR2(7686, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22160])

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(8444)%branchR2(0:0))
      call avR2(8444, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(8614)%branchR2(0:0))
      call avR2(8614, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(3535)%branchR2(0:1))
      call avR2(3535, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22253])

      call avR2(3535, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(6614)%branchR2(0:0))
      call avR2(6614, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7651)%branchR2(0:0))
      call avR2(7651, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10241)%branchR2(0:0))
      call avR2(10241, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21952, nGC_21951])

      allocate(vertices(9231)%branchR2(0:0))
      call avR2(9231, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22036])

      allocate(vertices(7663)%branchR2(0:0))
      call avR2(7663, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4037)%branchR2(0:0))
      call avR2(4037, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(8843)%branchR2(0:0))
      call avR2(8843, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21964, nGC_21963])

      allocate(vertices(7157)%branchR2(0:0))
      call avR2(7157, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(10257)%branchR2(0:0))
      call avR2(10257, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(7601)%branchR2(0:0))
      call avR2(7601, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(5927)%branchR2(0:3))
      call avR2(5927, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(5927, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(5927, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(5927, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(4280)%branchR2(0:1))
      call avR2(4280, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(4280, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(10168)%branchR2(0:0))
      call avR2(10168, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(7092)%branchR2(0:0))
      call avR2(7092, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(9765)%branchR2(0:1))
      call avR2(9765, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21989, nGC_21986,    &
      nGC_22005, nGC_22005])

      call avR2(9765, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_22006, nGC_22006])

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(10364)%branchR2(0:0))
      call avR2(10364, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5429)%branchR2(0:0))
      call avR2(5429, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57482])

      allocate(vertices(9504)%branchR2(0:0))
      call avR2(9504, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8325)%branchR2(0:0))
      call avR2(8325, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2376)%branchR2(0:3))
      call avR2(2376, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(2376, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(2376, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(2376, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4141)%branchR2(0:0))
      call avR2(4141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(2333)%branchR2(0:1))
      call avR2(2333, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22215, nGC_22216])

      call avR2(2333, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22217, nGC_22217])

      allocate(vertices(9853)%branchR2(0:0))
      call avR2(9853, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4558)%branchR2(0:0))
      call avR2(4558, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22324, nGC_22325,     &
      nGC_22326])

      allocate(vertices(5319)%branchR2(0:0))
      call avR2(5319, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(6153)%branchR2(0:0))
      call avR2(6153, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(9122)%branchR2(0:0))
      call avR2(9122, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(7009)%branchR2(0:1))
      call avR2(7009, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(7009, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(4751)%branchR2(0:0))
      call avR2(4751, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(5672)%branchR2(0:0))
      call avR2(5672, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(1115)%branchR2(0:1))
      call avR2(1115, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(1115, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(4944)%branchR2(0:0))
      call avR2(4944, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10122)%branchR2(0:0))
      call avR2(10122, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(6167)%branchR2(0:0))
      call avR2(6167, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(2566)%branchR2(0:1))
      call avR2(2566, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(2566, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(6275)%branchR2(0:0))
      call avR2(6275, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8632)%branchR2(0:0))
      call avR2(8632, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(4130)%branchR2(0:0))
      call avR2(4130, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(4557)%branchR2(0:0))
      call avR2(4557, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9624)%branchR2(0:0))
      call avR2(9624, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(4983)%branchR2(0:0))
      call avR2(4983, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(8834)%branchR2(0:0))
      call avR2(8834, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(6387)%branchR2(0:0))
      call avR2(6387, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_61589])

      allocate(vertices(9732)%branchR2(0:0))
      call avR2(9732, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22036])

      allocate(vertices(1940)%branchR2(0:1))
      call avR2(1940, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(1940, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(9239)%branchR2(0:0))
      call avR2(9239, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3975)%branchR2(0:0))
      call avR2(3975, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6206)%branchR2(0:0))
      call avR2(6206, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(5329)%branchR2(0:0))
      call avR2(5329, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(9028)%branchR2(0:0))
      call avR2(9028, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10757)%branchR2(0:0))
      call avR2(10757, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(8387)%branchR2(0:0))
      call avR2(8387, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7537)%branchR2(0:0))
      call avR2(7537, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22071])

      allocate(vertices(9549)%branchR2(0:0))
      call avR2(9549, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5238)%branchR2(0:0))
      call avR2(5238, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8064)%branchR2(0:0))
      call avR2(8064, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(4213)%branchR2(0:0))
      call avR2(4213, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6107)%branchR2(0:0))
      call avR2(6107, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(10297)%branchR2(0:0))
      call avR2(10297, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(7364)%branchR2(0:0))
      call avR2(7364, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(8083)%branchR2(0:1))
      call avR2(8083, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(8083, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(9282)%branchR2(0:0))
      call avR2(9282, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(6376)%branchR2(0:1))
      call avR2(6376, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(6376, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22041, nGC_22040])

      allocate(vertices(9062)%branchR2(0:0))
      call avR2(9062, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(8916)%branchR2(0:0))
      call avR2(8916, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(4796)%branchR2(0:0))
      call avR2(4796, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22434])

      allocate(vertices(8831)%branchR2(0:0))
      call avR2(8831, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(6115)%branchR2(0:0))
      call avR2(6115, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9199)%branchR2(0:0))
      call avR2(9199, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(5020)%branchR2(0:0))
      call avR2(5020, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22440])

      allocate(vertices(7133)%branchR2(0:0))
      call avR2(7133, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(8375)%branchR2(0:3))
      call avR2(8375, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(8375, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(8375, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(8375, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(5703)%branchR2(0:0))
      call avR2(5703, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10758)%branchR2(0:1))
      call avR2(10758, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22481])

      call avR2(10758, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22480])

      allocate(vertices(5500)%branchR2(0:0))
      call avR2(5500, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(7809)%branchR2(0:0))
      call avR2(7809, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(8348)%branchR2(0:0))
      call avR2(8348, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(2780)%branchR2(0:1))
      call avR2(2780, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(2780, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22258])

      allocate(vertices(10121)%branchR2(0:0))
      call avR2(10121, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(5402)%branchR2(0:0))
      call avR2(5402, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(10759)%branchR2(0:0))
      call avR2(10759, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(8101)%branchR2(0:0))
      call avR2(8101, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(3924)%branchR2(0:0))
      call avR2(3924, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(5260)%branchR2(0:0))
      call avR2(5260, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(10144)%branchR2(0:0))
      call avR2(10144, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22020])

      allocate(vertices(4840)%branchR2(0:0))
      call avR2(4840, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(3084)%branchR2(0:1))
      call avR2(3084, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(3084, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(8385)%branchR2(0:0))
      call avR2(8385, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22048])

      allocate(vertices(10141)%branchR2(0:0))
      call avR2(10141, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8921)%branchR2(0:0))
      call avR2(8921, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57458])

      allocate(vertices(5436)%branchR2(0:0))
      call avR2(5436, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10450)%branchR2(0:1))
      call avR2(10450, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21985, nGC_21982,   &
      nGC_21990, nGC_21990])

      call avR2(10450, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,   &
      nGC_21991, nGC_21991])

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(10760)%branchR2(0:1))
      call avR2(10760, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10760, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(7705)%branchR2(0:0))
      call avR2(7705, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8183)%branchR2(0:0))
      call avR2(8183, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8984)%branchR2(0:0))
      call avR2(8984, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58449])

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(9397)%branchR2(0:0))
      call avR2(9397, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(6692)%branchR2(0:0))
      call avR2(6692, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(8837)%branchR2(0:0))
      call avR2(8837, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(4706)%branchR2(0:0))
      call avR2(4706, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(10290)%branchR2(0:0))
      call avR2(10290, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(1411)%branchR2(0:1))
      call avR2(1411, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(1411, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(9842)%branchR2(0:0))
      call avR2(9842, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22195])

      allocate(vertices(10761)%branchR2(0:1))
      call avR2(10761, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22466])

      call avR2(10761, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22465])

      allocate(vertices(8275)%branchR2(0:1))
      call avR2(8275, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      call avR2(8275, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22255])

      allocate(vertices(7787)%branchR2(0:0))
      call avR2(7787, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6072)%branchR2(0:0))
      call avR2(6072, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5135)%branchR2(0:0))
      call avR2(5135, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(3126)%branchR2(0:0))
      call avR2(3126, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(6220)%branchR2(0:0))
      call avR2(6220, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6776)%branchR2(0:0))
      call avR2(6776, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(9294)%branchR2(0:0))
      call avR2(9294, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8454)%branchR2(0:0))
      call avR2(8454, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10249)%branchR2(0:0))
      call avR2(10249, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(10111)%branchR2(0:0))
      call avR2(10111, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_22002])

      allocate(vertices(6226)%branchR2(0:0))
      call avR2(6226, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8983)%branchR2(0:0))
      call avR2(8983, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(10087)%branchR2(0:0))
      call avR2(10087, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_21976, nGC_21975,     &
      nGC_21977])

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(1102)%branchR2(0:1))
      call avR2(1102, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22116, nGC_22118])

      call avR2(1102, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22117, nGC_22119])

      allocate(vertices(6744)%branchR2(0:0))
      call avR2(6744, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22145])

      allocate(vertices(8442)%branchR2(0:0))
      call avR2(8442, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22360,     &
      nGC_22361])

      allocate(vertices(5449)%branchR2(0:0))
      call avR2(5449, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9109)%branchR2(0:0))
      call avR2(9109, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(6162)%branchR2(0:0))
      call avR2(6162, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22147])

      allocate(vertices(7804)%branchR2(0:0))
      call avR2(7804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5634)%branchR2(0:0))
      call avR2(5634, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(6910)%branchR2(0:0))
      call avR2(6910, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(3930)%branchR2(0:0))
      call avR2(3930, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(6667)%branchR2(0:0))
      call avR2(6667, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(9242)%branchR2(0:0))
      call avR2(9242, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(4060)%branchR2(0:0))
      call avR2(4060, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(7560)%branchR2(0:0))
      call avR2(7560, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(2001)%branchR2(0:1))
      call avR2(2001, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(2001, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(8311)%branchR2(0:0))
      call avR2(8311, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(10762)%branchR2(0:1))
      call avR2(10762, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22381])

      call avR2(10762, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22380])

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9076)%branchR2(0:0))
      call avR2(9076, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(9380)%branchR2(0:0))
      call avR2(9380, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(2934)%branchR2(0:0))
      call avR2(2934, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22361,     &
      nGC_22359])

    end subroutine fill_vertices_mdl24
end module vertices_info24
