!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_22212) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334&
                         )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl( &
                         nGC_366) - coupl(nGC_366)**3d0 - coupl(nGC_366)*coupl(&
                         nGC_4199)**2d0 - coupl(nGC_366)*coupl(nGC_867)**2d0)/(&
                         32d0*pi**2d0)
      coupl(nGC_22213) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334&
                         )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl( &
                         nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl(&
                         nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22210) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC&
                         *coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(     &
                         nGC_366) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/( &
                         16d0*pi**2d0)
      coupl(nGC_32737) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_22216) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339&
                         )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl&
                         (nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl( &
                         nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl(&
                         nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22214) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_41507) = coupl(nGC_I)*(dZGMinusHMinus_QED2 +                   &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32640) = coupl(nGC_332)*dZZA_QED2/2d0
      coupl(nGC_44110) = coupl(nGC_242)*dZG0
      coupl(nGC_22365) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                          + Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*   &
                         coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(   &
                         nGC_364)**2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370  &
                         )**2d0*coupl(nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*  &
                         coupl(nGC_385)**2d0 + coupl(nGC_352)**2d0*coupl(      &
                         nGC_355)**2d0 + coupl(nGC_358)**2d0*coupl(nGC_361)**  &
                         2d0 + coupl(nGC_376)**2d0*coupl(nGC_379)**2d0)/(24d0* &
                         pi**2d0)
      coupl(nGC_22363) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc* &
                         coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346 &
                         )*coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(      &
                         nGC_367)**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 &
                          + Nc*coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(     &
                         nGC_352)*coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(  &
                         nGC_361)**3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/( &
                         24d0*pi**2d0)
      coupl(nGC_22368) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 &
                          + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +  &
                         10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0&
                         *Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*&
                         coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*    &
                         coupl(nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(  &
                         nGC_100)**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(  &
                         nGC_229)**2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(  &
                         nGC_352)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358&
                         )**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*&
                         coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22548) = coupl(nGC_21790)*dl3_QED4 + coupl(nGC_21791)*dl1_QED4 &
                          + coupl(nGC_21792)*dl2_QED4 + coupl(nGC_21793)*      &
                         dl5_QED4 + coupl(nGC_21794)*dl4_QED4 + coupl(nGC_21795&
                         )*db_QED2
      coupl(nGC_22549) = coupl(nGC_21811)*dl3_QED4 + coupl(nGC_21812)*dl1_QED4 &
                          + coupl(nGC_21813)*dl2_QED4 + coupl(nGC_21814)*      &
                         dl5_QED4 + coupl(nGC_21815)*dl4_QED4 + coupl(nGC_21816&
                         )*db_QED2
      coupl(nGC_22546) = coupl(nGC_21308)*dl3_QED4 + coupl(nGC_21309)*db_QED2  &
                          + coupl(nGC_21310)*dl2_QED4 + coupl(nGC_21311)*      &
                         dl5_QED4 + coupl(nGC_21312)*dl4_QED4 + coupl(nGC_21313&
                         )*dl1_QED4 + coupl(nGC_21314)*da_QED2
      coupl(nGC_22547) = coupl(nGC_21831)*dl3_QED4 + coupl(nGC_21832)*dl1_QED4 &
                          + coupl(nGC_21833)*dl2_QED4 + coupl(nGC_21834)*      &
                         dl5_QED4 + coupl(nGC_21835)*dl4_QED4 + coupl(nGC_21836&
                         )*db_QED2
      coupl(nGC_22544) = coupl(nGC_21769)*db_QED2 + coupl(nGC_21770)*dl5_QED4  &
                          + coupl(nGC_21771)*dl4_QED4 + coupl(nGC_21772)*      &
                         da_QED2
      coupl(nGC_22545) = coupl(nGC_21386)*dl3_QED4 + coupl(nGC_21387)*db_QED2  &
                          + coupl(nGC_21388)*dl2_QED4 + coupl(nGC_21389)*      &
                         dl5_QED4 + coupl(nGC_21390)*dl4_QED4 + coupl(nGC_21391&
                         )*dl1_QED4 + coupl(nGC_21392)*da_QED2
      coupl(nGC_22542) = coupl(nGC_21583)*dl3_QED4 + coupl(nGC_21584)*db_QED2  &
                          + coupl(nGC_21585)*dl2_QED4 + coupl(nGC_21586)*      &
                         dl5_QED4 + coupl(nGC_21587)*dl4_QED4 + coupl(nGC_21588&
                         )*dl1_QED4 + coupl(nGC_21589)*da_QED2
      coupl(nGC_22543) = coupl(nGC_21060)*dl3_QED4 + coupl(nGC_21061)*db_QED2  &
                          + coupl(nGC_21062)*dl2_QED4 + coupl(nGC_21063)*      &
                         dl5_QED4 + coupl(nGC_21064)*dl4_QED4 + coupl(nGC_21065&
                         )*dl1_QED4 + coupl(nGC_21066)*da_QED2
      coupl(nGC_22540) = coupl(nGC_20954)*dl3_QED4 + coupl(nGC_20955)*db_QED2  &
                          + coupl(nGC_20956)*dl2_QED4 + coupl(nGC_20957)*      &
                         dl5_QED4 + coupl(nGC_20958)*dl4_QED4 + coupl(nGC_20959&
                         )*dl1_QED4 + coupl(nGC_20960)*da_QED2
      coupl(nGC_22541) = coupl(nGC_21780)*db_QED2 + coupl(nGC_21781)*dl5_QED4  &
                          + coupl(nGC_21782)*dl4_QED4 + coupl(nGC_21783)*      &
                         da_QED2
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32344) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_32347) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_32346) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_22148) = coupl(nGC_197)*(Nc*coupl(nGC_1393)*coupl(nGC_343) + Nc&
                         *coupl(nGC_2475)*coupl(nGC_346) - Nc*coupl(nGC_334)*  &
                         coupl(nGC_335) + Nc*coupl(nGC_364)*coupl(nGC_867) - Nc&
                         *coupl(nGC_370)*coupl(nGC_371) - Nc*coupl(nGC_382)*   &
                         coupl(nGC_383) + coupl(nGC_2221)*coupl(nGC_358) +     &
                         coupl(nGC_2353)*coupl(nGC_376) + coupl(nGC_3117)*coupl&
                         (nGC_352))/(24d0*pi**2d0)
      coupl(nGC_22149) = coupl(nGC_197)*(-Nc*coupl(nGC_334)*coupl(nGC_336) + Nc&
                         *coupl(nGC_339)*coupl(nGC_343) + Nc*coupl(nGC_346)*   &
                         coupl(nGC_348) + Nc*coupl(nGC_364)*coupl(nGC_366) - Nc&
                         *coupl(nGC_370)*coupl(nGC_372) - Nc*coupl(nGC_382)*   &
                         coupl(nGC_384) + coupl(nGC_352)*coupl(nGC_354) + coupl&
                         (nGC_358)*coupl(nGC_360) + coupl(nGC_376)*coupl(      &
                         nGC_378))/(24d0*pi**2d0)
      coupl(nGC_33908) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +   &
                         coupl(nGC_22589)
      coupl(nGC_22142) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22143) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_382) + 8d0*  &
                         coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_382) - coupl( &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_381) - coupl(nGC_346&
                         )*coupl(nGC_347)*coupl(nGC_383) - coupl(nGC_346)*coupl&
                         (nGC_348)*coupl(nGC_384) - coupl(nGC_346)*coupl(      &
                         nGC_350)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_22140) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22147) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)/(4d0*pi**&
                         2d0)
      coupl(nGC_22144) = coupl(nGC_13)**2d0*coupl(nGC_382)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22145) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)/(4d0*pi**&
                         2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32239) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_22728)
      coupl(nGC_22211) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC*&
                         coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(      &
                         nGC_366) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/( &
                         16d0*pi**2d0*Nc)
      coupl(nGC_22132) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*&
                         coupl(nGC_2013)*coupl(nGC_321) + 2d0*coupl(nGC_198)*  &
                         coupl(nGC_199)*coupl(nGC_231) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_321)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_32230) = coupl(nGC_22855) + coupl(nGC_32221)
      coupl(nGC_32234) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_32237) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_22217) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22130) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc*&
                         coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*    &
                         coupl(nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc&
                         *coupl(nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*   &
                         coupl(nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl&
                         (nGC_358)*coupl(nGC_360) - coupl(nGC_376)*coupl(      &
                         nGC_378))/(24d0*pi**2d0)
      coupl(nGC_22641) = coupl(nGC_21752)*dydo2_QED1_QCD2 + coupl(nGC_21754)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_22136) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_36732) = coupl(nGC_350)*dZG0/2d0
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
