!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_37930) = coupl(nGC_224)*dZHl_QED2 + coupl(nGC_224)*dZZ_QED2 +  &
                         coupl(nGC_22723)
      coupl(nGC_33992) = coupl(nGC_383)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_32402) = coupl(nGC_22585) + coupl(nGC_260)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_271)*dZHh_QED2/2d0
      coupl(nGC_37621) = coupl(nGC_22540) + coupl(nGC_32)*dZHMinus_QED2 + coupl&
                         (nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0  &
                          + coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*     &
                         dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
      coupl(nGC_32710) = coupl(nGC_TS_GC_173_Hl) + coupl(nGC_TS_GC_179_Hh)
      coupl(nGC_32711) = coupl(nGC_22867) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_32714) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_37717) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_57381) = -coupl(nGC_22149)
      coupl(nGC_22098) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) - coupl(nGC_1121&
                         )*coupl(nGC_339)**2d0 - coupl(nGC_1121)*coupl(nGC_341 &
                         )**2d0 - coupl(nGC_1121)*coupl(nGC_342)**2d0 - coupl( &
                         nGC_1121)*coupl(nGC_344)**2d0 + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_2847)*coupl(&
                         nGC_340)*coupl(nGC_373) - coupl(nGC_2847)*coupl(      &
                         nGC_343)*coupl(nGC_370))/(32d0*pi**2d0)
      coupl(nGC_22099) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22096) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1121) - coupl(       &
                         nGC_1121)**2d0*coupl(nGC_341) + 8d0*coupl(nGC_1121)*  &
                         coupl(nGC_206)*coupl(nGC_209) - coupl(nGC_1393)**2d0* &
                         coupl(nGC_341) - coupl(nGC_339)**2d0*coupl(nGC_341) - &
                         coupl(nGC_340)*coupl(nGC_373)*coupl(nGC_374) - coupl( &
                         nGC_341)*coupl(nGC_342)**2d0 - coupl(nGC_343)*coupl(  &
                         nGC_370)*coupl(nGC_374))/(32d0*pi**2d0)
      coupl(nGC_22097) = coupl(nGC_1121)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32669) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_32666) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*    &
                         dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22694)
      coupl(nGC_32667) = -coupl(nGC_32666)
      coupl(nGC_22306) = coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                         nGC_8013) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_22300) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(   &
                         nGC_1571)*coupl(nGC_350) - 4d0*coupl(nGC_206)**2d0 -  &
                         coupl(nGC_2475)*coupl(nGC_347) - coupl(nGC_345)**2d0  &
                          - coupl(nGC_346)**2d0 - coupl(nGC_348)**2d0 - coupl( &
                         nGC_349)**2d0)/(64d0*pi**2d0)
      coupl(nGC_32663) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32660) = coupl(nGC_32654) + coupl(nGC_32659)
      coupl(nGC_22303) = coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                         nGC_8013) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_22524) = coupl(nGC_21453)*dl3_QED4 + coupl(nGC_21454)*dl1_QED4 &
                          + coupl(nGC_21455)*dl2_QED4 + coupl(nGC_21456)*      &
                         dl5_QED4 + coupl(nGC_21457)*dl4_QED4 + coupl(nGC_21458&
                         )*da_QED2
      coupl(nGC_22525) = coupl(nGC_20734)*dl3_QED4 + coupl(nGC_20735)*dl1_QED4 &
                          + coupl(nGC_20736)*dl2_QED4 + coupl(nGC_20737)*      &
                         dl5_QED4 + coupl(nGC_20738)*dl4_QED4 + coupl(nGC_20739&
                         )*db_QED2
      coupl(nGC_22526) = coupl(nGC_21676)*dl3_QED4 + coupl(nGC_21677)*db_QED2  &
                          + coupl(nGC_21678)*dl2_QED4 + coupl(nGC_21679)*      &
                         dl5_QED4 + coupl(nGC_21680)*dl4_QED4 + coupl(nGC_21681&
                         )*dl1_QED4 + coupl(nGC_21682)*da_QED2
      coupl(nGC_22527) = coupl(nGC_20728)*dl3_QED4 + coupl(nGC_20729)*dl1_QED4 &
                          + coupl(nGC_20730)*dl2_QED4 + coupl(nGC_20731)*      &
                         dl5_QED4 + coupl(nGC_20732)*dl4_QED4 + coupl(nGC_20733&
                         )*db_QED2
      coupl(nGC_22520) = coupl(nGC_20710)*dl3_QED4 + coupl(nGC_20711)*dl1_QED4 &
                          + coupl(nGC_20712)*dl2_QED4 + coupl(nGC_20713)*      &
                         dl5_QED4 + coupl(nGC_20714)*dl4_QED4 + coupl(nGC_20715&
                         )*db_QED2
      coupl(nGC_22521) = coupl(nGC_21718)*dl3_QED4 + coupl(nGC_21719)*db_QED2  &
                          + coupl(nGC_21720)*dl2_QED4 + coupl(nGC_21721)*      &
                         dl5_QED4 + coupl(nGC_21722)*dl4_QED4 + coupl(nGC_21723&
                         )*dl1_QED4 + coupl(nGC_21724)*da_QED2
      coupl(nGC_22522) = coupl(nGC_21734)*dl3_QED4 + coupl(nGC_21735)*db_QED2  &
                          + coupl(nGC_21736)*dl2_QED4 + coupl(nGC_21737)*      &
                         dl5_QED4 + coupl(nGC_21738)*dl4_QED4 + coupl(nGC_21739&
                         )*dl1_QED4 + coupl(nGC_21740)*da_QED2
      coupl(nGC_22523) = coupl(nGC_21694)*dl3_QED4 + coupl(nGC_21695)*db_QED2  &
                          + coupl(nGC_21696)*dl2_QED4 + coupl(nGC_21697)*      &
                         dl5_QED4 + coupl(nGC_21698)*dl4_QED4 + coupl(nGC_21699&
                         )*dl1_QED4 + coupl(nGC_21700)*da_QED2
      coupl(nGC_22528) = coupl(nGC_21861)*db_QED2 + coupl(nGC_21862)*dl5_QED4  &
                          + coupl(nGC_21863)*dl4_QED4 + coupl(nGC_21864)*      &
                         da_QED2
      coupl(nGC_22529) = coupl(nGC_21853)*db_QED2 + coupl(nGC_21854)*dl5_QED4  &
                          + coupl(nGC_21855)*dl4_QED4 + coupl(nGC_21856)*      &
                         da_QED2
      coupl(nGC_56630) = -coupl(nGC_56629)
      coupl(nGC_33432) = coupl(nGC_230)*dZG0
      coupl(nGC_33433) = coupl(nGC_22721) + coupl(nGC_230)*dZZ_QED2
      coupl(nGC_22410) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl&
                         (nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_22411) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_366)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_384)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_340  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_366)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_372)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_354)*coupl(nGC_355) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_2539)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_23)*coupl(nGC_2539))/(48d0*pi&
                         **2d0)
      coupl(nGC_22413) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_342  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_174)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_351)*coupl(nGC_355) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_174)*coupl(nGC_2539)*coupl(nGC_3) + 6d0*    &
                         coupl(nGC_199)*coupl(nGC_21)*coupl(nGC_2539))/(48d0*pi&
                         **2d0)
      coupl(nGC_22638) = coupl(nGC_21041)*dys2_QED3 + coupl(nGC_21042)*        &
                         dyd12x2_QED3 + coupl(nGC_21043)*da_QED2
      coupl(nGC_22639) = coupl(nGC_20866)*dyd13x3_QED1_QCD2 + coupl(nGC_20868)*&
                         dyb2_QED1_QCD2
      coupl(nGC_52641) = coupl(nGC_I)*dZGMinus
      coupl(nGC_22630) = coupl(nGC_20908)*dydo1_QED3 + coupl(nGC_20909)*       &
                         dydo2_QED3 + coupl(nGC_20910)*da_QED2
      coupl(nGC_22631) = coupl(nGC_21376)*dys2_QED1_QCD2 + coupl(nGC_21377)*   &
                         dyd12x2_QED1_QCD2
      coupl(nGC_22632) = coupl(nGC_21376)*dys2_QED3 + coupl(nGC_21377)*        &
                         dyd12x2_QED3 + coupl(nGC_21378)*da_QED2
      coupl(nGC_22634) = coupl(nGC_20834)*dyd13x3_QED3 + coupl(nGC_20835)*     &
                         da_QED2 + coupl(nGC_20836)*dyb2_QED3
      coupl(nGC_22635) = coupl(nGC_20887)*dydo1_QED1_QCD2 + coupl(nGC_20888)*  &
                         dydo2_QED1_QCD2
      coupl(nGC_22636) = coupl(nGC_20887)*dydo1_QED3 + coupl(nGC_20888)*       &
                         dydo2_QED3 + coupl(nGC_20889)*da_QED2
      coupl(nGC_22637) = coupl(nGC_21041)*dys2_QED1_QCD2 + coupl(nGC_21042)*   &
                         dyd12x2_QED1_QCD2
      coupl(nGC_32256) = coupl(nGC_22552) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0&
                          + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(     &
                         nGC_71)*dZGMinusHMinus_QED2 + coupl(nGC_74)*          &
                         dZGMinusHMinus_QED2/2d0
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
