!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_35148) = coupl(nGC_22635) + coupl(nGC_35147)
      coupl(nGC_35149) = coupl(nGC_22636) + coupl(nGC_345)*dZHl_QED2/2d0 +     &
                         coupl(nGC_348)*dZHhHl_QED2/2d0
      coupl(nGC_34146) = coupl(nGC_22608) + coupl(nGC_373)*dZbL_QCD2/2d0 +     &
                         coupl(nGC_373)*dZtR_QCD2/2d0
      coupl(nGC_32282) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34451) = coupl(nGC_22570) + coupl(nGC_241)*dZGMinusHMinus_QED2/&
                         2d0 + coupl(nGC_243)*dZHMinusGMinus_QED2/2d0 + coupl( &
                         nGC_244)*dZHhHl_QED2/2d0 + coupl(nGC_252)*            &
                         dZHMinus_QED2/2d0 + coupl(nGC_252)*dZHl_QED2/2d0 +    &
                         coupl(nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
      coupl(nGC_32468) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_33391) = -2d0*coupl(nGC_33380)
      coupl(nGC_60780) = -coupl(nGC_22056)
      coupl(nGC_21964) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_334)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_346)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0  &
                          - cME**2d0*cima*coupl(nGC_352)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_358)**2d0 - cMTA**2d0*cima*coupl(nGC_376)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(   &
                         nGC_229) + 2d0*cima*coupl(nGC_231)**2d0 + 2d0*cima*   &
                         coupl(nGC_321)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21967) = cima*(Nc*coupl(nGC_1393)*coupl(nGC_344) + Nc*coupl(   &
                         nGC_2475)*coupl(nGC_347) + Nc*coupl(nGC_3209)*coupl(  &
                         nGC_383) + Nc*coupl(nGC_335)*coupl(nGC_3383) + Nc*    &
                         coupl(nGC_365)*coupl(nGC_867) + Nc*coupl(nGC_371)*    &
                         coupl(nGC_789) + coupl(nGC_2221)*coupl(nGC_359) +     &
                         coupl(nGC_2353)*coupl(nGC_377) + coupl(nGC_3117)*coupl&
                         (nGC_353))/(24d0*pi**2d0)
      coupl(nGC_21961) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0 &
                          + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 +  &
                         Nc*coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 +     &
                         coupl(nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(    &
                         nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21963) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0 &
                          + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 +  &
                         Nc*coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 +     &
                         coupl(nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(    &
                         nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_21962) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0* &
                         cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(    &
                         nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0  &
                          - Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*&
                         cima*coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(    &
                         nGC_337)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0  &
                          - Nc*cMT**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*&
                         cima*coupl(nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(    &
                         nGC_349)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0  &
                          - cME**2d0*cima*coupl(nGC_355)**2d0 - cMM**2d0*cima* &
                         coupl(nGC_361)**2d0 - cMTA**2d0*cima*coupl(nGC_379)** &
                         2d0 - 2d0*cMW**2d0*coupl(nGC_100) - cMZ**2d0*coupl(   &
                         nGC_229) + 2d0*cima*coupl(nGC_237)**2d0 + 2d0*cima*   &
                         coupl(nGC_324)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21969) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0 &
                          + Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 +  &
                         Nc*coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 +     &
                         coupl(nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(    &
                         nGC_378)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22695) = coupl(nGC_21299)*dsw_QED2 + coupl(nGC_21300)*db_QED2  &
                          + coupl(nGC_21301)*dZee_QED2 + coupl(nGC_21302)*     &
                         da_QED2
      coupl(nGC_40656) = coupl(nGC_22571) + coupl(nGC_248)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_257)*dZHMinus_QED2/2d0 + coupl(nGC_257)*    &
                         dZHa_QED2/2d0 + coupl(nGC_TS_GC_52_Hl) + coupl(       &
                         nGC_TS_GC_62_Hh)
      coupl(nGC_22160) = (Nc*coupl(nGC_1393)*coupl(nGC_206)*coupl(nGC_339) - Nc&
                         *coupl(nGC_1393)*coupl(nGC_209)*coupl(nGC_339) + Nc*  &
                         coupl(nGC_206)*coupl(nGC_2475)*coupl(nGC_348) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_339)*coupl(nGC_344) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_347)*coupl(nGC_348) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_366) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_366)*coupl(nGC_867) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_3209)*coupl(nGC_384) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_335)*coupl(nGC_336) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_336)*coupl(nGC_3383) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_371)*coupl(nGC_372) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_789) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_383)*coupl(nGC_384) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_348) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_339)*coupl(nGC_344) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_347)*coupl(nGC_348) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_365)*coupl(nGC_366) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_867) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_3209)*coupl(nGC_384) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_336) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_336)*coupl(nGC_3383) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_371)*coupl(nGC_372) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_789) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_383)*coupl(nGC_384) + coupl( &
                         nGC_208)*coupl(nGC_2221)*coupl(nGC_360) + coupl(      &
                         nGC_208)*coupl(nGC_2353)*coupl(nGC_378) + coupl(      &
                         nGC_208)*coupl(nGC_3117)*coupl(nGC_354) - coupl(      &
                         nGC_208)*coupl(nGC_353)*coupl(nGC_354) - coupl(nGC_208&
                         )*coupl(nGC_359)*coupl(nGC_360) - coupl(nGC_208)*coupl&
                         (nGC_377)*coupl(nGC_378) - coupl(nGC_211)*coupl(      &
                         nGC_2221)*coupl(nGC_360) - coupl(nGC_211)*coupl(      &
                         nGC_2353)*coupl(nGC_378) - coupl(nGC_211)*coupl(      &
                         nGC_3117)*coupl(nGC_354) + coupl(nGC_211)*coupl(      &
                         nGC_353)*coupl(nGC_354) + coupl(nGC_211)*coupl(nGC_359&
                         )*coupl(nGC_360) + coupl(nGC_211)*coupl(nGC_377)*coupl&
                         (nGC_378))/(24d0*pi**2d0)
      coupl(nGC_40654) = coupl(nGC_257)*dZGMinus/2d0
      coupl(nGC_22693) = coupl(nGC_21481)*dvev2_QED1 + coupl(nGC_21482)*       &
                         dsw_QED2 + coupl(nGC_21483)*db_QED2 + coupl(nGC_21484 &
                         )*dvev1_QED1 + coupl(nGC_21485)*dZee_QED2
      coupl(nGC_21972) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342   &
                         ) - 4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) -   &
                         4d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc&
                         *cMS**2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**&
                         2d0*coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*  &
                         coupl(nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(   &
                         nGC_351)*coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*&
                         coupl(nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(  &
                         nGC_378) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl( &
                         nGC_329)*coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_21989) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_21988) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_21983) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(  &
                         nGC_209))/(8d0*pi**2d0)
      coupl(nGC_21982) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl&
                         (nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21981) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(   &
                         64d0*pi**2d0*Nc)
      coupl(nGC_21980) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*  &
                         cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(    &
                         nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0  &
                          + Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*&
                         cima*coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(    &
                         nGC_206)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0  &
                          + Nc*cMT**2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*&
                         cima*coupl(nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(    &
                         nGC_207)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0  &
                          + cME**2d0*cima*coupl(nGC_208)**2d0 + cME**2d0*cima* &
                         coupl(nGC_211)**2d0 + cMM**2d0*cima*coupl(nGC_208)**  &
                         2d0 + cMM**2d0*cima*coupl(nGC_211)**2d0 + cMTA**2d0*  &
                         cima*coupl(nGC_208)**2d0 + cMTA**2d0*cima*coupl(      &
                         nGC_211)**2d0 + cMW**2d0*cima*coupl(nGC_199)**2d0 +   &
                         cMW**2d0*cima*coupl(nGC_2539)**2d0 - cMW**2d0*coupl(  &
                         nGC_195))/(8d0*pi**2d0)
      coupl(nGC_21987) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(  &
                         nGC_210))/(8d0*pi**2d0)
      coupl(nGC_21986) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl&
                         (nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_21985) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0*&
                         pi**2d0)
      coupl(nGC_21984) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0  &
                         )/(32d0*pi**2d0*Nc)
      coupl(nGC_22515) = coupl(nGC_21419)*dl3_QED4 + coupl(nGC_21420)*dl1_QED4 &
                          + coupl(nGC_21421)*dl2_QED4 + coupl(nGC_21422)*      &
                         dl5_QED4 + coupl(nGC_21423)*dl4_QED4 + coupl(nGC_21424&
                         )*da_QED2
      coupl(nGC_33707) = coupl(nGC_22568) + coupl(nGC_243)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_244)*dZGMinusHMinus_QED2 + coupl(nGC_251)*  &
                         dZHMinus_QED2 + coupl(nGC_251)*dZHh_QED2/2d0 + coupl( &
                         nGC_TS_GC_32_Hl) + coupl(nGC_TS_GC_44_Hh)
      coupl(nGC_22514) = coupl(nGC_21631)*dl3_QED4 + coupl(nGC_21632)*db_QED2  &
                          + coupl(nGC_21633)*dl2_QED4 + coupl(nGC_21634)*      &
                         dl5_QED4 + coupl(nGC_21635)*dl4_QED4 + coupl(nGC_21636&
                         )*dl1_QED4 + coupl(nGC_21637)*da_QED2
      coupl(nGC_22517) = coupl(nGC_21624)*dl3_QED4 + coupl(nGC_21625)*db_QED2  &
                          + coupl(nGC_21626)*dl2_QED4 + coupl(nGC_21627)*      &
                         dl5_QED4 + coupl(nGC_21628)*dl4_QED4 + coupl(nGC_21629&
                         )*dl1_QED4 + coupl(nGC_21630)*da_QED2
      coupl(nGC_22511) = coupl(nGC_21643)*dl3_QED4 + coupl(nGC_21644)*db_QED2  &
                          + coupl(nGC_21645)*dl2_QED4 + coupl(nGC_21646)*      &
                         dl5_QED4 + coupl(nGC_21647)*dl4_QED4 + coupl(nGC_21648&
                         )*dl1_QED4 + coupl(nGC_21649)*da_QED2
      coupl(nGC_22510) = coupl(nGC_21662)*dl3_QED4 + coupl(nGC_21663)*db_QED2  &
                          + coupl(nGC_21664)*dl2_QED4 + coupl(nGC_21665)*      &
                         dl5_QED4 + coupl(nGC_21666)*dl4_QED4 + coupl(nGC_21667&
                         )*dl1_QED4 + coupl(nGC_21668)*da_QED2
      coupl(nGC_22513) = coupl(nGC_21891)*dl3_QED4 + coupl(nGC_21892)*dl1_QED4 &
                          + coupl(nGC_21893)*dl2_QED4 + coupl(nGC_21894)*      &
                         dl5_QED4 + coupl(nGC_21895)*dl4_QED4 + coupl(nGC_21896&
                         )*db_QED2
      coupl(nGC_37177) = coupl(nGC_362)*dZG0/2d0
      coupl(nGC_22512) = coupl(nGC_21441)*dl3_QED4 + coupl(nGC_21442)*dl1_QED4 &
                          + coupl(nGC_21443)*dl2_QED4 + coupl(nGC_21444)*      &
                         dl5_QED4 + coupl(nGC_21445)*dl4_QED4 + coupl(nGC_21446&
                         )*da_QED2
      coupl(nGC_TS_GC_332_Hh) = -coupl(nGC_332)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22186) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_377) -   &
                         coupl(nGC_2353)*coupl(nGC_375)**2d0 - coupl(nGC_2353)*&
                         coupl(nGC_377)**2d0 - coupl(nGC_2353)*coupl(nGC_378)**&
                         2d0 - coupl(nGC_2353)*coupl(nGC_380)**2d0 + 8d0*coupl(&
                         nGC_377)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22184) = (-coupl(nGC_1393)*coupl(nGC_340)*coupl(nGC_373) -     &
                         coupl(nGC_1393)*coupl(nGC_343)*coupl(nGC_370) + 8d0*  &
                         coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_371) - coupl(nGC_369)**2d0*  &
                         coupl(nGC_789) - coupl(nGC_371)**2d0*coupl(nGC_789) - &
                         coupl(nGC_372)**2d0*coupl(nGC_789) - coupl(nGC_374)** &
                         2d0*coupl(nGC_789))/(32d0*pi**2d0)
      coupl(nGC_22185) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22182) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_789) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_789) - coupl(       &
                         nGC_2847)**2d0*coupl(nGC_371) - coupl(nGC_340)*coupl( &
                         nGC_344)*coupl(nGC_373) - coupl(nGC_343)*coupl(nGC_344&
                         )*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(nGC_371  &
                         ) - coupl(nGC_371)*coupl(nGC_372)**2d0 - coupl(nGC_371&
                         )*coupl(nGC_789)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22183) = coupl(nGC_13)**2d0*coupl(nGC_789)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_42825) = 3d0*coupl(nGC_59)*dZG0/2d0
      coupl(nGC_22181) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_42828) = coupl(nGC_22547) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl&
                         (nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*         &
                         dZHaG0_QED2/2d0
      coupl(nGC_22189) = coupl(nGC_13)**2d0*coupl(nGC_3209)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
