!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_22436) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_336)**2d0 &
                          + 10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_366)**2d0 +  &
                         20d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_364)* &
                         coupl(nGC_366) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(   &
                         nGC_364)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_343)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(    &
                         nGC_370)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_343)*&
                         coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_343 &
                         )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_346)** &
                         2d0*coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_346)**2d0*&
                         coupl(nGC_384)**2d0 + 20d0*Nc*coupl(nGC_346)*coupl(   &
                         nGC_348)*coupl(nGC_382)*coupl(nGC_384) + 10d0*Nc*coupl&
                         (nGC_348)**2d0*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(   &
                         nGC_364)**2d0*coupl(nGC_366)**2d0 + 10d0*Nc*coupl(    &
                         nGC_370)**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(    &
                         nGC_382)**2d0*coupl(nGC_384)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_175)**2d0 + 12d0*    &
                         coupl(nGC_22)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229 &
                         ) + 10d0*coupl(nGC_352)**2d0*coupl(nGC_354)**2d0 +    &
                         10d0*coupl(nGC_358)**2d0*coupl(nGC_360)**2d0 + 10d0*  &
                         coupl(nGC_376)**2d0*coupl(nGC_378)**2d0)/(48d0*pi**2d0&
                         )
      coupl(nGC_22437) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_334)**2d0*coupl(&
                         nGC_336) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(&
                         nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_333)*coupl(&
                         nGC_336)*coupl(nGC_364)**2d0 + 5d0*Nc*coupl(nGC_334)**&
                         2d0*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc*coupl(     &
                         nGC_334)*coupl(nGC_336)*coupl(nGC_363)*coupl(nGC_364  &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(nGC_343&
                         )**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(  &
                         nGC_370)**2d0 + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)* &
                         coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_342)*&
                         coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 5d0*Nc*&
                         coupl(nGC_343)**2d0*coupl(nGC_369)*coupl(nGC_372) +   &
                         5d0*Nc*coupl(nGC_345)*coupl(nGC_346)**2d0*coupl(      &
                         nGC_348) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                         nGC_382)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_345)*coupl(&
                         nGC_348)*coupl(nGC_382)**2d0 + 5d0*Nc*coupl(nGC_346)**&
                         2d0*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(     &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_381)*coupl(nGC_382  &
                         ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)**2d0*coupl(  &
                         nGC_366) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370)**2d0* &
                         coupl(nGC_372) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382  &
                         )**2d0*coupl(nGC_384) + 6d0*coupl(nGC_175)*coupl(     &
                         nGC_180) + 6d0*coupl(nGC_22)*coupl(nGC_23) + 5d0*coupl&
                         (nGC_351)*coupl(nGC_352)**2d0*coupl(nGC_354) + 5d0*   &
                         coupl(nGC_357)*coupl(nGC_358)**2d0*coupl(nGC_360) +   &
                         5d0*coupl(nGC_375)*coupl(nGC_376)**2d0*coupl(nGC_378  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22434) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(      &
                         nGC_343)**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*  &
                         coupl(nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0&
                         *Nc*coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 +   &
                         6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 +   &
                         3d0*coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0&
                         *coupl(nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*&
                         pi**2d0)
      coupl(nGC_22433) = cima*(10d0*Nc*coupl(nGC_1393)*coupl(nGC_343)**2d0*    &
                         coupl(nGC_344) + 10d0*Nc*coupl(nGC_1393)*coupl(nGC_343&
                         )*coupl(nGC_370)*coupl(nGC_789) + 10d0*Nc*coupl(      &
                         nGC_1393)*coupl(nGC_344)*coupl(nGC_370)**2d0 + 10d0*Nc&
                         *coupl(nGC_2475)*coupl(nGC_3209)*coupl(nGC_346)*coupl(&
                         nGC_382) + 10d0*Nc*coupl(nGC_2475)*coupl(nGC_346)**2d0&
                         *coupl(nGC_347) + 10d0*Nc*coupl(nGC_2475)*coupl(      &
                         nGC_347)*coupl(nGC_382)**2d0 + 10d0*Nc*coupl(nGC_3209 &
                         )*coupl(nGC_346)**2d0*coupl(nGC_383) + 10d0*Nc*coupl( &
                         nGC_3209)*coupl(nGC_382)**2d0*coupl(nGC_383) + 10d0*Nc&
                         *coupl(nGC_334)**2d0*coupl(nGC_335)*coupl(nGC_3383) + &
                         10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_365)*coupl(     &
                         nGC_867) + 10d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl&
                         (nGC_364)*coupl(nGC_365) + 10d0*Nc*coupl(nGC_334)*    &
                         coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_867) + 10d0* &
                         Nc*coupl(nGC_335)*coupl(nGC_3383)*coupl(nGC_364)**2d0 &
                          + 10d0*Nc*coupl(nGC_343)**2d0*coupl(nGC_371)*coupl(  &
                         nGC_789) + 10d0*Nc*coupl(nGC_343)*coupl(nGC_344)*coupl&
                         (nGC_370)*coupl(nGC_371) + 10d0*Nc*coupl(nGC_346)*    &
                         coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_383) + 10d0*Nc&
                         *coupl(nGC_364)**2d0*coupl(nGC_365)*coupl(nGC_867) +  &
                         10d0*Nc*coupl(nGC_370)**2d0*coupl(nGC_371)*coupl(     &
                         nGC_789) + 6d0*coupl(nGC_100)**2d0 + 12d0*coupl(      &
                         nGC_186)*coupl(nGC_187) + 10d0*coupl(nGC_2221)*coupl( &
                         nGC_358)**2d0*coupl(nGC_359) + 3d0*coupl(nGC_229)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_2353)*coupl(nGC_376)**&
                         2d0*coupl(nGC_377) + 12d0*coupl(nGC_30)*coupl(nGC_31  &
                         ) + 10d0*coupl(nGC_3117)*coupl(nGC_352)**2d0*coupl(   &
                         nGC_353))/(48d0*pi**2d0)
      coupl(nGC_22438) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)**2d0 &
                          + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)**2d0 +  &
                         20d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_363)* &
                         coupl(nGC_364) + 10d0*Nc*coupl(nGC_334)**2d0*coupl(   &
                         nGC_363)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(    &
                         nGC_343)**2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(    &
                         nGC_370)**2d0 + 20d0*Nc*coupl(nGC_342)*coupl(nGC_343)*&
                         coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_343 &
                         )**2d0*coupl(nGC_369)**2d0 + 10d0*Nc*coupl(nGC_345)** &
                         2d0*coupl(nGC_346)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0*&
                         coupl(nGC_382)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(   &
                         nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 10d0*Nc*coupl&
                         (nGC_346)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(   &
                         nGC_363)**2d0*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(    &
                         nGC_369)**2d0*coupl(nGC_370)**2d0 + 10d0*Nc*coupl(    &
                         nGC_381)**2d0*coupl(nGC_382)**2d0 + 6d0*coupl(nGC_100 &
                         )*coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl&
                         (nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +  &
                         10d0*coupl(nGC_351)**2d0*coupl(nGC_352)**2d0 + 10d0*  &
                         coupl(nGC_357)**2d0*coupl(nGC_358)**2d0 + 10d0*coupl( &
                         nGC_375)**2d0*coupl(nGC_376)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22618) = coupl(nGC_21048)*dyd12x2_QED3 + coupl(nGC_21049)*     &
                         dys2_QED3 + coupl(nGC_21050)*db_QED2
      coupl(nGC_22619) = coupl(nGC_21293)*db_QED2 + coupl(nGC_21294)*dyt1_QED3 &
                          + coupl(nGC_21295)*dyt2_QED3
      coupl(nGC_22616) = coupl(nGC_20992)*dyc1_QED1_QCD2 + coupl(nGC_20993)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_22617) = coupl(nGC_21048)*dyd12x2_QED1_QCD2 + coupl(nGC_21049)*&
                         dys2_QED1_QCD2
      coupl(nGC_22614) = coupl(nGC_21023)*dyup1_QED1_QCD2 + coupl(nGC_21024)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_22615) = coupl(nGC_20991)*db_QED2 + coupl(nGC_20992)*dyc1_QED3 &
                          + coupl(nGC_20993)*dyc2_QED3
      coupl(nGC_22612) = coupl(nGC_21514)*dydo2_QED3 + coupl(nGC_21515)*db_QED2&
                          + coupl(nGC_21516)*dydo1_QED3
      coupl(nGC_22613) = coupl(nGC_21022)*db_QED2 + coupl(nGC_21023)*dyup1_QED3&
                          + coupl(nGC_21024)*dyup2_QED3
      coupl(nGC_22610) = coupl(nGC_21239)*dyd13x3_QED1_QCD2 + coupl(nGC_21240)*&
                         dyb2_QED1_QCD2
      coupl(nGC_22611) = coupl(nGC_21514)*dydo2_QED1_QCD2 + coupl(nGC_21516)*  &
                         dydo1_QED1_QCD2
      coupl(nGC_35555) = coupl(nGC_22520) + coupl(nGC_54)*dZHaG0_QED2 + coupl( &
                         nGC_55)*dZGMinusHMinus_QED2 + coupl(nGC_70)*          &
                         dZHMinus_QED2
      coupl(nGC_32271) = coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_203)*    &
                         dZZ_QED2/2d0 + coupl(nGC_22690) + coupl(nGC_7)*       &
                         dZAZ_QED2/2d0
      coupl(nGC_32278) = coupl(nGC_22535) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl&
                         (nGC_35)*dZHl_QED2/2d0 + coupl(nGC_43)*dZHhHl_QED2/2d0&
                          + coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_49)*         &
                         dZHlHh_QED2/2d0
      coupl(nGC_39031) = coupl(nGC_22580) + coupl(nGC_244)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_244)*dZHh_QED2/2d0 + coupl(nGC_249)*        &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_251)*             &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_252)*dZHlHh_QED2/ &
                         2d0 + coupl(nGC_TS_GC_37_Hh) + coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_22058) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340   &
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340&
                         ) - Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340&
                         ) + Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337&
                         ) - Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337&
                         ) + Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349&
                         ) - Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349&
                         ) + Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367&
                         ) - Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367&
                         ) + Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373&
                         ) - Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373&
                         ) + Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385&
                         ) - Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385&
                         ) + cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355   &
                         ) - cME*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355   &
                         ) + cMM*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_361   &
                         ) - cMM*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_361   &
                         ) + cMTA*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_379  &
                         ) - cMTA*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_379  &
                         ) + 2d0*cima*coupl(nGC_194)*coupl(nGC_237) + 2d0*cima*&
                         coupl(nGC_2013)*coupl(nGC_324) + 2d0*coupl(nGC_198)*  &
                         coupl(nGC_199)*coupl(nGC_237) + 2d0*coupl(nGC_199)*   &
                         coupl(nGC_324)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22059) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) - coupl(&
                         nGC_1121)*coupl(nGC_2847)*coupl(nGC_373) - coupl(     &
                         nGC_1393)*coupl(nGC_373)*coupl(nGC_789) + 8d0*coupl(  &
                         nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(nGC_339&
                         )*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_22508) = coupl(nGC_21908)*dl3_QED4 + coupl(nGC_21909)*dl1_QED4 &
                          + coupl(nGC_21910)*dl2_QED4 + coupl(nGC_21911)*      &
                         dl5_QED4 + coupl(nGC_21912)*dl4_QED4 + coupl(nGC_21913&
                         )*db_QED2
      coupl(nGC_22509) = coupl(nGC_21919)*dl3_QED4 + coupl(nGC_21920)*dl1_QED4 &
                          + coupl(nGC_21921)*dl2_QED4 + coupl(nGC_21922)*      &
                         dl5_QED4 + coupl(nGC_21923)*dl4_QED4 + coupl(nGC_21924&
                         )*db_QED2
      coupl(nGC_58398) = -coupl(nGC_22130)
      coupl(nGC_22502) = coupl(nGC_21526)*dcw_QED2 + coupl(nGC_21527)*dZee_QED2
      coupl(nGC_22503) = coupl(nGC_21504)*dZee_QED2
      coupl(nGC_22500) = coupl(nGC_21606)*dsw_QED2 + coupl(nGC_21607)*dcw_QED2 &
                          + coupl(nGC_21608)*dZee_QED2
      coupl(nGC_22501) = coupl(nGC_21537)*dcw_QED2 + coupl(nGC_21538)*dZee_QED2
      coupl(nGC_33896) = coupl(nGC_333)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_33897) = coupl(nGC_333)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_22504) = coupl(nGC_21609)*dsw_QED2 + coupl(nGC_21610)*dcw_QED2 &
                          + coupl(nGC_21611)*dZee_QED2
      coupl(nGC_34732) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*      &
                         dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*  &
                         coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_22537)
      coupl(nGC_35150) = coupl(nGC_35146) + coupl(nGC_35149)
      coupl(nGC_35489) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl( &
                         nGC_22731)
      coupl(nGC_35488) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_32856) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_22705)
      coupl(nGC_35535) = coupl(nGC_22592) + coupl(nGC_6)*dZWMinus_QED2/2d0
      coupl(nGC_32299) = coupl(nGC_22553) + coupl(nGC_99)*dZHa_QED2
      coupl(nGC_32293) = coupl(nGC_21)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_22)*&
                         dZHlHh_QED2/2d0 + coupl(nGC_22505) + coupl(nGC_24)*   &
                         dZHh_QED2/2d0
      coupl(nGC_32290) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_38162) = coupl(nGC_13)*dZtL_QCD2
      coupl(nGC_38161) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_38160) = coupl(nGC_13)*dZtR_QCD2
      coupl(nGC_43065) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_43066) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_22082) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*  &
                         coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl( &
                         nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341&
                         )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl&
                         (nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(      &
                         nGC_371)*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_33730) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_33090) = coupl(nGC_22501) + coupl(nGC_31)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_31)*dZHa_QED2/2d0
      coupl(nGC_33095) = coupl(nGC_324)*dZGMinus/2d0
      coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
