!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_32131) = coupl(nGC_22857) + coupl(nGC_32122)
      coupl(nGC_22298) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(    &
                         nGC_1571)*coupl(nGC_350) + 4d0*coupl(nGC_206)**2d0 +  &
                         coupl(nGC_2475)*coupl(nGC_347) + coupl(nGC_345)**2d0  &
                          + coupl(nGC_346)**2d0 + coupl(nGC_348)**2d0 + coupl( &
                         nGC_349)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22299) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(   &
                         nGC_1571)*coupl(nGC_350) - 4d0*coupl(nGC_197)**2d0 -  &
                         4d0*coupl(nGC_209)**2d0 - coupl(nGC_2475)*coupl(      &
                         nGC_347) - coupl(nGC_345)**2d0 - coupl(nGC_348)**2d0  &
                          - coupl(nGC_382)**2d0 - coupl(nGC_385)**2d0)/(64d0*pi&
                         **2d0)
      coupl(nGC_22292) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(   &
                         nGC_1121)*coupl(nGC_341) - coupl(nGC_1393)*coupl(     &
                         nGC_344) - 4d0*coupl(nGC_206)**2d0 - coupl(nGC_339)** &
                         2d0 - coupl(nGC_340)**2d0 - coupl(nGC_342)**2d0 -     &
                         coupl(nGC_343)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22293) = -coupl(nGC_13)*sq2*(coupl(nGC_1271)*coupl(nGC_338) +  &
                         4d0*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*&
                         coupl(nGC_210)**2d0 + coupl(nGC_333)**2d0 + coupl(    &
                         nGC_335)*coupl(nGC_3383) + coupl(nGC_336)**2d0 + coupl&
                         (nGC_364)**2d0 + coupl(nGC_367)**2d0)/(64d0*pi**2d0*Nc&
                         )
      coupl(nGC_22290) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(   &
                         nGC_1121)*coupl(nGC_341) - coupl(nGC_1393)*coupl(     &
                         nGC_344) - 4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_209&
                         )**2d0 - coupl(nGC_339)**2d0 - coupl(nGC_342)**2d0 -  &
                         coupl(nGC_370)**2d0 - coupl(nGC_373)**2d0)/(64d0*pi** &
                         2d0)
      coupl(nGC_22291) = -coupl(nGC_13)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(    &
                         nGC_8013) + 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc)
      coupl(nGC_22296) = -coupl(nGC_13)*sq2*(-coupl(nGC_1271)*coupl(nGC_338) - &
                         4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_207)**2d0 -     &
                         coupl(nGC_333)**2d0 - coupl(nGC_334)**2d0 - coupl(    &
                         nGC_335)*coupl(nGC_3383) - coupl(nGC_336)**2d0 - coupl&
                         (nGC_337)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22297) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(    &
                         nGC_1571)*coupl(nGC_350) + 4d0*coupl(nGC_197)**2d0 +  &
                         4d0*coupl(nGC_209)**2d0 + coupl(nGC_2475)*coupl(      &
                         nGC_347) + coupl(nGC_345)**2d0 + coupl(nGC_348)**2d0  &
                          + coupl(nGC_382)**2d0 + coupl(nGC_385)**2d0)/(64d0*pi&
                         **2d0*Nc)
      coupl(nGC_22294) = -coupl(nGC_13)*sq2*(coupl(nGC_1271)*coupl(nGC_338) +  &
                         4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 +     &
                         coupl(nGC_333)**2d0 + coupl(nGC_334)**2d0 + coupl(    &
                         nGC_335)*coupl(nGC_3383) + coupl(nGC_336)**2d0 + coupl&
                         (nGC_337)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22295) = -coupl(nGC_13)*sq2*(-coupl(nGC_1271)*coupl(nGC_338) - &
                         4d0*coupl(nGC_197)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*&
                         coupl(nGC_210)**2d0 - coupl(nGC_333)**2d0 - coupl(    &
                         nGC_335)*coupl(nGC_3383) - coupl(nGC_336)**2d0 - coupl&
                         (nGC_364)**2d0 - coupl(nGC_367)**2d0)/(64d0*pi**2d0)
      coupl(nGC_22674) = coupl(nGC_21934)*dyc1_QED3 + coupl(nGC_21935)*        &
                         dyc2_QED3 + coupl(nGC_21936)*da_QED2
      coupl(nGC_22675) = coupl(nGC_21897)*dyt1_QED1_QCD2 + coupl(nGC_21899)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_22676) = coupl(nGC_21897)*dyt1_QED3 + coupl(nGC_21898)*da_QED2 &
                          + coupl(nGC_21899)*dyt2_QED3
      coupl(nGC_22677) = coupl(nGC_20707)*dyup2_QED1_QCD2 + coupl(nGC_20708)*  &
                         dyup1_QED1_QCD2
      coupl(nGC_22671) = coupl(nGC_21659)*dyup2_QED1_QCD2 + coupl(nGC_21660)*  &
                         dyup1_QED1_QCD2
      coupl(nGC_22672) = coupl(nGC_21659)*dyup2_QED3 + coupl(nGC_21660)*       &
                         dyup1_QED3 + coupl(nGC_21661)*da_QED2
      coupl(nGC_32726) = coupl(nGC_22541) + coupl(nGC_53)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
      coupl(nGC_22678) = coupl(nGC_20707)*dyup2_QED3 + coupl(nGC_20708)*       &
                         dyup1_QED3 + coupl(nGC_20709)*da_QED2
      coupl(nGC_22679) = coupl(nGC_21149)*dyc1_QED1_QCD2 + coupl(nGC_21150)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_32723) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_21959) = cima*(coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_2539)*  &
                         coupl(nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_36022) = -coupl(nGC_32777)
      coupl(nGC_22364) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(      &
                         nGC_340)**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*  &
                         coupl(nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0&
                         *Nc*coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 +   &
                         6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 +   &
                         3d0*coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0&
                         *coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*&
                         pi**2d0)
      coupl(nGC_36755) = coupl(nGC_211)*dZZA_QED2/2d0 + coupl(nGC_4)*          &
                         dZmuMinusL_QED2
      coupl(nGC_22202) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22078) = coupl(nGC_197)*(Nc*coupl(nGC_1393)*coupl(nGC_340) + Nc&
                         *coupl(nGC_2475)*coupl(nGC_349) - Nc*coupl(nGC_335)*  &
                         coupl(nGC_337) + Nc*coupl(nGC_367)*coupl(nGC_867) - Nc&
                         *coupl(nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*   &
                         coupl(nGC_385) + coupl(nGC_2221)*coupl(nGC_361) +     &
                         coupl(nGC_2353)*coupl(nGC_379) + coupl(nGC_3117)*coupl&
                         (nGC_355))/(24d0*pi**2d0)
      coupl(nGC_22079) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc&
                         *coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*   &
                         coupl(nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc&
                         *coupl(nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*   &
                         coupl(nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl&
                         (nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(      &
                         nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22076) = (Nc*cMB*coupl(nGC_1393)*coupl(nGC_340)*coupl(nGC_343  &
                         ) + Nc*cMB*coupl(nGC_1393)*coupl(nGC_370)*coupl(      &
                         nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(&
                         nGC_344) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(&
                         nGC_789) + Nc*cMB*coupl(nGC_343)*coupl(nGC_371)*coupl(&
                         nGC_373) + Nc*cMB*coupl(nGC_344)*coupl(nGC_370)*coupl(&
                         nGC_373) + Nc*cMC*coupl(nGC_334)*coupl(nGC_335)*coupl(&
                         nGC_337) + Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_3383) + Nc*cMC*coupl(nGC_334)*coupl(nGC_367)*coupl&
                         (nGC_867) + Nc*cMC*coupl(nGC_335)*coupl(nGC_364)*coupl&
                         (nGC_367) + Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*coupl&
                         (nGC_365) + Nc*cMC*coupl(nGC_3383)*coupl(nGC_364)*    &
                         coupl(nGC_367) + Nc*cMD*coupl(nGC_2475)*coupl(nGC_346 &
                         )*coupl(nGC_349) + Nc*cMD*coupl(nGC_2475)*coupl(      &
                         nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_3209)*coupl&
                         (nGC_349)*coupl(nGC_382) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_347)*coupl(nGC_349) + Nc*cMD*coupl(nGC_346)*coupl&
                         (nGC_383)*coupl(nGC_385) + Nc*cMD*coupl(nGC_347)*coupl&
                         (nGC_382)*coupl(nGC_385) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_365) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_337)*coupl(nGC_867) + Nc*cMS*coupl(nGC_334)*coupl&
                         (nGC_3383)*coupl(nGC_367) + Nc*cMS*coupl(nGC_335)*    &
                         coupl(nGC_337)*coupl(nGC_364) + Nc*cMS*coupl(nGC_364)*&
                         coupl(nGC_365)*coupl(nGC_367) + Nc*cMS*coupl(nGC_364)*&
                         coupl(nGC_367)*coupl(nGC_867) + Nc*cMT*coupl(nGC_1393 &
                         )*coupl(nGC_340)*coupl(nGC_370) + Nc*cMT*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_371) + Nc*cMT*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_789) + Nc*cMT*coupl(nGC_343&
                         )*coupl(nGC_344)*coupl(nGC_373) + Nc*cMT*coupl(nGC_370&
                         )*coupl(nGC_371)*coupl(nGC_373) + Nc*cMT*coupl(nGC_370&
                         )*coupl(nGC_373)*coupl(nGC_789) + Nc*cMU*coupl(       &
                         nGC_2475)*coupl(nGC_349)*coupl(nGC_382) + Nc*cMU*coupl&
                         (nGC_3209)*coupl(nGC_346)*coupl(nGC_349) + Nc*cMU*    &
                         coupl(nGC_3209)*coupl(nGC_382)*coupl(nGC_385) + Nc*cMU&
                         *coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_385) + Nc*cMU&
                         *coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*cMU&
                         *coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + cME*  &
                         coupl(nGC_3117)*coupl(nGC_352)*coupl(nGC_355) + cME*  &
                         coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355) + cMM*   &
                         coupl(nGC_2221)*coupl(nGC_358)*coupl(nGC_361) + cMM*  &
                         coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + cMTA*  &
                         coupl(nGC_2353)*coupl(nGC_376)*coupl(nGC_379) + cMTA* &
                         coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + 2d0*   &
                         cima*coupl(nGC_186)*coupl(nGC_324) + 2d0*cima*coupl(  &
                         nGC_237)*coupl(nGC_30))/(16d0*pi**2d0)
      coupl(nGC_22077) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc&
                         *coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl( &
                         nGC_208)*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208&
                         )*coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl&
                         (nGC_376)*coupl(nGC_379) + coupl(nGC_212)*coupl(      &
                         nGC_352)*coupl(nGC_355) + coupl(nGC_212)*coupl(nGC_358&
                         )*coupl(nGC_361) + coupl(nGC_212)*coupl(nGC_376)*coupl&
                         (nGC_379))/(24d0*pi**2d0)
      coupl(nGC_22070) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22708) = coupl(nGC_21131)*dZee_QED2
      coupl(nGC_22709) = coupl(nGC_21462)*dsw_QED2 + coupl(nGC_21463)*dcw_QED2 &
                          + coupl(nGC_21464)*dZee_QED2
      coupl(nGC_22700) = coupl(nGC_21031)*dsw_QED2 + coupl(nGC_21032)*db_QED2  &
                          + coupl(nGC_21033)*dZee_QED2 + coupl(nGC_21034)*     &
                         da_QED2
      coupl(nGC_22702) = coupl(nGC_20683)*dsw_QED2 + coupl(nGC_20684)*dZee_QED2
      coupl(nGC_22706) = coupl(nGC_21914)*dsw_QED2 + coupl(nGC_21915)*         &
                         dvev2_QED1 + coupl(nGC_21916)*dvev1_QED1 + coupl(     &
                         nGC_21917)*dZee_QED2 + coupl(nGC_21918)*da_QED2
      coupl(nGC_22673) = coupl(nGC_21934)*dyc1_QED1_QCD2 + coupl(nGC_21935)*   &
                         dyc2_QED1_QCD2
      coupl(nGC_36624) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_42112) = coupl(nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
      coupl(nGC_44886) = coupl(nGC_22513) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0&
                         *coupl(nGC_66)*dZHa_QED2
      coupl(nGC_32901) = coupl(nGC_22649) + coupl(nGC_376)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(      &
                         nGC_379)*dZtauMinusR_QED2/2d0
      coupl(nGC_32907) = coupl(nGC_28)*dZGMinus
      coupl(nGC_32904) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_36245) = coupl(nGC_22521) + coupl(nGC_36)*dZHlHh_QED2 + coupl( &
                         nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl(&
                         nGC_48)*dZHh_QED2
      coupl(nGC_38415) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_35821) = coupl(nGC_173)*dZHlHh_QED2/2d0 + coupl(nGC_179)*      &
                         dZHh_QED2/2d0 + coupl(nGC_179)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22695)
      coupl(nGC_35822) = -coupl(nGC_35816) + coupl(nGC_35821)
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32456) = coupl(nGC_22525) + coupl(nGC_56)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_71)* &
                         dZHMinus_QED2
      coupl(nGC_33184) = coupl(nGC_22554) + coupl(nGC_76)*dZHl_QED2
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
