!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_22476) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*    &
                         coupl(nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl&
                         (nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(      &
                         nGC_366) - coupl(nGC_369)*coupl(nGC_372) - coupl(     &
                         nGC_381)*coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_22477) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_333)*coupl&
                         (nGC_336) + coupl(nGC_339)*coupl(nGC_342) + coupl(    &
                         nGC_345)*coupl(nGC_348) + coupl(nGC_363)*coupl(nGC_366&
                         ) + coupl(nGC_369)*coupl(nGC_372) + coupl(nGC_381)*   &
                         coupl(nGC_384))/(16d0*pi**2d0*Nc)
      coupl(nGC_22474) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0 &
                         /(32d0*pi**2d0*Nc)
      coupl(nGC_22475) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0 &
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0&
                          - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0&
                          + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(  &
                         nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(    &
                         nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc* &
                         cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*&
                         cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc&
                         *cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**  &
                         2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl&
                         (nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(   &
                         nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(     &
                         nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl(&
                         nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(   &
                         nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0*&
                         coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*   &
                         coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl( &
                         nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208&
                         )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl&
                         (nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*   &
                         cima*coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*   &
                         coupl(nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_2539&
                         )**2d0*coupl(nGC_77))/(24d0*pi**2d0)
      coupl(nGC_22478) = (9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0  &
                          - 15d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*   &
                         coupl(nGC_210) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_210)**2d0 + 3d0*cima*coupl(nGC_1691)*coupl(      &
                         nGC_195) + 9d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211 &
                         )**2d0 - 15d0*cima*coupl(nGC_197)**2d0*coupl(nGC_211)*&
                         coupl(nGC_212) + 9d0*cima*coupl(nGC_197)**2d0*coupl(  &
                         nGC_212)**2d0 - 4d0*cima*coupl(nGC_198)*coupl(nGC_199 &
                         )**2d0*coupl(nGC_2539) - 4d0*cima*coupl(nGC_199)**2d0*&
                         coupl(nGC_3285)*coupl(nGC_4) + 3d0*coupl(nGC_1691)*   &
                         coupl(nGC_199)**2d0 + 3d0*coupl(nGC_1691)*coupl(      &
                         nGC_2539)**2d0 + 3d0*coupl(nGC_195)*coupl(nGC_198)*   &
                         coupl(nGC_2539) + 3d0*coupl(nGC_195)*coupl(nGC_3285)* &
                         coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_22479) = (-3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)**2d0 &
                          + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_209)*    &
                         coupl(nGC_210) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_210)**2d0 + 3d0*cima*coupl(nGC_194)**2d0 - 3d0*  &
                         cima*coupl(nGC_197)**2d0*coupl(nGC_211)**2d0 + 9d0*   &
                         cima*coupl(nGC_197)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                         ) - 3d0*cima*coupl(nGC_197)**2d0*coupl(nGC_212)**2d0  &
                          - 4d0*cima*coupl(nGC_198)*coupl(nGC_199)**2d0*coupl( &
                         nGC_2539) - 4d0*cima*coupl(nGC_199)**2d0*coupl(       &
                         nGC_3285)*coupl(nGC_4) + 3d0*cima*coupl(nGC_2013)**2d0&
                          + 3d0*coupl(nGC_194)*coupl(nGC_198)*coupl(nGC_199) + &
                         3d0*coupl(nGC_194)*coupl(nGC_199)*coupl(nGC_2539) +   &
                         3d0*coupl(nGC_199)*coupl(nGC_2013)*coupl(nGC_3285) +  &
                         3d0*coupl(nGC_199)*coupl(nGC_2013)*coupl(nGC_4))/(24d0&
                         *pi**2d0)
      coupl(nGC_22270) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + coupl(nGC_1571&
                         )*coupl(nGC_206)*coupl(nGC_350) + 4d0*coupl(nGC_197)**&
                         2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2539) + coupl(nGC_206)*coupl(nGC_2475)*coupl(     &
                         nGC_347) + coupl(nGC_206)*coupl(nGC_345)**2d0 + coupl(&
                         nGC_206)*coupl(nGC_348)**2d0 + coupl(nGC_207)*coupl(  &
                         nGC_382)**2d0 + coupl(nGC_207)*coupl(nGC_385)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_22271) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_206) + coupl(nGC_1571&
                         )*coupl(nGC_209)*coupl(nGC_350) + 4d0*coupl(nGC_206)**&
                         3d0 + coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_347) + &
                         coupl(nGC_209)*coupl(nGC_345)**2d0 + coupl(nGC_209)*  &
                         coupl(nGC_348)**2d0 + coupl(nGC_210)*coupl(nGC_346)** &
                         2d0 + coupl(nGC_210)*coupl(nGC_349)**2d0)/(32d0*pi**  &
                         2d0)
      coupl(nGC_22272) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(  &
                         nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_2325)*coupl(   &
                         nGC_356) + coupl(nGC_211)*coupl(nGC_3117)*coupl(      &
                         nGC_353) + coupl(nGC_211)*coupl(nGC_351)**2d0 + coupl(&
                         nGC_211)*coupl(nGC_354)**2d0 + coupl(nGC_212)*coupl(  &
                         nGC_352)**2d0 + coupl(nGC_212)*coupl(nGC_355)**2d0)/( &
                         32d0*pi**2d0)
      coupl(nGC_22273) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl( &
                         nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(  &
                         nGC_2325)*coupl(nGC_356) + coupl(nGC_208)*coupl(      &
                         nGC_3117)*coupl(nGC_353) + coupl(nGC_208)*coupl(      &
                         nGC_351)**2d0 + coupl(nGC_208)*coupl(nGC_354)**2d0 +  &
                         4d0*coupl(nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(   &
                         nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22276) = (coupl(nGC_1879)*coupl(nGC_211)*coupl(nGC_362) + 4d0* &
                         coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(nGC_4  &
                         )**2d0 + coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_359 &
                         ) + coupl(nGC_211)*coupl(nGC_357)**2d0 + coupl(nGC_211&
                         )*coupl(nGC_360)**2d0 + coupl(nGC_212)*coupl(nGC_358  &
                         )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi &
                         **2d0)
      coupl(nGC_22277) = (coupl(nGC_1879)*coupl(nGC_208)*coupl(nGC_362) - 2d0* &
                         coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197&
                         )**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(nGC_2221 &
                         )*coupl(nGC_359) + coupl(nGC_208)*coupl(nGC_357)**2d0 &
                          + coupl(nGC_208)*coupl(nGC_360)**2d0 + 4d0*coupl(    &
                         nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0  &
                         )/(32d0*pi**2d0)
      coupl(nGC_22279) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0&
                         *coupl(nGC_2539) + coupl(nGC_206)*coupl(nGC_363)**2d0 &
                          + coupl(nGC_206)*coupl(nGC_365)*coupl(nGC_867) +     &
                         coupl(nGC_206)*coupl(nGC_366)**2d0 + coupl(nGC_206)*  &
                         coupl(nGC_368)*coupl(nGC_4199) + coupl(nGC_207)*coupl(&
                         nGC_334)**2d0 + coupl(nGC_207)*coupl(nGC_337)**2d0 +  &
                         4d0*coupl(nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_41564) = coupl(nGC_22706) + coupl(nGC_261)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_272)*dZHh_QED2/2d0 + coupl(nGC_272)*        &
                         dZWMinus_QED2 + coupl(nGC_TS_GC_77_Hh)
      coupl(nGC_22498) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_22499) = -3d0*cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc&
                         **3d0)
      coupl(nGC_22490) = cima*sq2**4d0*(-Nc*coupl(nGC_8013)**4d0 - 15d0*coupl( &
                         nGC_13)**4d0)/(192d0*pi**2d0)
      coupl(nGC_22491) = (3d0*Nc*cima*coupl(nGC_10327)**2d0 + 3d0*Nc*cima*coupl&
                         (nGC_14)**2d0 - Nc*cima*coupl(nGC_8013)**4d0*sq2**4d0 &
                          - 3d0*Nc*coupl(nGC_10327)*coupl(nGC_8013)**2d0*sq2** &
                         2d0 - 3d0*Nc*coupl(nGC_14)*coupl(nGC_8013)**2d0*sq2** &
                         2d0 + 9d0*cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi &
                         **2d0)
      coupl(nGC_22492) = (-Nc*cima*coupl(nGC_10319)*coupl(nGC_10327) - Nc*cima*&
                         coupl(nGC_10319)*coupl(nGC_14) + Nc*cima*coupl(       &
                         nGC_8013)**4d0*sq2**4d0 + Nc*coupl(nGC_10319)*coupl(  &
                         nGC_8013)**2d0*sq2**2d0 + Nc*coupl(nGC_10327)*coupl(  &
                         nGC_8013)**2d0*sq2**2d0 + Nc*coupl(nGC_14)*coupl(     &
                         nGC_8013)**2d0*sq2**2d0 - cima*coupl(nGC_13)**4d0*sq2 &
                         **4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22493) = (cima*coupl(nGC_10319)**2d0 - cima*coupl(nGC_8013)**  &
                         4d0*sq2**4d0 - 2d0*coupl(nGC_10319)*coupl(nGC_8013)** &
                         2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_22494) = (cima*coupl(nGC_10327)**2d0 + 2d0*cima*coupl(nGC_10327&
                         )*coupl(nGC_14) + cima*coupl(nGC_14)**2d0 - cima*coupl&
                         (nGC_8013)**4d0*sq2**4d0 - 2d0*coupl(nGC_10327)*coupl(&
                         nGC_8013)**2d0*sq2**2d0 - 2d0*coupl(nGC_14)*coupl(    &
                         nGC_8013)**2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_22495) = (6d0*Nc*cima*coupl(nGC_10327)*coupl(nGC_14) - Nc*cima*&
                         coupl(nGC_8013)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_10327&
                         )*coupl(nGC_8013)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_14 &
                         )*coupl(nGC_8013)**2d0*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_22496) = (3d0*Nc*cima*coupl(nGC_10327)**2d0 + 3d0*Nc*cima*coupl&
                         (nGC_14)**2d0 - Nc*cima*coupl(nGC_8013)**4d0*sq2**4d0 &
                          - 6d0*Nc*coupl(nGC_14)*coupl(nGC_8013)**2d0*sq2**2d0 &
                          + 9d0*cima*coupl(nGC_13)**4d0*sq2**4d0)/(192d0*pi**  &
                         2d0)
      coupl(nGC_22497) = (6d0*Nc*cima*coupl(nGC_10327)*coupl(nGC_14) - Nc*cima*&
                         coupl(nGC_8013)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_10327&
                         )*coupl(nGC_8013)**2d0*sq2**2d0 + 9d0*cima*coupl(     &
                         nGC_13)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_22014) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(  &
                         nGC_324)*coupl(nGC_5091) + 2d0*coupl(nGC_199)*coupl(  &
                         nGC_237)*coupl(nGC_3285) + 2d0*coupl(nGC_3)*coupl(    &
                         nGC_324)*coupl(nGC_3285))/(16d0*pi**2d0)
      coupl(nGC_22015) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(  &
                         nGC_324)*coupl(nGC_5091) + 2d0*coupl(nGC_198)*coupl(  &
                         nGC_237)*coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324&
                         )*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22016) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_384) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_272)*coupl(nGC_9) + coupl(nGC_272)*coupl(nGC_3)** &
                         2d0 + coupl(nGC_272)*coupl(nGC_3285)**2d0)/(8d0*pi**  &
                         2d0)
      coupl(nGC_22017) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc&
                         *cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*   &
                         coupl(nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(  &
                         nGC_1)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**&
                         2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*    &
                         coupl(nGC_381) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**&
                         2d0 - 2d0*cMM*coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0* &
                         cMTA*coupl(nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_261)*coupl(nGC_9) + coupl(nGC_261)*coupl(nGC_3)** &
                         2d0 + coupl(nGC_261)*coupl(nGC_3285)**2d0)/(8d0*pi**  &
                         2d0)
      coupl(nGC_22010) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*  &
                         coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(&
                         nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1 &
                         )*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*    &
                         coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(&
                         nGC_382)*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_334)*coupl(nGC_337) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_340)*coupl(nGC_343) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_2)*coupl(      &
                         nGC_382)*coupl(nGC_385) + coupl(nGC_352)*coupl(nGC_355&
                         )*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_361)*coupl( &
                         nGC_4) + coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(&
                         24d0*pi**2d0)
      coupl(nGC_22011) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1 &
                         )*coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349 &
                         )**2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*    &
                         coupl(nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*   &
                         coupl(nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**&
                         2d0 - Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl( &
                         nGC_2)*coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(   &
                         nGC_367)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - &
                         Nc*coupl(nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**&
                         2d0*coupl(nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + &
                         coupl(nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_22012) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc* &
                         coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                         nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1 &
                         )*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*    &
                         coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(&
                         nGC_382)*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_334)*coupl(nGC_337) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_2)*coupl(      &
                         nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355&
                         )*coupl(nGC_4) - coupl(nGC_358)*coupl(nGC_361)*coupl( &
                         nGC_4) - coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(&
                         24d0*pi**2d0)
      coupl(nGC_22013) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1 &
                         )*coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346 &
                         )**2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*    &
                         coupl(nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*   &
                         coupl(nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**&
                         2d0 - Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl( &
                         nGC_2)*coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(   &
                         nGC_364)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - &
                         Nc*coupl(nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**&
                         2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + &
                         coupl(nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_22018) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(  &
                         nGC_321)*coupl(nGC_5091) + 2d0*coupl(nGC_198)*coupl(  &
                         nGC_231)*coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_321&
                         )*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_22019) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - &
                         Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc&
                         *cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc* &
                         cMS*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*  &
                         cMT*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*  &
                         cMU*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0* &
                         cima*coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(  &
                         nGC_321)*coupl(nGC_5091) + 2d0*coupl(nGC_199)*coupl(  &
                         nGC_231)*coupl(nGC_3285) + 2d0*coupl(nGC_3)*coupl(    &
                         nGC_321)*coupl(nGC_3285))/(16d0*pi**2d0)
      coupl(nGC_39544) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/&
                         2d0
      coupl(nGC_53379) = coupl(nGC_22864) + coupl(nGC_MZ)*dZZ_QED2 + coupl(    &
                         nGC_TS_GC_329_Hl) + coupl(nGC_TS_GC_332_Hh)
      coupl(nGC_22727) = coupl(nGC_21779)*dZee_QED2
      coupl(nGC_22724) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_589)*dvev1_QED1  &
                          + coupl(nGC_591)*da_QED2 + coupl(nGC_593)*dcw_QED2 + &
                         coupl(nGC_595)*dvev2_QED1 + coupl(nGC_597)*dsw_QED2
      coupl(nGC_22725) = coupl(nGC_601)*dZee_QED2 + coupl(nGC_603)*dvev1_QED1  &
                          + coupl(nGC_605)*da_QED2 + coupl(nGC_607)*dcw_QED2 + &
                         coupl(nGC_609)*dvev2_QED1 + coupl(nGC_611)*dsw_QED2
      coupl(nGC_22722) = coupl(nGC_21459)*dsw_QED2 + coupl(nGC_21460)*dcw_QED2 &
                          + coupl(nGC_21461)*dZee_QED2
      coupl(nGC_53681) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_35684) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_22598)
      coupl(nGC_53686) = coupl(nGC_22846) + coupl(nGC_MHH)*dZHh_QED2 + coupl(  &
                         nGC_TS_GC_233_Hl) + coupl(nGC_TS_GC_235_Hh)
      coupl(nGC_32323) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
      coupl(nGC_32322) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
      coupl(nGC_32320) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_32325) = coupl(nGC_32239) + coupl(nGC_32323)
      coupl(nGC_32324) = coupl(nGC_32239) + coupl(nGC_32322)
      coupl(nGC_36315) = -coupl(nGC_33201)
      coupl(nGC_22128) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(    &
                         nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl&
                         (nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0&
                          - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                         nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl&
                         (nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0&
                          + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(  &
                         nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl&
                         (nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0&
                          + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208 &
                         )*coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376  &
                         )**2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(  &
                         nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(  &
                         nGC_376)**2d0)/(24d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
