!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl24()
      coupl(nGC_22129) = coupl(nGC_197)*(Nc*coupl(nGC_3209)*coupl(nGC_382) + Nc&
                         *coupl(nGC_334)*coupl(nGC_3383) - Nc*coupl(nGC_343)*  &
                         coupl(nGC_344) - Nc*coupl(nGC_346)*coupl(nGC_347) - Nc&
                         *coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(nGC_370)*   &
                         coupl(nGC_789) - coupl(nGC_352)*coupl(nGC_353) - coupl&
                         (nGC_358)*coupl(nGC_359) - coupl(nGC_376)*coupl(      &
                         nGC_377))/(24d0*pi**2d0)
      coupl(nGC_22658) = coupl(nGC_21076)*dytau1_QED3 + coupl(nGC_21077)*      &
                         dytau2_QED3 + coupl(nGC_21078)*da_QED2
      coupl(nGC_22659) = coupl(nGC_21327)*da_QED2 + coupl(nGC_21328)*dye1_QED3 &
                          + coupl(nGC_21329)*dye2_QED3
      coupl(nGC_22652) = coupl(nGC_21211)*db_QED2 + coupl(nGC_21212)*          &
                         dytau1_QED3 + coupl(nGC_21213)*dytau2_QED3
      coupl(nGC_22653) = coupl(nGC_20996)*db_QED2 + coupl(nGC_20997)*dye2_QED3 &
                          + coupl(nGC_20998)*dye1_QED3
      coupl(nGC_22125) = coupl(nGC_13)**2d0*coupl(nGC_386)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22654) = coupl(nGC_21028)*db_QED2 + coupl(nGC_21029)*dym1_QED3 &
                          + coupl(nGC_21030)*dym2_QED3
      coupl(nGC_22127) = (2d0*Nc*cMB*coupl(nGC_342)*coupl(nGC_343)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_342)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370) + 2d0*Nc&
                         *cMC*coupl(nGC_333)*coupl(nGC_334)**2d0 + 2d0*Nc*cMC* &
                         coupl(nGC_333)*coupl(nGC_364)**2d0 + 2d0*Nc*cMC*coupl(&
                         nGC_334)*coupl(nGC_363)*coupl(nGC_364) + 2d0*Nc*cMD*  &
                         coupl(nGC_345)*coupl(nGC_346)**2d0 + 2d0*Nc*cMD*coupl(&
                         nGC_345)*coupl(nGC_382)**2d0 + 2d0*Nc*cMD*coupl(      &
                         nGC_346)*coupl(nGC_381)*coupl(nGC_382) + 2d0*Nc*cMS*  &
                         coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_364) + 2d0*Nc*&
                         cMS*coupl(nGC_334)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*  &
                         coupl(nGC_363)*coupl(nGC_364)**2d0 + 2d0*Nc*cMT*coupl(&
                         nGC_342)*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*  &
                         coupl(nGC_343)**2d0*coupl(nGC_369) + 2d0*Nc*cMT*coupl(&
                         nGC_369)*coupl(nGC_370)**2d0 + 2d0*Nc*cMU*coupl(      &
                         nGC_345)*coupl(nGC_346)*coupl(nGC_382) + 2d0*Nc*cMU*  &
                         coupl(nGC_346)**2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(&
                         nGC_381)*coupl(nGC_382)**2d0 + 2d0*cME*coupl(nGC_351)*&
                         coupl(nGC_352)**2d0 + 2d0*cMM*coupl(nGC_357)*coupl(   &
                         nGC_358)**2d0 + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_376 &
                         )**2d0 + 2d0*cima*coupl(nGC_100)*coupl(nGC_261) + 4d0*&
                         cima*coupl(nGC_180)*coupl(nGC_321) + cima*coupl(      &
                         nGC_229)*coupl(nGC_329) + 4d0*cima*coupl(nGC_23)*coupl&
                         (nGC_231))/(16d0*pi**2d0)
      coupl(nGC_22120) = (-coupl(nGC_1855)*coupl(nGC_375)**2d0 - coupl(nGC_1855&
                         )*coupl(nGC_377)**2d0 - coupl(nGC_1855)*coupl(nGC_378 &
                         )**2d0 - coupl(nGC_1855)*coupl(nGC_380)**2d0 + 8d0*   &
                         coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) + 8d0*   &
                         coupl(nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22121) = (-coupl(nGC_1855)**2d0*coupl(nGC_380) + 8d0*coupl(    &
                         nGC_1855)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(  &
                         nGC_1855)*coupl(nGC_4)**2d0 - coupl(nGC_2353)**2d0*   &
                         coupl(nGC_380) - coupl(nGC_375)**2d0*coupl(nGC_380) - &
                         coupl(nGC_378)**2d0*coupl(nGC_380))/(32d0*pi**2d0)
      coupl(nGC_22656) = coupl(nGC_20980)*da_QED2 + coupl(nGC_20981)*dye1_QED3 &
                          + coupl(nGC_20982)*dye2_QED3
      coupl(nGC_32922) = coupl(nGC_22551) + coupl(nGC_54)*dZHMinus_QED2 + coupl&
                         (nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0&
                          + coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*     &
                         dZGMinusHMinus_QED2
      coupl(nGC_22126) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0* &
                         Nc*cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB&
                         *coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc&
                         *cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC* &
                         coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc*&
                         cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*  &
                         coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(&
                         nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*  &
                         coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl(&
                         nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(      &
                         nGC_334)*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*  &
                         coupl(nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(&
                         nGC_339)*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*  &
                         coupl(nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(&
                         nGC_370)**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(      &
                         nGC_346)**2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(      &
                         nGC_346)*coupl(nGC_348)*coupl(nGC_382) + 2d0*Nc*cMU*  &
                         coupl(nGC_382)**2d0*coupl(nGC_384) + 2d0*cME*coupl(   &
                         nGC_352)**2d0*coupl(nGC_354) + 2d0*cMM*coupl(nGC_358  &
                         )**2d0*coupl(nGC_360) + 2d0*cMTA*coupl(nGC_376)**2d0* &
                         coupl(nGC_378) + 2d0*cima*coupl(nGC_100)*coupl(nGC_272&
                         ) + 4d0*cima*coupl(nGC_175)*coupl(nGC_321) + 4d0*cima*&
                         coupl(nGC_22)*coupl(nGC_231) + cima*coupl(nGC_229)*   &
                         coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_35069) = coupl(nGC_22619) + coupl(nGC_370)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*        &
                         dZtR_QED2/2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_38230) = coupl(nGC_22630) + coupl(nGC_345)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_348)*dZHh_QED2/2d0
      coupl(nGC_34240) = coupl(nGC_34235) + coupl(nGC_34239)
      coupl(nGC_35662) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl( &
                         nGC_22731)
      coupl(nGC_58449) = -coupl(nGC_22010)
      coupl(nGC_40511) = coupl(nGC_22653) + coupl(nGC_353)*dZHaG0_QED2/2d0
      coupl(nGC_40513) = coupl(nGC_40507) + coupl(nGC_40511)
      coupl(nGC_40512) = -coupl(nGC_40507) - coupl(nGC_40511)
      coupl(nGC_50585) = coupl(nGC_TS_GC_173_Hh) + coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_50584) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_34337) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*    &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0&
                          + coupl(nGC_22731)
      coupl(nGC_34331) = coupl(nGC_34322) + coupl(nGC_34330)
      coupl(nGC_40284) = coupl(nGC_22550) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +  &
                         coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*    &
                         dZG0Ha_QED2/2d0
      coupl(nGC_22516) = coupl(nGC_21873)*dl3_QED4 + coupl(nGC_21874)*dl1_QED4 &
                          + coupl(nGC_21875)*dl2_QED4 + coupl(nGC_21876)*      &
                         dl5_QED4 + coupl(nGC_21877)*dl4_QED4 + coupl(nGC_21878&
                         )*db_QED2
      coupl(nGC_34935) = -coupl(nGC_22641) - coupl(nGC_34931)
      coupl(nGC_34936) = coupl(nGC_22641) + coupl(nGC_34931)
      coupl(nGC_33034) = coupl(nGC_22600) + coupl(nGC_385)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_385)*dZuR_QCD2/2d0
      coupl(nGC_33035) = coupl(nGC_22601) + coupl(nGC_349)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_349)*dZuL_QCD2/2d0
      coupl(nGC_33032) = coupl(nGC_22599) + coupl(nGC_382)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_385)*dZdL_QED2/2d0 + coupl(nGC_385)*  &
                         dZuR_QED2/2d0
      coupl(nGC_33033) = coupl(nGC_22602) + coupl(nGC_346)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*  &
                         dZuL_QED2/2d0
      coupl(nGC_32495) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/&
                         2d0 + coupl(nGC_22711) + coupl(nGC_229)*dZZA_QED2/2d0 &
                          + coupl(nGC_29)*dZAZ_QED2/2d0
      coupl(nGC_33142) = coupl(nGC_100)*dZGMinus
      coupl(nGC_22397) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl&
                         (nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(    &
                         nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367&
                         ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*   &
                         coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_22396) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*    &
                         coupl(nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl&
                         (nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(      &
                         nGC_367) - coupl(nGC_370)*coupl(nGC_373) - coupl(     &
                         nGC_382)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_22395) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_366)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_384)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_339)*coupl(nGC_340  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_366)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_372)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_180)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_354)*coupl(nGC_355) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_22394) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_207)*coupl(&
                         nGC_3209)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_207)*coupl&
                         (nGC_337)*coupl(nGC_3383) + 5d0*Nc*coupl(nGC_207)*    &
                         coupl(nGC_373)*coupl(nGC_789) - 4d0*Nc*coupl(nGC_209)*&
                         coupl(nGC_3209)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209 &
                         )*coupl(nGC_337)*coupl(nGC_3383) - 4d0*Nc*coupl(      &
                         nGC_209)*coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(&
                         nGC_209)*coupl(nGC_373)*coupl(nGC_789) - 4d0*Nc*coupl(&
                         nGC_210)*coupl(nGC_3209)*coupl(nGC_385) - 4d0*Nc*coupl&
                         (nGC_210)*coupl(nGC_337)*coupl(nGC_3383) - 4d0*Nc*    &
                         coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_344) - 4d0*Nc*&
                         coupl(nGC_210)*coupl(nGC_347)*coupl(nGC_349) - 4d0*Nc*&
                         coupl(nGC_210)*coupl(nGC_365)*coupl(nGC_367) - 4d0*Nc*&
                         coupl(nGC_210)*coupl(nGC_373)*coupl(nGC_789) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_353)*coupl(nGC_355) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_359)*coupl(nGC_361) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_377)*coupl(nGC_379) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_353)*coupl(nGC_355) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_361) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_377)*coupl(nGC_379) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_353)*coupl(nGC_355) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_359)*coupl(nGC_361) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_377)*coupl(nGC_379))/(48d0*pi&
                         **2d0)
      coupl(nGC_22393) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl&
                         (nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*&
                         coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl(&
                         nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349  &
                         ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364&
                         )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(  &
                         nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0* &
                         coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207  &
                         )**2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                         nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337  &
                         ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209&
                         )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209&
                         )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(  &
                         nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc* &
                         coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) -   &
                         4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(      &
                         nGC_343) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)* &
                         coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(    &
                         nGC_364)*coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*    &
                         coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(nGC_208)**  &
                         2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208 &
                         )**2d0*coupl(nGC_376)*coupl(nGC_379) + 5d0*coupl(     &
                         nGC_208)*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355  &
                         ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_358)* &
                         coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(nGC_212)*   &
                         coupl(nGC_376)*coupl(nGC_379) - 4d0*coupl(nGC_212)**  &
                         2d0*coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(nGC_212 &
                         )**2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(     &
                         nGC_212)**2d0*coupl(nGC_376)*coupl(nGC_379))/(24d0*pi &
                         **2d0)
      coupl(nGC_22392) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(   &
                         nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl&
                         (nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(   &
                         nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl&
                         (nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(      &
                         nGC_355) - coupl(nGC_358)*coupl(nGC_361) - coupl(     &
                         nGC_376)*coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_22390) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(    &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(&
                         nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl&
                         (nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367 &
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364&
                         )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(      &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366  &
                         ) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363&
                         )*coupl(nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(&
                         nGC_339)*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_370  &
                         ) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_342)*coupl(      &
                         nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)*coupl(&
                         nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(&
                         nGC_340)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_372  &
                         ) + 10d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(      &
                         nGC_369)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_342)*coupl(&
                         nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl&
                         (nGC_345)*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349 &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_384&
                         )*coupl(nGC_385) + 10d0*Nc*coupl(nGC_345)*coupl(      &
                         nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(&
                         nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_381&
                         )*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc*coupl(&
                         nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382  &
                         ) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(      &
                         nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl&
                         (nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*    &
                         coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(   &
                         nGC_385) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*   &
                         coupl(nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22  &
                         ) + 6d0*coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl&
                         (nGC_352)*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl( &
                         nGC_357)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361  &
                         ) + 10d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379))/(48d0*pi**2d0)
      coupl(nGC_22399) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(     &
                         nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*    &
                         coupl(nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_207)*coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(   &
                         nGC_373) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                         coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(  &
                         nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_363)*    &
                         coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_209)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima* &
                         coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_381)*coupl(   &
                         nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                         coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc*cima*coupl(    &
                         nGC_197)*coupl(nGC_210)*coupl(nGC_340)*coupl(nGC_342  &
                         ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(  &
                         nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(nGC_197)* &
                         coupl(nGC_210)*coupl(nGC_363)*coupl(nGC_367) - 4d0*Nc*&
                         cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_369)*    &
                         coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                         nGC_210)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima*    &
                         coupl(nGC_174)*coupl(nGC_2013) + 6d0*cima*coupl(      &
                         nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(nGC_197)*coupl&
                         (nGC_208)*coupl(nGC_351)*coupl(nGC_355) + 5d0*cima*   &
                         coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_357)*coupl(   &
                         nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*    &
                         coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197&
                         )*coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_355) - 4d0* &
                         cima*coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_357)*    &
                         coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211&
                         )*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*coupl(     &
                         nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(nGC_355  &
                         ) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(     &
                         nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                         coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*   &
                         coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl&
                         (nGC_198)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_36120) = coupl(nGC_22851) + coupl(nGC_TS_GC_375_Hl) + coupl(   &
                         nGC_TS_GC_378_Hh)
      coupl(nGC_22465) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1393)*   &
                         coupl(nGC_344) - coupl(nGC_2475)*coupl(nGC_347) -     &
                         coupl(nGC_3209)*coupl(nGC_383) - coupl(nGC_335)*coupl(&
                         nGC_3383) - coupl(nGC_365)*coupl(nGC_867) - coupl(    &
                         nGC_371)*coupl(nGC_789))/(16d0*pi**2d0)
      coupl(nGC_22464) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc* &
                         coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345 &
                         )**3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl( &
                         nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc*&
                         coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)** &
                         3d0*coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360&
                         ) + coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
      coupl(nGC_32145) = coupl(nGC_22551) + coupl(nGC_54)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*              &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
      coupl(nGC_22466) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1393)*    &
                         coupl(nGC_344) + coupl(nGC_2475)*coupl(nGC_347) +     &
                         coupl(nGC_3209)*coupl(nGC_383) + coupl(nGC_335)*coupl(&
                         nGC_3383) + coupl(nGC_365)*coupl(nGC_867) + coupl(    &
                         nGC_371)*coupl(nGC_789))/(16d0*pi**2d0*Nc)
      coupl(nGC_22461) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc* &
                         coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345 &
                         )*coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(      &
                         nGC_366)**3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 &
                          + Nc*coupl(nGC_381)*coupl(nGC_384)**3d0 + coupl(     &
                         nGC_351)*coupl(nGC_354)**3d0 + coupl(nGC_357)*coupl(  &
                         nGC_360)**3d0 + coupl(nGC_375)*coupl(nGC_378)**3d0)/( &
                         4d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
