!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl27()
      coupl(nGC_22033) = coupl(nGC_4)*(coupl(nGC_1879)*coupl(nGC_362) + 4d0*   &
                         coupl(nGC_208)**2d0 + coupl(nGC_2221)*coupl(nGC_359   &
                         ) + coupl(nGC_357)**2d0 + coupl(nGC_360)**2d0 + 4d0*  &
                         coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22031) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_2325&
                         )*coupl(nGC_356) + coupl(nGC_3117)*coupl(nGC_353) +   &
                         coupl(nGC_351)**2d0 + coupl(nGC_354)**2d0 + 4d0*coupl(&
                         nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22036) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl&
                         (nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_22037) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl&
                         (nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_22034) = (coupl(nGC_1879)*coupl(nGC_362)*coupl(nGC_4) - 2d0*   &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) + coupl(nGC_2221)*coupl(nGC_359)* &
                         coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(nGC_4) +     &
                         coupl(nGC_360)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_22035) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                         nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl&
                         (nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**&
                         2d0)
      coupl(nGC_TS_GC_244_Hh) = -coupl(nGC_244)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32309) = coupl(nGC_22676) + coupl(nGC_369)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_372)*dZHh_QED2/2d0
      coupl(nGC_32308) = coupl(nGC_22675) + coupl(nGC_32307)
      coupl(nGC_22024) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 -   &
                         1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_22108) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -   &
                         coupl(nGC_2325)*coupl(nGC_351)**2d0 - coupl(nGC_2325)*&
                         coupl(nGC_353)**2d0 - coupl(nGC_2325)*coupl(nGC_354)**&
                         2d0 - coupl(nGC_2325)*coupl(nGC_356)**2d0 + 8d0*coupl(&
                         nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22109) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2325) -  &
                         coupl(nGC_2325)**2d0*coupl(nGC_356) + 8d0*coupl(      &
                         nGC_2325)*coupl(nGC_4)**2d0 - coupl(nGC_3117)**2d0*   &
                         coupl(nGC_356) - coupl(nGC_351)**2d0*coupl(nGC_356) - &
                         coupl(nGC_354)**2d0*coupl(nGC_356))/(32d0*pi**2d0)
      coupl(nGC_22106) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) - coupl(nGC_1571&
                         )*coupl(nGC_345)**2d0 - coupl(nGC_1571)*coupl(nGC_347 &
                         )**2d0 - coupl(nGC_1571)*coupl(nGC_348)**2d0 - coupl( &
                         nGC_1571)*coupl(nGC_350)**2d0 - coupl(nGC_1979)*coupl(&
                         nGC_346)*coupl(nGC_382) - coupl(nGC_1979)*coupl(      &
                         nGC_349)*coupl(nGC_385) + 8d0*coupl(nGC_206)*coupl(   &
                         nGC_209)*coupl(nGC_350))/(32d0*pi**2d0)
      coupl(nGC_22104) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1571) - coupl(       &
                         nGC_1571)**2d0*coupl(nGC_350) + 8d0*coupl(nGC_1571)*  &
                         coupl(nGC_206)*coupl(nGC_209) - coupl(nGC_2475)**2d0* &
                         coupl(nGC_350) - coupl(nGC_345)**2d0*coupl(nGC_350) - &
                         coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_386) - coupl( &
                         nGC_348)**2d0*coupl(nGC_350) - coupl(nGC_349)*coupl(  &
                         nGC_385)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_33495) = coupl(nGC_22528) + coupl(nGC_52)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_52)*dZHhHl_QED2/2d0 + coupl(nGC_63)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_63)*dZHl_QED2/2d0
      coupl(nGC_22102) = (-coupl(nGC_1271)*coupl(nGC_333)**2d0 - coupl(nGC_1271&
                         )*coupl(nGC_335)**2d0 - coupl(nGC_1271)*coupl(nGC_336 &
                         )**2d0 - coupl(nGC_1271)*coupl(nGC_338)**2d0 + 8d0*   &
                         coupl(nGC_2)**2d0*coupl(nGC_338) + 8d0*coupl(nGC_207)*&
                         coupl(nGC_210)*coupl(nGC_338) - coupl(nGC_334)*coupl( &
                         nGC_364)*coupl(nGC_4199) - coupl(nGC_337)*coupl(      &
                         nGC_367)*coupl(nGC_4199))/(32d0*pi**2d0)
      coupl(nGC_22100) = (-coupl(nGC_1271)**2d0*coupl(nGC_338) + 8d0*coupl(    &
                         nGC_1271)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1271)*    &
                         coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_333)**2d0*  &
                         coupl(nGC_338) - coupl(nGC_334)*coupl(nGC_364)*coupl( &
                         nGC_368) - coupl(nGC_336)**2d0*coupl(nGC_338) - coupl(&
                         nGC_337)*coupl(nGC_367)*coupl(nGC_368) - coupl(nGC_338&
                         )*coupl(nGC_3383)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22101) = coupl(nGC_1271)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_39633) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_39636) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_39638) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_39639) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_35266) = -coupl(nGC_35263)
      coupl(nGC_35264) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_22694)
      coupl(nGC_36204) = coupl(nGC_22603) + coupl(nGC_367)*dZcL_QCD2/2d0 +     &
                         coupl(nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_36201) = coupl(nGC_22605) + coupl(nGC_334)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*  &
                         dZsL_QED2/2d0
      coupl(nGC_36202) = coupl(nGC_22604) + coupl(nGC_364)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*  &
                         dZsR_QED2/2d0
      coupl(nGC_36203) = coupl(nGC_22606) + coupl(nGC_337)*dZcR_QCD2/2d0 +     &
                         coupl(nGC_337)*dZsL_QCD2/2d0
      coupl(nGC_36233) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(               &
                         nGC_TS_GC_245_Hh) + coupl(nGC_TS_GC_253_Hl)
      coupl(nGC_35080) = coupl(nGC_22510) + coupl(nGC_35)*dZHlHh_QED2 + coupl( &
                         nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
      coupl(nGC_35319) = coupl(nGC_22548) + coupl(nGC_55)*dZHMinus_QED2/2d0 +  &
                         coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*&
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_33238) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_38589) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_22710)
      coupl(nGC_35881) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2&
                          + coupl(nGC_22726)
      coupl(nGC_22327) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_339)*coupl(     &
                         nGC_342) - Nc*coupl(nGC_1)**2d0*coupl(nGC_345)*coupl( &
                         nGC_348) - Nc*coupl(nGC_1)**2d0*coupl(nGC_363)*coupl( &
                         nGC_366) - Nc*coupl(nGC_2)**2d0*coupl(nGC_333)*coupl( &
                         nGC_336) - Nc*coupl(nGC_2)**2d0*coupl(nGC_369)*coupl( &
                         nGC_372) - Nc*coupl(nGC_2)**2d0*coupl(nGC_381)*coupl( &
                         nGC_384) - coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4  &
                         )**2d0 - coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4)** &
                         2d0 - coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_4)**2d0 &
                         )/(4d0*pi**2d0)
      coupl(nGC_43408) = -coupl(nGC_35871)
      coupl(nGC_38109) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*         &
                         dZeMinusR_QED2 + coupl(nGC_22737)
      coupl(nGC_32767) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*    &
                         dZHa_QED2/2d0 + coupl(nGC_22556)
      coupl(nGC_33300) = coupl(nGC_22532) + coupl(nGC_56)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)* &
                         dZHMinus_QED2
      coupl(nGC_32785) = -coupl(nGC_32784)
      coupl(nGC_37496) = dZGMinusHMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/&
                         2d0
      coupl(nGC_37074) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_22729)
      coupl(nGC_37075) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_209)*dZZA_QED2/2d0
      coupl(nGC_37077) = coupl(nGC_37074) + coupl(nGC_37075)
      coupl(nGC_37071) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_37073) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
      coupl(nGC_58159) = -coupl(nGC_22129)
      coupl(nGC_40716) = -coupl(nGC_36624)
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32165) = coupl(nGC_248)*(dZG0 + dZGMinus)/2d0
    end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
