!******************************************************************************!
!                                                                              !
!    fill_ctcouplings31.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings31.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings31
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl31()
      coupl(nGC_39602) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZsR_QED2&
                          + coupl(nGC_22735)
      coupl(nGC_39605) = coupl(nGC_33106) + coupl(nGC_39603)
      coupl(nGC_39604) = coupl(nGC_33106) + coupl(nGC_39602)
      coupl(nGC_22161) = (Nc*coupl(nGC_1393)*coupl(nGC_206)*coupl(nGC_342) - Nc&
                         *coupl(nGC_1393)*coupl(nGC_209)*coupl(nGC_342) + Nc*  &
                         coupl(nGC_206)*coupl(nGC_2475)*coupl(nGC_345) - Nc*   &
                         coupl(nGC_206)*coupl(nGC_342)*coupl(nGC_344) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_347) - Nc*    &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_365) + Nc*    &
                         coupl(nGC_206)*coupl(nGC_363)*coupl(nGC_867) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_3209)*coupl(nGC_381) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_333)*coupl(nGC_335) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_333)*coupl(nGC_3383) - Nc*   &
                         coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_371) + Nc*    &
                         coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_789) - Nc*    &
                         coupl(nGC_207)*coupl(nGC_381)*coupl(nGC_383) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_2475)*coupl(nGC_345) + Nc*   &
                         coupl(nGC_209)*coupl(nGC_342)*coupl(nGC_344) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_347) + Nc*    &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_365) - Nc*    &
                         coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_867) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_3209)*coupl(nGC_381) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_335) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_3383) + Nc*   &
                         coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_371) - Nc*    &
                         coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_789) + Nc*    &
                         coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_383) + coupl( &
                         nGC_208)*coupl(nGC_2221)*coupl(nGC_357) + coupl(      &
                         nGC_208)*coupl(nGC_2353)*coupl(nGC_375) + coupl(      &
                         nGC_208)*coupl(nGC_3117)*coupl(nGC_351) - coupl(      &
                         nGC_208)*coupl(nGC_351)*coupl(nGC_353) - coupl(nGC_208&
                         )*coupl(nGC_357)*coupl(nGC_359) - coupl(nGC_208)*coupl&
                         (nGC_375)*coupl(nGC_377) - coupl(nGC_211)*coupl(      &
                         nGC_2221)*coupl(nGC_357) - coupl(nGC_211)*coupl(      &
                         nGC_2353)*coupl(nGC_375) - coupl(nGC_211)*coupl(      &
                         nGC_3117)*coupl(nGC_351) + coupl(nGC_211)*coupl(      &
                         nGC_351)*coupl(nGC_353) + coupl(nGC_211)*coupl(nGC_357&
                         )*coupl(nGC_359) + coupl(nGC_211)*coupl(nGC_375)*coupl&
                         (nGC_377))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_39467) = coupl(nGC_22638) + coupl(nGC_363)*dZHl_QED2/2d0 +     &
                         coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_39466) = coupl(nGC_22637) + coupl(nGC_39465)
      coupl(nGC_21975) = cima*(-3d0*Nc*coupl(nGC_197)**2d0 - coupl(nGC_1263)*  &
                         coupl(nGC_3) - coupl(nGC_1675)*coupl(nGC_199) - 3d0*  &
                         coupl(nGC_197)**2d0 - coupl(nGC_198)*coupl(nGC_2539   &
                         ) - coupl(nGC_3285)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_22418) = (-8d0*Nc*cima*coupl(nGC_1121)*coupl(nGC_197)**2d0*    &
                         coupl(nGC_341) - 8d0*Nc*cima*coupl(nGC_1271)*coupl(   &
                         nGC_197)**2d0*coupl(nGC_338) - 8d0*Nc*cima*coupl(     &
                         nGC_1571)*coupl(nGC_197)**2d0*coupl(nGC_350) - 8d0*Nc*&
                         cima*coupl(nGC_197)**2d0*coupl(nGC_1979)*coupl(nGC_386&
                         ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2847)*  &
                         coupl(nGC_374) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl&
                         (nGC_368)*coupl(nGC_4199) + 6d0*cima*coupl(nGC_100)*  &
                         coupl(nGC_1691) - 8d0*cima*coupl(nGC_1855)*coupl(     &
                         nGC_197)**2d0*coupl(nGC_380) - 8d0*cima*coupl(nGC_1879&
                         )*coupl(nGC_197)**2d0*coupl(nGC_362) + 3d0*cima*coupl(&
                         nGC_195)*coupl(nGC_230) - 8d0*cima*coupl(nGC_197)**2d0&
                         *coupl(nGC_2325)*coupl(nGC_356) + 6d0*coupl(nGC_100)* &
                         coupl(nGC_198)*coupl(nGC_2539) + 6d0*coupl(nGC_100)*  &
                         coupl(nGC_3285)*coupl(nGC_4) + 6d0*coupl(nGC_1675)*   &
                         coupl(nGC_199)*coupl(nGC_230))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34360) = coupl(nGC_62)*dZGMinus/2d0
      coupl(nGC_34363) = coupl(nGC_22529) + coupl(nGC_52)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_62)*dZHa_QED2/2d0 +     &
                         coupl(nGC_62)*dZHh_QED2/2d0
      coupl(nGC_32518) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*        &
                         dZWMinus_QED2/2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 +  &
                         coupl(nGC_22696)
      coupl(nGC_32519) = -coupl(nGC_32513) + coupl(nGC_32518)
      coupl(nGC_37463) = -coupl(nGC_32516)
      coupl(nGC_37462) = coupl(nGC_32513) - coupl(nGC_32518)
      coupl(nGC_43344) = coupl(nGC_200)*dZZ_QED2/2d0 + coupl(nGC_22595) + coupl&
                         (nGC_6)*dZAZ_QED2/2d0
      coupl(nGC_32420) = coupl(nGC_190)*dZWMinus_QED2 + coupl(nGC_22702)
      coupl(nGC_57747) = -coupl(nGC_22148)
      coupl(nGC_34810) = coupl(nGC_22528) + coupl(nGC_53)*dZG0Ha_QED2/2d0 +    &
                         coupl(nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_63)*dZHa_QED2/2d0 +     &
                         coupl(nGC_63)*dZHh_QED2/2d0
      coupl(nGC_33110) = coupl(nGC_33106) + coupl(nGC_33107)
      coupl(nGC_37605) = -coupl(nGC_37604)
      coupl(nGC_32848) = coupl(nGC_22613) + coupl(nGC_382)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*        &
                         dZuR_QED2/2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_32846) = coupl(nGC_22614) + coupl(nGC_382)*dZdL_QCD2/2d0 +     &
                         coupl(nGC_382)*dZuR_QCD2/2d0
      coupl(nGC_33900) = coupl(nGC_33896) + coupl(nGC_33899)
      coupl(nGC_32845) = coupl(nGC_22611) + coupl(nGC_346)*dZdR_QCD2/2d0 +     &
                         coupl(nGC_346)*dZuL_QCD2/2d0
      coupl(nGC_22316) = coupl(nGC_13)*sq2*(coupl(nGC_1979)*coupl(nGC_386) +   &
                         4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_207)**2d0 +     &
                         coupl(nGC_3209)*coupl(nGC_383) + coupl(nGC_381)**2d0  &
                          + coupl(nGC_382)**2d0 + coupl(nGC_384)**2d0 + coupl( &
                         nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_40160) = coupl(nGC_172)*dZHlHh_QED2/2d0 + coupl(nGC_178)*      &
                         dZHh_QED2/2d0 + coupl(nGC_178)*dZWMinus_QED2/2d0 +    &
                         coupl(nGC_22697)
      coupl(nGC_32430) = coupl(nGC_174)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_175&
                         )*dZHlHh_QED2/2d0 + coupl(nGC_181)*dZHh_QED2/2d0 +    &
                         coupl(nGC_22558)
      coupl(nGC_22042) = coupl(nGC_4)*(coupl(nGC_1855)*coupl(nGC_380) + 4d0*   &
                         coupl(nGC_208)**2d0 + coupl(nGC_2353)*coupl(nGC_377   &
                         ) + coupl(nGC_375)**2d0 + coupl(nGC_378)**2d0 + 4d0*  &
                         coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_33253) = coupl(nGC_173)*dZHhHl_QED2/2d0 + coupl(nGC_178)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_178)*dZHl_QED2/2d0 +    &
                         coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_22697)
      coupl(nGC_35882) = coupl(nGC_35880) - 2d0*coupl(nGC_35881)
      coupl(nGC_41666) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZuR_QED2&
                          + coupl(nGC_22732)
      coupl(nGC_41667) = coupl(nGC_32987) + coupl(nGC_41666)
      coupl(nGC_37879) = 2d0*coupl(nGC_37874)
      coupl(nGC_38590) = -2d0*coupl(nGC_38589)
      coupl(nGC_32632) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*         &
                         dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(  &
                         nGC_22711) + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(    &
                         nGC_29)*dZAZ_QED2/2d0
      coupl(nGC_34145) = coupl(nGC_22609) + coupl(nGC_340)*dZbR_QED2/2d0 +     &
                         coupl(nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*        &
                         dZHMinusGMinus_QED2/2d0
      coupl(nGC_34144) = coupl(nGC_22607) + coupl(nGC_370)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*  &
                         dZtR_QED2/2d0
      coupl(nGC_34147) = coupl(nGC_22610) + coupl(nGC_340)*dZbR_QCD2/2d0 +     &
                         coupl(nGC_340)*dZtL_QCD2/2d0
      coupl(nGC_41508) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(       &
                         nGC_TS_GC_244_Hh) + coupl(nGC_TS_GC_252_Hl)
      coupl(nGC_22215) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(    &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(       &
                         nGC_2847)**2d0*coupl(nGC_372) - coupl(nGC_339)*coupl( &
                         nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(nGC_343&
                         )*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(nGC_372  &
                         ) - coupl(nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_789&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_50586) = -coupl(nGC_50585)
      coupl(nGC_58112) = -coupl(nGC_22128)
      coupl(nGC_22219) = coupl(nGC_378)*(-coupl(nGC_1855)**2d0 + 8d0*coupl(    &
                         nGC_208)*coupl(nGC_211) - coupl(nGC_2353)**2d0 - coupl&
                         (nGC_375)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl(nGC_4&
                         )**2d0)/(32d0*pi**2d0)
      coupl(nGC_38231) = coupl(nGC_38227) + coupl(nGC_38230)
      coupl(nGC_32130) = coupl(nGC_32121) + coupl(nGC_32129)
      coupl(nGC_37635) = coupl(nGC_16)*dZHlHh_QED2 + coupl(nGC_17)*dZHhHl_QED2 &
                          + coupl(nGC_20)*dZHh_QED2 + coupl(nGC_20)*dZHl_QED2  &
                          + coupl(nGC_22524)
      coupl(nGC_36217) = coupl(nGC_36209) + coupl(nGC_36216)
      coupl(nGC_22049) = (Nc*cMB*coupl(nGC_1121)*coupl(nGC_340)*coupl(nGC_343  &
                         ) + Nc*cMB*coupl(nGC_1121)*coupl(nGC_370)*coupl(      &
                         nGC_373) + Nc*cMB*coupl(nGC_2847)*coupl(nGC_343)*coupl&
                         (nGC_373) + Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl&
                         (nGC_343) + Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl&
                         (nGC_374) + Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl&
                         (nGC_373) + Nc*cMC*coupl(nGC_1271)*coupl(nGC_334)*    &
                         coupl(nGC_337) + Nc*cMC*coupl(nGC_1271)*coupl(nGC_364 &
                         )*coupl(nGC_367) + Nc*cMC*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + Nc*cMC*coupl(nGC_334)*coupl(nGC_367&
                         )*coupl(nGC_368) + Nc*cMC*coupl(nGC_337)*coupl(nGC_364&
                         )*coupl(nGC_4199) + Nc*cMC*coupl(nGC_338)*coupl(      &
                         nGC_364)*coupl(nGC_367) + Nc*cMD*coupl(nGC_1571)*coupl&
                         (nGC_346)*coupl(nGC_349) + Nc*cMD*coupl(nGC_1571)*    &
                         coupl(nGC_382)*coupl(nGC_385) + Nc*cMD*coupl(nGC_1979 &
                         )*coupl(nGC_346)*coupl(nGC_385) + Nc*cMD*coupl(nGC_346&
                         )*coupl(nGC_349)*coupl(nGC_350) + Nc*cMD*coupl(nGC_349&
                         )*coupl(nGC_382)*coupl(nGC_386) + Nc*cMD*coupl(nGC_350&
                         )*coupl(nGC_382)*coupl(nGC_385) + Nc*cMS*coupl(       &
                         nGC_1271)*coupl(nGC_337)*coupl(nGC_364) + Nc*cMS*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*cMS*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_4199) + Nc*cMS*    &
                         coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_367) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*cMS*&
                         coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_4199) + Nc*cMT&
                         *coupl(nGC_1121)*coupl(nGC_343)*coupl(nGC_373) + Nc*  &
                         cMT*coupl(nGC_2847)*coupl(nGC_340)*coupl(nGC_343) + Nc&
                         *cMT*coupl(nGC_2847)*coupl(nGC_370)*coupl(nGC_373) +  &
                         Nc*cMT*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370) + &
                         Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + &
                         Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + &
                         Nc*cMU*coupl(nGC_1571)*coupl(nGC_346)*coupl(nGC_385   &
                         ) + Nc*cMU*coupl(nGC_1979)*coupl(nGC_346)*coupl(      &
                         nGC_349) + Nc*cMU*coupl(nGC_1979)*coupl(nGC_382)*coupl&
                         (nGC_385) + Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl&
                         (nGC_386) + Nc*cMU*coupl(nGC_349)*coupl(nGC_350)*coupl&
                         (nGC_382) + Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl&
                         (nGC_386) + cME*coupl(nGC_2325)*coupl(nGC_352)*coupl( &
                         nGC_355) + cME*coupl(nGC_352)*coupl(nGC_355)*coupl(   &
                         nGC_356) + cMM*coupl(nGC_1879)*coupl(nGC_358)*coupl(  &
                         nGC_361) + cMM*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_362) + cMTA*coupl(nGC_1855)*coupl(nGC_376)*coupl( &
                         nGC_379) + cMTA*coupl(nGC_376)*coupl(nGC_379)*coupl(  &
                         nGC_380) + 2d0*cima*coupl(nGC_186)*coupl(nGC_321) +   &
                         2d0*cima*coupl(nGC_231)*coupl(nGC_30))/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl31
end module fill_ctcouplings31
