!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl35()
      coupl(nGC_22412) = cima*(10d0*Nc*coupl(nGC_1121)*coupl(nGC_2847)*coupl(  &
                         nGC_343)*coupl(nGC_370) + 10d0*Nc*coupl(nGC_1121)*    &
                         coupl(nGC_341)*coupl(nGC_343)**2d0 + 10d0*Nc*coupl(   &
                         nGC_1121)*coupl(nGC_341)*coupl(nGC_370)**2d0 + 10d0*Nc&
                         *coupl(nGC_1271)*coupl(nGC_334)**2d0*coupl(nGC_338) + &
                         10d0*Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(nGC_364)*&
                         coupl(nGC_4199) + 10d0*Nc*coupl(nGC_1271)*coupl(      &
                         nGC_338)*coupl(nGC_364)**2d0 + 10d0*Nc*coupl(nGC_1571 &
                         )*coupl(nGC_1979)*coupl(nGC_346)*coupl(nGC_382) + 10d0&
                         *Nc*coupl(nGC_1571)*coupl(nGC_346)**2d0*coupl(nGC_350 &
                         ) + 10d0*Nc*coupl(nGC_1571)*coupl(nGC_350)*coupl(     &
                         nGC_382)**2d0 + 10d0*Nc*coupl(nGC_1979)*coupl(nGC_346 &
                         )**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_1979)*coupl(&
                         nGC_382)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2847 &
                         )*coupl(nGC_343)**2d0*coupl(nGC_374) + 10d0*Nc*coupl( &
                         nGC_2847)*coupl(nGC_370)**2d0*coupl(nGC_374) + 10d0*Nc&
                         *coupl(nGC_334)**2d0*coupl(nGC_368)*coupl(nGC_4199) + &
                         10d0*Nc*coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_364)* &
                         coupl(nGC_368) + 10d0*Nc*coupl(nGC_341)*coupl(nGC_343 &
                         )*coupl(nGC_370)*coupl(nGC_374) + 10d0*Nc*coupl(      &
                         nGC_346)*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_386  &
                         ) + 10d0*Nc*coupl(nGC_364)**2d0*coupl(nGC_368)*coupl( &
                         nGC_4199) + 6d0*coupl(nGC_100)**2d0 + 10d0*coupl(     &
                         nGC_1855)*coupl(nGC_376)**2d0*coupl(nGC_380) + 10d0*  &
                         coupl(nGC_1879)*coupl(nGC_358)**2d0*coupl(nGC_362) +  &
                         3d0*coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(       &
                         nGC_2325)*coupl(nGC_352)**2d0*coupl(nGC_356))/(48d0*pi&
                         **2d0)
      coupl(nGC_35215) = coupl(nGC_22725) + coupl(nGC_329)*dZHl_QED2/2d0 +     &
                         coupl(nGC_329)*dZZ_QED2 + coupl(nGC_332)*dZHhHl_QED2/ &
                         2d0 + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_35199) = coupl(nGC_32600) + coupl(nGC_35196)
      coupl(nGC_22415) = 5d0*cima*(Nc*coupl(nGC_1121)**2d0*coupl(nGC_341)*coupl&
                         (nGC_344) + Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl( &
                         nGC_341)**2d0 + Nc*coupl(nGC_1271)**2d0*coupl(nGC_335 &
                         )*coupl(nGC_338) + Nc*coupl(nGC_1271)*coupl(nGC_338)**&
                         2d0*coupl(nGC_3383) + Nc*coupl(nGC_1571)**2d0*coupl(  &
                         nGC_347)*coupl(nGC_350) + Nc*coupl(nGC_1571)*coupl(   &
                         nGC_2475)*coupl(nGC_350)**2d0 + Nc*coupl(nGC_1979)**  &
                         2d0*coupl(nGC_383)*coupl(nGC_386) + Nc*coupl(nGC_1979 &
                         )*coupl(nGC_3209)*coupl(nGC_386)**2d0 + Nc*coupl(     &
                         nGC_2847)**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_2847)*coupl(nGC_374)**2d0*coupl(nGC_789) +  &
                         Nc*coupl(nGC_365)*coupl(nGC_368)*coupl(nGC_4199)**2d0 &
                          + Nc*coupl(nGC_368)**2d0*coupl(nGC_4199)*coupl(      &
                         nGC_867) + coupl(nGC_1855)**2d0*coupl(nGC_377)*coupl( &
                         nGC_380) + coupl(nGC_1855)*coupl(nGC_2353)*coupl(     &
                         nGC_380)**2d0 + coupl(nGC_1879)**2d0*coupl(nGC_359)*  &
                         coupl(nGC_362) + coupl(nGC_1879)*coupl(nGC_2221)*coupl&
                         (nGC_362)**2d0 + coupl(nGC_2325)**2d0*coupl(nGC_353)* &
                         coupl(nGC_356) + coupl(nGC_2325)*coupl(nGC_3117)*coupl&
                         (nGC_356)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22416) = cima*(10d0*Nc*coupl(nGC_1121)**2d0*coupl(nGC_344)**2d0&
                          + 40d0*Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl(     &
                         nGC_341)*coupl(nGC_344) + 10d0*Nc*coupl(nGC_1271)**2d0&
                         *coupl(nGC_335)**2d0 + 40d0*Nc*coupl(nGC_1271)*coupl( &
                         nGC_335)*coupl(nGC_338)*coupl(nGC_3383) + 10d0*Nc*    &
                         coupl(nGC_1393)**2d0*coupl(nGC_341)**2d0 + 10d0*Nc*   &
                         coupl(nGC_1571)**2d0*coupl(nGC_347)**2d0 + 40d0*Nc*   &
                         coupl(nGC_1571)*coupl(nGC_2475)*coupl(nGC_347)*coupl( &
                         nGC_350) + 10d0*Nc*coupl(nGC_1979)**2d0*coupl(nGC_383 &
                         )**2d0 + 40d0*Nc*coupl(nGC_1979)*coupl(nGC_3209)*coupl&
                         (nGC_383)*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2475)**  &
                         2d0*coupl(nGC_350)**2d0 + 10d0*Nc*coupl(nGC_2847)**2d0&
                         *coupl(nGC_371)**2d0 + 40d0*Nc*coupl(nGC_2847)*coupl( &
                         nGC_371)*coupl(nGC_374)*coupl(nGC_789) + 10d0*Nc*coupl&
                         (nGC_3209)**2d0*coupl(nGC_386)**2d0 + 10d0*Nc*coupl(  &
                         nGC_338)**2d0*coupl(nGC_3383)**2d0 + 10d0*Nc*coupl(   &
                         nGC_365)**2d0*coupl(nGC_4199)**2d0 + 40d0*Nc*coupl(   &
                         nGC_365)*coupl(nGC_368)*coupl(nGC_4199)*coupl(nGC_867 &
                         ) + 10d0*Nc*coupl(nGC_368)**2d0*coupl(nGC_867)**2d0 + &
                         10d0*Nc*coupl(nGC_374)**2d0*coupl(nGC_789)**2d0 + 6d0*&
                         coupl(nGC_100)**2d0 + 10d0*coupl(nGC_1855)**2d0*coupl(&
                         nGC_377)**2d0 + 40d0*coupl(nGC_1855)*coupl(nGC_2353)* &
                         coupl(nGC_377)*coupl(nGC_380) + 10d0*coupl(nGC_1879)**&
                         2d0*coupl(nGC_359)**2d0 + 40d0*coupl(nGC_1879)*coupl( &
                         nGC_2221)*coupl(nGC_359)*coupl(nGC_362) + 10d0*coupl( &
                         nGC_2221)**2d0*coupl(nGC_362)**2d0 + 3d0*coupl(nGC_230&
                         )**2d0 + 10d0*coupl(nGC_2325)**2d0*coupl(nGC_353)**2d0&
                          + 40d0*coupl(nGC_2325)*coupl(nGC_3117)*coupl(nGC_353 &
                         )*coupl(nGC_356) + 10d0*coupl(nGC_2353)**2d0*coupl(   &
                         nGC_380)**2d0 + 10d0*coupl(nGC_3117)**2d0*coupl(      &
                         nGC_356)**2d0)/(48d0*pi**2d0)
      coupl(nGC_22417) = cima*(10d0*Nc*coupl(nGC_1121)**2d0*coupl(nGC_339)**2d0&
                          + 40d0*Nc*coupl(nGC_1121)*coupl(nGC_339)**2d0*coupl( &
                         nGC_341) + 10d0*Nc*coupl(nGC_1271)**2d0*coupl(nGC_336 &
                         )**2d0 + 40d0*Nc*coupl(nGC_1271)*coupl(nGC_336)**2d0* &
                         coupl(nGC_338) + 10d0*Nc*coupl(nGC_1571)**2d0*coupl(  &
                         nGC_348)**2d0 + 40d0*Nc*coupl(nGC_1571)*coupl(nGC_348 &
                         )**2d0*coupl(nGC_350) + 10d0*Nc*coupl(nGC_1979)**2d0* &
                         coupl(nGC_384)**2d0 + 40d0*Nc*coupl(nGC_1979)*coupl(  &
                         nGC_384)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(nGC_2847 &
                         )**2d0*coupl(nGC_372)**2d0 + 40d0*Nc*coupl(nGC_2847)* &
                         coupl(nGC_372)**2d0*coupl(nGC_374) + 10d0*Nc*coupl(   &
                         nGC_336)**2d0*coupl(nGC_338)**2d0 + 10d0*Nc*coupl(    &
                         nGC_339)**2d0*coupl(nGC_341)**2d0 + 10d0*Nc*coupl(    &
                         nGC_348)**2d0*coupl(nGC_350)**2d0 + 10d0*Nc*coupl(    &
                         nGC_366)**2d0*coupl(nGC_368)**2d0 + 40d0*Nc*coupl(    &
                         nGC_366)**2d0*coupl(nGC_368)*coupl(nGC_4199) + 10d0*Nc&
                         *coupl(nGC_366)**2d0*coupl(nGC_4199)**2d0 + 10d0*Nc*  &
                         coupl(nGC_372)**2d0*coupl(nGC_374)**2d0 + 10d0*Nc*    &
                         coupl(nGC_384)**2d0*coupl(nGC_386)**2d0 + 6d0*coupl(  &
                         nGC_100)*coupl(nGC_77) + 10d0*coupl(nGC_1855)**2d0*   &
                         coupl(nGC_378)**2d0 + 40d0*coupl(nGC_1855)*coupl(     &
                         nGC_378)**2d0*coupl(nGC_380) + 10d0*coupl(nGC_1879)** &
                         2d0*coupl(nGC_360)**2d0 + 40d0*coupl(nGC_1879)*coupl( &
                         nGC_360)**2d0*coupl(nGC_362) + 3d0*coupl(nGC_224)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_2325)**2d0*coupl(     &
                         nGC_354)**2d0 + 40d0*coupl(nGC_2325)*coupl(nGC_354)** &
                         2d0*coupl(nGC_356) + 10d0*coupl(nGC_354)**2d0*coupl(  &
                         nGC_356)**2d0 + 10d0*coupl(nGC_360)**2d0*coupl(nGC_362&
                         )**2d0 + 10d0*coupl(nGC_378)**2d0*coupl(nGC_380)**2d0 &
                         )/(48d0*pi**2d0)
      coupl(nGC_44775) = coupl(nGC_22567) + coupl(nGC_233)*dZHhHl_QED2 + coupl(&
                         nGC_234)*dZHlHh_QED2/2d0 + coupl(nGC_236)*dZHh_QED2/  &
                         2d0 + coupl(nGC_236)*dZHl_QED2 + coupl(nGC_TS_GC_16_Hl&
                         ) + coupl(nGC_TS_GC_20_Hh)
      coupl(nGC_22414) = cima*(20d0*Nc*coupl(nGC_1121)**2d0*coupl(nGC_341)**2d0&
                          + 20d0*Nc*coupl(nGC_1271)**2d0*coupl(nGC_338)**2d0 + &
                         20d0*Nc*coupl(nGC_1571)**2d0*coupl(nGC_350)**2d0 +    &
                         20d0*Nc*coupl(nGC_1979)**2d0*coupl(nGC_386)**2d0 +    &
                         20d0*Nc*coupl(nGC_2847)**2d0*coupl(nGC_374)**2d0 +    &
                         20d0*Nc*coupl(nGC_368)**2d0*coupl(nGC_4199)**2d0 + 6d0&
                         *coupl(nGC_100)**2d0 + 20d0*coupl(nGC_1855)**2d0*coupl&
                         (nGC_380)**2d0 + 20d0*coupl(nGC_1879)**2d0*coupl(     &
                         nGC_362)**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl( &
                         nGC_2325)**2d0*coupl(nGC_356)**2d0)/(16d0*pi**2d0)
      coupl(nGC_22325) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 -  &
                         15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(  &
                         nGC_2) + 9d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 - 2d0*cima*coupl(nGC_1263)*coupl(nGC_3)*coupl( &
                         nGC_3285)**2d0 - 2d0*cima*coupl(nGC_1675)*coupl(      &
                         nGC_199)*coupl(nGC_3285)**2d0 + 3d0*cima*coupl(       &
                         nGC_1691)*coupl(nGC_9) + 9d0*cima*coupl(nGC_197)**2d0*&
                         coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_198)*coupl(    &
                         nGC_2539)*coupl(nGC_3)**2d0 - 2d0*cima*coupl(nGC_3)** &
                         2d0*coupl(nGC_3285)*coupl(nGC_4) + 3d0*coupl(nGC_1691 &
                         )*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_1691)*coupl(      &
                         nGC_3285)**2d0 + 3d0*coupl(nGC_198)*coupl(nGC_2539)*  &
                         coupl(nGC_9) + 3d0*coupl(nGC_3285)*coupl(nGC_4)*coupl(&
                         nGC_9))/(24d0*pi**2d0)
      coupl(nGC_57952) = -coupl(nGC_22078)
      coupl(nGC_22124) = (-coupl(nGC_1571)*coupl(nGC_346)*coupl(nGC_382) -     &
                         coupl(nGC_1571)*coupl(nGC_349)*coupl(nGC_385) - coupl(&
                         nGC_1979)*coupl(nGC_381)**2d0 - coupl(nGC_1979)*coupl(&
                         nGC_383)**2d0 - coupl(nGC_1979)*coupl(nGC_384)**2d0 - &
                         coupl(nGC_1979)*coupl(nGC_386)**2d0 + 8d0*coupl(nGC_2 &
                         )**2d0*coupl(nGC_386) + 8d0*coupl(nGC_207)*coupl(     &
                         nGC_210)*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_37772) = coupl(nGC_22565) + 3d0*coupl(nGC_233)*dZHlHh_QED2/2d0 &
                          + 3d0*coupl(nGC_235)*dZHh_QED2/2d0 + coupl(          &
                         nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_19_Hh)
      coupl(nGC_52644) = coupl(nGC_TS_GC_241_Hl) + coupl(nGC_TS_GC_249_Hh)
      coupl(nGC_38425) = coupl(nGC_37074) + coupl(nGC_38423)
      coupl(nGC_58805) = -coupl(nGC_22055)
      coupl(nGC_22324) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 + &
                         9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(   &
                         nGC_2) - 3d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_2  &
                         )**2d0 - 2d0*cima*coupl(nGC_1263)*coupl(nGC_3)*coupl( &
                         nGC_3285)**2d0 - 2d0*cima*coupl(nGC_1675)*coupl(      &
                         nGC_199)*coupl(nGC_3285)**2d0 - 3d0*cima*coupl(nGC_197&
                         )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_198)*   &
                         coupl(nGC_2539)*coupl(nGC_3)**2d0 + 3d0*cima*coupl(   &
                         nGC_202)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(     &
                         nGC_3285)*coupl(nGC_4) + 3d0*cima*coupl(nGC_5091)**2d0&
                          + 3d0*coupl(nGC_198)*coupl(nGC_202)*coupl(nGC_3) +   &
                         3d0*coupl(nGC_202)*coupl(nGC_2539)*coupl(nGC_3) + 3d0*&
                         coupl(nGC_3)*coupl(nGC_3285)*coupl(nGC_5091) + 3d0*   &
                         coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_5091))/(24d0*pi** &
                         2d0)
      coupl(nGC_38112) = coupl(nGC_32714) + coupl(nGC_38110)
      coupl(nGC_39249) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*         &
                         dZnu_eL_QED2 + coupl(nGC_22736)
      coupl(nGC_34219) = coupl(nGC_32600) + coupl(nGC_34213)
      coupl(nGC_32686) = coupl(nGC_32600) + coupl(nGC_32681)
      coupl(nGC_21976) = cima*(coupl(nGC_1263)*coupl(nGC_3) + coupl(nGC_1675)* &
                         coupl(nGC_199) + coupl(nGC_198)*coupl(nGC_2539) +     &
                         coupl(nGC_3285)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_33159) = coupl(nGC_33157) + coupl(nGC_33158)
      coupl(nGC_59251) = -coupl(nGC_22050)
      coupl(nGC_22419) = 5d0*cima*(Nc*coupl(nGC_1121)**2d0*coupl(nGC_339)*coupl&
                         (nGC_342) + 4d0*Nc*coupl(nGC_1121)*coupl(nGC_339)*    &
                         coupl(nGC_341)*coupl(nGC_342) + Nc*coupl(nGC_1271)**  &
                         2d0*coupl(nGC_333)*coupl(nGC_336) + 4d0*Nc*coupl(     &
                         nGC_1271)*coupl(nGC_333)*coupl(nGC_336)*coupl(nGC_338 &
                         ) + Nc*coupl(nGC_1571)**2d0*coupl(nGC_345)*coupl(     &
                         nGC_348) + 4d0*Nc*coupl(nGC_1571)*coupl(nGC_345)*coupl&
                         (nGC_348)*coupl(nGC_350) + Nc*coupl(nGC_1979)**2d0*   &
                         coupl(nGC_381)*coupl(nGC_384) + 4d0*Nc*coupl(nGC_1979 &
                         )*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386) + Nc*  &
                         coupl(nGC_2847)**2d0*coupl(nGC_369)*coupl(nGC_372) +  &
                         4d0*Nc*coupl(nGC_2847)*coupl(nGC_369)*coupl(nGC_372)* &
                         coupl(nGC_374) + Nc*coupl(nGC_333)*coupl(nGC_336)*    &
                         coupl(nGC_338)**2d0 + Nc*coupl(nGC_339)*coupl(nGC_341 &
                         )**2d0*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl(      &
                         nGC_348)*coupl(nGC_350)**2d0 + Nc*coupl(nGC_363)*coupl&
                         (nGC_366)*coupl(nGC_368)**2d0 + 4d0*Nc*coupl(nGC_363)*&
                         coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_4199) + Nc*   &
                         coupl(nGC_363)*coupl(nGC_366)*coupl(nGC_4199)**2d0 +  &
                         Nc*coupl(nGC_369)*coupl(nGC_372)*coupl(nGC_374)**2d0  &
                          + Nc*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386)**  &
                         2d0 + coupl(nGC_1855)**2d0*coupl(nGC_375)*coupl(      &
                         nGC_378) + 4d0*coupl(nGC_1855)*coupl(nGC_375)*coupl(  &
                         nGC_378)*coupl(nGC_380) + coupl(nGC_1879)**2d0*coupl( &
                         nGC_357)*coupl(nGC_360) + 4d0*coupl(nGC_1879)*coupl(  &
                         nGC_357)*coupl(nGC_360)*coupl(nGC_362) + coupl(       &
                         nGC_2325)**2d0*coupl(nGC_351)*coupl(nGC_354) + 4d0*   &
                         coupl(nGC_2325)*coupl(nGC_351)*coupl(nGC_354)*coupl(  &
                         nGC_356) + coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_356&
                         )**2d0 + coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_362  &
                         )**2d0 + coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_380  &
                         )**2d0)/(24d0*pi**2d0)
      coupl(nGC_34761) = coupl(nGC_22719) + coupl(nGC_231)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_231)*dZWMinus_QED2/2d0 + coupl(nGC_231)*    &
                         dZZ_QED2/2d0 + coupl(nGC_237)*dZGMinusHMinus_QED2/2d0 &
                          + coupl(nGC_321)*dZAZ_QED2/2d0 + coupl(              &
                         nGC_TS_GC_22_Hh) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_22308) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                         nGC_207)**2d0 - coupl(nGC_2847)*coupl(nGC_374) - coupl&
                         (nGC_369)**2d0 - coupl(nGC_370)**2d0 - coupl(nGC_371)*&
                         coupl(nGC_789) - coupl(nGC_372)**2d0 - coupl(nGC_373  &
                         )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_22122) = (-coupl(nGC_1979)**2d0*coupl(nGC_386) + 8d0*coupl(    &
                         nGC_1979)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1979)*    &
                         coupl(nGC_207)*coupl(nGC_210) - coupl(nGC_3209)**2d0* &
                         coupl(nGC_386) - coupl(nGC_346)*coupl(nGC_350)*coupl( &
                         nGC_382) - coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_385&
                         ) - coupl(nGC_381)**2d0*coupl(nGC_386) - coupl(nGC_384&
                         )**2d0*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_21977) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*  &
                         cima*coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(    &
                         nGC_197)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0  &
                          + Nc*cMT**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*&
                         cima*coupl(nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197&
                         )**2d0 + cMM**2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0&
                         *cima*coupl(nGC_197)**2d0 + cMW**2d0*cima*coupl(      &
                         nGC_1263)*coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_1675 &
                         )*coupl(nGC_199) + cMW**2d0*cima*coupl(nGC_198)*coupl(&
                         nGC_2539) + cMW**2d0*cima*coupl(nGC_3285)*coupl(nGC_4 &
                         ) - 2d0*cMW**2d0*coupl(nGC_1691) + cMZ**2d0*cima*coupl&
                         (nGC_1675)*coupl(nGC_199) + cMZ**2d0*cima*coupl(      &
                         nGC_198)*coupl(nGC_2539) - cMZ**2d0*coupl(nGC_195))/( &
                         16d0*pi**2d0)
      coupl(nGC_22322) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1393)*coupl(&
                         nGC_344) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(       &
                         nGC_2475)*coupl(nGC_347) - 2d0*Nc*cima*coupl(nGC_1)** &
                         2d0*coupl(nGC_365)*coupl(nGC_867) - 2d0*Nc*cima*coupl(&
                         nGC_2)**2d0*coupl(nGC_3209)*coupl(nGC_383) - 2d0*Nc*  &
                         cima*coupl(nGC_2)**2d0*coupl(nGC_335)*coupl(nGC_3383  &
                         ) - 2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_371)*coupl&
                         (nGC_789) + cima*coupl(nGC_100)*coupl(nGC_9) - 2d0*   &
                         cima*coupl(nGC_2221)*coupl(nGC_359)*coupl(nGC_4)**2d0 &
                          - 2d0*cima*coupl(nGC_2353)*coupl(nGC_377)*coupl(nGC_4&
                         )**2d0 - 2d0*cima*coupl(nGC_3117)*coupl(nGC_353)*coupl&
                         (nGC_4)**2d0 + coupl(nGC_100)*coupl(nGC_3)**2d0 +     &
                         coupl(nGC_100)*coupl(nGC_3285)**2d0)/(8d0*pi**2d0)
      coupl(nGC_22323) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_339)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_348)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_366)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_336)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_372)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_384)**2d0 -   &
                         2d0*cima*coupl(nGC_354)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_360)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_378)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_77)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77 &
                         ) + coupl(nGC_3285)**2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_22320) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_1121)*coupl(    &
                         nGC_344) - Nc*coupl(nGC_1)**2d0*coupl(nGC_1393)*coupl(&
                         nGC_341) - Nc*coupl(nGC_1)**2d0*coupl(nGC_1571)*coupl(&
                         nGC_347) - Nc*coupl(nGC_1)**2d0*coupl(nGC_2475)*coupl(&
                         nGC_350) - Nc*coupl(nGC_1)**2d0*coupl(nGC_365)*coupl( &
                         nGC_4199) - Nc*coupl(nGC_1)**2d0*coupl(nGC_368)*coupl(&
                         nGC_867) - Nc*coupl(nGC_1271)*coupl(nGC_2)**2d0*coupl(&
                         nGC_335) - Nc*coupl(nGC_1979)*coupl(nGC_2)**2d0*coupl(&
                         nGC_383) - Nc*coupl(nGC_2)**2d0*coupl(nGC_2847)*coupl(&
                         nGC_371) - Nc*coupl(nGC_2)**2d0*coupl(nGC_3209)*coupl(&
                         nGC_386) - Nc*coupl(nGC_2)**2d0*coupl(nGC_338)*coupl( &
                         nGC_3383) - Nc*coupl(nGC_2)**2d0*coupl(nGC_374)*coupl(&
                         nGC_789) - coupl(nGC_1855)*coupl(nGC_377)*coupl(nGC_4 &
                         )**2d0 - coupl(nGC_1879)*coupl(nGC_359)*coupl(nGC_4)**&
                         2d0 - coupl(nGC_2221)*coupl(nGC_362)*coupl(nGC_4)**2d0&
                          - coupl(nGC_2325)*coupl(nGC_353)*coupl(nGC_4)**2d0 - &
                         coupl(nGC_2353)*coupl(nGC_380)*coupl(nGC_4)**2d0 -    &
                         coupl(nGC_3117)*coupl(nGC_356)*coupl(nGC_4)**2d0)/(8d0&
                         *pi**2d0)
      coupl(nGC_22321) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1121)*coupl(&
                         nGC_341) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(       &
                         nGC_1571)*coupl(nGC_350) - 2d0*Nc*cima*coupl(nGC_1)** &
                         2d0*coupl(nGC_368)*coupl(nGC_4199) - 2d0*Nc*cima*coupl&
                         (nGC_1271)*coupl(nGC_2)**2d0*coupl(nGC_338) - 2d0*Nc* &
                         cima*coupl(nGC_1979)*coupl(nGC_2)**2d0*coupl(nGC_386  &
                         ) - 2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_2847)*    &
                         coupl(nGC_374) + cima*coupl(nGC_100)*coupl(nGC_9) -   &
                         2d0*cima*coupl(nGC_1855)*coupl(nGC_380)*coupl(nGC_4)**&
                         2d0 - 2d0*cima*coupl(nGC_1879)*coupl(nGC_362)*coupl(  &
                         nGC_4)**2d0 - 2d0*cima*coupl(nGC_2325)*coupl(nGC_356)*&
                         coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl(nGC_3)**2d0  &
                          + coupl(nGC_100)*coupl(nGC_3285)**2d0)/(8d0*pi**2d0)
      coupl(nGC_33427) = coupl(nGC_33423) + coupl(nGC_33426)
      coupl(nGC_32601) = coupl(nGC_32597) + coupl(nGC_32600)
      coupl(nGC_32884) = coupl(nGC_22569) + coupl(nGC_247)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_258)*dZHMinus_QED2/2d0 + coupl(nGC_258)*    &
                         dZHa_QED2/2d0 + coupl(nGC_TS_GC_53_Hl) + coupl(       &
                         nGC_TS_GC_63_Hh)
      coupl(nGC_33932) = coupl(nGC_22660) + coupl(nGC_357)*dZHl_QED2/2d0 +     &
                         coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_33782) = coupl(nGC_33776) + coupl(nGC_33780)
      coupl(nGC_33783) = -coupl(nGC_33779)
      coupl(nGC_22328) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_342)**2d0 - &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_345)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_363)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_333)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_369)**2d0 -   &
                         2d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_381)**2d0 -   &
                         2d0*cima*coupl(nGC_351)**2d0*coupl(nGC_4)**2d0 - 2d0* &
                         cima*coupl(nGC_357)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*&
                         coupl(nGC_375)**2d0*coupl(nGC_4)**2d0 + cima*coupl(   &
                         nGC_77)*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77 &
                         ) + coupl(nGC_3285)**2d0*coupl(nGC_77))/(8d0*pi**2d0)
      coupl(nGC_22329) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(      &
                         nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206&
                         )*coupl(nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_206)*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_373)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_207)*coupl(     &
                         nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209&
                         )*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl&
                         (nGC_209)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_1)*coupl(nGC_209)*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_340)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(     &
                         nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210&
                         )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_206)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_206)*coupl(nGC_349)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_367)**2d0  &
                          - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(     &
                         nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207&
                         )*coupl(nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_207)*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0 + 5d0*Nc*   &
                         cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                          + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(     &
                         nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_210&
                         )*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl&
                         (nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*coupl(    &
                         nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0*cima* &
                         coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(nGC_208&
                         )*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*coupl(  &
                         nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0*cima* &
                         coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + 5d0*&
                         cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4   &
                         ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl(&
                         nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0* &
                         coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl&
                         (nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_2539)*coupl(   &
                         nGC_3285))/(48d0*pi**2d0)
      coupl(nGC_34172) = coupl(nGC_22504) + coupl(nGC_228)*dZHMinus_QED2
      coupl(nGC_22403) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_340)*coupl(    &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_333)*coupl(      &
                         nGC_334)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_333)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_334)*coupl(nGC_363)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_345)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_345)*coupl(      &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_340)*coupl(      &
                         nGC_342)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2847)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_369) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(      &
                         nGC_333)*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_368  &
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_338)*coupl(nGC_364&
                         )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_363)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_4199) + 5d0*&
                         Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_363)*coupl(&
                         nGC_364) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(&
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_369)*coupl(nGC_374) + 5d0*Nc*coupl(&
                         nGC_341)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_369&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343&
                         )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_345&
                         )*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_350) + 5d0* &
                         Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_385)*coupl(&
                         nGC_386) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_350)*coupl(&
                         nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(&
                         nGC_349)*coupl(nGC_381)*coupl(nGC_386) + 5d0*Nc*coupl(&
                         nGC_346)*coupl(nGC_350)*coupl(nGC_381)*coupl(nGC_385  &
                         ) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(nGC_367&
                         )*coupl(nGC_368) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_364&
                         )*coupl(nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(      &
                         nGC_369)*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374  &
                         ) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         )*coupl(nGC_386) + 6d0*coupl(nGC_180)*coupl(nGC_187   &
                         ) + 5d0*coupl(nGC_1855)*coupl(nGC_375)*coupl(nGC_376)*&
                         coupl(nGC_379) + 5d0*coupl(nGC_1879)*coupl(nGC_357)*  &
                         coupl(nGC_358)*coupl(nGC_361) + 6d0*coupl(nGC_23)*    &
                         coupl(nGC_31) + 5d0*coupl(nGC_2325)*coupl(nGC_351)*   &
                         coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(nGC_351)*   &
                         coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356) + 5d0*   &
                         coupl(nGC_357)*coupl(nGC_358)*coupl(nGC_361)*coupl(   &
                         nGC_362) + 5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(   &
                         nGC_379)*coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_36546) = -coupl(nGC_36545)
      coupl(nGC_22401) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_339)*coupl(    &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(      &
                         nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_348)*coupl(nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_339)*coupl(      &
                         nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_2847)*coupl&
                         (nGC_340)*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337&
                         )*coupl(nGC_338) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(      &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_368  &
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_366&
                         )*coupl(nGC_4199) + 5d0*Nc*coupl(nGC_336)*coupl(      &
                         nGC_337)*coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl(&
                         nGC_336)*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367  &
                         ) + 5d0*Nc*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364&
                         )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340&
                         )*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339&
                         )*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_373)*coupl(&
                         nGC_374) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(&
                         nGC_372)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_341)*coupl(&
                         nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(&
                         nGC_346)*coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_350  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_385&
                         )*coupl(nGC_386) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349&
                         )*coupl(nGC_384)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_350)*coupl(nGC_384)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_348)*coupl(nGC_350)*coupl(nGC_382)*coupl(&
                         nGC_385) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*coupl(&
                         nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_364)*coupl(&
                         nGC_366)*coupl(nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl&
                         (nGC_370)*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_374 &
                         ) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         )*coupl(nGC_386) + 6d0*coupl(nGC_175)*coupl(nGC_187   &
                         ) + 5d0*coupl(nGC_1855)*coupl(nGC_376)*coupl(nGC_378)*&
                         coupl(nGC_379) + 5d0*coupl(nGC_1879)*coupl(nGC_358)*  &
                         coupl(nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_22)*    &
                         coupl(nGC_31) + 5d0*coupl(nGC_2325)*coupl(nGC_352)*   &
                         coupl(nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_352)*   &
                         coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_356) + 5d0*   &
                         coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361)*coupl(   &
                         nGC_362) + 5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(   &
                         nGC_379)*coupl(nGC_380))/(48d0*pi**2d0)
      coupl(nGC_22400) = cima*(5d0*Nc*coupl(nGC_1121)*coupl(nGC_340)*coupl(    &
                         nGC_343)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_340)*coupl(nGC_370)*coupl(nGC_789) + 5d0*Nc*coupl&
                         (nGC_1121)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1271)*coupl(nGC_334)*coupl(      &
                         nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_334)*coupl(nGC_367)*coupl(nGC_867) + 5d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367&
                         ) + 5d0*Nc*coupl(nGC_1393)*coupl(nGC_2847)*coupl(     &
                         nGC_340)*coupl(nGC_370) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_340)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_1571)*coupl(nGC_3209)*coupl(     &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1571)*coupl&
                         (nGC_346)*coupl(nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_1979)*coupl(nGC_2475)*coupl(     &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_350) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_350)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2847)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371&
                         ) + 5d0*Nc*coupl(nGC_2847)*coupl(nGC_370)*coupl(      &
                         nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_386) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338&
                         )*coupl(nGC_3383) + 5d0*Nc*coupl(nGC_334)*coupl(      &
                         nGC_337)*coupl(nGC_365)*coupl(nGC_4199) + 5d0*Nc*coupl&
                         (nGC_334)*coupl(nGC_337)*coupl(nGC_368)*coupl(nGC_867 &
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_3383)*coupl(      &
                         nGC_367)*coupl(nGC_4199) + 5d0*Nc*coupl(nGC_335)*coupl&
                         (nGC_337)*coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*coupl&
                         (nGC_337)*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_365 &
                         ) + 5d0*Nc*coupl(nGC_338)*coupl(nGC_3383)*coupl(      &
                         nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_374)*coupl(nGC_789) + 5d0*Nc*coupl(&
                         nGC_341)*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_373&
                         )*coupl(nGC_374) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347&
                         )*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_350)*coupl(nGC_383)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367)*coupl(&
                         nGC_4199) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_367)*coupl&
                         (nGC_368)*coupl(nGC_867) + 5d0*Nc*coupl(nGC_370)*coupl&
                         (nGC_373)*coupl(nGC_374)*coupl(nGC_789) + 5d0*coupl(  &
                         nGC_1855)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379 &
                         ) + 6d0*coupl(nGC_186)*coupl(nGC_187) + 5d0*coupl(    &
                         nGC_1879)*coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361 &
                         ) + 5d0*coupl(nGC_2221)*coupl(nGC_358)*coupl(nGC_361)*&
                         coupl(nGC_362) + 5d0*coupl(nGC_2325)*coupl(nGC_352)*  &
                         coupl(nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_2353)*  &
                         coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380) + 6d0*   &
                         coupl(nGC_30)*coupl(nGC_31) + 5d0*coupl(nGC_3117)*    &
                         coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356))/(48d0*pi&
                         **2d0)
      coupl(nGC_37179) = coupl(nGC_22654) + coupl(nGC_359)*dZHaG0_QED2/2d0
      coupl(nGC_22406) = cima*(5d0*Nc*coupl(nGC_1393)*coupl(nGC_340)*coupl(    &
                         nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_345)*coupl(      &
                         nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_345)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2475)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_382&
                         ) + 5d0*Nc*coupl(nGC_3209)*coupl(nGC_345)*coupl(      &
                         nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_335&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334&
                         )*coupl(nGC_337)*coupl(nGC_3383) + 5d0*Nc*coupl(      &
                         nGC_333)*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364&
                         )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337&
                         )*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(nGC_333&
                         )*coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_367) + 5d0*&
                         Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)*coupl(&
                         nGC_365) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(&
                         nGC_363)*coupl(nGC_867) + 5d0*Nc*coupl(nGC_334)*coupl(&
                         nGC_3383)*coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl&
                         (nGC_335)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364 &
                         ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_343&
                         )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342&
                         )*coupl(nGC_370)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_340&
                         )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_371) + 5d0* &
                         Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_369)*coupl(&
                         nGC_789) + 5d0*Nc*coupl(nGC_342)*coupl(nGC_343)*coupl(&
                         nGC_371)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)*coupl(&
                         nGC_344)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(&
                         nGC_343)*coupl(nGC_344)*coupl(nGC_369)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_347&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346&
                         )*coupl(nGC_383)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345&
                         )*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_381)*coupl(&
                         nGC_385) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(&
                         nGC_381)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_363)*coupl(&
                         nGC_364)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_363)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_371&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_369)*coupl(nGC_370&
                         )*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_381&
                         )*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + 6d0* &
                         coupl(nGC_174)*coupl(nGC_186) + 6d0*coupl(nGC_21)*    &
                         coupl(nGC_30) + 5d0*coupl(nGC_2221)*coupl(nGC_357)*   &
                         coupl(nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_2353)*  &
                         coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379) + 5d0*   &
                         coupl(nGC_3117)*coupl(nGC_351)*coupl(nGC_352)*coupl(  &
                         nGC_355) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl(   &
                         nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(   &
                         nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22405) = cima*(5d0*Nc*coupl(nGC_1393)*coupl(nGC_339)*coupl(    &
                         nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1393)*coupl&
                         (nGC_339)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl&
                         (nGC_1393)*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_372&
                         ) + 5d0*Nc*coupl(nGC_2475)*coupl(nGC_346)*coupl(      &
                         nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_2475)*coupl&
                         (nGC_348)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl&
                         (nGC_2475)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_384&
                         ) + 5d0*Nc*coupl(nGC_3209)*coupl(nGC_346)*coupl(      &
                         nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(nGC_3209)*coupl&
                         (nGC_348)*coupl(nGC_349)*coupl(nGC_382) + 5d0*Nc*coupl&
                         (nGC_3209)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385&
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_336&
                         )*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336&
                         )*coupl(nGC_337)*coupl(nGC_3383) + 5d0*Nc*coupl(      &
                         nGC_334)*coupl(nGC_336)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365&
                         )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337&
                         )*coupl(nGC_366)*coupl(nGC_867) + 5d0*Nc*coupl(nGC_334&
                         )*coupl(nGC_3383)*coupl(nGC_366)*coupl(nGC_367) + 5d0*&
                         Nc*coupl(nGC_335)*coupl(nGC_336)*coupl(nGC_364)*coupl(&
                         nGC_367) + 5d0*Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(&
                         nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_336)*coupl(&
                         nGC_337)*coupl(nGC_364)*coupl(nGC_365) + 5d0*Nc*coupl(&
                         nGC_336)*coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_367 &
                         ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343&
                         )*coupl(nGC_344) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340&
                         )*coupl(nGC_370)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_339&
                         )*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373) + 5d0* &
                         Nc*coupl(nGC_339)*coupl(nGC_344)*coupl(nGC_370)*coupl(&
                         nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(&
                         nGC_371)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(&
                         nGC_343)*coupl(nGC_372)*coupl(nGC_789) + 5d0*Nc*coupl(&
                         nGC_343)*coupl(nGC_344)*coupl(nGC_372)*coupl(nGC_373  &
                         ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_348&
                         )*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347&
                         )*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_346&
                         )*coupl(nGC_348)*coupl(nGC_383)*coupl(nGC_385) + 5d0* &
                         Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383)*coupl(&
                         nGC_384) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_348)*coupl(&
                         nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_364)*coupl(&
                         nGC_365)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl(&
                         nGC_364)*coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_372&
                         )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_370)*coupl(nGC_372&
                         )*coupl(nGC_373)*coupl(nGC_789) + 5d0*Nc*coupl(nGC_382&
                         )*coupl(nGC_383)*coupl(nGC_384)*coupl(nGC_385) + 6d0* &
                         coupl(nGC_180)*coupl(nGC_186) + 5d0*coupl(nGC_2221)*  &
                         coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 6d0*   &
                         coupl(nGC_23)*coupl(nGC_30) + 5d0*coupl(nGC_2353)*    &
                         coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379) + 5d0*   &
                         coupl(nGC_3117)*coupl(nGC_352)*coupl(nGC_354)*coupl(  &
                         nGC_355) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl(   &
                         nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl(   &
                         nGC_359)*coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(   &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_379  &
                         ))/(48d0*pi**2d0)
      coupl(nGC_22404) = 5d0*cima*(Nc*coupl(nGC_1393)*coupl(nGC_340)*coupl(    &
                         nGC_343)*coupl(nGC_344) + Nc*coupl(nGC_1393)*coupl(   &
                         nGC_340)*coupl(nGC_370)*coupl(nGC_789) + Nc*coupl(    &
                         nGC_1393)*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373 &
                         ) + Nc*coupl(nGC_2475)*coupl(nGC_3209)*coupl(nGC_349)*&
                         coupl(nGC_382) + Nc*coupl(nGC_2475)*coupl(nGC_346)*   &
                         coupl(nGC_347)*coupl(nGC_349) + Nc*coupl(nGC_2475)*   &
                         coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*    &
                         coupl(nGC_3209)*coupl(nGC_346)*coupl(nGC_349)*coupl(  &
                         nGC_383) + Nc*coupl(nGC_3209)*coupl(nGC_382)*coupl(   &
                         nGC_383)*coupl(nGC_385) + Nc*coupl(nGC_334)*coupl(    &
                         nGC_335)*coupl(nGC_337)*coupl(nGC_3383) + Nc*coupl(   &
                         nGC_334)*coupl(nGC_337)*coupl(nGC_365)*coupl(nGC_867  &
                         ) + Nc*coupl(nGC_334)*coupl(nGC_3383)*coupl(nGC_367)* &
                         coupl(nGC_867) + Nc*coupl(nGC_335)*coupl(nGC_337)*    &
                         coupl(nGC_364)*coupl(nGC_365) + Nc*coupl(nGC_335)*    &
                         coupl(nGC_3383)*coupl(nGC_364)*coupl(nGC_367) + Nc*   &
                         coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371)*coupl(   &
                         nGC_789) + Nc*coupl(nGC_343)*coupl(nGC_344)*coupl(    &
                         nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_346)*coupl(    &
                         nGC_347)*coupl(nGC_383)*coupl(nGC_385) + Nc*coupl(    &
                         nGC_364)*coupl(nGC_365)*coupl(nGC_367)*coupl(nGC_867  &
                         ) + Nc*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373)*  &
                         coupl(nGC_789) + coupl(nGC_2221)*coupl(nGC_358)*coupl(&
                         nGC_359)*coupl(nGC_361) + coupl(nGC_2353)*coupl(      &
                         nGC_376)*coupl(nGC_377)*coupl(nGC_379) + coupl(       &
                         nGC_3117)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_32802) = coupl(nGC_32714) + coupl(nGC_32799)
    end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
