!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl37()
      coupl(nGC_34957) = -coupl(nGC_34947) - coupl(nGC_34956)
      coupl(nGC_34954) = coupl(nGC_22625) + coupl(nGC_34948)
      coupl(nGC_57458) = -coupl(nGC_22012)
      coupl(nGC_43130) = coupl(nGC_22519) + coupl(nGC_58)*dZHaG0_QED2 + coupl( &
                         nGC_59)*dZG0Ha_QED2 + coupl(nGC_73)*dZHa_QED2
      coupl(nGC_33933) = coupl(nGC_33931) + coupl(nGC_33932)
      coupl(nGC_39148) = coupl(nGC_34523) - coupl(nGC_34524)
      coupl(nGC_37055) = coupl(nGC_22572) + coupl(nGC_242)*dZG0Ha_QED2/2d0 +   &
                         coupl(nGC_245)*dZHhHl_QED2/2d0 + coupl(nGC_246)*      &
                         dZHaG0_QED2/2d0 + coupl(nGC_253)*dZHa_QED2/2d0 + coupl&
                         (nGC_253)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_38_Hl) +    &
                         coupl(nGC_TS_GC_47_Hh)
      coupl(nGC_33403) = coupl(nGC_22647) + coupl(nGC_352)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_355)*dZeMinusR_QED2/2d0 + coupl(      &
                         nGC_355)*dZnu_eL_QED2/2d0
      coupl(nGC_32621) = coupl(nGC_22674) + coupl(nGC_333)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_336)*dZHh_QED2/2d0
      coupl(nGC_46755) = coupl(nGC_22507) + 2d0*coupl(nGC_59)*dZHaG0_QED2
      coupl(nGC_22429) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl(   &
                         nGC_342)**2d0 + 2d0*Nc*coupl(nGC_1121)*coupl(nGC_342  &
                         )**2d0*coupl(nGC_344) + 2d0*Nc*coupl(nGC_1271)*coupl( &
                         nGC_333)**2d0*coupl(nGC_335) + Nc*coupl(nGC_1271)*    &
                         coupl(nGC_333)**2d0*coupl(nGC_3383) + 2d0*Nc*coupl(   &
                         nGC_1393)*coupl(nGC_341)*coupl(nGC_342)**2d0 + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_2475)*coupl(nGC_345)**2d0 + &
                         2d0*Nc*coupl(nGC_1571)*coupl(nGC_345)**2d0*coupl(     &
                         nGC_347) + Nc*coupl(nGC_1979)*coupl(nGC_3209)*coupl(  &
                         nGC_381)**2d0 + 2d0*Nc*coupl(nGC_1979)*coupl(nGC_381  &
                         )**2d0*coupl(nGC_383) + 2d0*Nc*coupl(nGC_2475)*coupl( &
                         nGC_345)**2d0*coupl(nGC_350) + 2d0*Nc*coupl(nGC_2847)*&
                         coupl(nGC_369)**2d0*coupl(nGC_371) + Nc*coupl(nGC_2847&
                         )*coupl(nGC_369)**2d0*coupl(nGC_789) + 2d0*Nc*coupl(  &
                         nGC_3209)*coupl(nGC_381)**2d0*coupl(nGC_386) + Nc*    &
                         coupl(nGC_333)**2d0*coupl(nGC_335)*coupl(nGC_338) +   &
                         2d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_338)*coupl(      &
                         nGC_3383) + Nc*coupl(nGC_341)*coupl(nGC_342)**2d0*    &
                         coupl(nGC_344) + Nc*coupl(nGC_345)**2d0*coupl(nGC_347 &
                         )*coupl(nGC_350) + Nc*coupl(nGC_363)**2d0*coupl(      &
                         nGC_365)*coupl(nGC_368) + 2d0*Nc*coupl(nGC_363)**2d0* &
                         coupl(nGC_365)*coupl(nGC_4199) + 2d0*Nc*coupl(nGC_363 &
                         )**2d0*coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(      &
                         nGC_363)**2d0*coupl(nGC_4199)*coupl(nGC_867) + Nc*    &
                         coupl(nGC_369)**2d0*coupl(nGC_371)*coupl(nGC_374) +   &
                         2d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)*coupl(      &
                         nGC_789) + Nc*coupl(nGC_381)**2d0*coupl(nGC_383)*coupl&
                         (nGC_386) + coupl(nGC_1855)*coupl(nGC_2353)*coupl(    &
                         nGC_375)**2d0 + 2d0*coupl(nGC_1855)*coupl(nGC_375)**  &
                         2d0*coupl(nGC_377) + coupl(nGC_1879)*coupl(nGC_2221)* &
                         coupl(nGC_357)**2d0 + 2d0*coupl(nGC_1879)*coupl(      &
                         nGC_357)**2d0*coupl(nGC_359) + 2d0*coupl(nGC_2221)*   &
                         coupl(nGC_357)**2d0*coupl(nGC_362) + coupl(nGC_2325)* &
                         coupl(nGC_3117)*coupl(nGC_351)**2d0 + 2d0*coupl(      &
                         nGC_2325)*coupl(nGC_351)**2d0*coupl(nGC_353) + 2d0*   &
                         coupl(nGC_2353)*coupl(nGC_375)**2d0*coupl(nGC_380) +  &
                         2d0*coupl(nGC_3117)*coupl(nGC_351)**2d0*coupl(nGC_356 &
                         ) + coupl(nGC_351)**2d0*coupl(nGC_353)*coupl(nGC_356  &
                         ) + coupl(nGC_357)**2d0*coupl(nGC_359)*coupl(nGC_362  &
                         ) + coupl(nGC_375)**2d0*coupl(nGC_377)*coupl(nGC_380  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22428) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_1121)*coupl(  &
                         nGC_344) - Nc*coupl(nGC_1271)*coupl(nGC_335) - Nc*    &
                         coupl(nGC_1393)*coupl(nGC_341) - Nc*coupl(nGC_1571)*  &
                         coupl(nGC_347) - Nc*coupl(nGC_1979)*coupl(nGC_383) -  &
                         Nc*coupl(nGC_2475)*coupl(nGC_350) - Nc*coupl(nGC_2847 &
                         )*coupl(nGC_371) - Nc*coupl(nGC_3209)*coupl(nGC_386   &
                         ) - Nc*coupl(nGC_338)*coupl(nGC_3383) - Nc*coupl(     &
                         nGC_365)*coupl(nGC_4199) - Nc*coupl(nGC_368)*coupl(   &
                         nGC_867) - Nc*coupl(nGC_374)*coupl(nGC_789) - coupl(  &
                         nGC_1855)*coupl(nGC_377) - coupl(nGC_1879)*coupl(     &
                         nGC_359) - coupl(nGC_2221)*coupl(nGC_362) - coupl(    &
                         nGC_2325)*coupl(nGC_353) - coupl(nGC_2353)*coupl(     &
                         nGC_380) - coupl(nGC_3117)*coupl(nGC_356))/(12d0*pi** &
                         2d0)
      coupl(nGC_34623) = coupl(nGC_22658) + coupl(nGC_375)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_378)*dZHh_QED2/2d0
      coupl(nGC_34624) = coupl(nGC_34622) + coupl(nGC_34623)
      coupl(nGC_33292) = coupl(nGC_22588) + coupl(nGC_322)*dZHMinus_QED2/2d0 + &
                         coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_22421) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_343)**2d0*coupl&
                         (nGC_344) + Nc*coupl(nGC_1121)*coupl(nGC_343)*coupl(  &
                         nGC_370)*coupl(nGC_789) + Nc*coupl(nGC_1121)*coupl(   &
                         nGC_344)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1271)*    &
                         coupl(nGC_334)**2d0*coupl(nGC_335) + Nc*coupl(nGC_1271&
                         )*coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_867) + Nc*  &
                         coupl(nGC_1271)*coupl(nGC_335)*coupl(nGC_364)**2d0 +  &
                         Nc*coupl(nGC_1393)*coupl(nGC_2847)*coupl(nGC_343)*    &
                         coupl(nGC_370) + Nc*coupl(nGC_1393)*coupl(nGC_341)*   &
                         coupl(nGC_343)**2d0 + Nc*coupl(nGC_1393)*coupl(nGC_341&
                         )*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1571)*coupl(     &
                         nGC_3209)*coupl(nGC_346)*coupl(nGC_382) + Nc*coupl(   &
                         nGC_1571)*coupl(nGC_346)**2d0*coupl(nGC_347) + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_347)*coupl(nGC_382)**2d0 +  &
                         Nc*coupl(nGC_1979)*coupl(nGC_2475)*coupl(nGC_346)*    &
                         coupl(nGC_382) + Nc*coupl(nGC_1979)*coupl(nGC_346)**  &
                         2d0*coupl(nGC_383) + Nc*coupl(nGC_1979)*coupl(nGC_382 &
                         )**2d0*coupl(nGC_383) + Nc*coupl(nGC_2475)*coupl(     &
                         nGC_346)**2d0*coupl(nGC_350) + Nc*coupl(nGC_2475)*    &
                         coupl(nGC_350)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_2847&
                         )*coupl(nGC_343)**2d0*coupl(nGC_371) + Nc*coupl(      &
                         nGC_2847)*coupl(nGC_370)**2d0*coupl(nGC_371) + Nc*    &
                         coupl(nGC_3209)*coupl(nGC_346)**2d0*coupl(nGC_386) +  &
                         Nc*coupl(nGC_3209)*coupl(nGC_382)**2d0*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_334)**2d0*coupl(nGC_338)*coupl(      &
                         nGC_3383) + Nc*coupl(nGC_334)**2d0*coupl(nGC_365)*    &
                         coupl(nGC_4199) + Nc*coupl(nGC_334)**2d0*coupl(nGC_368&
                         )*coupl(nGC_867) + Nc*coupl(nGC_334)*coupl(nGC_335)*  &
                         coupl(nGC_364)*coupl(nGC_368) + Nc*coupl(nGC_334)*    &
                         coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_365) + Nc*    &
                         coupl(nGC_334)*coupl(nGC_3383)*coupl(nGC_364)*coupl(  &
                         nGC_4199) + Nc*coupl(nGC_338)*coupl(nGC_3383)*coupl(  &
                         nGC_364)**2d0 + Nc*coupl(nGC_341)*coupl(nGC_343)*coupl&
                         (nGC_370)*coupl(nGC_371) + Nc*coupl(nGC_343)**2d0*    &
                         coupl(nGC_374)*coupl(nGC_789) + Nc*coupl(nGC_343)*    &
                         coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_374) + Nc*    &
                         coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_382)*coupl(   &
                         nGC_386) + Nc*coupl(nGC_346)*coupl(nGC_350)*coupl(    &
                         nGC_382)*coupl(nGC_383) + Nc*coupl(nGC_364)**2d0*coupl&
                         (nGC_365)*coupl(nGC_4199) + Nc*coupl(nGC_364)**2d0*   &
                         coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(nGC_370)**2d0&
                         *coupl(nGC_374)*coupl(nGC_789) + coupl(nGC_1855)*coupl&
                         (nGC_376)**2d0*coupl(nGC_377) + coupl(nGC_1879)*coupl(&
                         nGC_358)**2d0*coupl(nGC_359) + coupl(nGC_2221)*coupl( &
                         nGC_358)**2d0*coupl(nGC_362) + coupl(nGC_2325)*coupl( &
                         nGC_352)**2d0*coupl(nGC_353) + coupl(nGC_2353)*coupl( &
                         nGC_376)**2d0*coupl(nGC_380) + coupl(nGC_3117)*coupl( &
                         nGC_352)**2d0*coupl(nGC_356))/(48d0*pi**2d0)
      coupl(nGC_22420) = cima*(10d0*Nc*coupl(nGC_1121)**2d0*coupl(nGC_342)**2d0&
                          + 40d0*Nc*coupl(nGC_1121)*coupl(nGC_341)*coupl(      &
                         nGC_342)**2d0 + 10d0*Nc*coupl(nGC_1271)**2d0*coupl(   &
                         nGC_333)**2d0 + 40d0*Nc*coupl(nGC_1271)*coupl(nGC_333 &
                         )**2d0*coupl(nGC_338) + 10d0*Nc*coupl(nGC_1571)**2d0* &
                         coupl(nGC_345)**2d0 + 40d0*Nc*coupl(nGC_1571)*coupl(  &
                         nGC_345)**2d0*coupl(nGC_350) + 10d0*Nc*coupl(nGC_1979 &
                         )**2d0*coupl(nGC_381)**2d0 + 40d0*Nc*coupl(nGC_1979)* &
                         coupl(nGC_381)**2d0*coupl(nGC_386) + 10d0*Nc*coupl(   &
                         nGC_2847)**2d0*coupl(nGC_369)**2d0 + 40d0*Nc*coupl(   &
                         nGC_2847)*coupl(nGC_369)**2d0*coupl(nGC_374) + 10d0*Nc&
                         *coupl(nGC_333)**2d0*coupl(nGC_338)**2d0 + 10d0*Nc*   &
                         coupl(nGC_341)**2d0*coupl(nGC_342)**2d0 + 10d0*Nc*    &
                         coupl(nGC_345)**2d0*coupl(nGC_350)**2d0 + 10d0*Nc*    &
                         coupl(nGC_363)**2d0*coupl(nGC_368)**2d0 + 40d0*Nc*    &
                         coupl(nGC_363)**2d0*coupl(nGC_368)*coupl(nGC_4199) +  &
                         10d0*Nc*coupl(nGC_363)**2d0*coupl(nGC_4199)**2d0 +    &
                         10d0*Nc*coupl(nGC_369)**2d0*coupl(nGC_374)**2d0 + 10d0&
                         *Nc*coupl(nGC_381)**2d0*coupl(nGC_386)**2d0 + 6d0*    &
                         coupl(nGC_100)*coupl(nGC_77) + 10d0*coupl(nGC_1855)** &
                         2d0*coupl(nGC_375)**2d0 + 40d0*coupl(nGC_1855)*coupl( &
                         nGC_375)**2d0*coupl(nGC_380) + 10d0*coupl(nGC_1879)** &
                         2d0*coupl(nGC_357)**2d0 + 40d0*coupl(nGC_1879)*coupl( &
                         nGC_357)**2d0*coupl(nGC_362) + 3d0*coupl(nGC_224)*    &
                         coupl(nGC_230) + 10d0*coupl(nGC_2325)**2d0*coupl(     &
                         nGC_351)**2d0 + 40d0*coupl(nGC_2325)*coupl(nGC_351)** &
                         2d0*coupl(nGC_356) + 10d0*coupl(nGC_351)**2d0*coupl(  &
                         nGC_356)**2d0 + 10d0*coupl(nGC_357)**2d0*coupl(nGC_362&
                         )**2d0 + 10d0*coupl(nGC_375)**2d0*coupl(nGC_380)**2d0 &
                         )/(48d0*pi**2d0)
      coupl(nGC_22423) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1121)*coupl(    &
                         nGC_206)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_209)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_1121)*    &
                         coupl(nGC_210)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1571 &
                         )*coupl(nGC_206)*coupl(nGC_346) - 4d0*Nc*coupl(       &
                         nGC_1571)*coupl(nGC_209)*coupl(nGC_346) - 4d0*Nc*coupl&
                         (nGC_1571)*coupl(nGC_210)*coupl(nGC_346) + 5d0*Nc*    &
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_4199) + 5d0*Nc&
                         *coupl(nGC_207)*coupl(nGC_334)*coupl(nGC_338) + 5d0*Nc&
                         *coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc&
                         *coupl(nGC_207)*coupl(nGC_382)*coupl(nGC_386) - 4d0*Nc&
                         *coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_338) - 4d0*Nc&
                         *coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_4199) - 4d0* &
                         Nc*coupl(nGC_209)*coupl(nGC_370)*coupl(nGC_374) - 4d0*&
                         Nc*coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_386) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_334)*coupl(nGC_338) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_4199) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_374) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_382)*coupl(nGC_386) + 5d0&
                         *coupl(nGC_1855)*coupl(nGC_208)*coupl(nGC_376) - 4d0* &
                         coupl(nGC_1855)*coupl(nGC_211)*coupl(nGC_376) - 4d0*  &
                         coupl(nGC_1855)*coupl(nGC_212)*coupl(nGC_376) + 5d0*  &
                         coupl(nGC_1879)*coupl(nGC_208)*coupl(nGC_358) - 4d0*  &
                         coupl(nGC_1879)*coupl(nGC_211)*coupl(nGC_358) - 4d0*  &
                         coupl(nGC_1879)*coupl(nGC_212)*coupl(nGC_358) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_2325)*coupl(nGC_352) - 4d0*  &
                         coupl(nGC_211)*coupl(nGC_2325)*coupl(nGC_352) - 4d0*  &
                         coupl(nGC_212)*coupl(nGC_2325)*coupl(nGC_352))/(48d0* &
                         pi**2d0)
      coupl(nGC_22422) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_1271)*coupl(    &
                         nGC_207)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_1271)*coupl&
                         (nGC_209)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_1271)*    &
                         coupl(nGC_210)*coupl(nGC_334) + 5d0*Nc*coupl(nGC_1979 &
                         )*coupl(nGC_207)*coupl(nGC_382) - 4d0*Nc*coupl(       &
                         nGC_1979)*coupl(nGC_209)*coupl(nGC_382) - 4d0*Nc*coupl&
                         (nGC_1979)*coupl(nGC_210)*coupl(nGC_382) + 5d0*Nc*    &
                         coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_343) + 5d0*Nc*&
                         coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_350) + 5d0*Nc*&
                         coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_368) + 5d0*Nc*&
                         coupl(nGC_207)*coupl(nGC_2847)*coupl(nGC_370) - 4d0*Nc&
                         *coupl(nGC_209)*coupl(nGC_2847)*coupl(nGC_370) - 4d0* &
                         Nc*coupl(nGC_209)*coupl(nGC_341)*coupl(nGC_343) - 4d0*&
                         Nc*coupl(nGC_209)*coupl(nGC_346)*coupl(nGC_350) - 4d0*&
                         Nc*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_368) - 4d0*&
                         Nc*coupl(nGC_210)*coupl(nGC_2847)*coupl(nGC_370) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_341)*coupl(nGC_343) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_350) - 4d0&
                         *Nc*coupl(nGC_210)*coupl(nGC_364)*coupl(nGC_368) + 5d0&
                         *coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_356) + 5d0*  &
                         coupl(nGC_208)*coupl(nGC_358)*coupl(nGC_362) + 5d0*   &
                         coupl(nGC_208)*coupl(nGC_376)*coupl(nGC_380) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_356) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_358)*coupl(nGC_362) - 4d0*   &
                         coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_380) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_356) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_362) - 4d0*   &
                         coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_380))/(48d0*pi&
                         **2d0)
      coupl(nGC_22425) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl(   &
                         nGC_344)**2d0 + Nc*coupl(nGC_1271)*coupl(nGC_335)**2d0&
                         *coupl(nGC_3383) + Nc*coupl(nGC_1393)**2d0*coupl(     &
                         nGC_341)*coupl(nGC_344) + Nc*coupl(nGC_1571)*coupl(   &
                         nGC_2475)*coupl(nGC_347)**2d0 + Nc*coupl(nGC_1979)*   &
                         coupl(nGC_3209)*coupl(nGC_383)**2d0 + Nc*coupl(       &
                         nGC_2475)**2d0*coupl(nGC_347)*coupl(nGC_350) + Nc*    &
                         coupl(nGC_2847)*coupl(nGC_371)**2d0*coupl(nGC_789) +  &
                         Nc*coupl(nGC_3209)**2d0*coupl(nGC_383)*coupl(nGC_386  &
                         ) + Nc*coupl(nGC_335)*coupl(nGC_338)*coupl(nGC_3383)**&
                         2d0 + Nc*coupl(nGC_365)**2d0*coupl(nGC_4199)*coupl(   &
                         nGC_867) + Nc*coupl(nGC_365)*coupl(nGC_368)*coupl(    &
                         nGC_867)**2d0 + Nc*coupl(nGC_371)*coupl(nGC_374)*coupl&
                         (nGC_789)**2d0 + coupl(nGC_1855)*coupl(nGC_2353)*coupl&
                         (nGC_377)**2d0 + coupl(nGC_1879)*coupl(nGC_2221)*coupl&
                         (nGC_359)**2d0 + coupl(nGC_2221)**2d0*coupl(nGC_359)* &
                         coupl(nGC_362) + coupl(nGC_2325)*coupl(nGC_3117)*coupl&
                         (nGC_353)**2d0 + coupl(nGC_2353)**2d0*coupl(nGC_377)* &
                         coupl(nGC_380) + coupl(nGC_3117)**2d0*coupl(nGC_353)* &
                         coupl(nGC_356))/(8d0*pi**2d0)
      coupl(nGC_22424) = (-8d0*Nc*cima*coupl(nGC_1121)*coupl(nGC_206)**2d0*    &
                         coupl(nGC_341) + 10d0*Nc*cima*coupl(nGC_1121)*coupl(  &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_341) - 8d0*Nc*cima* &
                         coupl(nGC_1121)*coupl(nGC_209)**2d0*coupl(nGC_341) -  &
                         8d0*Nc*cima*coupl(nGC_1271)*coupl(nGC_207)**2d0*coupl(&
                         nGC_338) + 10d0*Nc*cima*coupl(nGC_1271)*coupl(nGC_207 &
                         )*coupl(nGC_210)*coupl(nGC_338) - 8d0*Nc*cima*coupl(  &
                         nGC_1271)*coupl(nGC_210)**2d0*coupl(nGC_338) - 8d0*Nc*&
                         cima*coupl(nGC_1571)*coupl(nGC_206)**2d0*coupl(nGC_350&
                         ) + 10d0*Nc*cima*coupl(nGC_1571)*coupl(nGC_206)*coupl(&
                         nGC_209)*coupl(nGC_350) - 8d0*Nc*cima*coupl(nGC_1571)*&
                         coupl(nGC_209)**2d0*coupl(nGC_350) - 8d0*Nc*cima*coupl&
                         (nGC_1979)*coupl(nGC_207)**2d0*coupl(nGC_386) + 10d0* &
                         Nc*cima*coupl(nGC_1979)*coupl(nGC_207)*coupl(nGC_210)*&
                         coupl(nGC_386) - 8d0*Nc*cima*coupl(nGC_1979)*coupl(   &
                         nGC_210)**2d0*coupl(nGC_386) - 8d0*Nc*cima*coupl(     &
                         nGC_206)**2d0*coupl(nGC_368)*coupl(nGC_4199) + 10d0*Nc&
                         *cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_368)*   &
                         coupl(nGC_4199) - 8d0*Nc*cima*coupl(nGC_207)**2d0*    &
                         coupl(nGC_2847)*coupl(nGC_374) + 10d0*Nc*cima*coupl(  &
                         nGC_207)*coupl(nGC_210)*coupl(nGC_2847)*coupl(nGC_374 &
                         ) - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_368)*   &
                         coupl(nGC_4199) - 8d0*Nc*cima*coupl(nGC_210)**2d0*    &
                         coupl(nGC_2847)*coupl(nGC_374) + 3d0*cima*coupl(      &
                         nGC_100)*coupl(nGC_195) - 8d0*cima*coupl(nGC_1855)*   &
                         coupl(nGC_208)**2d0*coupl(nGC_380) + 10d0*cima*coupl( &
                         nGC_1855)*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380 &
                         ) - 8d0*cima*coupl(nGC_1855)*coupl(nGC_211)**2d0*coupl&
                         (nGC_380) - 8d0*cima*coupl(nGC_1879)*coupl(nGC_208)** &
                         2d0*coupl(nGC_362) + 10d0*cima*coupl(nGC_1879)*coupl( &
                         nGC_208)*coupl(nGC_211)*coupl(nGC_362) - 8d0*cima*    &
                         coupl(nGC_1879)*coupl(nGC_211)**2d0*coupl(nGC_362) -  &
                         8d0*cima*coupl(nGC_208)**2d0*coupl(nGC_2325)*coupl(   &
                         nGC_356) + 10d0*cima*coupl(nGC_208)*coupl(nGC_211)*   &
                         coupl(nGC_2325)*coupl(nGC_356) - 8d0*cima*coupl(      &
                         nGC_211)**2d0*coupl(nGC_2325)*coupl(nGC_356) + 3d0*   &
                         coupl(nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100&
                         )*coupl(nGC_2539)**2d0)/(24d0*pi**2d0)
      coupl(nGC_22427) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl(   &
                         nGC_339)*coupl(nGC_342) + 2d0*Nc*coupl(nGC_1121)*coupl&
                         (nGC_339)*coupl(nGC_342)*coupl(nGC_344) + 2d0*Nc*coupl&
                         (nGC_1271)*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_336&
                         ) + Nc*coupl(nGC_1271)*coupl(nGC_333)*coupl(nGC_336)* &
                         coupl(nGC_3383) + 2d0*Nc*coupl(nGC_1393)*coupl(nGC_339&
                         )*coupl(nGC_341)*coupl(nGC_342) + Nc*coupl(nGC_1571)* &
                         coupl(nGC_2475)*coupl(nGC_345)*coupl(nGC_348) + 2d0*Nc&
                         *coupl(nGC_1571)*coupl(nGC_345)*coupl(nGC_347)*coupl( &
                         nGC_348) + Nc*coupl(nGC_1979)*coupl(nGC_3209)*coupl(  &
                         nGC_381)*coupl(nGC_384) + 2d0*Nc*coupl(nGC_1979)*coupl&
                         (nGC_381)*coupl(nGC_383)*coupl(nGC_384) + 2d0*Nc*coupl&
                         (nGC_2475)*coupl(nGC_345)*coupl(nGC_348)*coupl(nGC_350&
                         ) + 2d0*Nc*coupl(nGC_2847)*coupl(nGC_369)*coupl(      &
                         nGC_371)*coupl(nGC_372) + Nc*coupl(nGC_2847)*coupl(   &
                         nGC_369)*coupl(nGC_372)*coupl(nGC_789) + 2d0*Nc*coupl(&
                         nGC_3209)*coupl(nGC_381)*coupl(nGC_384)*coupl(nGC_386 &
                         ) + Nc*coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_336)*  &
                         coupl(nGC_338) + 2d0*Nc*coupl(nGC_333)*coupl(nGC_336)*&
                         coupl(nGC_338)*coupl(nGC_3383) + Nc*coupl(nGC_339)*   &
                         coupl(nGC_341)*coupl(nGC_342)*coupl(nGC_344) + Nc*    &
                         coupl(nGC_345)*coupl(nGC_347)*coupl(nGC_348)*coupl(   &
                         nGC_350) + Nc*coupl(nGC_363)*coupl(nGC_365)*coupl(    &
                         nGC_366)*coupl(nGC_368) + 2d0*Nc*coupl(nGC_363)*coupl(&
                         nGC_365)*coupl(nGC_366)*coupl(nGC_4199) + 2d0*Nc*coupl&
                         (nGC_363)*coupl(nGC_366)*coupl(nGC_368)*coupl(nGC_867 &
                         ) + Nc*coupl(nGC_363)*coupl(nGC_366)*coupl(nGC_4199)* &
                         coupl(nGC_867) + Nc*coupl(nGC_369)*coupl(nGC_371)*    &
                         coupl(nGC_372)*coupl(nGC_374) + 2d0*Nc*coupl(nGC_369)*&
                         coupl(nGC_372)*coupl(nGC_374)*coupl(nGC_789) + Nc*    &
                         coupl(nGC_381)*coupl(nGC_383)*coupl(nGC_384)*coupl(   &
                         nGC_386) + coupl(nGC_1855)*coupl(nGC_2353)*coupl(     &
                         nGC_375)*coupl(nGC_378) + 2d0*coupl(nGC_1855)*coupl(  &
                         nGC_375)*coupl(nGC_377)*coupl(nGC_378) + coupl(       &
                         nGC_1879)*coupl(nGC_2221)*coupl(nGC_357)*coupl(nGC_360&
                         ) + 2d0*coupl(nGC_1879)*coupl(nGC_357)*coupl(nGC_359)*&
                         coupl(nGC_360) + 2d0*coupl(nGC_2221)*coupl(nGC_357)*  &
                         coupl(nGC_360)*coupl(nGC_362) + coupl(nGC_2325)*coupl(&
                         nGC_3117)*coupl(nGC_351)*coupl(nGC_354) + 2d0*coupl(  &
                         nGC_2325)*coupl(nGC_351)*coupl(nGC_353)*coupl(nGC_354 &
                         ) + 2d0*coupl(nGC_2353)*coupl(nGC_375)*coupl(nGC_378)*&
                         coupl(nGC_380) + 2d0*coupl(nGC_3117)*coupl(nGC_351)*  &
                         coupl(nGC_354)*coupl(nGC_356) + coupl(nGC_351)*coupl( &
                         nGC_353)*coupl(nGC_354)*coupl(nGC_356) + coupl(nGC_357&
                         )*coupl(nGC_359)*coupl(nGC_360)*coupl(nGC_362) + coupl&
                         (nGC_375)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_380 &
                         ))/(24d0*pi**2d0)
      coupl(nGC_22426) = 5d0*cima*(Nc*coupl(nGC_1121)*coupl(nGC_1393)*coupl(   &
                         nGC_339)**2d0 + 2d0*Nc*coupl(nGC_1121)*coupl(nGC_339  &
                         )**2d0*coupl(nGC_344) + 2d0*Nc*coupl(nGC_1271)*coupl( &
                         nGC_335)*coupl(nGC_336)**2d0 + Nc*coupl(nGC_1271)*    &
                         coupl(nGC_336)**2d0*coupl(nGC_3383) + 2d0*Nc*coupl(   &
                         nGC_1393)*coupl(nGC_339)**2d0*coupl(nGC_341) + Nc*    &
                         coupl(nGC_1571)*coupl(nGC_2475)*coupl(nGC_348)**2d0 + &
                         2d0*Nc*coupl(nGC_1571)*coupl(nGC_347)*coupl(nGC_348)**&
                         2d0 + Nc*coupl(nGC_1979)*coupl(nGC_3209)*coupl(nGC_384&
                         )**2d0 + 2d0*Nc*coupl(nGC_1979)*coupl(nGC_383)*coupl( &
                         nGC_384)**2d0 + 2d0*Nc*coupl(nGC_2475)*coupl(nGC_348  &
                         )**2d0*coupl(nGC_350) + 2d0*Nc*coupl(nGC_2847)*coupl( &
                         nGC_371)*coupl(nGC_372)**2d0 + Nc*coupl(nGC_2847)*    &
                         coupl(nGC_372)**2d0*coupl(nGC_789) + 2d0*Nc*coupl(    &
                         nGC_3209)*coupl(nGC_384)**2d0*coupl(nGC_386) + Nc*    &
                         coupl(nGC_335)*coupl(nGC_336)**2d0*coupl(nGC_338) +   &
                         2d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)*coupl(      &
                         nGC_3383) + Nc*coupl(nGC_339)**2d0*coupl(nGC_341)*    &
                         coupl(nGC_344) + Nc*coupl(nGC_347)*coupl(nGC_348)**2d0&
                         *coupl(nGC_350) + Nc*coupl(nGC_365)*coupl(nGC_366)**  &
                         2d0*coupl(nGC_368) + 2d0*Nc*coupl(nGC_365)*coupl(     &
                         nGC_366)**2d0*coupl(nGC_4199) + 2d0*Nc*coupl(nGC_366  &
                         )**2d0*coupl(nGC_368)*coupl(nGC_867) + Nc*coupl(      &
                         nGC_366)**2d0*coupl(nGC_4199)*coupl(nGC_867) + Nc*    &
                         coupl(nGC_371)*coupl(nGC_372)**2d0*coupl(nGC_374) +   &
                         2d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)*coupl(      &
                         nGC_789) + Nc*coupl(nGC_383)*coupl(nGC_384)**2d0*coupl&
                         (nGC_386) + coupl(nGC_1855)*coupl(nGC_2353)*coupl(    &
                         nGC_378)**2d0 + 2d0*coupl(nGC_1855)*coupl(nGC_377)*   &
                         coupl(nGC_378)**2d0 + coupl(nGC_1879)*coupl(nGC_2221)*&
                         coupl(nGC_360)**2d0 + 2d0*coupl(nGC_1879)*coupl(      &
                         nGC_359)*coupl(nGC_360)**2d0 + 2d0*coupl(nGC_2221)*   &
                         coupl(nGC_360)**2d0*coupl(nGC_362) + coupl(nGC_2325)* &
                         coupl(nGC_3117)*coupl(nGC_354)**2d0 + 2d0*coupl(      &
                         nGC_2325)*coupl(nGC_353)*coupl(nGC_354)**2d0 + 2d0*   &
                         coupl(nGC_2353)*coupl(nGC_378)**2d0*coupl(nGC_380) +  &
                         2d0*coupl(nGC_3117)*coupl(nGC_354)**2d0*coupl(nGC_356 &
                         ) + coupl(nGC_353)*coupl(nGC_354)**2d0*coupl(nGC_356  &
                         ) + coupl(nGC_359)*coupl(nGC_360)**2d0*coupl(nGC_362  &
                         ) + coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_380  &
                         ))/(24d0*pi**2d0)
      coupl(nGC_35018) = coupl(nGC_191)*dZWMinus_QED2 + coupl(nGC_22699)
      coupl(nGC_34542) = coupl(nGC_22576) + coupl(nGC_233)*dZHh_QED2 + coupl(  &
                         nGC_233)*dZHl_QED2/2d0 + coupl(nGC_235)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_236)*dZHlHh_QED2 + coupl(             &
                         nGC_TS_GC_17_Hh) + coupl(nGC_TS_GC_20_Hl)
      coupl(nGC_44649) = coupl(nGC_22578) + 3d0*coupl(nGC_234)*dZHl_QED2/2d0 + &
                         3d0*coupl(nGC_236)*dZHhHl_QED2/2d0 + coupl(           &
                         nGC_TS_GC_16_Hh) + coupl(nGC_TS_GC_18_Hl)
      coupl(nGC_39640) = coupl(nGC_37074) + coupl(nGC_39639)
      coupl(nGC_22043) = (coupl(nGC_1855)*coupl(nGC_380)*coupl(nGC_4) - 2d0*   &
                         coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211  &
                         )**2d0*coupl(nGC_4) + coupl(nGC_2353)*coupl(nGC_377)* &
                         coupl(nGC_4) + coupl(nGC_375)**2d0*coupl(nGC_4) +     &
                         coupl(nGC_378)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)** &
                         3d0)/(32d0*pi**2d0)
      coupl(nGC_22348) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1121)*coupl(nGC_206)*&
                         coupl(nGC_341) - Nc*cima*coupl(nGC_1)*coupl(nGC_1121)*&
                         coupl(nGC_209)*coupl(nGC_341) - Nc*cima*coupl(nGC_1)* &
                         coupl(nGC_1571)*coupl(nGC_206)*coupl(nGC_350) - Nc*   &
                         cima*coupl(nGC_1)*coupl(nGC_1571)*coupl(nGC_209)*coupl&
                         (nGC_350) - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                         nGC_368)*coupl(nGC_4199) - Nc*cima*coupl(nGC_1)*coupl(&
                         nGC_209)*coupl(nGC_368)*coupl(nGC_4199) - Nc*cima*    &
                         coupl(nGC_1271)*coupl(nGC_2)*coupl(nGC_207)*coupl(    &
                         nGC_338) - Nc*cima*coupl(nGC_1271)*coupl(nGC_2)*coupl(&
                         nGC_210)*coupl(nGC_338) - Nc*cima*coupl(nGC_1979)*    &
                         coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_386) - Nc*cima* &
                         coupl(nGC_1979)*coupl(nGC_2)*coupl(nGC_210)*coupl(    &
                         nGC_386) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl( &
                         nGC_2847)*coupl(nGC_374) - Nc*cima*coupl(nGC_2)*coupl(&
                         nGC_210)*coupl(nGC_2847)*coupl(nGC_374) + cima*coupl( &
                         nGC_100)*coupl(nGC_205) - cima*coupl(nGC_1855)*coupl( &
                         nGC_208)*coupl(nGC_380)*coupl(nGC_4) - cima*coupl(    &
                         nGC_1855)*coupl(nGC_211)*coupl(nGC_380)*coupl(nGC_4   &
                         ) - cima*coupl(nGC_1879)*coupl(nGC_208)*coupl(nGC_362 &
                         )*coupl(nGC_4) - cima*coupl(nGC_1879)*coupl(nGC_211)* &
                         coupl(nGC_362)*coupl(nGC_4) - cima*coupl(nGC_208)*    &
                         coupl(nGC_2325)*coupl(nGC_356)*coupl(nGC_4) - cima*   &
                         coupl(nGC_211)*coupl(nGC_2325)*coupl(nGC_356)*coupl(  &
                         nGC_4) + coupl(nGC_100)*coupl(nGC_199)*coupl(nGC_3) + &
                         coupl(nGC_100)*coupl(nGC_2539)*coupl(nGC_3285))/(8d0* &
                         pi**2d0)
      coupl(nGC_32801) = coupl(nGC_32714) + coupl(nGC_32800)
      coupl(nGC_35015) = coupl(nGC_22581) + coupl(nGC_245)*dZHa_QED2/2d0 +     &
                         coupl(nGC_245)*dZHh_QED2/2d0 + coupl(nGC_250)*        &
                         dZG0Ha_QED2/2d0 + coupl(nGC_253)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_254)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_39_Hh&
                         ) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_33143) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_22701)
      coupl(nGC_34958) = coupl(nGC_34947) + coupl(nGC_34956)
      coupl(nGC_36756) = coupl(nGC_36753) + coupl(nGC_36754)
      coupl(nGC_36757) = coupl(nGC_36754) + coupl(nGC_36755)
      coupl(nGC_37355) = -coupl(nGC_37353) - coupl(nGC_37354)
      coupl(nGC_32720) = coupl(nGC_32714) + coupl(nGC_32717)
      coupl(nGC_59207) = -coupl(nGC_22090)
      coupl(nGC_58847) = -coupl(nGC_22094)
      coupl(nGC_37021) = coupl(nGC_37012) + coupl(nGC_37020)
      coupl(nGC_34501) = -coupl(nGC_34500)
      coupl(nGC_37180) = -coupl(nGC_37178) - coupl(nGC_37179)
      coupl(nGC_37181) = coupl(nGC_37178) + coupl(nGC_37179)
      coupl(nGC_34525) = -coupl(nGC_34523) + coupl(nGC_34524)
      coupl(nGC_40189) = coupl(nGC_36754) + coupl(nGC_40186)
      coupl(nGC_39539) = coupl(nGC_36754) + coupl(nGC_39536)
      coupl(nGC_39538) = coupl(nGC_36754) + coupl(nGC_39537)
      coupl(nGC_32622) = coupl(nGC_32618) + coupl(nGC_32621)
      coupl(nGC_34478) = coupl(nGC_34474) + coupl(nGC_34477)
      coupl(nGC_34933) = -coupl(nGC_34930) - coupl(nGC_34932)
    end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
