!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_22868) = coupl(nGC_781)*dMZ2_QED2
      coupl(nGC_39426) = coupl(nGC_353)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_22860) = -cima*dMS_QED2
      coupl(nGC_22863) = -cima*dMB_QCD2
      coupl(nGC_22862) = -cima*dMB_QED2
      coupl(nGC_22865) = cima*dMW2_QED2
      coupl(nGC_22864) = cima*dMZ2_QED2
      coupl(nGC_22867) = coupl(nGC_777)*dMW2_QED2
      coupl(nGC_46754) = 2d0*coupl(nGC_69)*dZG0
      coupl(nGC_35091) = coupl(nGC_249)*dZGMinus
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
      coupl(nGC_33201) = coupl(nGC_215)*dZG0/2d0
      coupl(nGC_51663) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_51669) = -coupl(nGC_51663)
      coupl(nGC_22681) = coupl(nGC_21497)*dyt1_QED1_QCD2 + coupl(nGC_21499)*   &
                         dyt2_QED1_QCD2
      coupl(nGC_34322) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_34329) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_34328) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_22682) = coupl(nGC_21497)*dyt1_QED3 + coupl(nGC_21498)*da_QED2 &
                          + coupl(nGC_21499)*dyt2_QED3
      coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
      coupl(nGC_22684) = coupl(nGC_21354)*dyup1_QED1_QCD2 + coupl(nGC_21355)*  &
                         dyup2_QED1_QCD2
      coupl(nGC_33029) = coupl(nGC_349)*dZGMinus/2d0
      coupl(nGC_33157) = coupl(nGC_354)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_45269) = coupl(nGC_172)*dZGMinus/2d0
      coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_32173) = coupl(nGC_205)*dZA_QED2/2d0 + coupl(nGC_205)*         &
                         dZWMinus_QED2 + coupl(nGC_205)*dZZ_QED2/2d0 + coupl(  &
                         nGC_22720)
      coupl(nGC_32772) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_32777) = coupl(nGC_218)*dZGMinus
      coupl(nGC_22707) = coupl(nGC_21371)*dsw_QED2 + coupl(nGC_21372)*         &
                         dvev2_QED1 + coupl(nGC_21373)*dvev1_QED1 + coupl(     &
                         nGC_21374)*dZee_QED2 + coupl(nGC_21375)*da_QED2
      coupl(nGC_33780) = coupl(nGC_22655) + coupl(nGC_377)*dZHaG0_QED2/2d0
      coupl(nGC_33837) = coupl(nGC_22657) + coupl(nGC_357)*dZHlHh_QED2/2d0 +   &
                         coupl(nGC_360)*dZHh_QED2/2d0
      coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
      coupl(nGC_32307) = coupl(nGC_372)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_32306) = coupl(nGC_372)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_22107) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22105) = coupl(nGC_13)**2d0*coupl(nGC_1571)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22103) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_35263) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_36209) = coupl(nGC_339)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_35315) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_35880) = coupl(nGC_205)*dZAZ_QED2
      coupl(nGC_32763) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_34135) = coupl(nGC_373)*dZGMinus/2d0
      coupl(nGC_33304) = coupl(nGC_13)*dZbR_QCD2
      coupl(nGC_33302) = coupl(nGC_13)*dZbL_QCD2
      coupl(nGC_33303) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_33301) = coupl(nGC_13)*dZbL_QED2
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
