!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_22577) = coupl(nGC_21163)*dl3_QED4 + coupl(nGC_21164)*db_QED2  &
                          + coupl(nGC_21165)*dl2_QED4 + coupl(nGC_21166)*      &
                         dl5_QED4 + coupl(nGC_21167)*dvev2_QED1 + coupl(       &
                         nGC_21168)*dvev1_QED1 + coupl(nGC_21169)*dl1_QED4 +   &
                         coupl(nGC_21170)*dl4_QED4 + coupl(nGC_21171)*da_QED2
      coupl(nGC_22576) = coupl(nGC_21686)*dl3_QED4 + coupl(nGC_21687)*dl1_QED4 &
                          + coupl(nGC_21688)*dl2_QED4 + coupl(nGC_21689)*      &
                         dl5_QED4 + coupl(nGC_21690)*dl4_QED4 + coupl(nGC_21691&
                         )*dvev1_QED1 + coupl(nGC_21692)*dvev2_QED1 + coupl(   &
                         nGC_21693)*da_QED2
      coupl(nGC_22575) = coupl(nGC_20899)*dl3_QED4 + coupl(nGC_20900)*db_QED2  &
                          + coupl(nGC_20901)*dl2_QED4 + coupl(nGC_20902)*      &
                         dl5_QED4 + coupl(nGC_20903)*dvev2_QED1 + coupl(       &
                         nGC_20904)*dvev1_QED1 + coupl(nGC_20905)*dl1_QED4 +   &
                         coupl(nGC_20906)*dl4_QED4 + coupl(nGC_20907)*da_QED2
      coupl(nGC_22574) = coupl(nGC_20945)*dl3_QED4 + coupl(nGC_20946)*db_QED2  &
                          + coupl(nGC_20947)*dl2_QED4 + coupl(nGC_20948)*      &
                         dl5_QED4 + coupl(nGC_20949)*dvev2_QED1 + coupl(       &
                         nGC_20950)*dvev1_QED1 + coupl(nGC_20951)*dl1_QED4 +   &
                         coupl(nGC_20952)*dl4_QED4 + coupl(nGC_20953)*da_QED2
      coupl(nGC_32352) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_32353) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_32359) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_22688) = coupl(nGC_579)*dyt2_QED3 + coupl(nGC_581)*db_QED2 +   &
                         coupl(nGC_583)*dyt1_QED3
      coupl(nGC_36451) = coupl(nGC_386)*dZG0/2d0
      coupl(nGC_22683) = coupl(nGC_21353)*db_QED2 + coupl(nGC_21354)*dyup1_QED3&
                          + coupl(nGC_21355)*dyup2_QED3
      coupl(nGC_22685) = coupl(nGC_21501)*db_QED2 + coupl(nGC_21502)*dyc1_QED3 &
                          + coupl(nGC_21503)*dyc2_QED3
      coupl(nGC_22176) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -   &
                         coupl(nGC_2221)*coupl(nGC_357)**2d0 - coupl(nGC_2221)*&
                         coupl(nGC_359)**2d0 - coupl(nGC_2221)*coupl(nGC_360)**&
                         2d0 - coupl(nGC_2221)*coupl(nGC_362)**2d0 + 8d0*coupl(&
                         nGC_359)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22175) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22174) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_347) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_347) - coupl(       &
                         nGC_2475)*coupl(nGC_345)**2d0 - coupl(nGC_2475)*coupl(&
                         nGC_347)**2d0 - coupl(nGC_2475)*coupl(nGC_348)**2d0 - &
                         coupl(nGC_2475)*coupl(nGC_350)**2d0 - coupl(nGC_3209)*&
                         coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_3209)*coupl(&
                         nGC_349)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_22173) = coupl(nGC_13)**2d0*coupl(nGC_2475)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22172) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2475) - coupl(       &
                         nGC_1571)**2d0*coupl(nGC_347) + 8d0*coupl(nGC_206)*   &
                         coupl(nGC_209)*coupl(nGC_2475) - coupl(nGC_2475)**2d0*&
                         coupl(nGC_347) - coupl(nGC_345)**2d0*coupl(nGC_347) - &
                         coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_383) - coupl( &
                         nGC_347)*coupl(nGC_348)**2d0 - coupl(nGC_349)*coupl(  &
                         nGC_383)*coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_22171) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_3117) -  &
                         coupl(nGC_2325)**2d0*coupl(nGC_353) - coupl(nGC_3117  &
                         )**2d0*coupl(nGC_353) + 8d0*coupl(nGC_3117)*coupl(    &
                         nGC_4)**2d0 - coupl(nGC_351)**2d0*coupl(nGC_353) -    &
                         coupl(nGC_353)*coupl(nGC_354)**2d0)/(32d0*pi**2d0)
      coupl(nGC_22170) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -   &
                         coupl(nGC_3117)*coupl(nGC_351)**2d0 - coupl(nGC_3117)*&
                         coupl(nGC_353)**2d0 - coupl(nGC_3117)*coupl(nGC_354)**&
                         2d0 - coupl(nGC_3117)*coupl(nGC_356)**2d0 + 8d0*coupl(&
                         nGC_353)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_45347) = coupl(nGC_201)*dZZA_QED2/2d0 + coupl(nGC_22591) +     &
                         coupl(nGC_5)*dZA_QED2/2d0
      coupl(nGC_22179) = coupl(nGC_13)**2d0*coupl(nGC_867)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_22178) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_867) + 8d0*coupl(    &
                         nGC_206)*coupl(nGC_209)*coupl(nGC_867) - coupl(nGC_334&
                         )*coupl(nGC_335)*coupl(nGC_364) - coupl(nGC_335)*coupl&
                         (nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl( &
                         nGC_365) - coupl(nGC_365)*coupl(nGC_366)**2d0 - coupl(&
                         nGC_365)*coupl(nGC_4199)**2d0 - coupl(nGC_365)*coupl( &
                         nGC_867)**2d0)/(32d0*pi**2d0)
      coupl(nGC_32226) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_32227) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_22165) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 - &
                         1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_32220) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_32221) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_35619) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_34212) = coupl(nGC_13)*dZuL_QED2
      coupl(nGC_35616) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_35617) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_39601) = coupl(nGC_209)*dZsL_QCD2
      coupl(nGC_32427) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_35618) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_21974) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*  &
                         cMC**2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*  &
                         cima*coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(&
                         nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)** &
                         2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0* &
                         cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima*&
                         coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375&
                         )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl( &
                         nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl( &
                         nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_39465) = coupl(nGC_363)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_39464) = coupl(nGC_363)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_22163) = coupl(nGC_13)**2d0*coupl(nGC_1393)*sq2**2d0*(Nc**2d0  &
                          - 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_33106) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_34217) = coupl(nGC_13)*dZuR_QCD2
      coupl(nGC_22730) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_32516) = coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_32424) = coupl(nGC_201)*dZZ_QED2/2d0 + coupl(nGC_22594) + coupl&
                         (nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_34321) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_33117) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_37604) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
