!******************************************************************************!
!                                                                              !
!    ctparameter177.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter177.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter177
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter177()
  dZG0Ha_QED2 = (-8d0*Nc*Ten418*cMU**2d0*coupl(nGC_383)*coupl(nGC_386)/cMHA**  &
                2d0 - 8d0*Nc*Ten419*cMC**2d0*coupl(nGC_335)*coupl(nGC_338)/cMHA&
                **2d0 - 8d0*Nc*Ten420*cMT**2d0*coupl(nGC_371)*coupl(nGC_374)/  &
                cMHA**2d0 - 8d0*Nc*Ten421*cMD**2d0*coupl(nGC_347)*coupl(nGC_350&
                )/cMHA**2d0 - 8d0*Nc*Ten422*cMS**2d0*coupl(nGC_365)*coupl(     &
                nGC_368)/cMHA**2d0 - 8d0*Nc*Ten423*cMB**2d0*coupl(nGC_341)*    &
                coupl(nGC_344)/cMHA**2d0 + 8d0*Nc*Ten434*coupl(nGC_383)*coupl( &
                nGC_386) + 32d0*Nc*Ten435*coupl(nGC_383)*coupl(nGC_386)/cMHA** &
                2d0 + 8d0*Nc*Ten436*coupl(nGC_383)*coupl(nGC_386) + 8d0*Nc*    &
                Ten437*coupl(nGC_335)*coupl(nGC_338) + 32d0*Nc*Ten438*coupl(   &
                nGC_335)*coupl(nGC_338)/cMHA**2d0 + 8d0*Nc*Ten439*coupl(nGC_335&
                )*coupl(nGC_338) + 8d0*Nc*Ten440*coupl(nGC_371)*coupl(nGC_374  &
                ) + 32d0*Nc*Ten441*coupl(nGC_371)*coupl(nGC_374)/cMHA**2d0 +   &
                8d0*Nc*Ten442*coupl(nGC_371)*coupl(nGC_374) + 8d0*Nc*Ten443*   &
                coupl(nGC_347)*coupl(nGC_350) + 32d0*Nc*Ten444*coupl(nGC_347)* &
                coupl(nGC_350)/cMHA**2d0 + 8d0*Nc*Ten445*coupl(nGC_347)*coupl( &
                nGC_350) + 8d0*Nc*Ten446*coupl(nGC_365)*coupl(nGC_368) + 32d0* &
                Nc*Ten447*coupl(nGC_365)*coupl(nGC_368)/cMHA**2d0 + 8d0*Nc*    &
                Ten448*coupl(nGC_365)*coupl(nGC_368) + 8d0*Nc*Ten449*coupl(    &
                nGC_341)*coupl(nGC_344) + 32d0*Nc*Ten450*coupl(nGC_341)*coupl( &
                nGC_344)/cMHA**2d0 + 8d0*Nc*Ten451*coupl(nGC_341)*coupl(nGC_344&
                ) - cima*Ten0*coupl(nGC_131)/cMHA**2d0 - cima*Ten1*coupl(nGC_59&
                )/cMHA**2d0 - 2d0*cima*Ten13*coupl(nGC_54)/cMHA**2d0 - cima*   &
                Ten14*coupl(nGC_58)/cMHA**2d0 - cima*Ten2*coupl(nGC_135)/cMHA**&
                2d0 - 2d0*cima*Ten3*coupl(nGC_55)/cMHA**2d0 + 2d0*Ten411*(4d0* &
                cMHA**2d0*coupl(nGC_214)*coupl(nGC_216) + coupl(nGC_296)*coupl(&
                nGC_312))/cMHA**2d0 + 2d0*Ten412*(4d0*cMHA**2d0*coupl(nGC_213)*&
                coupl(nGC_216) + coupl(nGC_294)*coupl(nGC_310))/cMHA**2d0 + 2d0&
                *Ten413*coupl(nGC_280)*coupl(nGC_290)/cMHA**2d0 + 2d0*Ten414*  &
                coupl(nGC_278)*coupl(nGC_289)/cMHA**2d0 - 8d0*Ten415*cME**2d0* &
                coupl(nGC_353)*coupl(nGC_356)/cMHA**2d0 - 8d0*Ten416*cMM**2d0* &
                coupl(nGC_359)*coupl(nGC_362)/cMHA**2d0 - 8d0*Ten417*cMTA**2d0*&
                coupl(nGC_377)*coupl(nGC_380)/cMHA**2d0 + 8d0*Ten425*coupl(    &
                nGC_353)*coupl(nGC_356) + 32d0*Ten426*coupl(nGC_353)*coupl(    &
                nGC_356)/cMHA**2d0 + 8d0*Ten427*coupl(nGC_353)*coupl(nGC_356   &
                ) + 8d0*Ten428*coupl(nGC_359)*coupl(nGC_362) + 32d0*Ten429*    &
                coupl(nGC_359)*coupl(nGC_362)/cMHA**2d0 + 8d0*Ten430*coupl(    &
                nGC_359)*coupl(nGC_362) + 8d0*Ten431*coupl(nGC_377)*coupl(     &
                nGC_380) + 32d0*Ten432*coupl(nGC_377)*coupl(nGC_380)/cMHA**2d0 &
                 + 8d0*Ten433*coupl(nGC_377)*coupl(nGC_380) + pi**2d0*(-8d0*Nc*&
                cMB**2d0*coupl(nGC_341)*coupl(nGC_344)/(pi**2d0*cMHA**2d0) -   &
                8d0*Nc*cMC**2d0*coupl(nGC_335)*coupl(nGC_338)/(pi**2d0*cMHA**  &
                2d0) - 8d0*Nc*cMD**2d0*coupl(nGC_347)*coupl(nGC_350)/(pi**2d0* &
                cMHA**2d0) + 4d0*Nc*coupl(nGC_335)*coupl(nGC_338)/(3d0*pi**2d0 &
                ) + 4d0*Nc*coupl(nGC_341)*coupl(nGC_344)/(3d0*pi**2d0) + 4d0*Nc&
                *coupl(nGC_347)*coupl(nGC_350)/(3d0*pi**2d0) + 4d0*Nc*coupl(   &
                nGC_365)*coupl(nGC_368)/(3d0*pi**2d0) + 4d0*Nc*coupl(nGC_371)* &
                coupl(nGC_374)/(3d0*pi**2d0) + 4d0*Nc*coupl(nGC_383)*coupl(    &
                nGC_386)/(3d0*pi**2d0) - 8d0*Nc*cMS**2d0*coupl(nGC_365)*coupl( &
                nGC_368)/(pi**2d0*cMHA**2d0) - 8d0*Nc*cMT**2d0*coupl(nGC_371)* &
                coupl(nGC_374)/(pi**2d0*cMHA**2d0) - 8d0*Nc*cMU**2d0*coupl(    &
                nGC_383)*coupl(nGC_386)/(pi**2d0*cMHA**2d0) - 8d0*cME**2d0*    &
                coupl(nGC_353)*coupl(nGC_356)/(pi**2d0*cMHA**2d0) + 4d0*coupl( &
                nGC_353)*coupl(nGC_356)/(3d0*pi**2d0) + 4d0*coupl(nGC_359)*    &
                coupl(nGC_362)/(3d0*pi**2d0) + 4d0*coupl(nGC_377)*coupl(nGC_380&
                )/(3d0*pi**2d0) - 8d0*cMM**2d0*coupl(nGC_359)*coupl(nGC_362)/( &
                pi**2d0*cMHA**2d0) - 8d0*cMTA**2d0*coupl(nGC_377)*coupl(nGC_380&
                )/(pi**2d0*cMHA**2d0)))/(16d0*pi**2d0) - 2d0*cima*coupl(nGC_253&
                )*dtHl_QED1/(cMHA**2d0*cMHL**2d0) - 2d0*cima*coupl(nGC_245)*   &
                dtHh_QED1/(cMHA**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZG0Ha_QED2 = cone*real(dZG0Ha_QED2,kind=dp)
    end if 
end subroutine set_ctparameter177
end module ctparameter177
