!******************************************************************************!
!                                                                              !
!    vertices_info22.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info22.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info22
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl22()
      allocate(vertices(10316)%branchR2(0:0))
      call avR2(10316, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59251])

      allocate(vertices(5073)%branchR2(0:0))
      call avR2(5073, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(10593)%branchR2(0:0))
      call avR2(10593, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22484, nGC_22484,    &
      nGC_22484])

      allocate(vertices(10318)%branchR2(0:0))
      call avR2(10318, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(10594)%branchR2(0:1))
      call avR2(10594, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22397])

      call avR2(10594, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(3909)%branchR2(0:0))
      call avR2(3909, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22072])

      allocate(vertices(3456)%branchR2(0:0))
      call avR2(3456, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9189)%branchR2(0:0))
      call avR2(9189, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3531)%branchR2(0:0))
      call avR2(3531, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(10595)%branchR2(0:1))
      call avR2(10595, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22444])

      call avR2(10595, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(8293)%branchR2(0:0))
      call avR2(8293, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(4455)%branchR2(0:0))
      call avR2(4455, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(10596)%branchR2(0:1))
      call avR2(10596, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22397])

      call avR2(10596, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(8447)%branchR2(0:0))
      call avR2(8447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10300)%branchR2(0:0))
      call avR2(10300, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(10597)%branchR2(0:0))
      call avR2(10597, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22331, nGC_22331,    &
      nGC_22331])

      allocate(vertices(10598)%branchR2(0:0))
      call avR2(10598, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(4159)%branchR2(0:0))
      call avR2(4159, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22467])

      allocate(vertices(2547)%branchR2(0:0))
      call avR2(2547, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(7078)%branchR2(0:0))
      call avR2(7078, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(6138)%branchR2(0:0))
      call avR2(6138, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(5880)%branchR2(0:0))
      call avR2(5880, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(6001)%branchR2(0:0))
      call avR2(6001, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(7010)%branchR2(0:0))
      call avR2(7010, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22147])

      allocate(vertices(9406)%branchR2(0:0))
      call avR2(9406, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(7778)%branchR2(0:0))
      call avR2(7778, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22073])

      allocate(vertices(7465)%branchR2(0:1))
      call avR2(7465, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(7465, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(9741)%branchR2(0:0))
      call avR2(9741, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(7233)%branchR2(0:0))
      call avR2(7233, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(6788)%branchR2(0:1))
      call avR2(6788, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(6788, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(3100)%branchR2(0:0))
      call avR2(3100, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(4372)%branchR2(0:0))
      call avR2(4372, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(10599)%branchR2(0:1))
      call avR2(10599, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22465])

      call avR2(10599, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22466])

      allocate(vertices(8681)%branchR2(0:0))
      call avR2(8681, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(5186)%branchR2(0:0))
      call avR2(5186, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(9576)%branchR2(0:0))
      call avR2(9576, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(3948)%branchR2(0:0))
      call avR2(3948, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(7313)%branchR2(0:0))
      call avR2(7313, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22196])

      allocate(vertices(6780)%branchR2(0:0))
      call avR2(6780, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9458)%branchR2(0:0))
      call avR2(9458, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(9279)%branchR2(0:0))
      call avR2(9279, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22055])

      allocate(vertices(9130)%branchR2(0:0))
      call avR2(9130, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22037])

      allocate(vertices(6785)%branchR2(0:0))
      call avR2(6785, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22056])

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(6540)%branchR2(0:0))
      call avR2(6540, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22194])

      allocate(vertices(8073)%branchR2(0:0))
      call avR2(8073, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_59333])

      allocate(vertices(8065)%branchR2(0:0))
      call avR2(8065, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(10375)%branchR2(0:0))
      call avR2(10375, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10272)%branchR2(0:0))
      call avR2(10272, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(4529)%branchR2(0:1))
      call avR2(4529, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(4529, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(3580)%branchR2(0:0))
      call avR2(3580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6008)%branchR2(0:0))
      call avR2(6008, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(3957)%branchR2(0:0))
      call avR2(3957, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(5275)%branchR2(0:0))
      call avR2(5275, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(4392)%branchR2(0:0))
      call avR2(4392, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(8663)%branchR2(0:0))
      call avR2(8663, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22150])

      allocate(vertices(9330)%branchR2(0:0))
      call avR2(9330, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(10600)%branchR2(0:0))
      call avR2(10600, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(10138)%branchR2(0:0))
      call avR2(10138, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(844)%branchR2(0:1))
      call avR2(844, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(844, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22146])

      allocate(vertices(4977)%branchR2(0:1))
      call avR2(4977, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(4977, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(5517)%branchR2(0:0))
      call avR2(5517, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(9045)%branchR2(0:0))
      call avR2(9045, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(180)%branchR2(0:3))
      call avR2(180, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(180, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(180, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(180, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(7678)%branchR2(0:0))
      call avR2(7678, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10164)%branchR2(0:0))
      call avR2(10164, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(8827)%branchR2(0:0))
      call avR2(8827, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(10601)%branchR2(0:1))
      call avR2(10601, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10601, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(7642)%branchR2(0:0))
      call avR2(7642, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(10602)%branchR2(0:1))
      call avR2(10602, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22397])

      call avR2(10602, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(5428)%branchR2(0:0))
      call avR2(5428, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57747])

      allocate(vertices(6289)%branchR2(0:0))
      call avR2(6289, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10603)%branchR2(0:1))
      call avR2(10603, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10603, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(10604)%branchR2(0:0))
      call avR2(10604, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22322])

      allocate(vertices(5979)%branchR2(0:0))
      call avR2(5979, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22161])

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(5518)%branchR2(0:0))
      call avR2(5518, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(7881)%branchR2(0:0))
      call avR2(7881, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9628)%branchR2(0:0))
      call avR2(9628, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(9146)%branchR2(0:0))
      call avR2(9146, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22010])

      allocate(vertices(691)%branchR2(0:1))
      call avR2(691, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22232, nGC_22233])

      call avR2(691, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22234, nGC_22234])

      allocate(vertices(9408)%branchR2(0:0))
      call avR2(9408, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(7402)%branchR2(0:0))
      call avR2(7402, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22478,     &
      nGC_22479])

      allocate(vertices(5008)%branchR2(0:0))
      call avR2(5008, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10159)%branchR2(0:0))
      call avR2(10159, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(3837)%branchR2(0:0))
      call avR2(3837, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(5656)%branchR2(0:1))
      call avR2(5656, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(5656, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(4665)%branchR2(0:1))
      call avR2(4665, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(4665, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(10405)%branchR2(0:0))
      call avR2(10405, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22077])

      allocate(vertices(9605)%branchR2(0:0))
      call avR2(9605, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(10418)%branchR2(0:0))
      call avR2(10418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(5023)%branchR2(0:0))
      call avR2(5023, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22015])

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22056])

      allocate(vertices(8319)%branchR2(0:0))
      call avR2(8319, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(9316)%branchR2(0:0))
      call avR2(9316, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(8528)%branchR2(0:1))
      call avR2(8528, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(8528, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(9659)%branchR2(0:0))
      call avR2(9659, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(7241)%branchR2(0:0))
      call avR2(7241, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22015])

      allocate(vertices(5422)%branchR2(0:0))
      call avR2(5422, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10605)%branchR2(0:0))
      call avR2(10605, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(9924)%branchR2(0:0))
      call avR2(9924, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9174)%branchR2(0:0))
      call avR2(9174, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(4171)%branchR2(0:0))
      call avR2(4171, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(6621)%branchR2(0:3))
      call avR2(6621, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(6621, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6621, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(6621, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(7687)%branchR2(0:0))
      call avR2(7687, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(9342)%branchR2(0:0))
      call avR2(9342, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(4244)%branchR2(0:0))
      call avR2(4244, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9283)%branchR2(0:0))
      call avR2(9283, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(9494)%branchR2(0:0))
      call avR2(9494, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22357])

      allocate(vertices(10448)%branchR2(0:0))
      call avR2(10448, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5654)%branchR2(0:0))
      call avR2(5654, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(10467)%branchR2(0:0))
      call avR2(10467, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(8257)%branchR2(0:0))
      call avR2(8257, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(10349)%branchR2(0:0))
      call avR2(10349, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4544)%branchR2(0:0))
      call avR2(4544, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(372)%branchR2(0:1))
      call avR2(372, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(372, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(10606)%branchR2(0:1))
      call avR2(10606, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10606, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(6741)%branchR2(0:0))
      call avR2(6741, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(5969)%branchR2(0:0))
      call avR2(5969, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(8795)%branchR2(0:0))
      call avR2(8795, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(6394)%branchR2(0:0))
      call avR2(6394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(5689)%branchR2(0:0))
      call avR2(5689, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10113)%branchR2(0:0))
      call avR2(10113, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22078])

      allocate(vertices(7976)%branchR2(0:0))
      call avR2(7976, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22145])

      allocate(vertices(4260)%branchR2(0:0))
      call avR2(4260, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(9502)%branchR2(0:0))
      call avR2(9502, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(8175)%branchR2(0:0))
      call avR2(8175, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_59251])

      allocate(vertices(8096)%branchR2(0:0))
      call avR2(8096, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22148])

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(3653, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(8217)%branchR2(0:0))
      call avR2(8217, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(562)%branchR2(0:1))
      call avR2(562, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_22254])

      call avR2(562, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_22259])

      allocate(vertices(4588)%branchR2(0:0))
      call avR2(4588, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(5089)%branchR2(0:0))
      call avR2(5089, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(10607)%branchR2(0:1))
      call avR2(10607, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22397])

      call avR2(10607, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(9862)%branchR2(0:0))
      call avR2(9862, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_22002])

      allocate(vertices(6836)%branchR2(0:0))
      call avR2(6836, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(9542)%branchR2(0:0))
      call avR2(9542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6583)%branchR2(0:0))
      call avR2(6583, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(6366)%branchR2(0:1))
      call avR2(6366, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(6366, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22278])

      allocate(vertices(4458)%branchR2(0:0))
      call avR2(4458, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1969)%branchR2(0:0))
      call avR2(1969, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(10139)%branchR2(0:0))
      call avR2(10139, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(5219)%branchR2(0:1))
      call avR2(5219, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22222, nGC_22222])

      call avR2(5219, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22220, nGC_22221])

      allocate(vertices(5288)%branchR2(0:0))
      call avR2(5288, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(10608)%branchR2(0:1))
      call avR2(10608, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10608, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(10345)%branchR2(0:0))
      call avR2(10345, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22035])

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_22146])

      allocate(vertices(1037)%branchR2(0:1))
      call avR2(1037, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(1037, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(6246)%branchR2(0:0))
      call avR2(6246, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(9961)%branchR2(0:0))
      call avR2(9961, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(7509)%branchR2(0:0))
      call avR2(7509, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(8740)%branchR2(0:0))
      call avR2(8740, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(2683)%branchR2(0:1))
      call avR2(2683, 0, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(2683, 1, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(8742)%branchR2(0:0))
      call avR2(8742, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22260])

      allocate(vertices(10163)%branchR2(0:0))
      call avR2(10163, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21962, nGC_21961])

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10609)%branchR2(0:5))
      call avR2(10609, 0, 149, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10609, 1, 148, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10609, 2, 151, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10609, 3, 152, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10609, 4, 150, 1, 0, VVVV0, 0, [3, 1], [nGC_22410, nGC_22410,  &
      nGC_22410])

      call avR2(10609, 5, 147, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      allocate(vertices(1519)%branchR2(0:1))
      call avR2(1519, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(1519, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(10610)%branchR2(0:0))
      call avR2(10610, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(458)%branchR2(0:1))
      call avR2(458, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(458, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(3888)%branchR2(0:0))
      call avR2(3888, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9151)%branchR2(0:0))
      call avR2(9151, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(8736)%branchR2(0:0))
      call avR2(8736, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(10611)%branchR2(0:1))
      call avR2(10611, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10611, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(6035)%branchR2(0:0))
      call avR2(6035, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22128])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(10612)%branchR2(0:1))
      call avR2(10612, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

      call avR2(10612, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(4510)%branchR2(0:0))
      call avR2(4510, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(5094)%branchR2(0:0))
      call avR2(5094, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(7469)%branchR2(0:1))
      call avR2(7469, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(7469, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(7161)%branchR2(0:0))
      call avR2(7161, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22275])

      allocate(vertices(6989)%branchR2(0:0))
      call avR2(6989, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(6397)%branchR2(0:0))
      call avR2(6397, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(8722)%branchR2(0:0))
      call avR2(8722, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(5142)%branchR2(0:1))
      call avR2(5142, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(5142, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22058])

      allocate(vertices(8031)%branchR2(0:0))
      call avR2(8031, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22088])

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8207)%branchR2(0:0))
      call avR2(8207, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22025])

      allocate(vertices(8493)%branchR2(0:0))
      call avR2(8493, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22013])

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(4804)%branchR2(0:0))
      call avR2(4804, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22459])

      allocate(vertices(4624)%branchR2(0:0))
      call avR2(4624, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(8929)%branchR2(0:0))
      call avR2(8929, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57395])

      allocate(vertices(4808)%branchR2(0:0))
      call avR2(4808, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7399)%branchR2(0:0))
      call avR2(7399, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7014)%branchR2(0:0))
      call avR2(7014, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(10613)%branchR2(0:1))
      call avR2(10613, 0, 129, 1, 0, VVS0, 0, [2, 1], [nGC_22210])

      call avR2(10613, 1, 130, 1, 0, VVS0, 0, [2, 1], [nGC_22211])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(7264)%branchR2(0:0))
      call avR2(7264, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57482])

      allocate(vertices(10614)%branchR2(0:0))
      call avR2(10614, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(8458)%branchR2(0:0))
      call avR2(8458, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9112)%branchR2(0:0))
      call avR2(9112, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3718)%branchR2(0:0))
      call avR2(3718, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(10615)%branchR2(0:0))
      call avR2(10615, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(9544)%branchR2(0:0))
      call avR2(9544, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22020])

      allocate(vertices(7971)%branchR2(0:0))
      call avR2(7971, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10616)%branchR2(0:0))
      call avR2(10616, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(4913)%branchR2(0:0))
      call avR2(4913, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(9755)%branchR2(0:0))
      call avR2(9755, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57656])

      allocate(vertices(7744)%branchR2(0:0))
      call avR2(7744, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(2558)%branchR2(0:1))
      call avR2(2558, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(2558, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(5889)%branchR2(0:1))
      call avR2(5889, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(5889, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(7312)%branchR2(0:0))
      call avR2(7312, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(2416)%branchR2(0:1))
      call avR2(2416, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(2416, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(7756)%branchR2(0:0))
      call avR2(7756, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8879)%branchR2(0:0))
      call avR2(8879, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(10617)%branchR2(0:1))
      call avR2(10617, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10617, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(5787)%branchR2(0:0))
      call avR2(5787, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_22071])

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7094)%branchR2(0:1))
      call avR2(7094, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(7094, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(8089)%branchR2(0:0))
      call avR2(8089, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(10618)%branchR2(0:0))
      call avR2(10618, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22331, nGC_22331,    &
      nGC_22331])

      allocate(vertices(8329)%branchR2(0:0))
      call avR2(8329, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2427)%branchR2(0:1))
      call avR2(2427, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(2427, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(4923)%branchR2(0:0))
      call avR2(4923, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(8684)%branchR2(0:1))
      call avR2(8684, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(8684, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(6194)%branchR2(0:0))
      call avR2(6194, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(3950)%branchR2(0:1))
      call avR2(3950, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(3950, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22282, nGC_22281])

      allocate(vertices(8806)%branchR2(0:0))
      call avR2(8806, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(9103)%branchR2(0:0))
      call avR2(9103, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10619)%branchR2(0:1))
      call avR2(10619, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      call avR2(10619, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22257])

      allocate(vertices(7924)%branchR2(0:0))
      call avR2(7924, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(4712)%branchR2(0:0))
      call avR2(4712, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(9423)%branchR2(0:0))
      call avR2(9423, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22073])

      allocate(vertices(5694)%branchR2(0:0))
      call avR2(5694, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8494)%branchR2(0:0))
      call avR2(8494, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22147])

      allocate(vertices(8971)%branchR2(0:0))
      call avR2(8971, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5003)%branchR2(0:0))
      call avR2(5003, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(7199)%branchR2(0:0))
      call avR2(7199, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(7197)%branchR2(0:0))
      call avR2(7197, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8384)%branchR2(0:0))
      call avR2(8384, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59204])

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(10620)%branchR2(0:0))
      call avR2(10620, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(6894)%branchR2(0:1))
      call avR2(6894, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

      call avR2(6894, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(4648)%branchR2(0:0))
      call avR2(4648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8707)%branchR2(0:0))
      call avR2(8707, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(4788)%branchR2(0:0))
      call avR2(4788, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22095])

      allocate(vertices(5331)%branchR2(0:0))
      call avR2(5331, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(568)%branchR2(0:3))
      call avR2(568, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(568, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(568, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(568, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(3880)%branchR2(0:0))
      call avR2(3880, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9980)%branchR2(0:0))
      call avR2(9980, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(4545)%branchR2(0:1))
      call avR2(4545, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(4545, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(8369)%branchR2(0:0))
      call avR2(8369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10621)%branchR2(0:1))
      call avR2(10621, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22443])

      call avR2(10621, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22444])

      allocate(vertices(6806)%branchR2(0:0))
      call avR2(6806, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8895)%branchR2(0:0))
      call avR2(8895, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(4744)%branchR2(0:0))
      call avR2(4744, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22195])

      allocate(vertices(4672)%branchR2(0:1))
      call avR2(4672, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      call avR2(4672, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22255])

      allocate(vertices(10622)%branchR2(0:0))
      call avR2(10622, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(4019)%branchR2(0:0))
      call avR2(4019, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8613)%branchR2(0:0))
      call avR2(8613, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22050])

      allocate(vertices(8304)%branchR2(0:0))
      call avR2(8304, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(5728)%branchR2(0:0))
      call avR2(5728, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22109, nGC_22108])

      allocate(vertices(8798)%branchR2(0:0))
      call avR2(8798, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(6739)%branchR2(0:0))
      call avR2(6739, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22440])

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(7109)%branchR2(0:0))
      call avR2(7109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(5931)%branchR2(0:0))
      call avR2(5931, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(5469)%branchR2(0:0))
      call avR2(5469, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22458])

      allocate(vertices(4487)%branchR2(0:0))
      call avR2(4487, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(5767)%branchR2(0:0))
      call avR2(5767, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22145])

      allocate(vertices(10306)%branchR2(0:0))
      call avR2(10306, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(6342)%branchR2(0:0))
      call avR2(6342, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(10137)%branchR2(0:0))
      call avR2(10137, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22037])

      allocate(vertices(9327)%branchR2(0:0))
      call avR2(9327, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(4769)%branchR2(0:0))
      call avR2(4769, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(9632)%branchR2(0:0))
      call avR2(9632, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58805])

      allocate(vertices(9447)%branchR2(0:0))
      call avR2(9447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(9706)%branchR2(0:0))
      call avR2(9706, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22037])

      allocate(vertices(8724)%branchR2(0:0))
      call avR2(8724, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10623)%branchR2(0:0))
      call avR2(10623, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22457])

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(10004)%branchR2(0:0))
      call avR2(10004, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(7162)%branchR2(0:0))
      call avR2(7162, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(7764)%branchR2(0:0))
      call avR2(7764, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(5123)%branchR2(0:0))
      call avR2(5123, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22209, nGC_22208])

      allocate(vertices(4723)%branchR2(0:0))
      call avR2(4723, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3783)%branchR2(0:0))
      call avR2(3783, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(9869)%branchR2(0:0))
      call avR2(9869, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_21994, nGC_21994])

      allocate(vertices(3506)%branchR2(0:0))
      call avR2(3506, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9136)%branchR2(0:0))
      call avR2(9136, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22359,     &
      nGC_22360])

      allocate(vertices(10624)%branchR2(0:1))
      call avR2(10624, 0, 125, 1, 0, SVV0, 0, [2, 1], [nGC_22239])

      call avR2(10624, 1, 126, 1, 0, SVV0, 0, [2, 1], [nGC_22240])

      allocate(vertices(4881)%branchR2(0:0))
      call avR2(4881, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(6323)%branchR2(0:0))
      call avR2(6323, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(8222)%branchR2(0:0))
      call avR2(8222, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(7272)%branchR2(0:0))
      call avR2(7272, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(4859)%branchR2(0:0))
      call avR2(4859, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22072])

      allocate(vertices(9288)%branchR2(0:0))
      call avR2(9288, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21964, nGC_21963])

      allocate(vertices(9665)%branchR2(0:0))
      call avR2(9665, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(5775)%branchR2(0:0))
      call avR2(5775, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(4196)%branchR2(0:0))
      call avR2(4196, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6609)%branchR2(0:0))
      call avR2(6609, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22145])

      allocate(vertices(5432)%branchR2(0:1))
      call avR2(5432, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22182, nGC_22184])

      call avR2(5432, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22183, nGC_22185])

      allocate(vertices(4599)%branchR2(0:0))
      call avR2(4599, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10625)%branchR2(0:0))
      call avR2(10625, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22331, nGC_22331,    &
      nGC_22331])

      allocate(vertices(5096)%branchR2(0:1))
      call avR2(5096, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(5096, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(10626)%branchR2(0:1))
      call avR2(10626, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22446])

      call avR2(10626, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(7662)%branchR2(0:3))
      call avR2(7662, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(7662, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(7662, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(7662, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(3071)%branchR2(0:0))
      call avR2(3071, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(10627)%branchR2(0:1))
      call avR2(10627, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10627, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7750)%branchR2(0:1))
      call avR2(7750, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(7750, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(9879)%branchR2(0:0))
      call avR2(9879, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(8168)%branchR2(0:0))
      call avR2(8168, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3067)%branchR2(0:1))
      call avR2(3067, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(3067, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(8580)%branchR2(0:0))
      call avR2(8580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(3771)%branchR2(0:0))
      call avR2(3771, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22424])

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(7821)%branchR2(0:0))
      call avR2(7821, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7285)%branchR2(0:0))
      call avR2(7285, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(4948)%branchR2(0:0))
      call avR2(4948, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(7963)%branchR2(0:0))
      call avR2(7963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(10428)%branchR2(0:0))
      call avR2(10428, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22037])

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4604)%branchR2(0:0))
      call avR2(4604, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22256])

      allocate(vertices(4758)%branchR2(0:1))
      call avR2(4758, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(4758, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(1717)%branchR2(0:0))
      call avR2(1717, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(7231)%branchR2(0:0))
      call avR2(7231, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(6053)%branchR2(0:0))
      call avR2(6053, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(4417)%branchR2(0:0))
      call avR2(4417, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22094])

      allocate(vertices(8653)%branchR2(0:0))
      call avR2(8653, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(5059)%branchR2(0:0))
      call avR2(5059, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(4685)%branchR2(0:0))
      call avR2(4685, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(9967)%branchR2(0:0))
      call avR2(9967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(8507)%branchR2(0:0))
      call avR2(8507, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22256])

      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(6266)%branchR2(0:0))
      call avR2(6266, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22072])

      allocate(vertices(3929)%branchR2(0:0))
      call avR2(3929, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(10628)%branchR2(0:1))
      call avR2(10628, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22477])

      call avR2(10628, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22476])

      allocate(vertices(5107)%branchR2(0:0))
      call avR2(5107, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22475])

      allocate(vertices(5893)%branchR2(0:0))
      call avR2(5893, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(8513)%branchR2(0:0))
      call avR2(8513, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(9418)%branchR2(0:0))
      call avR2(9418, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22146])

      allocate(vertices(7137)%branchR2(0:0))
      call avR2(7137, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2462)%branchR2(0:1))
      call avR2(2462, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(2462, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(324)%branchR2(0:1))
      call avR2(324, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(324, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(7880)%branchR2(0:0))
      call avR2(7880, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(8702)%branchR2(0:0))
      call avR2(8702, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(6465)%branchR2(0:0))
      call avR2(6465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8202)%branchR2(0:0))
      call avR2(8202, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9962)%branchR2(0:0))
      call avR2(9962, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10103)%branchR2(0:0))
      call avR2(10103, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22073])

      allocate(vertices(10094)%branchR2(0:0))
      call avR2(10094, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(6245)%branchR2(0:1))
      call avR2(6245, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(6245, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(10629)%branchR2(0:0))
      call avR2(10629, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22343, nGC_22343,    &
      nGC_22342])

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(7844)%branchR2(0:0))
      call avR2(7844, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(8333)%branchR2(0:1))
      call avR2(8333, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      call avR2(8333, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22259])

      allocate(vertices(10630)%branchR2(0:0))
      call avR2(10630, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7405)%branchR2(0:0))
      call avR2(7405, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10262)%branchR2(0:0))
      call avR2(10262, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(4553)%branchR2(0:0))
      call avR2(4553, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(8043)%branchR2(0:0))
      call avR2(8043, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(4378)%branchR2(0:0))
      call avR2(4378, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(2410)%branchR2(0:1))
      call avR2(2410, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22027, nGC_22026])

      call avR2(2410, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(5328)%branchR2(0:0))
      call avR2(5328, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22015])

      allocate(vertices(9708)%branchR2(0:0))
      call avR2(9708, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(9422)%branchR2(0:0))
      call avR2(9422, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22036])

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(4765)%branchR2(0:0))
      call avR2(4765, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22050])

      allocate(vertices(1849)%branchR2(0:1))
      call avR2(1849, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(1849, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(8944)%branchR2(0:1))
      call avR2(8944, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21985, nGC_21982,     &
      nGC_21990, nGC_21990])

      call avR2(8944, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_21991, nGC_21991])

      allocate(vertices(9885)%branchR2(0:0))
      call avR2(9885, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22090])

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22326,     &
      nGC_22324])

      allocate(vertices(4437)%branchR2(0:0))
      call avR2(4437, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(6383)%branchR2(0:0))
      call avR2(6383, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9265)%branchR2(0:0))
      call avR2(9265, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(9035)%branchR2(0:0))
      call avR2(9035, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(8900)%branchR2(0:0))
      call avR2(8900, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2374)%branchR2(0:1))
      call avR2(2374, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(2374, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(10323)%branchR2(0:0))
      call avR2(10323, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10631)%branchR2(0:0))
      call avR2(10631, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(5711)%branchR2(0:0))
      call avR2(5711, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(6680)%branchR2(0:0))
      call avR2(6680, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(10632)%branchR2(0:0))
      call avR2(10632, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22238, nGC_22237])

      allocate(vertices(8367)%branchR2(0:0))
      call avR2(8367, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(6723)%branchR2(0:0))
      call avR2(6723, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(4082)%branchR2(0:0))
      call avR2(4082, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(6444)%branchR2(0:0))
      call avR2(6444, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(3492)%branchR2(0:1))
      call avR2(3492, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(3492, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(8704)%branchR2(0:0))
      call avR2(8704, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22483,     &
      nGC_22482])

      allocate(vertices(10387)%branchR2(0:0))
      call avR2(10387, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57952])

      allocate(vertices(4801)%branchR2(0:0))
      call avR2(4801, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22324,     &
      nGC_22325])

      allocate(vertices(4802)%branchR2(0:0))
      call avR2(4802, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22132])

      allocate(vertices(10633)%branchR2(0:0))
      call avR2(10633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(10634)%branchR2(0:1))
      call avR2(10634, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22472])

      call avR2(10634, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22471])

      allocate(vertices(9488)%branchR2(0:0))
      call avR2(9488, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(6611)%branchR2(0:0))
      call avR2(6611, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5950)%branchR2(0:0))
      call avR2(5950, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(4987)%branchR2(0:0))
      call avR2(4987, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(2818)%branchR2(0:0))
      call avR2(2818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(10635)%branchR2(0:0))
      call avR2(10635, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22017])

      allocate(vertices(10636)%branchR2(0:0))
      call avR2(10636, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22320])

      allocate(vertices(6090)%branchR2(0:0))
      call avR2(6090, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(9894)%branchR2(0:0))
      call avR2(9894, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(7862)%branchR2(0:0))
      call avR2(7862, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(9237)%branchR2(0:0))
      call avR2(9237, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(3890)%branchR2(0:0))
      call avR2(3890, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22129])

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(9023)%branchR2(0:0))
      call avR2(9023, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(8644)%branchR2(0:0))
      call avR2(8644, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22075])

      allocate(vertices(5002)%branchR2(0:0))
      call avR2(5002, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(9235)%branchR2(0:0))
      call avR2(9235, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22248, nGC_22247])

      allocate(vertices(6333)%branchR2(0:0))
      call avR2(6333, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10253)%branchR2(0:0))
      call avR2(10253, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_21992, nGC_21993,    &
      nGC_22007, nGC_22007])

      allocate(vertices(6381)%branchR2(0:0))
      call avR2(6381, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(7807)%branchR2(0:0))
      call avR2(7807, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(6216)%branchR2(0:0))
      call avR2(6216, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(7332)%branchR2(0:1))
      call avR2(7332, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22253])

      call avR2(7332, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(7085)%branchR2(0:0))
      call avR2(7085, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22094])

      allocate(vertices(8427)%branchR2(0:0))
      call avR2(8427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(9430)%branchR2(0:0))
      call avR2(9430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(3486)%branchR2(0:1))
      call avR2(3486, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(3486, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(10309)%branchR2(0:0))
      call avR2(10309, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(4427)%branchR2(0:0))
      call avR2(4427, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6503)%branchR2(0:0))
      call avR2(6503, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(5410)%branchR2(0:0))
      call avR2(5410, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(10637)%branchR2(0:0))
      call avR2(10637, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(10638)%branchR2(0:0))
      call avR2(10638, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22373, nGC_22373,    &
      nGC_22373])

      allocate(vertices(7076)%branchR2(0:0))
      call avR2(7076, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(6893)%branchR2(0:0))
      call avR2(6893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(10639)%branchR2(0:0))
      call avR2(10639, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(7207)%branchR2(0:1))
      call avR2(7207, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(7207, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(8989)%branchR2(0:0))
      call avR2(8989, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_22002])

      allocate(vertices(5077)%branchR2(0:0))
      call avR2(5077, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(7763)%branchR2(0:0))
      call avR2(7763, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22094])

      allocate(vertices(7696)%branchR2(0:0))
      call avR2(7696, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3993)%branchR2(0:1))
      call avR2(3993, 0, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(3993, 1, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(9836)%branchR2(0:0))
      call avR2(9836, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(7838)%branchR2(0:0))
      call avR2(7838, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22252])

      allocate(vertices(7603)%branchR2(0:0))
      call avR2(7603, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22224])

      allocate(vertices(10640)%branchR2(0:1))
      call avR2(10640, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22444])

      call avR2(10640, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8276)%branchR2(0:0))
      call avR2(8276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9371)%branchR2(0:0))
      call avR2(9371, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_57656])

      allocate(vertices(9929)%branchR2(0:0))
      call avR2(9929, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9794)%branchR2(0:0))
      call avR2(9794, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(7298)%branchR2(0:1))
      call avR2(7298, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(7298, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22023, nGC_22022])

      allocate(vertices(6559)%branchR2(0:0))
      call avR2(6559, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7798)%branchR2(0:0))
      call avR2(7798, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(10433)%branchR2(0:0))
      call avR2(10433, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_21976, nGC_21975,     &
      nGC_21977])

      allocate(vertices(8334)%branchR2(0:0))
      call avR2(8334, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(6179)%branchR2(0:0))
      call avR2(6179, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57437])

      allocate(vertices(8741)%branchR2(0:0))
      call avR2(8741, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10119)%branchR2(0:0))
      call avR2(10119, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22012])

      allocate(vertices(8103)%branchR2(0:0))
      call avR2(8103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5187)%branchR2(0:1))
      call avR2(5187, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(5187, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22027, nGC_22026])

      allocate(vertices(10641)%branchR2(0:0))
      call avR2(10641, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(7754)%branchR2(0:1))
      call avR2(7754, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(7754, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(5099)%branchR2(0:0))
      call avR2(5099, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8450)%branchR2(0:0))
      call avR2(8450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58847])

      allocate(vertices(6541)%branchR2(0:1))
      call avR2(6541, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(6541, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(6466)%branchR2(0:1))
      call avR2(6466, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(6466, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(6566)%branchR2(0:1))
      call avR2(6566, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(6566, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22023, nGC_22022])

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(8567)%branchR2(0:1))
      call avR2(8567, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22200, nGC_22201])

      call avR2(8567, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22202, nGC_22202])

      allocate(vertices(5637)%branchR2(0:0))
      call avR2(5637, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(10279)%branchR2(0:0))
      call avR2(10279, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21962, nGC_21961])

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22151])

      allocate(vertices(6096)%branchR2(0:0))
      call avR2(6096, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(10255)%branchR2(0:0))
      call avR2(10255, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(5562)%branchR2(0:0))
      call avR2(5562, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(8410)%branchR2(0:0))
      call avR2(8410, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(6248)%branchR2(0:1))
      call avR2(6248, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(6248, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(10642)%branchR2(0:0))
      call avR2(10642, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5324)%branchR2(0:0))
      call avR2(5324, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22325,     &
      nGC_22324])

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(6070)%branchR2(0:0))
      call avR2(6070, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10185)%branchR2(0:0))
      call avR2(10185, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22148])

      allocate(vertices(7621)%branchR2(0:0))
      call avR2(7621, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10643)%branchR2(0:0))
      call avR2(10643, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(8393)%branchR2(0:3))
      call avR2(8393, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22305, nGC_22304])

      call avR2(8393, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(8393, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22302, nGC_22301])

      call avR2(8393, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(8468)%branchR2(0:0))
      call avR2(8468, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(5719)%branchR2(0:0))
      call avR2(5719, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(9643)%branchR2(0:0))
      call avR2(9643, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(5967)%branchR2(0:0))
      call avR2(5967, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(4729)%branchR2(0:0))
      call avR2(4729, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22478,     &
      nGC_22479])

      allocate(vertices(2769)%branchR2(0:1))
      call avR2(2769, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(2769, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(10404)%branchR2(0:0))
      call avR2(10404, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(4287)%branchR2(0:0))
      call avR2(4287, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(2372)%branchR2(0:0))
      call avR2(2372, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22467])

      allocate(vertices(8772)%branchR2(0:0))
      call avR2(8772, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(9945)%branchR2(0:0))
      call avR2(9945, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(6684)%branchR2(0:0))
      call avR2(6684, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(5882)%branchR2(0:0))
      call avR2(5882, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22360,     &
      nGC_22361])

      allocate(vertices(9297)%branchR2(0:0))
      call avR2(9297, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(9648)%branchR2(0:0))
      call avR2(9648, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(9256)%branchR2(0:0))
      call avR2(9256, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22036])

      allocate(vertices(9742)%branchR2(0:0))
      call avR2(9742, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22325, nGC_22324,     &
      nGC_22326])

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(10644)%branchR2(0:0))
      call avR2(10644, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22358])

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22453])

      allocate(vertices(4042)%branchR2(0:0))
      call avR2(4042, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(6682)%branchR2(0:0))
      call avR2(6682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(4160)%branchR2(0:1))
      call avR2(4160, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(4160, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(10645)%branchR2(0:0))
      call avR2(10645, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22321])

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22415])

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22276, nGC_22277])

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(9290)%branchR2(0:0))
      call avR2(9290, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10646)%branchR2(0:1))
      call avR2(10646, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22466])

      call avR2(10646, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22465])

      allocate(vertices(7299)%branchR2(0:0))
      call avR2(7299, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(4629)%branchR2(0:0))
      call avR2(4629, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22147])

      allocate(vertices(4426)%branchR2(0:0))
      call avR2(4426, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(9909)%branchR2(0:0))
      call avR2(9909, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8158)%branchR2(0:0))
      call avR2(8158, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(5473)%branchR2(0:0))
      call avR2(5473, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(9858)%branchR2(0:0))
      call avR2(9858, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3533)%branchR2(0:1))
      call avR2(3533, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(3533, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(4910)%branchR2(0:0))
      call avR2(4910, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58589])

      allocate(vertices(8000)%branchR2(0:0))
      call avR2(8000, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22479,     &
      nGC_22478])

      allocate(vertices(8061)%branchR2(0:0))
      call avR2(8061, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(2520)%branchR2(0:1))
      call avR2(2520, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22070, nGC_22068])

      call avR2(2520, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22087, nGC_22086])

      allocate(vertices(5546)%branchR2(0:1))
      call avR2(5546, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(5546, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(4567)%branchR2(0:0))
      call avR2(4567, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_22147])

      allocate(vertices(2862)%branchR2(0:1))
      call avR2(2862, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(2862, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22039, nGC_22038])

      allocate(vertices(7202)%branchR2(0:0))
      call avR2(7202, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60170])

      allocate(vertices(3980)%branchR2(0:0))
      call avR2(3980, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(4239)%branchR2(0:0))
      call avR2(4239, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22149])

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7130)%branchR2(0:0))
      call avR2(7130, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(5866)%branchR2(0:0))
      call avR2(5866, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22057])

      allocate(vertices(10035)%branchR2(0:0))
      call avR2(10035, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(5338)%branchR2(0:0))
      call avR2(5338, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6313)%branchR2(0:0))
      call avR2(6313, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(10165)%branchR2(0:0))
      call avR2(10165, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6273)%branchR2(0:1))
      call avR2(6273, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(6273, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(10647)%branchR2(0:1))
      call avR2(10647, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22381])

      call avR2(10647, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(10199)%branchR2(0:0))
      call avR2(10199, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22037])

      allocate(vertices(8904)%branchR2(0:0))
      call avR2(8904, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(2863)%branchR2(0:0))
      call avR2(2863, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(9010)%branchR2(0:0))
      call avR2(9010, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(3593)%branchR2(0:0))
      call avR2(3593, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6799)%branchR2(0:0))
      call avR2(6799, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(4633)%branchR2(0:0))
      call avR2(4633, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(4593)%branchR2(0:0))
      call avR2(4593, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(9762)%branchR2(0:0))
      call avR2(9762, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(10263)%branchR2(0:0))
      call avR2(10263, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(5232)%branchR2(0:0))
      call avR2(5232, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9486)%branchR2(0:0))
      call avR2(9486, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22077])

      allocate(vertices(10648)%branchR2(0:1))
      call avR2(10648, 0, 137, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10648, 1, 138, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(10649)%branchR2(0:1))
      call avR2(10649, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22431])

      call avR2(10649, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22430])

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22145])

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22159])

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10650)%branchR2(0:1))
      call avR2(10650, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10650, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(6802)%branchR2(0:0))
      call avR2(6802, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(6752)%branchR2(0:0))
      call avR2(6752, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(9286)%branchR2(0:0))
      call avR2(9286, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10651)%branchR2(0:0))
      call avR2(10651, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22323])

      allocate(vertices(10419)%branchR2(0:0))
      call avR2(10419, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22090])

      allocate(vertices(10652)%branchR2(0:0))
      call avR2(10652, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(10067)%branchR2(0:0))
      call avR2(10067, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8025)%branchR2(0:0))
      call avR2(8025, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(2170)%branchR2(0:1))
      call avR2(2170, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22253])

      call avR2(2170, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      allocate(vertices(8669)%branchR2(0:0))
      call avR2(8669, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22072])

      allocate(vertices(8563)%branchR2(0:0))
      call avR2(8563, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9725)%branchR2(0:0))
      call avR2(9725, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22469])

      allocate(vertices(5766)%branchR2(0:1))
      call avR2(5766, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(5766, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(7525)%branchR2(0:0))
      call avR2(7525, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(7325)%branchR2(0:1))
      call avR2(7325, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22023, nGC_22022])

      call avR2(7325, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(5005)%branchR2(0:0))
      call avR2(5005, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22158])

      allocate(vertices(5913)%branchR2(0:0))
      call avR2(5913, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22224])

      allocate(vertices(4564)%branchR2(0:0))
      call avR2(4564, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(3358)%branchR2(0:1))
      call avR2(3358, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(3358, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(4214)%branchR2(0:0))
      call avR2(4214, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(697)%branchR2(0:3))
      call avR2(697, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(697, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(697, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(697, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(6263)%branchR2(0:0))
      call avR2(6263, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22482, nGC_22483,      &
      nGC_22483])

      allocate(vertices(4961)%branchR2(0:0))
      call avR2(4961, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(5516)%branchR2(0:0))
      call avR2(5516, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(6450)%branchR2(0:0))
      call avR2(6450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10205)%branchR2(0:0))
      call avR2(10205, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10653)%branchR2(0:1))
      call avR2(10653, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22444])

      call avR2(10653, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22443])

      allocate(vertices(1398)%branchR2(0:1))
      call avR2(1398, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22199, nGC_22199])

      call avR2(1398, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22197, nGC_22198])

      allocate(vertices(5837)%branchR2(0:0))
      call avR2(5837, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(5751)%branchR2(0:3))
      call avR2(5751, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(5751, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(5751, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(5751, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22470])

      allocate(vertices(5229)%branchR2(0:0))
      call avR2(5229, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22192])

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8649)%branchR2(0:1))
      call avR2(8649, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22246, nGC_22246])

      call avR2(8649, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22244, nGC_22245])

      allocate(vertices(10654)%branchR2(0:0))
      call avR2(10654, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9453)%branchR2(0:0))
      call avR2(9453, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_60289])

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(10655)%branchR2(0:0))
      call avR2(10655, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(3923)%branchR2(0:0))
      call avR2(3923, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22145])

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(4886)%branchR2(0:0))
      call avR2(4886, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(78)%branchR2(0:3))
      call avR2(78, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22300, nGC_22299])

      call avR2(78, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(78, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22298, nGC_22297])

      call avR2(78, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(7828)%branchR2(0:0))
      call avR2(7828, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(8020)%branchR2(0:0))
      call avR2(8020, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22145])

      allocate(vertices(5372)%branchR2(0:0))
      call avR2(5372, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(3566)%branchR2(0:1))
      call avR2(3566, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(3566, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(7728)%branchR2(0:0))
      call avR2(7728, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10395)%branchR2(0:0))
      call avR2(10395, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3986)%branchR2(0:1))
      call avR2(3986, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22023, nGC_22022])

      call avR2(3986, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(10656)%branchR2(0:0))
      call avR2(10656, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22016])

      allocate(vertices(7494)%branchR2(0:0))
      call avR2(7494, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22324, nGC_22325,     &
      nGC_22326])

      allocate(vertices(9150)%branchR2(0:0))
      call avR2(9150, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58805])

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6554)%branchR2(0:0))
      call avR2(6554, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22146])

      allocate(vertices(7688)%branchR2(0:0))
      call avR2(7688, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(7457)%branchR2(0:0))
      call avR2(7457, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(8501)%branchR2(0:0))
      call avR2(8501, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(9492)%branchR2(0:0))
      call avR2(9492, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(9615)%branchR2(0:0))
      call avR2(9615, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1571)%branchR2(0:0))
      call avR2(1571, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(6304)%branchR2(0:0))
      call avR2(6304, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(8189)%branchR2(0:0))
      call avR2(8189, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(5419)%branchR2(0:0))
      call avR2(5419, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(9678)%branchR2(0:1))
      call avR2(9678, 0, 124, 1, 0, FaF1, 0, [0, 2], [nGC_21985, nGC_21982,    &
      nGC_21983, nGC_21983])

      call avR2(9678, 1, 124, 1, 0, FaF1, 0, [2, 0], [nGC_21981, nGC_21981,    &
      nGC_21984, nGC_21984])

      allocate(vertices(4207)%branchR2(0:0))
      call avR2(4207, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10657)%branchR2(0:0))
      call avR2(10657, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(10658)%branchR2(0:1))
      call avR2(10658, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22397])

      call avR2(10658, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(10659)%branchR2(0:0))
      call avR2(10659, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22047])

      allocate(vertices(7972)%branchR2(0:1))
      call avR2(7972, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(7972, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(3736)%branchR2(0:0))
      call avR2(3736, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(5408)%branchR2(0:0))
      call avR2(5408, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(10660)%branchR2(0:1))
      call avR2(10660, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22480])

      call avR2(10660, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22481])

      allocate(vertices(3508)%branchR2(0:1))
      call avR2(3508, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22039, nGC_22038])

      call avR2(3508, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10661)%branchR2(0:1))
      call avR2(10661, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22356, nGC_22356,  &
      nGC_22356])

      call avR2(10661, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22355, nGC_22355,  &
      nGC_22355])

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10662)%branchR2(0:1))
      call avR2(10662, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22397])

      call avR2(10662, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(10214)%branchR2(0:0))
      call avR2(10214, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22091])

      allocate(vertices(10443)%branchR2(0:0))
      call avR2(10443, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22407])

      allocate(vertices(5352)%branchR2(0:0))
      call avR2(5352, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(8003)%branchR2(0:0))
      call avR2(8003, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(5973)%branchR2(0:0))
      call avR2(5973, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22275])

      allocate(vertices(6528)%branchR2(0:1))
      call avR2(6528, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(6528, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4145)%branchR2(0:0))
      call avR2(4145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(8650)%branchR2(0:0))
      call avR2(8650, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(10663)%branchR2(0:1))
      call avR2(10663, 0, 139, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10663, 1, 140, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(7370)%branchR2(0:0))
      call avR2(7370, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(10664)%branchR2(0:0))
      call avR2(10664, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5017)%branchR2(0:0))
      call avR2(5017, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9878)%branchR2(0:0))
      call avR2(9878, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22361,     &
      nGC_22360])

    end subroutine fill_vertices_mdl22
end module vertices_info22
