!******************************************************************************!
!                                                                              !
!    vertices_info23.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info23.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info23
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl23()
      allocate(vertices(7629)%branchR2(0:0))
      call avR2(7629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(3963)%branchR2(0:0))
      call avR2(3963, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(5544)%branchR2(0:0))
      call avR2(5544, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(645)%branchR2(0:1))
      call avR2(645, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(645, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(823)%branchR2(0:1))
      call avR2(823, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(823, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(8970)%branchR2(0:0))
      call avR2(8970, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22011])

      allocate(vertices(9415)%branchR2(0:0))
      call avR2(9415, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(5091)%branchR2(0:0))
      call avR2(5091, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(1943)%branchR2(0:0))
      call avR2(1943, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(4463)%branchR2(0:0))
      call avR2(4463, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22475])

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22071])

      allocate(vertices(9159)%branchR2(0:0))
      call avR2(9159, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(7948)%branchR2(0:0))
      call avR2(7948, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(4673)%branchR2(0:0))
      call avR2(4673, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(7974)%branchR2(0:0))
      call avR2(7974, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(7191)%branchR2(0:0))
      call avR2(7191, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22011])

      allocate(vertices(9409)%branchR2(0:0))
      call avR2(9409, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_22035])

      allocate(vertices(5445)%branchR2(0:0))
      call avR2(5445, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(4992)%branchR2(0:1))
      call avR2(4992, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22244, nGC_22245])

      call avR2(4992, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22246, nGC_22246])

      allocate(vertices(7348)%branchR2(0:0))
      call avR2(7348, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(6325)%branchR2(0:1))
      call avR2(6325, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(6325, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(9291)%branchR2(0:0))
      call avR2(9291, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(6529)%branchR2(0:1))
      call avR2(6529, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(6529, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(7594)%branchR2(0:0))
      call avR2(7594, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(10665)%branchR2(0:1))
      call avR2(10665, 0, 128, 1, 0, VSV0, 0, [2, 1], [nGC_22240])

      call avR2(10665, 1, 127, 1, 0, VSV0, 0, [2, 1], [nGC_22239])

      allocate(vertices(6063)%branchR2(0:0))
      call avR2(6063, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10666)%branchR2(0:1))
      call avR2(10666, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22381])

      call avR2(10666, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22380])

      allocate(vertices(10667)%branchR2(0:0))
      call avR2(10667, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(5065)%branchR2(0:1))
      call avR2(5065, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(5065, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(3967)%branchR2(0:0))
      call avR2(3967, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(9177)%branchR2(0:0))
      call avR2(9177, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(6930)%branchR2(0:1))
      call avR2(6930, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(6930, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(6886)%branchR2(0:0))
      call avR2(6886, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22318])

      allocate(vertices(10216)%branchR2(0:0))
      call avR2(10216, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(2782)%branchR2(0:0))
      call avR2(2782, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22019])

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(8918)%branchR2(0:0))
      call avR2(8918, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(3324)%branchR2(0:1))
      call avR2(3324, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22062, nGC_22060])

      call avR2(3324, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22083, nGC_22082])

      allocate(vertices(9383)%branchR2(0:0))
      call avR2(9383, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(10668)%branchR2(0:1))
      call avR2(10668, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22397])

      call avR2(10668, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(4833)%branchR2(0:1))
      call avR2(4833, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(4833, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22075])

      allocate(vertices(10357)%branchR2(0:0))
      call avR2(10357, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(7682)%branchR2(0:0))
      call avR2(7682, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(2175)%branchR2(0:3))
      call avR2(2175, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(2175, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      call avR2(2175, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(2175, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22071])

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(1774)%branchR2(0:1))
      call avR2(1774, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(1774, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(4106)%branchR2(0:0))
      call avR2(4106, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3961)%branchR2(0:0))
      call avR2(3961, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9444)%branchR2(0:0))
      call avR2(9444, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10669)%branchR2(0:1))
      call avR2(10669, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22466])

      call avR2(10669, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22465])

      allocate(vertices(4810)%branchR2(0:0))
      call avR2(4810, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(5165)%branchR2(0:0))
      call avR2(5165, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60289])

      allocate(vertices(7992)%branchR2(0:0))
      call avR2(7992, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(1260)%branchR2(0:1))
      call avR2(1260, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22041, nGC_22040])

      call avR2(1260, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(7047)%branchR2(0:0))
      call avR2(7047, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(1696)%branchR2(0:0))
      call avR2(1696, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(1891)%branchR2(0:1))
      call avR2(1891, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(1891, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(7242)%branchR2(0:0))
      call avR2(7242, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(8600)%branchR2(0:0))
      call avR2(8600, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(7791)%branchR2(0:0))
      call avR2(7791, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22042, nGC_22043])

      allocate(vertices(10670)%branchR2(0:0))
      call avR2(10670, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(1279)%branchR2(0:1))
      call avR2(1279, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(1279, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(3497)%branchR2(0:0))
      call avR2(3497, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(7063)%branchR2(0:0))
      call avR2(7063, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(6336)%branchR2(0:0))
      call avR2(6336, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(6677)%branchR2(0:0))
      call avR2(6677, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22261])

      allocate(vertices(8760)%branchR2(0:0))
      call avR2(8760, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(8413)%branchR2(0:0))
      call avR2(8413, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(9077)%branchR2(0:0))
      call avR2(9077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22482,     &
      nGC_22483])

      allocate(vertices(3215)%branchR2(0:1))
      call avR2(3215, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(3215, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22018])

      allocate(vertices(9886)%branchR2(0:0))
      call avR2(9886, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9780)%branchR2(0:0))
      call avR2(9780, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59207])

      allocate(vertices(6881)%branchR2(0:0))
      call avR2(6881, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8012)%branchR2(0:1))
      call avR2(8012, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(8012, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(4887)%branchR2(0:0))
      call avR2(4887, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(4157)%branchR2(0:0))
      call avR2(4157, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(7725)%branchR2(0:0))
      call avR2(7725, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(7761)%branchR2(0:0))
      call avR2(7761, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22260])

      allocate(vertices(10356)%branchR2(0:0))
      call avR2(10356, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22376])

      allocate(vertices(3796)%branchR2(0:0))
      call avR2(3796, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(8753)%branchR2(0:0))
      call avR2(8753, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22475])

      allocate(vertices(10671)%branchR2(0:0))
      call avR2(10671, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22432])

      allocate(vertices(2439)%branchR2(0:0))
      call avR2(2439, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(7317)%branchR2(0:1))
      call avR2(7317, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(7317, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(7893)%branchR2(0:0))
      call avR2(7893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(5439)%branchR2(0:0))
      call avR2(5439, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(8993)%branchR2(0:0))
      call avR2(8993, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(9243)%branchR2(0:0))
      call avR2(9243, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(7240)%branchR2(0:1))
      call avR2(7240, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(7240, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22259])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(9748)%branchR2(0:0))
      call avR2(9748, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(9664)%branchR2(0:0))
      call avR2(9664, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(7069)%branchR2(0:0))
      call avR2(7069, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22080])

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22374])

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(9920)%branchR2(0:0))
      call avR2(9920, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(3619)%branchR2(0:0))
      call avR2(3619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(10259)%branchR2(0:0))
      call avR2(10259, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57952])

      allocate(vertices(4710)%branchR2(0:0))
      call avR2(4710, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(7585)%branchR2(0:1))
      call avR2(7585, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(7585, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(5484)%branchR2(0:0))
      call avR2(5484, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(8429)%branchR2(0:0))
      call avR2(8429, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22014])

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(4974)%branchR2(0:1))
      call avR2(4974, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(4974, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(9821)%branchR2(0:0))
      call avR2(9821, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_60170])

      allocate(vertices(9135)%branchR2(0:0))
      call avR2(9135, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22362])

      allocate(vertices(8173)%branchR2(0:0))
      call avR2(8173, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22051])

      allocate(vertices(9345)%branchR2(0:0))
      call avR2(9345, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22261])

      allocate(vertices(5826)%branchR2(0:0))
      call avR2(5826, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(5592)%branchR2(0:0))
      call avR2(5592, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(9307)%branchR2(0:0))
      call avR2(9307, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(7143)%branchR2(0:0))
      call avR2(7143, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(6805)%branchR2(0:0))
      call avR2(6805, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(6518)%branchR2(0:1))
      call avR2(6518, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22188, nGC_22190])

      call avR2(6518, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22189, nGC_22191])

      allocate(vertices(5745)%branchR2(0:0))
      call avR2(5745, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(8137)%branchR2(0:0))
      call avR2(8137, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(5052)%branchR2(0:0))
      call avR2(5052, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(6288)%branchR2(0:0))
      call avR2(6288, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(6907)%branchR2(0:0))
      call avR2(6907, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22414])

      allocate(vertices(6820)%branchR2(0:0))
      call avR2(6820, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(9192)%branchR2(0:0))
      call avR2(9192, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(7888)%branchR2(0:0))
      call avR2(7888, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22193])

      allocate(vertices(10672)%branchR2(0:1))
      call avR2(10672, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22397])

      call avR2(10672, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(5261)%branchR2(0:1))
      call avR2(5261, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22268, nGC_22266])

      call avR2(5261, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(9410)%branchR2(0:0))
      call avR2(9410, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10485)%branchR2(0:0))
      call avR2(10485, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22020])

      allocate(vertices(5762)%branchR2(0:0))
      call avR2(5762, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22111, nGC_22110])

      allocate(vertices(10673)%branchR2(0:1))
      call avR2(10673, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22444])

      call avR2(10673, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22443])

      allocate(vertices(4707)%branchR2(0:1))
      call avR2(4707, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(4707, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(10283)%branchR2(0:0))
      call avR2(10283, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(7833)%branchR2(0:0))
      call avR2(7833, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5326)%branchR2(0:0))
      call avR2(5326, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22058])

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(10674)%branchR2(0:1))
      call avR2(10674, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22446])

      call avR2(10674, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22445])

      allocate(vertices(1619)%branchR2(0:0))
      call avR2(1619, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(7002)%branchR2(0:0))
      call avR2(7002, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(6202)%branchR2(0:0))
      call avR2(6202, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(9353)%branchR2(0:0))
      call avR2(9353, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5501)%branchR2(0:1))
      call avR2(5501, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22205, nGC_22205])

      call avR2(5501, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22203, nGC_22204])

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(9749)%branchR2(0:0))
      call avR2(9749, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22021])

      allocate(vertices(10675)%branchR2(0:0))
      call avR2(10675, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(4358)%branchR2(0:0))
      call avR2(4358, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(8191)%branchR2(0:0))
      call avR2(8191, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22147])

      allocate(vertices(3685)%branchR2(0:0))
      call avR2(3685, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(9702)%branchR2(0:0))
      call avR2(9702, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(9257)%branchR2(0:0))
      call avR2(9257, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(5378)%branchR2(0:0))
      call avR2(5378, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(5000)%branchR2(0:0))
      call avR2(5000, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22359, nGC_22361,     &
      nGC_22360])

      allocate(vertices(8220)%branchR2(0:0))
      call avR2(8220, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22261])

      allocate(vertices(9998)%branchR2(0:0))
      call avR2(9998, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(10386)%branchR2(0:0))
      call avR2(10386, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8318)%branchR2(0:0))
      call avR2(8318, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_58001])

      allocate(vertices(10676)%branchR2(0:0))
      call avR2(10676, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(7459)%branchR2(0:1))
      call avR2(7459, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(7459, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(9844)%branchR2(0:0))
      call avR2(9844, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_59207])

      allocate(vertices(6339)%branchR2(0:1))
      call avR2(6339, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      call avR2(6339, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(8552)%branchR2(0:0))
      call avR2(8552, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(9919)%branchR2(0:0))
      call avR2(9919, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(7390)%branchR2(0:0))
      call avR2(7390, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22360,     &
      nGC_22359])

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(10447)%branchR2(0:0))
      call avR2(10447, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(6892)%branchR2(0:0))
      call avR2(6892, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(10677)%branchR2(0:1))
      call avR2(10677, 0, 141, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10677, 1, 142, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(8211)%branchR2(0:0))
      call avR2(8211, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5785)%branchR2(0:0))
      call avR2(5785, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(6622)%branchR2(0:0))
      call avR2(6622, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(9457)%branchR2(0:0))
      call avR2(9457, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22072])

      allocate(vertices(8931)%branchR2(0:0))
      call avR2(8931, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1976)%branchR2(0:1))
      call avR2(1976, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(1976, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(9070)%branchR2(0:0))
      call avR2(9070, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10678)%branchR2(0:1))
      call avR2(10678, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22431])

      call avR2(10678, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22430])

      allocate(vertices(4632)%branchR2(0:1))
      call avR2(4632, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22249, nGC_22250])

      call avR2(4632, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22251, nGC_22251])

      allocate(vertices(10679)%branchR2(0:0))
      call avR2(10679, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22323])

      allocate(vertices(9600)%branchR2(0:0))
      call avR2(9600, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(7875)%branchR2(0:0))
      call avR2(7875, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(7981)%branchR2(0:0))
      call avR2(7981, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22351])

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(10680)%branchR2(0:1))
      call avR2(10680, 0, 144, 1, 0, VVVV0, 0, [2, 2], [nGC_22485, nGC_22485,  &
      nGC_22485])

      call avR2(10680, 1, 143, 1, 0, VVVV0, 0, [2, 2], [nGC_22486, nGC_22486,  &
      nGC_22486])

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(3590)%branchR2(0:0))
      call avR2(3590, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(8291)%branchR2(0:0))
      call avR2(8291, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(5072)%branchR2(0:0))
      call avR2(5072, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(6772)%branchR2(0:1))
      call avR2(6772, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_22253])

      call avR2(6772, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_22254])

      allocate(vertices(7776)%branchR2(0:0))
      call avR2(7776, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22148])

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22375])

      allocate(vertices(10681)%branchR2(0:5))
      call avR2(10681, 0, 169, 1, 0, VVVV0, 0, [3, 1], [nGC_22410, nGC_22410,  &
      nGC_22410])

      call avR2(10681, 1, 167, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10681, 2, 168, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10681, 3, 166, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10681, 4, 170, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10681, 5, 165, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      allocate(vertices(5521)%branchR2(0:0))
      call avR2(5521, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7211)%branchR2(0:0))
      call avR2(7211, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10129)%branchR2(0:0))
      call avR2(10129, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9578)%branchR2(0:0))
      call avR2(9578, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22348])

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10682)%branchR2(0:1))
      call avR2(10682, 0, 136, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10682, 1, 135, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(6369)%branchR2(0:0))
      call avR2(6369, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(6463)%branchR2(0:0))
      call avR2(6463, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7035)%branchR2(0:1))
      call avR2(7035, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22059, nGC_22061])

      call avR2(7035, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22060, nGC_22062])

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22326, nGC_22324,      &
      nGC_22325])

      allocate(vertices(8961)%branchR2(0:0))
      call avR2(8961, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3959)%branchR2(0:0))
      call avR2(3959, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22369])

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(3286)%branchR2(0:1))
      call avR2(3286, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(3286, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(7782)%branchR2(0:0))
      call avR2(7782, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22146])

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(593)%branchR2(0:1))
      call avR2(593, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(593, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(10683)%branchR2(0:1))
      call avR2(10683, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22381])

      call avR2(10683, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22380])

      allocate(vertices(8705)%branchR2(0:0))
      call avR2(8705, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22470])

      allocate(vertices(5798)%branchR2(0:1))
      call avR2(5798, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22065, nGC_22063])

      call avR2(5798, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22066, nGC_22064])

      allocate(vertices(7263)%branchR2(0:3))
      call avR2(7263, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(7263, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(7263, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(7263, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(9950)%branchR2(0:0))
      call avR2(9950, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(9411)%branchR2(0:0))
      call avR2(9411, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_21954, nGC_21953])

      allocate(vertices(5407)%branchR2(0:0))
      call avR2(5407, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22151])

      allocate(vertices(7825)%branchR2(0:1))
      call avR2(7825, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22241, nGC_22242])

      call avR2(7825, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22243, nGC_22243])

      allocate(vertices(9078)%branchR2(0:0))
      call avR2(9078, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(9156)%branchR2(0:0))
      call avR2(9156, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(7186)%branchR2(0:0))
      call avR2(7186, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22340])

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_59204])

      allocate(vertices(10347)%branchR2(0:0))
      call avR2(10347, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(2960)%branchR2(0:0))
      call avR2(2960, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(9523)%branchR2(0:0))
      call avR2(9523, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22344])

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(7979)%branchR2(0:0))
      call avR2(7979, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(8321)%branchR2(0:0))
      call avR2(8321, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60780])

      allocate(vertices(6034)%branchR2(0:0))
      call avR2(6034, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(4248)%branchR2(0:1))
      call avR2(4248, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(4248, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(4490)%branchR2(0:0))
      call avR2(4490, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(5709)%branchR2(0:1))
      call avR2(5709, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22030, nGC_22029])

      call avR2(5709, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(9064)%branchR2(0:0))
      call avR2(9064, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(5714)%branchR2(0:1))
      call avR2(5714, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(5714, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(6362)%branchR2(0:0))
      call avR2(6362, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(4081)%branchR2(0:0))
      call avR2(4081, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_22145])

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22346])

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(10684)%branchR2(0:5))
      call avR2(10684, 0, 158, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10684, 1, 155, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10684, 2, 154, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      call avR2(10684, 3, 157, 1, 0, VVVV0, 0, [3, 1], [nGC_22489, nGC_22489,  &
      nGC_22489])

      call avR2(10684, 4, 156, 1, 0, VVVV0, 0, [3, 1], [nGC_22487, nGC_22487,  &
      nGC_22487])

      call avR2(10684, 5, 153, 1, 0, VVVV0, 0, [3, 1], [nGC_22488, nGC_22488,  &
      nGC_22488])

      allocate(vertices(10685)%branchR2(0:0))
      call avR2(10685, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(6735)%branchR2(0:0))
      call avR2(6735, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(6813)%branchR2(0:0))
      call avR2(6813, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(5565)%branchR2(0:1))
      call avR2(5565, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22064, nGC_22066])

      call avR2(5565, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22084, nGC_22085])

      allocate(vertices(3276)%branchR2(0:0))
      call avR2(3276, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(3862)%branchR2(0:1))
      call avR2(3862, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(3862, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(10686)%branchR2(0:0))
      call avR2(10686, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22373, nGC_22373,    &
      nGC_22373])

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(8117)%branchR2(0:0))
      call avR2(8117, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(4215)%branchR2(0:0))
      call avR2(4215, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22439])

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22071])

      allocate(vertices(8355)%branchR2(0:0))
      call avR2(8355, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22257])

      allocate(vertices(9403)%branchR2(0:0))
      call avR2(9403, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(10687)%branchR2(0:0))
      call avR2(10687, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22373, nGC_22373,    &
      nGC_22373])

      allocate(vertices(2147)%branchR2(0:1))
      call avR2(2147, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(2147, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22274])

      allocate(vertices(731)%branchR2(0:1))
      call avR2(731, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22253])

      call avR2(731, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      allocate(vertices(1881)%branchR2(0:0))
      call avR2(1881, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22427])

      allocate(vertices(5166)%branchR2(0:0))
      call avR2(5166, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5923)%branchR2(0:0))
      call avR2(5923, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22464])

      allocate(vertices(9738)%branchR2(0:0))
      call avR2(9738, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22121, nGC_22120])

      allocate(vertices(10688)%branchR2(0:1))
      call avR2(10688, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22380])

      call avR2(10688, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22381])

      allocate(vertices(10689)%branchR2(0:0))
      call avR2(10689, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(9724)%branchR2(0:0))
      call avR2(9724, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22407])

      allocate(vertices(4056)%branchR2(0:0))
      call avR2(4056, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_22272, nGC_22273])

      allocate(vertices(41)%branchR2(0:0))
      call avR2(41, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(10690)%branchR2(0:1))
      call avR2(10690, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22443])

      call avR2(10690, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22444])

      allocate(vertices(9639)%branchR2(0:0))
      call avR2(9639, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(1606)%branchR2(0:3))
      call avR2(1606, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(1606, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(1606, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(1606, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(858)%branchR2(0:1))
      call avR2(858, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22067, nGC_22069])

      call avR2(858, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22068, nGC_22070])

      allocate(vertices(7266)%branchR2(0:0))
      call avR2(7266, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22406])

      allocate(vertices(9029)%branchR2(0:0))
      call avR2(9029, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(2943)%branchR2(0:1))
      call avR2(2943, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22178, nGC_22180])

      call avR2(2943, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22179, nGC_22181])

      allocate(vertices(7131)%branchR2(0:0))
      call avR2(7131, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22015])

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22426])

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(7834)%branchR2(0:0))
      call avR2(7834, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22128])

      allocate(vertices(6945)%branchR2(0:0))
      call avR2(6945, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(10691)%branchR2(0:0))
      call avR2(10691, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22322])

      allocate(vertices(8719)%branchR2(0:0))
      call avR2(8719, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22450])

      allocate(vertices(5316)%branchR2(0:0))
      call avR2(5316, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22257])

      allocate(vertices(8816)%branchR2(0:0))
      call avR2(8816, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(10313)%branchR2(0:0))
      call avR2(10313, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(9196)%branchR2(0:0))
      call avR2(9196, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(10692)%branchR2(0:0))
      call avR2(10692, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(9357)%branchR2(0:0))
      call avR2(9357, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(5968)%branchR2(0:1))
      call avR2(5968, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22228, nGC_22228])

      call avR2(5968, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22226, nGC_22227])

      allocate(vertices(10693)%branchR2(0:1))
      call avR2(10693, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22444])

      call avR2(10693, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22443])

      allocate(vertices(3138)%branchR2(0:1))
      call avR2(3138, 0, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_22254])

      call avR2(3138, 1, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_22258])

      allocate(vertices(5537)%branchR2(0:0))
      call avR2(5537, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22031, nGC_22032])

      allocate(vertices(7071)%branchR2(0:0))
      call avR2(7071, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(3069)%branchR2(0:1))
      call avR2(3069, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(3069, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(9292)%branchR2(0:0))
      call avR2(9292, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(10114)%branchR2(0:0))
      call avR2(10114, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_60289])

      allocate(vertices(10445)%branchR2(0:0))
      call avR2(10445, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10694)%branchR2(0:0))
      call avR2(10694, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22343, nGC_22342,    &
      nGC_22343])

      allocate(vertices(5678)%branchR2(0:1))
      call avR2(5678, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22231, nGC_22231])

      call avR2(5678, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22229, nGC_22230])

      allocate(vertices(9663)%branchR2(0:0))
      call avR2(9663, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(6033)%branchR2(0:0))
      call avR2(6033, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22361, nGC_22359,     &
      nGC_22360])

      allocate(vertices(4818)%branchR2(0:0))
      call avR2(4818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22372])

      allocate(vertices(10238)%branchR2(0:0))
      call avR2(10238, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(5169)%branchR2(0:0))
      call avR2(5169, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22418])

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58589])

      allocate(vertices(10695)%branchR2(0:1))
      call avR2(10695, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22397])

      call avR2(10695, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(4062)%branchR2(0:0))
      call avR2(4062, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22453])

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(9682)%branchR2(0:0))
      call avR2(9682, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9871)%branchR2(0:0))
      call avR2(9871, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22091])

      allocate(vertices(7937)%branchR2(0:1))
      call avR2(7937, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22104, nGC_22106])

      call avR2(7937, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22105, nGC_22107])

      allocate(vertices(6714)%branchR2(0:0))
      call avR2(6714, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(8859)%branchR2(0:0))
      call avR2(8859, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_59333])

      allocate(vertices(8852)%branchR2(0:0))
      call avR2(8852, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_21992, nGC_21993,     &
      nGC_22001, nGC_22001])

      allocate(vertices(8638)%branchR2(0:0))
      call avR2(8638, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_60170])

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(4267)%branchR2(0:0))
      call avR2(4267, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(10696)%branchR2(0:5))
      call avR2(10696, 0, 160, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10696, 1, 163, 1, 0, VVVV0, 0, [3, 1], [nGC_22410, nGC_22410,  &
      nGC_22410])

      call avR2(10696, 2, 162, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10696, 3, 164, 1, 0, VVVV0, 0, [3, 1], [nGC_22408, nGC_22408,  &
      nGC_22408])

      call avR2(10696, 4, 161, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      call avR2(10696, 5, 159, 1, 0, VVVV0, 0, [3, 1], [nGC_22409, nGC_22409,  &
      nGC_22409])

      allocate(vertices(9417)%branchR2(0:0))
      call avR2(9417, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(10697)%branchR2(0:1))
      call avR2(10697, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22446])

      call avR2(10697, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22445])

      allocate(vertices(9471)%branchR2(0:0))
      call avR2(9471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22469])

      allocate(vertices(8302)%branchR2(0:1))
      call avR2(8302, 0, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(8302, 1, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(9660)%branchR2(0:0))
      call avR2(9660, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22354])

      allocate(vertices(10698)%branchR2(0:1))
      call avR2(10698, 0, 139, 1, 0, SVSV0, 0, [2, 2], [nGC_22477])

      call avR2(10698, 1, 140, 1, 0, SVSV0, 0, [2, 2], [nGC_22476])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22278])

      allocate(vertices(4661)%branchR2(0:0))
      call avR2(4661, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(7331)%branchR2(0:1))
      call avR2(7331, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(7331, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22030, nGC_22029])

      allocate(vertices(8142)%branchR2(0:0))
      call avR2(8142, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(8284)%branchR2(0:0))
      call avR2(8284, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57927])

      allocate(vertices(9856)%branchR2(0:0))
      call avR2(9856, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8836)%branchR2(0:1))
      call avR2(8836, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,     &
      nGC_22005, nGC_22005])

      call avR2(8836, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_22006, nGC_22006])

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(7262)%branchR2(0:0))
      call avR2(7262, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22438])

      allocate(vertices(9797)%branchR2(0:0))
      call avR2(9797, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(5234)%branchR2(0:1))
      call avR2(5234, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_22254])

      call avR2(5234, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_22258])

      allocate(vertices(3260)%branchR2(0:1))
      call avR2(3260, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22122, nGC_22124])

      call avR2(3260, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22123, nGC_22125])

      allocate(vertices(1234)%branchR2(0:1))
      call avR2(1234, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22024, nGC_22024])

      call avR2(1234, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22023, nGC_22022])

      allocate(vertices(2361)%branchR2(0:3))
      call avR2(2361, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22294, nGC_22293])

      call avR2(2361, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(2361, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22296, nGC_22295])

      call avR2(2361, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(6117)%branchR2(0:0))
      call avR2(6117, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(4302)%branchR2(0:0))
      call avR2(4302, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_22072])

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(7155)%branchR2(0:0))
      call avR2(7155, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22171, nGC_22170])

      allocate(vertices(10010)%branchR2(0:0))
      call avR2(10010, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(6036)%branchR2(0:0))
      call avR2(6036, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22018])

      allocate(vertices(8887)%branchR2(0:0))
      call avR2(8887, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(4662)%branchR2(0:0))
      call avR2(4662, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(5579)%branchR2(0:0))
      call avR2(5579, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_22147])

      allocate(vertices(5647)%branchR2(0:0))
      call avR2(5647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22319])

      allocate(vertices(8950)%branchR2(0:0))
      call avR2(8950, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22012])

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22483, nGC_22483,     &
      nGC_22482])

      allocate(vertices(2100)%branchR2(0:1))
      call avR2(2100, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_22254])

      call avR2(2100, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_22255])

      allocate(vertices(4616)%branchR2(0:0))
      call avR2(4616, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(7853)%branchR2(0:0))
      call avR2(7853, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(8401)%branchR2(0:0))
      call avR2(8401, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22413])

      allocate(vertices(4205)%branchR2(0:0))
      call avR2(4205, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22404])

      allocate(vertices(9094)%branchR2(0:0))
      call avR2(9094, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(7811)%branchR2(0:0))
      call avR2(7811, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(7023)%branchR2(0:0))
      call avR2(7023, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(2597)%branchR2(0:0))
      call avR2(2597, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(6345)%branchR2(0:0))
      call avR2(6345, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5203)%branchR2(0:1))
      call avR2(5203, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22212, nGC_22213])

      call avR2(5203, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22214, nGC_22214])

      allocate(vertices(9851)%branchR2(0:0))
      call avR2(9851, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(9387)%branchR2(0:0))
      call avR2(9387, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22131])

      allocate(vertices(10479)%branchR2(0:0))
      call avR2(10479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10699)%branchR2(0:0))
      call avR2(10699, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22330, nGC_22330,    &
      nGC_22330])

      allocate(vertices(10271)%branchR2(0:0))
      call avR2(10271, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(4954)%branchR2(0:1))
      call avR2(4954, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22197, nGC_22198])

      call avR2(4954, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22199, nGC_22199])

      allocate(vertices(4408)%branchR2(0:0))
      call avR2(4408, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22207, nGC_22206])

      allocate(vertices(10020)%branchR2(0:0))
      call avR2(10020, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(4146)%branchR2(0:0))
      call avR2(4146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22318])

      allocate(vertices(798)%branchR2(0:1))
      call avR2(798, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22214, nGC_22214])

      call avR2(798, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22212, nGC_22213])

      allocate(vertices(2890)%branchR2(0:0))
      call avR2(2890, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_22283, nGC_22284])

      allocate(vertices(8312)%branchR2(0:0))
      call avR2(8312, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22352])

      allocate(vertices(8517)%branchR2(0:1))
      call avR2(8517, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(8517, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(5466)%branchR2(0:0))
      call avR2(5466, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(10127)%branchR2(0:0))
      call avR2(10127, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10268)%branchR2(0:0))
      call avR2(10268, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_58377])

      allocate(vertices(2970)%branchR2(0:0))
      call avR2(2970, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(9700)%branchR2(0:0))
      call avR2(9700, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22428])

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(7598)%branchR2(0:0))
      call avR2(7598, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22147])

      allocate(vertices(6925)%branchR2(0:0))
      call avR2(6925, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22395])

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22073])

      allocate(vertices(8188)%branchR2(0:1))
      call avR2(8188, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22023, nGC_22022])

      call avR2(8188, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22024, nGC_22024])

      allocate(vertices(10700)%branchR2(0:0))
      call avR2(10700, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(2077)%branchR2(0:0))
      call avR2(2077, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7641)%branchR2(0:0))
      call avR2(7641, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22013])

      allocate(vertices(3966)%branchR2(0:0))
      call avR2(3966, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22448])

      allocate(vertices(10701)%branchR2(0:1))
      call avR2(10701, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22385, nGC_22385,  &
      nGC_22385])

      call avR2(10701, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22384, nGC_22384,  &
      nGC_22384])

      allocate(vertices(4526)%branchR2(0:0))
      call avR2(4526, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22339])

      allocate(vertices(8477)%branchR2(0:0))
      call avR2(8477, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(4377)%branchR2(0:1))
      call avR2(4377, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22100, nGC_22102])

      call avR2(4377, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22101, nGC_22103])

      allocate(vertices(8791)%branchR2(0:0))
      call avR2(8791, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22382])

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(8181)%branchR2(0:0))
      call avR2(8181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(5434)%branchR2(0:0))
      call avR2(5434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(3451)%branchR2(0:0))
      call avR2(3451, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22367])

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(10702)%branchR2(0:0))
      call avR2(10702, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(6132)%branchR2(0:0))
      call avR2(6132, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(5959)%branchR2(0:0))
      call avR2(5959, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22128])

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_22261])

      allocate(vertices(10703)%branchR2(0:1))
      call avR2(10703, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22471])

      call avR2(10703, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22472])

      allocate(vertices(4131)%branchR2(0:0))
      call avR2(4131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(5658)%branchR2(0:0))
      call avR2(5658, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_60780])

      allocate(vertices(7906)%branchR2(0:0))
      call avR2(7906, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22177, nGC_22176])

      allocate(vertices(10036)%branchR2(0:0))
      call avR2(10036, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(10704)%branchR2(0:0))
      call avR2(10704, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22327])

      allocate(vertices(6837)%branchR2(0:1))
      call avR2(6837, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22138, nGC_22140])

      call avR2(6837, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22154, nGC_22155])

      allocate(vertices(6215)%branchR2(0:0))
      call avR2(6215, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_59251])

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(10051)%branchR2(0:0))
      call avR2(10051, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22392])

      allocate(vertices(10365)%branchR2(0:0))
      call avR2(10365, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22463])

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(4240)%branchR2(0:0))
      call avR2(4240, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_57927])

      allocate(vertices(6570)%branchR2(0:0))
      call avR2(6570, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(8846)%branchR2(0:0))
      call avR2(8846, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22393])

      allocate(vertices(10705)%branchR2(0:1))
      call avR2(10705, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22477])

      call avR2(10705, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22476])

      allocate(vertices(5530)%branchR2(0:0))
      call avR2(5530, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22274])

      allocate(vertices(6358)%branchR2(0:1))
      call avR2(6358, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(6358, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(5832)%branchR2(0:0))
      call avR2(5832, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(8253)%branchR2(0:0))
      call avR2(8253, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58112])

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10706)%branchR2(0:0))
      call avR2(10706, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(9219)%branchR2(0:0))
      call avR2(9219, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22341])

      allocate(vertices(1529)%branchR2(0:0))
      call avR2(1529, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_58398])

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(5999)%branchR2(0:1))
      call avR2(5999, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22136, nGC_22134])

      call avR2(5999, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22153, nGC_22152])

      allocate(vertices(10483)%branchR2(0:0))
      call avR2(10483, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10707)%branchR2(0:0))
      call avR2(10707, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22349])

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(6841)%branchR2(0:0))
      call avR2(6841, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(7016)%branchR2(0:0))
      call avR2(7016, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22387])

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(6079)%branchR2(0:0))
      call avR2(6079, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(4291)%branchR2(0:0))
      call avR2(4291, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(6446)%branchR2(0:0))
      call avR2(6446, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22350])

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22413])

      allocate(vertices(6556)%branchR2(0:0))
      call avR2(6556, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(8214)%branchR2(0:0))
      call avR2(8214, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22347])

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(5184)%branchR2(0:0))
      call avR2(5184, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_22187, nGC_22186])

      allocate(vertices(7067)%branchR2(0:0))
      call avR2(7067, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22131])

      allocate(vertices(10708)%branchR2(0:1))
      call avR2(10708, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22466])

      call avR2(10708, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22465])

      allocate(vertices(8343)%branchR2(0:3))
      call avR2(8343, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_22316, nGC_22315])

      call avR2(8343, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(8343, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_22314, nGC_22313])

      call avR2(8343, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(3655)%branchR2(0:0))
      call avR2(3655, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(4495)%branchR2(0:1))
      call avR2(4495, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_22264, nGC_22262])

      call avR2(4495, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_22265, nGC_22263])

      allocate(vertices(7918)%branchR2(0:0))
      call avR2(7918, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22361,      &
      nGC_22359])

      allocate(vertices(9540)%branchR2(0:0))
      call avR2(9540, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(9538)%branchR2(0:0))
      call avR2(9538, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(5994)%branchR2(0:1))
      call avR2(5994, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22096, nGC_22098])

      call avR2(5994, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22097, nGC_22099])

      allocate(vertices(10709)%branchR2(0:1))
      call avR2(10709, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22381])

      call avR2(10709, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22380])

      allocate(vertices(4509)%branchR2(0:0))
      call avR2(4509, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_22146])

      allocate(vertices(6790)%branchR2(0:0))
      call avR2(6790, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22462])

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22132])

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(8675)%branchR2(0:0))
      call avR2(8675, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(6268)%branchR2(0:0))
      call avR2(6268, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22420])

      allocate(vertices(8666)%branchR2(0:0))
      call avR2(8666, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_22219, nGC_22218])

      allocate(vertices(6009)%branchR2(0:0))
      call avR2(6009, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(8966)%branchR2(0:0))
      call avR2(8966, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(10710)%branchR2(0:0))
      call avR2(10710, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22017])

      allocate(vertices(6705)%branchR2(0:0))
      call avR2(6705, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(10711)%branchR2(0:0))
      call avR2(10711, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22320])

      allocate(vertices(6612)%branchR2(0:0))
      call avR2(6612, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_22071])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(10342)%branchR2(0:0))
      call avR2(10342, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(6681)%branchR2(0:0))
      call avR2(6681, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22454])

      allocate(vertices(10455)%branchR2(0:0))
      call avR2(10455, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22334])

      allocate(vertices(777)%branchR2(0:1))
      call avR2(777, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_22254])

      call avR2(777, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_22259])

      allocate(vertices(5194)%branchR2(0:0))
      call avR2(5194, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(965)%branchR2(0:1))
      call avR2(965, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22251, nGC_22251])

      call avR2(965, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22249, nGC_22250])

      allocate(vertices(6610)%branchR2(0:0))
      call avR2(6610, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22403])

      allocate(vertices(7138)%branchR2(0:0))
      call avR2(7138, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22057])

      allocate(vertices(6491)%branchR2(0:1))
      call avR2(6491, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22112, nGC_22114])

      call avR2(6491, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22113, nGC_22115])

      allocate(vertices(5526)%branchR2(0:1))
      call avR2(5526, 0, 21, 1, 0, FaSF1, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(5526, 1, 21, 1, 0, FaSF1, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(6218)%branchR2(0:0))
      call avR2(6218, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(6080)%branchR2(0:0))
      call avR2(6080, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22053])

      allocate(vertices(8377)%branchR2(0:23))
      call avR2(8377, 0, 173, 1, 0, VVVV0, 0, [4, 0], [nGC_22494, nGC_22493,   &
      nGC_22493])

      call avR2(8377, 1, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22490,     &
      nGC_22496])

      call avR2(8377, 2, 186, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,   &
      nGC_22498])

      call avR2(8377, 3, 176, 1, 0, VVVV0, 0, [4, 0], [nGC_22493, nGC_22494,   &
      nGC_22493])

      call avR2(8377, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,     &
      nGC_22490])

      call avR2(8377, 5, 182, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,   &
      nGC_22498])

      call avR2(8377, 6, 179, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,   &
      nGC_22492])

      call avR2(8377, 7, 172, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,   &
      nGC_22492])

      call avR2(8377, 8, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22495,     &
      nGC_22497])

      call avR2(8377, 9, 175, 1, 0, VVVV0, 0, [4, 0], [nGC_22493, nGC_22493,   &
      nGC_22494])

      call avR2(8377, 10, 188, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,  &
      nGC_22498])

      call avR2(8377, 11, 185, 1, 0, VVVV0, 0, [4, 0], [nGC_22499, nGC_22499,  &
      nGC_22499])

      call avR2(8377, 12, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_22491, nGC_22491,    &
      nGC_22490])

      call avR2(8377, 13, 178, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 14, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_22495, nGC_22490,    &
      nGC_22496])

      call avR2(8377, 15, 181, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 16, 174, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 17, 171, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 18, 184, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,  &
      nGC_22498])

      call avR2(8377, 19, 187, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,  &
      nGC_22498])

      call avR2(8377, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_22490, nGC_22495,    &
      nGC_22497])

      call avR2(8377, 21, 180, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 22, 177, 1, 0, VVVV0, 0, [4, 0], [nGC_22492, nGC_22492,  &
      nGC_22492])

      call avR2(8377, 23, 183, 1, 0, VVVV0, 0, [4, 0], [nGC_22498, nGC_22498,  &
      nGC_22498])

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22019])

      allocate(vertices(7015)%branchR2(0:0))
      call avR2(7015, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22347])

      allocate(vertices(9997)%branchR2(0:0))
      call avR2(9997, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(9181)%branchR2(0:0))
      call avR2(9181, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(4194)%branchR2(0:0))
      call avR2(4194, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22459])

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22439])

      allocate(vertices(9527)%branchR2(0:0))
      call avR2(9527, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22357])

      allocate(vertices(6918)%branchR2(0:0))
      call avR2(6918, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_22274])

      allocate(vertices(5841)%branchR2(0:0))
      call avR2(5841, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22370])

      allocate(vertices(7417)%branchR2(0:0))
      call avR2(7417, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22336])

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8361)%branchR2(0:1))
      call avR2(8361, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(8361, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(4893)%branchR2(0:0))
      call avR2(4893, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(10712)%branchR2(0:0))
      call avR2(10712, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22456])

      allocate(vertices(10713)%branchR2(0:1))
      call avR2(10713, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22397])

      call avR2(10713, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22396])

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57747])

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(5856)%branchR2(0:0))
      call avR2(5856, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(4572)%branchR2(0:0))
      call avR2(4572, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_22146])

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22379])

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22071])

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7135)%branchR2(0:0))
      call avR2(7135, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22479,     &
      nGC_22479])

      allocate(vertices(9102)%branchR2(0:0))
      call avR2(9102, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22338])

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(9038)%branchR2(0:0))
      call avR2(9038, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_21968, nGC_21967])

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22081])

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22447])

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22429])

      allocate(vertices(2263)%branchR2(0:0))
      call avR2(2263, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22442])

      allocate(vertices(10325)%branchR2(0:0))
      call avR2(10325, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(5942)%branchR2(0:0))
      call avR2(5942, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22376])

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22455])

      allocate(vertices(7634)%branchR2(0:0))
      call avR2(7634, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(4995)%branchR2(0:0))
      call avR2(4995, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(4152)%branchR2(0:0))
      call avR2(4152, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

      allocate(vertices(5964)%branchR2(0:0))
      call avR2(5964, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(5051)%branchR2(0:0))
      call avR2(5051, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22411])

      allocate(vertices(6321)%branchR2(0:3))
      call avR2(6321, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(6321, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_22288, nGC_22288])

      call avR2(6321, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(6321, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_22291, nGC_22291])

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22013])

      allocate(vertices(9577)%branchR2(0:0))
      call avR2(9577, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22341])

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22014])

      allocate(vertices(2813)%branchR2(0:0))
      call avR2(2813, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5054)%branchR2(0:1))
      call avR2(5054, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22028, nGC_22028])

      call avR2(5054, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22045, nGC_22044])

      allocate(vertices(4688)%branchR2(0:0))
      call avR2(4688, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22390])

      allocate(vertices(10714)%branchR2(0:1))
      call avR2(10714, 0, 145, 1, 0, VVVV0, 0, [2, 2], [nGC_22474, nGC_22474,  &
      nGC_22474])

      call avR2(10714, 1, 146, 1, 0, VVVV0, 0, [2, 2], [nGC_22473, nGC_22473,  &
      nGC_22473])

      allocate(vertices(8510)%branchR2(0:0))
      call avR2(8510, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_22033, nGC_22034])

      allocate(vertices(7691)%branchR2(0:0))
      call avR2(7691, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(6827)%branchR2(0:0))
      call avR2(6827, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22461])

      allocate(vertices(5956)%branchR2(0:0))
      call avR2(5956, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22340])

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22345])

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22388])

      allocate(vertices(10269)%branchR2(0:0))
      call avR2(10269, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22393])

      allocate(vertices(8845)%branchR2(0:1))
      call avR2(8845, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,     &
      nGC_22008, nGC_22008])

      call avR2(8845, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_22009, nGC_22009])

      allocate(vertices(5693)%branchR2(0:0))
      call avR2(5693, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22346])

      allocate(vertices(2931)%branchR2(0:0))
      call avR2(2931, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22449])

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(5050)%branchR2(0:0))
      call avR2(5050, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(5629)%branchR2(0:0))
      call avR2(5629, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(1928)%branchR2(0:0))
      call avR2(1928, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22196])

      allocate(vertices(7160)%branchR2(0:0))
      call avR2(7160, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(4091)%branchR2(0:0))
      call avR2(4091, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_58847])

      allocate(vertices(8838)%branchR2(0:0))
      call avR2(8838, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22435])

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22418])

      allocate(vertices(6872)%branchR2(0:0))
      call avR2(6872, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22417])

      allocate(vertices(9768)%branchR2(0:0))
      call avR2(9768, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(4647)%branchR2(0:0))
      call avR2(4647, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22365])

      allocate(vertices(4286)%branchR2(0:0))
      call avR2(4286, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22425])

      allocate(vertices(4815)%branchR2(0:0))
      call avR2(4815, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22160])

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22400])

      allocate(vertices(7174)%branchR2(0:0))
      call avR2(7174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8108)%branchR2(0:1))
      call avR2(8108, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22269, nGC_22267])

      call avR2(8108, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22286, nGC_22285])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(7953)%branchR2(0:0))
      call avR2(7953, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(7889)%branchR2(0:0))
      call avR2(7889, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22332])

      allocate(vertices(6047)%branchR2(0:0))
      call avR2(6047, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_22224])

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22319])

      allocate(vertices(4209)%branchR2(0:0))
      call avR2(4209, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22478,     &
      nGC_22479])

      allocate(vertices(6619)%branchR2(0:0))
      call avR2(6619, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(4845)%branchR2(0:0))
      call avR2(4845, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_22146])

      allocate(vertices(8425)%branchR2(0:1))
      call avR2(8425, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22243, nGC_22243])

      call avR2(8425, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22241, nGC_22242])

      allocate(vertices(4714)%branchR2(0:0))
      call avR2(4714, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22093])

      allocate(vertices(5182)%branchR2(0:0))
      call avR2(5182, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22478, nGC_22479,     &
      nGC_22479])

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22378])

      allocate(vertices(4399)%branchR2(0:1))
      call avR2(4399, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(4399, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(6209)%branchR2(0:0))
      call avR2(6209, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(7363)%branchR2(0:3))
      call avR2(7363, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_22292, nGC_22290])

      call avR2(7363, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_22291, nGC_22291])

      call avR2(7363, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_22289, nGC_22287])

      call avR2(7363, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_22288, nGC_22288])

      allocate(vertices(2875)%branchR2(0:0))
      call avR2(2875, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(9281)%branchR2(0:0))
      call avR2(9281, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2659)%branchR2(0:1))
      call avR2(2659, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22144, nGC_22142])

      call avR2(2659, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22157, nGC_22156])

      allocate(vertices(10373)%branchR2(0:0))
      call avR2(10373, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(6645)%branchR2(0:1))
      call avR2(6645, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22220, nGC_22221])

      call avR2(6645, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22222, nGC_22222])

      allocate(vertices(9106)%branchR2(0:0))
      call avR2(9106, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(7180)%branchR2(0:0))
      call avR2(7180, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22095])

      allocate(vertices(4413)%branchR2(0:0))
      call avR2(4413, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22383])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(7026)%branchR2(0:0))
      call avR2(7026, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22352])

      allocate(vertices(1252)%branchR2(0:1))
      call avR2(1252, 0, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(1252, 1, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_22280, nGC_22279])

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_22261])

      allocate(vertices(10123)%branchR2(0:0))
      call avR2(10123, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(4324)%branchR2(0:1))
      call avR2(4324, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22202, nGC_22202])

      call avR2(4324, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22200, nGC_22201])

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22441])

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22419])

      allocate(vertices(8756)%branchR2(0:0))
      call avR2(8756, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22335])

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22395])

      allocate(vertices(3921)%branchR2(0:0))
      call avR2(3921, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(10178)%branchR2(0:0))
      call avR2(10178, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22334])

      allocate(vertices(4256)%branchR2(0:0))
      call avR2(4256, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(7965)%branchR2(0:0))
      call avR2(7965, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22339])

      allocate(vertices(10715)%branchR2(0:0))
      call avR2(10715, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22321])

      allocate(vertices(4703)%branchR2(0:1))
      call avR2(4703, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22172, nGC_22174])

      call avR2(4703, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22173, nGC_22175])

      allocate(vertices(9155)%branchR2(0:0))
      call avR2(9155, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(4352)%branchR2(0:1))
      call avR2(4352, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(4352, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(8765)%branchR2(0:0))
      call avR2(8765, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22399])

      allocate(vertices(6897)%branchR2(0:0))
      call avR2(6897, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(8511)%branchR2(0:0))
      call avR2(8511, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22424])

      allocate(vertices(6996)%branchR2(0:0))
      call avR2(6996, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22127])

      allocate(vertices(4186)%branchR2(0:0))
      call avR2(4186, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(6890)%branchR2(0:3))
      call avR2(6890, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_22310, nGC_22309])

      call avR2(6890, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_22306, nGC_22306])

      call avR2(6890, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_22308, nGC_22307])

      call avR2(6890, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_22303, nGC_22303])

      allocate(vertices(6856)%branchR2(0:0))
      call avR2(6856, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22405])

      allocate(vertices(4183)%branchR2(0:0))
      call avR2(4183, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_22236, nGC_22235])

      allocate(vertices(9918)%branchR2(0:0))
      call avR2(9918, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22021])

      allocate(vertices(6019)%branchR2(0:0))
      call avR2(6019, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22337])

      allocate(vertices(10716)%branchR2(0:0))
      call avR2(10716, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22349])

      allocate(vertices(5325)%branchR2(0:0))
      call avR2(5325, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22049])

      allocate(vertices(10717)%branchR2(0:0))
      call avR2(10717, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_22017])

      allocate(vertices(4660)%branchR2(0:0))
      call avR2(4660, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(9466)%branchR2(0:0))
      call avR2(9466, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22392])

      allocate(vertices(8327)%branchR2(0:0))
      call avR2(8327, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22452])

      allocate(vertices(9200)%branchR2(0:0))
      call avR2(9200, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22354])

      allocate(vertices(5558)%branchR2(0:0))
      call avR2(5558, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22046])

      allocate(vertices(5173)%branchR2(0:0))
      call avR2(5173, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22374])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(4017)%branchR2(0:1))
      call avR2(4017, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22162, nGC_22164])

      call avR2(4017, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22163, nGC_22165])

      allocate(vertices(5084)%branchR2(0:0))
      call avR2(5084, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22360, nGC_22361,     &
      nGC_22359])

      allocate(vertices(9201)%branchR2(0:0))
      call avR2(9201, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22428])

      allocate(vertices(7672)%branchR2(0:1))
      call avR2(7672, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_22265, nGC_22263])

      call avR2(7672, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_22271, nGC_22270])

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22386])

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22351])

      allocate(vertices(1003)%branchR2(0:1))
      call avR2(1003, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22203, nGC_22204])

      call avR2(1003, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22205, nGC_22205])

      allocate(vertices(9293)%branchR2(0:0))
      call avR2(9293, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8581)%branchR2(0:0))
      call avR2(8581, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22401])

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22332])

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22129])

      allocate(vertices(3931)%branchR2(0:0))
      call avR2(3931, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(7869)%branchR2(0:0))
      call avR2(7869, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22402])

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(8617)%branchR2(0:0))
      call avR2(8617, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22442])

      allocate(vertices(9117)%branchR2(0:0))
      call avR2(9117, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22423])

      allocate(vertices(10718)%branchR2(0:0))
      call avR2(10718, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22358])

      allocate(vertices(4407)%branchR2(0:0))
      call avR2(4407, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22353])

      allocate(vertices(237)%branchR2(0:1))
      call avR2(237, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22139, nGC_22137])

      call avR2(237, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22140, nGC_22138])

      allocate(vertices(420)%branchR2(0:1))
      call avR2(420, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_22166, nGC_22168])

      call avR2(420, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_22167, nGC_22169])

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22421])

      allocate(vertices(8840)%branchR2(0:1))
      call avR2(8840, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_21989, nGC_21986,     &
      nGC_21987, nGC_21987])

      call avR2(8840, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_21981, nGC_21981,     &
      nGC_21988, nGC_21988])

      allocate(vertices(7895)%branchR2(0:0))
      call avR2(7895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22437])

      allocate(vertices(4892)%branchR2(0:0))
      call avR2(4892, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_22256])

      allocate(vertices(8922)%branchR2(0:0))
      call avR2(8922, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22463])

      allocate(vertices(9985)%branchR2(0:0))
      call avR2(9985, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22364])

      allocate(vertices(6146)%branchR2(0:0))
      call avR2(6146, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22363])

      allocate(vertices(2851)%branchR2(0:0))
      call avR2(2851, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22441])

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(6056)%branchR2(0:0))
      call avR2(6056, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(8763)%branchR2(0:0))
      call avR2(8763, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22450])

      allocate(vertices(8868)%branchR2(0:0))
      call avR2(8868, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22435])

      allocate(vertices(9428)%branchR2(0:0))
      call avR2(9428, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22362])

      allocate(vertices(3958)%branchR2(0:0))
      call avR2(3958, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22056])

      allocate(vertices(4899)%branchR2(0:0))
      call avR2(4899, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_22130])

      allocate(vertices(10719)%branchR2(0:0))
      call avR2(10719, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22327])

      allocate(vertices(10720)%branchR2(0:1))
      call avR2(10720, 0, 141, 1, 0, VSVS0, 0, [2, 2], [nGC_22477])

      call avR2(10720, 1, 142, 1, 0, VSVS0, 0, [2, 2], [nGC_22476])

      allocate(vertices(9519)%branchR2(0:0))
      call avR2(9519, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22333])

      allocate(vertices(8414)%branchR2(0:0))
      call avR2(8414, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22447])

      allocate(vertices(8483)%branchR2(0:1))
      call avR2(8483, 0, 18, 1, 0, SFFa1, 0, [0, 3], [nGC_22133, nGC_22135])

      call avR2(8483, 1, 18, 1, 0, SFFa1, 0, [2, 1], [nGC_22134, nGC_22136])

      allocate(vertices(10037)%branchR2(0:0))
      call avR2(10037, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22317])

      allocate(vertices(9715)%branchR2(0:0))
      call avR2(9715, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22348])

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22389])

      allocate(vertices(8906)%branchR2(0:0))
      call avR2(8906, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22449])

      allocate(vertices(5804)%branchR2(0:0))
      call avR2(5804, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22092])

      allocate(vertices(6005)%branchR2(0:1))
      call avR2(6005, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_22045, nGC_22044])

      call avR2(6005, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_22028, nGC_22028])

      allocate(vertices(3895)%branchR2(0:0))
      call avR2(3895, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22368])

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22371])

      allocate(vertices(4434)%branchR2(0:0))
      call avR2(4434, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(1385)%branchR2(0:0))
      call avR2(1385, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_22072])

      allocate(vertices(10721)%branchR2(0:1))
      call avR2(10721, 0, 145, 1, 0, VVSS0, 0, [2, 2], [nGC_22397])

      call avR2(10721, 1, 146, 1, 0, VVSS0, 0, [2, 2], [nGC_22396])

      allocate(vertices(10378)%branchR2(0:0))
      call avR2(10378, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22054])

      allocate(vertices(8019)%branchR2(0:0))
      call avR2(8019, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22398])

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22436])

      allocate(vertices(4981)%branchR2(0:0))
      call avR2(4981, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22412])

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_22073])

      allocate(vertices(10722)%branchR2(0:1))
      call avR2(10722, 0, 137, 1, 0, SVVS0, 0, [2, 2], [nGC_22472])

      call avR2(10722, 1, 138, 1, 0, SVVS0, 0, [2, 2], [nGC_22471])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22329])

      allocate(vertices(7868)%branchR2(0:0))
      call avR2(7868, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22382])

      allocate(vertices(4149)%branchR2(0:0))
      call avR2(4149, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22335])

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(426)%branchR2(0:1))
      call avR2(426, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_22229, nGC_22230])

      call avR2(426, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_22231, nGC_22231])

      allocate(vertices(10723)%branchR2(0:1))
      call avR2(10723, 0, 136, 1, 0, SSVV0, 0, [2, 2], [nGC_22446])

      call avR2(10723, 1, 135, 1, 0, SSVV0, 0, [2, 2], [nGC_22445])

      allocate(vertices(10724)%branchR2(0:0))
      call avR2(10724, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22328])

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_22448])

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22052])

      allocate(vertices(8163)%branchR2(0:0))
      call avR2(8163, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22416])

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22353])

      allocate(vertices(6210)%branchR2(0:0))
      call avR2(6210, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22074])

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22350])

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22411])

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22399])

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22366])

      allocate(vertices(4078)%branchR2(0:0))
      call avR2(4078, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22337])

      allocate(vertices(7217)%branchR2(0:0))
      call avR2(7217, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_57437])

      allocate(vertices(10725)%branchR2(0:1))
      call avR2(10725, 0, 144, 1, 0, VSSV0, 0, [2, 2], [nGC_22445])

      call avR2(10725, 1, 143, 1, 0, VSSV0, 0, [2, 2], [nGC_22446])

      allocate(vertices(5174)%branchR2(0:0))
      call avR2(5174, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22391])

      allocate(vertices(8136)%branchR2(0:1))
      call avR2(8136, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_22141, nGC_22143])

      call avR2(8136, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_22142, nGC_22144])

      allocate(vertices(8996)%branchR2(0:0))
      call avR2(8996, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_22394])

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_22345])

      allocate(vertices(4547)%branchR2(0:0))
      call avR2(4547, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22479, nGC_22479,     &
      nGC_22478])

      allocate(vertices(3941)%branchR2(0:0))
      call avR2(3941, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22076])

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22377])

      allocate(vertices(10726)%branchR2(0:0))
      call avR2(10726, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_22373, nGC_22373,    &
      nGC_22373])

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_22089])

      allocate(vertices(3912)%branchR2(0:0))
      call avR2(3912, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_22402])

      allocate(vertices(10154)%branchR2(0:0))
      call avR2(10154, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_22422])

      allocate(vertices(2595)%branchR2(0:1))
      call avR2(2595, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_22217, nGC_22217])

      call avR2(2595, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_22215, nGC_22216])

      allocate(vertices(10167)%branchR2(0:0))
      call avR2(10167, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_22344])

      allocate(vertices(5450)%branchR2(0:0))
      call avR2(5450, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_22433])

    end subroutine fill_vertices_mdl23
end module vertices_info23
